
/* vsdoc for goog.async.AnimationDelay */

(function (window) {
    window.goog.async = window.goog.async || {};

    window.goog.async.AnimationDelay = function(listener, opt_window, opt_handler){
        /// <summary></summary>
        /// <param name="listener" type="function(number)">Function to call when the delay completes.
        ///     Will be passed the timestamp when it&apos;s called, in unix ms.</param>
        /// <param name="opt_window" type="Window=">The window object to execute the delay in.
        ///     Defaults to the global object.</param>
        /// <param name="opt_handler" type="Object=">The object scope to invoke the function in.</param>
        /// <field name="TIMEOUT" type="number">Default wait timeout for animations (in milliseconds).  Only used for timed
        /// animation, which uses a timer (setTimeout) to schedule animation.</field>
        /// <returns type="goog.async.AnimationDelay"/>
    };

    var $x = window.goog.async.AnimationDelay;
    $x.prototype = {
                
        start: function() {
            /// <summary>Starts the delay timer. The provided listener function will be called
            /// before the next animation frame.</summary>
        }, 
        
        stop: function() {
            /// <summary>Stops the delay timer if it is active. No action is taken if the timer is not
            /// in use.</summary>
        }, 
        
        fire: function() {
            /// <summary>Fires delay&apos;s action even if timer has already gone off or has not been
            /// started yet; guarantees action firing. Stops the delay timer.</summary>
        }, 
        
        fireIfActive: function() {
            /// <summary>Fires delay&apos;s action only if timer is currently active. Stops the delay
            /// timer.</summary>
        }, 
        
        isActive: function() {
            /// <summary></summary>
            /// <returns type="boolean">True if the delay is currently active, false otherwise.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.async.AnimationDelay";
})(this);
