
/* vsdoc for goog.async.Delay */

(function (window) {
    window.goog.async = window.goog.async || {};

    window.goog.async.Delay = function(listener, opt_interval, opt_handler){
        /// <summary></summary>
        /// <param name="listener" type="Function">Function to call when the delay completes.</param>
        /// <param name="opt_interval" type="number=">The default length of the invocation delay (in
        ///     milliseconds).</param>
        /// <param name="opt_handler" type="Object=">The object scope to invoke the function in.</param>
        /// <returns type="goog.async.Delay"/>
    };

    var $x = window.goog.async.Delay;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary>Disposes of the object, cancelling the timeout if it is still outstanding and
            /// removing all object references.</summary>
        }, 
        
        start: function(opt_interval) {
            /// <summary>Starts the delay timer. The provided listener function will be called after
            /// the specified interval. Calling start on an active timer will reset the
            /// delay interval.</summary>
            /// <param name="opt_interval" type="number=">If specified, overrides the object&apos;s default
            ///     interval with this one (in milliseconds).</param>
        }, 
        
        stop: function() {
            /// <summary>Stops the delay timer if it is active. No action is taken if the timer is not
            /// in use.</summary>
        }, 
        
        fire: function() {
            /// <summary>Fires delay&apos;s action even if timer has already gone off or has not been
            /// started yet; guarantees action firing. Stops the delay timer.</summary>
        }, 
        
        fireIfActive: function() {
            /// <summary>Fires delay&apos;s action only if timer is currently active. Stops the delay
            /// timer.</summary>
        }, 
        
        isActive: function() {
            /// <summary></summary>
            /// <returns type="boolean">True if the delay is currently active, false otherwise.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.async.Delay";
})(this);
