
/* vsdoc for goog.crypt */

(function (window) {
    window.goog = window.goog || {};

    window.goog.crypt = {
        /// <summary></summary>
        /// <field name="base64" type=""></field>
        /// <field name="baseN" type=""></field>
        /// <field name="CbcTest" type=""></field>
        /// <field name="hash32" type=""></field>
        /// <field name="hash_test" type=""></field>
        /// <returns type="goog.crypt"/>
                
        BlockCipher: function() {
            /// <summary>Interface definition for a block cipher.</summary>
        }, 
        
        stringToByteArray: function(str) {
            /// <summary>Turns a string into an array of bytes; a &quot;byte&quot; being a JS number in the
            /// range 0-255.</summary>
            /// <param name="str" type="string">String value to arrify.</param>
            /// <returns type="Array.number">Array of numbers corresponding to the
            ///     UCS character codes of each character in str.</returns>
        }, 
        
        byteArrayToString: function(array) {
            /// <summary>Turns an array of numbers into the string given by the concatenation of the
            /// characters to which the numbers correspond.</summary>
            /// <param name="array" type="Array">Array of numbers representing characters.</param>
            /// <returns type="string">Stringification of the array.</returns>
        }, 
        
        byteArrayToHex: function(array) {
            /// <summary>Turns an array of numbers into the hex string given by the concatenation of
            /// the hex values to which the numbers correspond.</summary>
            /// <param name="array" type="Array">Array of numbers representing characters.</param>
            /// <returns type="string">Hex string.</returns>
        }, 
        
        hexToByteArray: function(hexString) {
            /// <summary>Converts a hex string into an integer array.</summary>
            /// <param name="hexString" type="string">Hex string of 16-bit integers (two characters
            ///     per integer).</param>
            /// <returns type="!Array.number">Array of {0,255} integers for the given string.</returns>
        }, 
        
        stringToUtf8ByteArray: function(str) {
            /// <summary>Converts a JS string to a UTF-8 &quot;byte&quot; array.</summary>
            /// <param name="str" type="string">16-bit unicode string.</param>
            /// <returns type="Array.number">UTF-8 byte array.</returns>
        }, 
        
        utf8ByteArrayToString: function(bytes) {
            /// <summary>Converts a UTF-8 byte array to JavaScript&apos;s 16-bit Unicode.</summary>
            /// <param name="bytes" type="Array.number">UTF-8 byte array.</param>
            /// <returns type="string">16-bit Unicode string.</returns>
        }
        
    };

    var $x = window.goog.crypt;
    $x.__namespace = "true";
    $x.__typeName = "goog.crypt";
})(this);
