
/* vsdoc for goog.crypt.Arc4 */

(function (window) {
    window.goog.crypt = window.goog.crypt || {};

    window.goog.crypt.Arc4 = function(){
        /// <summary></summary>
        /// <returns type="goog.crypt.Arc4"/>
    };

    var $x = window.goog.crypt.Arc4;
    $x.prototype = {
                
        setKey: function(key, opt_length) {
            /// <summary>Initialize the cipher for use with new key.</summary>
            /// <param name="key" type="Array.number">A byte array containing the key.</param>
            /// <param name="opt_length" type="number=">Indicates # of bytes to take from the key.</param>
        }, 
        
        discard: function(length) {
            /// <summary>Discards n bytes of the keystream.
            /// These days 1536 is considered a decent amount to drop to get the key state
            /// warmed-up enough for secure usage. This is not done in the constructor to
            /// preserve efficiency for use cases that do not need this.
            /// NOTE: Discard is identical to crypt without actually xoring any data. It&apos;s
            /// unfortunate to have this code duplicated, but this was done for performance
            /// reasons. Alternatives which were attempted:
            /// 1. Create a temp array of the correct length and pass it to crypt. This
            ///    works but needlessly allocates an array. But more importantly this
            ///    requires choosing an array type (Array or Uint8Array) in discard, and
            ///    choosing a different type than will be passed to crypt by the client
            ///    code hurts the javascript engines ability to optimize crypt (7x hit in
            ///    v8).
            /// 2. Make data option in crypt so discard can pass null, this has a huge
            ///    perf hit for crypt.</summary>
            /// <param name="length" type="number">Number of bytes to disregard from the stream.</param>
        }, 
        
        crypt: function(data, opt_length) {
            /// <summary>En- or decrypt (same operation for streamciphers like ARC4)</summary>
            /// <param name="data" type="Array.number|Uint8Array">The data to be xor-ed in place.</param>
            /// <param name="opt_length" type="number=">The number of bytes to crypt.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.crypt.Arc4";
})(this);
