
/* vsdoc for goog.crypt.BlobHasher */

(function (window) {
    window.goog.crypt = window.goog.crypt || {};

    window.goog.crypt.BlobHasher = function(hashFn, opt_blockSize){
        /// <summary></summary>
        /// <param name="hashFn" type="!goog.crypt.Hash">The hash function to use.</param>
        /// <param name="opt_blockSize" type="number=">Processing block size.</param>
        /// <field name="EventType" type="">Event names for hash computation events</field>
        /// <returns type="goog.crypt.BlobHasher"/>
    };

    var $x = window.goog.crypt.BlobHasher;
    $x.prototype = {
                
        hash: function(blob) {
            /// <summary>Start the hash computation.</summary>
            /// <param name="blob" type="!Blob">The blob of data to compute the hash for.</param>
        }, 
        
        abort: function() {
            /// <summary>Abort hash computation.</summary>
        }, 
        
        getBytesProcessed: function() {
            /// <summary></summary>
            /// <returns type="number">Number of bytes processed so far.</returns>
        }, 
        
        getHash: function() {
            /// <summary></summary>
            /// <returns type="Array.number">The computed hash value or null if not ready.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.crypt.BlobHasher";
})(this);
