
/* vsdoc for goog.crypt.Cbc */

(function (window) {
    window.goog.crypt = window.goog.crypt || {};

    window.goog.crypt.Cbc = function(cipher, opt_blockSize){
        /// <summary></summary>
        /// <param name="cipher" type="!goog.crypt.BlockCipher">The block cipher to use.</param>
        /// <param name="opt_blockSize" type="number=">The block size of the cipher in bytes.
        ///     Defaults to 16 bytes.</param>
        /// <returns type="goog.crypt.Cbc"/>
    };

    var $x = window.goog.crypt.Cbc;
    $x.prototype = {
                
        encrypt: function(plainText, initialVector) {
            /// <summary>Encrypt a message.</summary>
            /// <param name="plainText" type="!Array.number">Message to encrypt. An array of bytes.
            ///     The length should be a multiple of the block size.</param>
            /// <param name="initialVector" type="!Array.number">Initial vector for the CBC mode.
            ///     An array of bytes with the same length as the block size.</param>
            /// <returns type="!Array.number">Encrypted message.</returns>
        }, 
        
        decrypt: function(cipherText, initialVector) {
            /// <summary>Decrypt a message.</summary>
            /// <param name="cipherText" type="!Array.number">Message to decrypt. An array of bytes.
            ///     The length should be a multiple of the block size.</param>
            /// <param name="initialVector" type="!Array.number">Initial vector for the CBC mode.
            ///     An array of bytes with the same length as the block size.</param>
            /// <returns type="!Array.number">Decrypted message.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.crypt.Cbc";
})(this);
