
/* vsdoc for goog.crypt.Hmac */

(function (window) {
    window.goog.crypt = window.goog.crypt || {};

    window.goog.crypt.Hmac = function(hasher, key, opt_blockSize){
        /// <summary></summary>
        /// <param name="hasher" type="!goog.crypt.Hash">An object to serve as a hash function.</param>
        /// <param name="key" type="Array.number">The secret key to use to calculate the hmac.
        ///     Should be an array of not more than {@code blockSize} integers in
        ///        {0, 255}.</param>
        /// <param name="opt_blockSize" type="number=">Optional. The block size {@code hasher} uses.
        ///     If not specified, 16.</param>
        /// <returns type="goog.crypt.Hmac"/>
    };

    var $x = window.goog.crypt.Hmac;
    $x.prototype = {
                
        reset: function() {
            /// <summary></summary>
        }, 
        
        update: function(bytes, opt_length) {
            /// <summary></summary>
            /// <param name="bytes" type=""></param>
            /// <param name="opt_length" type=""></param>
        }, 
        
        digest: function() {
            /// <summary></summary>
        }, 
        
        getHmac: function(message) {
            /// <summary>Calculates an HMAC for a given message.</summary>
            /// <param name="message" type="Array.number">An array of integers in {0, 255}.</param>
            /// <returns type="Array">the digest of the given message.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.crypt.Hmac";
})(this);
