
/* vsdoc for goog.crypt.base64 */

(function (window) {
    window.goog.crypt = window.goog.crypt || {};

    window.goog.crypt.base64 = {
        /// <summary></summary>
        /// <field name="ENCODED_VALS_BASE" type="string">Our default alphabet, shared between
        /// ENCODED_VALS and ENCODED_VALS_WEBSAFE</field>
        /// <field name="ENCODED_VALS" type="string">Our default alphabet. Value 64 (=) is special; it means &quot;nothing.&quot;</field>
        /// <field name="ENCODED_VALS_WEBSAFE" type="string">Our websafe alphabet.</field>
        /// <field name="HAS_NATIVE_SUPPORT" type="boolean">Whether this browser supports the atob and btoa functions. This extension
        /// started at Mozilla but is now implemented by many browsers. We use the
        /// ASSUME_* variables to avoid pulling in the full useragent detection library
        /// but still allowing the standard per-browser compilations.</field>
        /// <returns type="goog.crypt.base64"/>
                
        encodeByteArray: function(input, opt_webSafe) {
            /// <summary>Base64-encode an array of bytes.</summary>
            /// <param name="input" type="Array.number|Uint8Array">An array of bytes (numbers with
            ///     value in [0, 255]) to encode.</param>
            /// <param name="opt_webSafe" type="boolean=">Boolean indicating we should use the
            ///     alternative alphabet.</param>
            /// <returns type="string">The base64 encoded string.</returns>
        }, 
        
        encodeString: function(input, opt_webSafe) {
            /// <summary>Base64-encode a string.</summary>
            /// <param name="input" type="string">A string to encode.</param>
            /// <param name="opt_webSafe" type="boolean=">If true, we should use the
            ///     alternative alphabet.</param>
            /// <returns type="string">The base64 encoded string.</returns>
        }, 
        
        decodeString: function(input, opt_webSafe) {
            /// <summary>Base64-decode a string.</summary>
            /// <param name="input" type="string">to decode.</param>
            /// <param name="opt_webSafe" type="boolean=">True if we should use the
            ///     alternative alphabet.</param>
            /// <returns type="string">string representing the decoded value.</returns>
        }, 
        
        decodeStringToByteArray: function(input, opt_webSafe) {
            /// <summary>Base64-decode a string.</summary>
            /// <param name="input" type="string">to decode (length not required to be a multiple of 4).</param>
            /// <param name="opt_webSafe" type="boolean=">True if we should use the
            ///     alternative alphabet.</param>
            /// <returns type="Array">bytes representing the decoded value.</returns>
        }
        
    };

    var $x = window.goog.crypt.base64;
    $x.__namespace = "true";
    $x.__typeName = "goog.crypt.base64";
})(this);
