
/* vsdoc for goog.crypt.baseN */

(function (window) {
    window.goog.crypt = window.goog.crypt || {};

    window.goog.crypt.baseN = {
        /// <summary></summary>
        /// <field name="BASE_BINARY" type="string">Base-2, i.e. &apos;01&apos;.</field>
        /// <field name="BASE_OCTAL" type="string">Base-8, i.e. &apos;01234567&apos;.</field>
        /// <field name="BASE_DECIMAL" type="string">Base-10, i.e. &apos;0123456789&apos;.</field>
        /// <field name="BASE_LOWERCASE_HEXADECIMAL" type="string">Base-16 using lower case, i.e. &apos;0123456789abcdef&apos;.</field>
        /// <field name="BASE_UPPERCASE_HEXADECIMAL" type="string">Base-16 using upper case, i.e. &apos;0123456789ABCDEF&apos;.</field>
        /// <field name="BASE_64" type="string">The more-known version of the BASE-64 encoding.  Uses + and / characters.</field>
        /// <field name="BASE_64_URL_SAFE" type="string">URL-safe version of the BASE-64 encoding.</field>
        /// <returns type="goog.crypt.baseN"/>
                
        recodeString: function(number, inputBase, outputBase) {
            /// <summary>Converts a number from one numeric base to another.
            /// 
            /// The bases are represented as strings, which list allowed digits.  Each digit
            /// should be unique.  The bases can either be user defined, or any of
            /// goog.crypt.baseN.BASE_xxx.
            /// 
            /// The number is in human-readable format, most significant digit first, and is
            /// a non-negative integer.  Base designators such as $, 0x, d, b or h (at end)
            /// will be interpreted as digits, so avoid them.  Leading zeros will be trimmed.
            /// 
            /// Note: for huge bases the result may be inaccurate because of overflowing
            /// 64-bit doubles used by JavaScript for integer calculus.  This may happen
            /// if the product of the number of digits in the input and output bases comes
            /// close to 10^16, which is VERY unlikely (100M digits in each base), but
            /// may be possible in the future unicode world.  (Unicode 3.2 has less than 100K
            /// characters.  However, it reserves some more, close to 1M.)</summary>
            /// <param name="number" type="string">The number to convert.</param>
            /// <param name="inputBase" type="string">The numeric base the number is in (all digits).</param>
            /// <param name="outputBase" type="string">Requested numeric base.</param>
            /// <returns type="string">The converted number.</returns>
        }
        
    };

    var $x = window.goog.crypt.baseN;
    $x.__namespace = "true";
    $x.__typeName = "goog.crypt.baseN";
})(this);
