
/* vsdoc for goog.crypt.hash32 */

(function (window) {
    window.goog.crypt = window.goog.crypt || {};

    window.goog.crypt.hash32 = {
        /// <summary></summary>
        /// <field name="SEED32" type="number">Default seed used during hashing, digits of pie.
        /// See SEED32 in http://go/base.hash.java</field>
        /// <field name="CONSTANT32" type="number">Arbitrary constant used during hashing.
        /// See CONSTANT32 in http://go/base.hash.java</field>
        /// <returns type="goog.crypt.hash32"/>
                
        encodeString: function(str) {
            /// <summary>Hashes a string to a 32-bit value.</summary>
            /// <param name="str" type="string">String to hash.</param>
            /// <returns type="number">32-bit hash.</returns>
        }, 
        
        encodeStringUtf8: function(str) {
            /// <summary>Hashes a string to a 32-bit value, converting the string to UTF-8 before
            /// doing the encoding.</summary>
            /// <param name="str" type="string">String to hash.</param>
            /// <returns type="number">32-bit hash.</returns>
        }, 
        
        encodeInteger: function(value) {
            /// <summary>Hashes an integer to a 32-bit value.</summary>
            /// <param name="value" type="number">Number to hash.</param>
            /// <returns type="number">32-bit hash.</returns>
        }, 
        
        encodeByteArray: function(bytes, opt_offset, opt_length, opt_seed) {
            /// <summary>Hashes a &quot;byte&quot; array to a 32-bit value using the supplied seed.</summary>
            /// <param name="bytes" type="Array.number">Array of bytes.</param>
            /// <param name="opt_offset" type="number=">The starting position to use for hash
            /// computation.</param>
            /// <param name="opt_length" type="number=">Number of bytes that are used for hashing.</param>
            /// <param name="opt_seed" type="number=">The seed.</param>
            /// <returns type="number">32-bit hash.</returns>
        }
        
    };

    var $x = window.goog.crypt.hash32;
    $x.__namespace = "true";
    $x.__typeName = "goog.crypt.hash32";
})(this);
