
/* vsdoc for goog.cssom.iframe.style */

(function (window) {
    window.goog.cssom.iframe = window.goog.cssom.iframe || {};

    window.goog.cssom.iframe.style = {
        /// <summary></summary>
        /// <returns type="goog.cssom.iframe.style"/>
                
        resetDomCache: function() {
            /// <summary>Throw away all cached dom information. Call this if you&apos;ve modified
            /// the structure or class/id attributes of your document and you want
            /// to recalculate the currently applied CSS rules.</summary>
        }, 
        
        getElementContext: function(element, opt_forceRuleSetCacheUpdate, opt_copyBackgroundContext) {
            /// <summary>Reads the current css rules from element&apos;s document, and returns them
            /// rewriting selectors so that any rules that formerly applied to element will
            /// be applied to doc.body. This makes it possible to replace a block in a page
            /// with an iframe and preserve the css styling of the contents.</summary>
            /// <param name="element" type="Element">The element for which context should be calculated.</param>
            /// <param name="opt_forceRuleSetCacheUpdate" type="boolean=">Flag to force the internal
            ///     cache of rulesets to refresh itself before we read the same.</param>
            /// <param name="opt_copyBackgroundContext" type="boolean=">Flag indicating that if the
            ///     {@code element} has a transparent background, background rules
            ///     from the nearest ancestor element(s) that have background-color
            ///     and/or background-image set should be copied.</param>
            /// <returns type="string">String containing all CSS rules present in the original
            ///     document, with modified selectors.</returns>
        }, 
        
        getBackgroundContext: function(element) {
            /// <summary>Generates a set of CSS properties that can be used to make another
            /// element&apos;s background look like the background of a given element.
            /// This is useful when you want to copy the CSS context of an element,
            /// but the element&apos;s background is transparent. In the original context
            /// you would see the ancestor&apos;s backround color/image showing through,
            /// but in the new context there might be a something different underneath.
            /// Note that this assumes the element you&apos;re copying context from has a
            /// fairly standard positioning/layout - it assumes that when the element
            /// has a transparent background what you&apos;re going to see through it is its
            /// ancestors.</summary>
            /// <param name="element" type="Element">The element from which to copy background styles.</param>
            /// <returns type="Object">Object containing background* properties.</returns>
        }
        
    };

    var $x = window.goog.cssom.iframe.style;
    $x.__namespace = "true";
    $x.__typeName = "goog.cssom.iframe.style";
})(this);
