
/* vsdoc for goog.date.UtcDateTime */

(function (window) {
    window.goog.date = window.goog.date || {};

    window.goog.date.UtcDateTime = function(opt_year, opt_month, opt_date, opt_hours, opt_minutes, opt_seconds, opt_milliseconds){
        /// <summary></summary>
        /// <param name="opt_year" type="number|Object=">Four digit UTC year or a date-like object.
        ///     If not set, the created object will contain the date determined by
        ///     goog.now().</param>
        /// <param name="opt_month" type="number=">UTC month, 0 = Jan, 11 = Dec.</param>
        /// <param name="opt_date" type="number=">UTC date of month, 1 - 31.</param>
        /// <param name="opt_hours" type="number=">UTC hours, 0 - 23.</param>
        /// <param name="opt_minutes" type="number=">UTC minutes, 0 - 59.</param>
        /// <param name="opt_seconds" type="number=">UTC seconds, 0 - 59.</param>
        /// <param name="opt_milliseconds" type="number=">UTC milliseconds, 0 - 999.</param>
        /// <field name="getFullYear" type=""></field>
        /// <field name="getMonth" type=""></field>
        /// <field name="getDate" type=""></field>
        /// <field name="getHours" type=""></field>
        /// <field name="getMinutes" type=""></field>
        /// <field name="getSeconds" type=""></field>
        /// <field name="getMilliseconds" type=""></field>
        /// <field name="getDay" type=""></field>
        /// <field name="setFullYear" type=""></field>
        /// <field name="setMonth" type=""></field>
        /// <field name="setDate" type=""></field>
        /// <field name="setHours" type=""></field>
        /// <field name="setMinutes" type=""></field>
        /// <field name="setSeconds" type=""></field>
        /// <field name="setMilliseconds" type=""></field>
        /// <returns type="goog.date.UtcDateTime"/>
    };

    var $x = window.goog.date.UtcDateTime;
    $x.prototype = {
                
        fromIsoString: function(formatted) {
            /// <summary>Creates a DateTime from a UTC datetime string expressed in ISO 8601 format.</summary>
            /// <param name="formatted" type="string">A date or datetime expressed in ISO 8601 format.</param>
            /// <returns type="goog.date.UtcDateTime">Parsed date or null if parse fails.</returns>
        }, 
        
        clone: function() {
            /// <summary>Clones the UtcDateTime object.</summary>
            /// <returns type="!goog.date.UtcDateTime">A clone of the datetime object.</returns>
        }, 
        
        add: function(interval) {
            /// <summary></summary>
            /// <param name="interval" type=""></param>
        }, 
        
        getTimezoneOffset: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.date.UtcDateTime";
})(this);
