
/* vsdoc for goog.db.Index */

(function (window) {
    window.goog.db = window.goog.db || {};

    window.goog.db.Index = function(index){
        /// <summary></summary>
        /// <param name="index" type="!IDBIndex">Underlying IDBIndex object.</param>
        /// <returns type="goog.db.Index"/>
    };

    var $x = window.goog.db.Index;
    $x.prototype = {
                
        getName: function() {
            /// <summary></summary>
            /// <returns type="string">Name of the index.</returns>
        }, 
        
        getKeyPath: function() {
            /// <summary></summary>
            /// <returns type="string">Key path of the index.</returns>
        }, 
        
        isUnique: function() {
            /// <summary></summary>
            /// <returns type="boolean">True if the index enforces that there is only one object
            ///     for each unique value it indexes on.</returns>
        }, 
        
        get: function(value) {
            /// <summary>Fetches a single object from the object store. Even if there are multiple
            /// objects that match the given value, this method will get only one of them.</summary>
            /// <param name="value" type="!Object">Value to look up in the index.</param>
            /// <returns type="!goog.async.Deferred">The deferred object that matches the value.</returns>
        }, 
        
        getKey: function(value) {
            /// <summary>Looks up a single object from the object store and gives back the key that
            /// it&apos;s listed under in the object store. Even if there are multiple objects
            /// that match the given value, this method will only get one of their keys.</summary>
            /// <param name="value" type="!Object">Value to look up in the index.</param>
            /// <returns type="!goog.async.Deferred">The deferred key for the object that matches
            ///     the value.</returns>
        }, 
        
        getAll: function(opt_value) {
            /// <summary>Gets all indexed objects. If the value is provided, gets all indexed objects
            /// that match the value instead.</summary>
            /// <param name="opt_value" type="!Object=">Value to look up in the index.</param>
            /// <returns type="!goog.async.Deferred">A deferred array of objects that match the
            ///     value.</returns>
        }, 
        
        getAllKeys: function(opt_value) {
            /// <summary>Gets the keys to look up all the indexed objects. If the value is provided,
            /// gets all keys for objects that match the value instead.</summary>
            /// <param name="opt_value" type="!Object=">Value to look up in the index.</param>
            /// <returns type="!goog.async.Deferred">A deferred array of keys for objects that
            ///     match the value.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.db.Index";
})(this);
