
/* vsdoc for goog.db.KeyRange */

(function (window) {
    window.goog.db = window.goog.db || {};

    window.goog.db.KeyRange = function(range){
        /// <summary></summary>
        /// <param name="range" type="!IDBKeyRange">Underlying IDBKeyRange object.</param>
        /// <returns type="goog.db.KeyRange"/>
    };

    var $x = window.goog.db.KeyRange;
    $x.prototype = {
                
        only: function(key) {
            /// <summary>Creates a new key range for a single value.</summary>
            /// <param name="key" type="Object">The single value in the range.</param>
            /// <returns type="!goog.db.KeyRange">The key range.</returns>
        }, 
        
        bound: function(lower, upper, opt_lowerOpen, opt_upperOpen) {
            /// <summary>Creates a key range with upper and lower bounds.</summary>
            /// <param name="lower" type="Object">The value of the lower bound.</param>
            /// <param name="upper" type="Object">The value of the upper bound.</param>
            /// <param name="opt_lowerOpen" type="boolean=">If true, the range excludes the lower bound
            ///     value.</param>
            /// <param name="opt_upperOpen" type="boolean=">If true, the range excludes the upper bound
            ///     value.</param>
            /// <returns type="!goog.db.KeyRange">The key range.</returns>
        }, 
        
        lowerBound: function(lower, opt_lowerOpen) {
            /// <summary>Creates a key range with a lower bound only, finishes at the last record.</summary>
            /// <param name="lower" type="Object">The value of the lower bound.</param>
            /// <param name="opt_lowerOpen" type="boolean=">If true, the range excludes the lower bound
            ///     value.</param>
            /// <returns type="!goog.db.KeyRange">The key range.</returns>
        }, 
        
        upperBound: function(upper, opt_upperOpen) {
            /// <summary>Creates a key range with a upper bound only, starts at the first record.</summary>
            /// <param name="upper" type="Object">The value of the upper bound.</param>
            /// <param name="opt_upperOpen" type="boolean=">If true, the range excludes the upper bound
            ///     value.</param>
            /// <returns type="!goog.db.KeyRange">The key range.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.db.KeyRange";
})(this);
