
/* vsdoc for goog.db.Transaction */

(function (window) {
    window.goog.db = window.goog.db || {};

    window.goog.db.Transaction = function(tx){
        /// <summary></summary>
        /// <param name="tx" type="!IDBTransaction">IndexedDB transaction to back this wrapper.</param>
        /// <field name="EventTypes" type="">Event types the Transaction can dispatch. COMPLETE events are dispatched
        /// when the transaction is committed. If a transaction is aborted it dispatches
        /// both an ABORT event and an ERROR event with the ABORT_ERR code. Error events
        /// are dispatched on any error.</field>
        /// <field name="TransactionMode" type="">The three possible transaction modes.</field>
        /// <returns type="goog.db.Transaction"/>
    };

    var $x = window.goog.db.Transaction;
    $x.prototype = {
                
        getMode: function() {
            /// <summary></summary>
            /// <returns type="goog.db.Transaction.TransactionMode">The transaction&apos;s mode.</returns>
        }, 
        
        objectStore: function(name) {
            /// <summary>Opens an object store to do operations on in this transaction. The requested
            /// object store must be one that is in this transaction&apos;s scope.</summary>
            /// <param name="name" type="string">The name of the requested object store.</param>
            /// <returns type="!goog.db.ObjectStore">The wrapped object store.</returns>
        }, 
        
        abort: function() {
            /// <summary>Aborts this transaction. No pending operations will be applied to the
            /// database. Dispatches an ABORT event.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.db.Transaction";
})(this);
