
/* vsdoc for goog.debug.Console */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.Console = function(){
        /// <summary></summary>
        /// <field name="instance" type="goog.debug.Console">Global console logger instance</field>
        /// <returns type="goog.debug.Console"/>
    };

    var $x = window.goog.debug.Console;
    $x.prototype = {
                
        getFormatter: function() {
            /// <summary>Returns the text formatter used by this console</summary>
            /// <returns type="!goog.debug.TextFormatter">The text formatter.</returns>
        }, 
        
        setCapturing: function(capturing) {
            /// <summary>Sets whether we are currently capturing logger output.</summary>
            /// <param name="capturing" type="boolean">Whether to capture logger output.</param>
        }, 
        
        addLogRecord: function(logRecord) {
            /// <summary>Adds a log record.</summary>
            /// <param name="logRecord" type="goog.debug.LogRecord">The log entry.</param>
        }, 
        
        addFilter: function(loggerName) {
            /// <summary>Adds a logger name to be filtered.</summary>
            /// <param name="loggerName" type="string">the logger name to add.</param>
        }, 
        
        removeFilter: function(loggerName) {
            /// <summary>Removes a logger name to be filtered.</summary>
            /// <param name="loggerName" type="string">the logger name to remove.</param>
        }, 
        
        autoInstall: function() {
            /// <summary>Install the console and start capturing if &quot;Debug=true&quot; is in the page URL</summary>
        }, 
        
        show: function() {
            /// <summary>Show an alert with all of the captured debug information.
            /// Information is only captured if console is not available</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.Console";
})(this);
