
/* vsdoc for goog.debug.DivConsole */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.DivConsole = function(element){
        /// <summary></summary>
        /// <param name="element" type="Element">The element to append to.</param>
        /// <returns type="goog.debug.DivConsole"/>
    };

    var $x = window.goog.debug.DivConsole;
    $x.prototype = {
                
        installStyles: function() {
            /// <summary>Installs styles for the log messages and its div</summary>
        }, 
        
        setCapturing: function(capturing) {
            /// <summary>Sets whether we are currently capturing logger output.</summary>
            /// <param name="capturing" type="boolean">Whether to capture logger output.</param>
        }, 
        
        addLogRecord: function(logRecord) {
            /// <summary>Adds a log record.</summary>
            /// <param name="logRecord" type="goog.debug.LogRecord">The log entry.</param>
        }, 
        
        getFormatter: function() {
            /// <summary>Gets the formatter for outputting to the console. The default formatter
            /// is an instance of goog.debug.HtmlFormatter</summary>
            /// <returns type="goog.debug.Formatter">The formatter in use.</returns>
        }, 
        
        setFormatter: function(formatter) {
            /// <summary>Sets the formatter for outputting to the console.</summary>
            /// <param name="formatter" type="goog.debug.Formatter">The formatter to use.</param>
        }, 
        
        addSeparator: function() {
            /// <summary>Adds a separator to the debug window.</summary>
        }, 
        
        clear: function() {
            /// <summary>Clears the console.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.DivConsole";
})(this);
