
/* vsdoc for goog.debug.ErrorHandler */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.ErrorHandler = function(handler){
        /// <summary></summary>
        /// <param name="handler" type="Function">Handler for exceptions.</param>
        /// <returns type="goog.debug.ErrorHandler"/>
    };

    var $x = window.goog.debug.ErrorHandler;
    $x.prototype = {
                
        setAddTracersToProtectedFunctions: function(newVal) {
            /// <summary>Enable tracers when instrumenting entry points.</summary>
            /// <param name="newVal" type="boolean">See above.</param>
        }, 
        
        wrap: function(fn) {
            /// <summary></summary>
            /// <param name="fn" type=""></param>
        }, 
        
        unwrap: function(fn) {
            /// <summary></summary>
            /// <param name="fn" type=""></param>
        }, 
        
        protectEntryPoint: function(fn) {
            /// <summary>Installs exception protection for an entry point function. When an exception
            /// is thrown from a protected function, a handler will be invoked to handle it.</summary>
            /// <param name="fn" type="Function">An entry point function to be protected.</param>
            /// <returns type="!Function">A protected wrapper function that calls the entry point
            ///     function.</returns>
        }, 
        
        getProtectedFunction: function(fn) {
            /// <summary>Helps {@link #protectEntryPoint} by actually creating the protected
            /// wrapper function, after {@link #protectEntryPoint} determines that one does
            /// not already exist for the given function.  Can be overriden by subclasses
            /// that may want to implement different error handling, or add additional
            /// entry point hooks.</summary>
            /// <param name="fn" type="!Function">An entry point function to be protected.</param>
            /// <returns type="!Function">protected wrapper function.</returns>
        }, 
        
        protectWindowSetTimeout: function() {
            /// <summary>Installs exception protection for window.setTimeout to handle exceptions.</summary>
        }, 
        
        protectWindowSetInterval: function() {
            /// <summary>Install exception protection for window.setInterval to handle exceptions.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.ErrorHandler";
})(this);
