
/* vsdoc for goog.debug.Formatter */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.Formatter = function(opt_prefix){
        /// <summary></summary>
        /// <param name="opt_prefix" type="string=">The prefix to place before text records.</param>
        /// <field name="showAbsoluteTime" type="boolean">Whether to show absolute time in the DebugWindow.</field>
        /// <field name="showRelativeTime" type="boolean">Whether to show relative time in the DebugWindow.</field>
        /// <field name="showLoggerName" type="boolean">Whether to show the logger name in the DebugWindow.</field>
        /// <field name="showExceptionText" type="boolean">Whether to show the logger exception text.</field>
        /// <field name="showSeverityLevel" type="boolean">Whether to show the severity level.</field>
        /// <field name="formatRecord" type="string">Formats a record.</field>
        /// <returns type="goog.debug.Formatter"/>
    };

    var $x = window.goog.debug.Formatter;
    $x.prototype = {
                
        setStartTimeProvider: function(provider) {
            /// <summary>Sets the start time provider. By default, this is the default instance
            /// but can be changed.</summary>
            /// <param name="provider" type="goog.debug.RelativeTimeProvider">The provider to use.</param>
        }, 
        
        getStartTimeProvider: function() {
            /// <summary>Returns the start time provider. By default, this is the default instance
            /// but can be changed.</summary>
            /// <returns type="goog.debug.RelativeTimeProvider">The start time provider.</returns>
        }, 
        
        resetRelativeTimeStart: function() {
            /// <summary>Resets the start relative time.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.Formatter";
})(this);
