
/* vsdoc for goog.debug.LogBuffer */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.LogBuffer = function(){
        /// <summary></summary>
        /// <field name="CAPACITY" type=""></field>
        /// <returns type="goog.debug.LogBuffer"/>
    };

    var $x = window.goog.debug.LogBuffer;
    $x.prototype = {
                
        getInstance: function() {
            /// <summary>A static method that always returns the same instance of LogBuffer.</summary>
            /// <returns type="!goog.debug.LogBuffer">The LogBuffer singleton instance.</returns>
        }, 
        
        addRecord: function(level, msg, loggerName) {
            /// <summary>Adds a log record to the buffer, possibly overwriting the oldest record.</summary>
            /// <param name="level" type="goog.debug.Logger.Level">One of the level identifiers.</param>
            /// <param name="msg" type="string">The string message.</param>
            /// <param name="loggerName" type="string">The name of the source logger.</param>
            /// <returns type="!goog.debug.LogRecord">The log record.</returns>
        }, 
        
        isBufferingEnabled: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the log buffer is enabled.</returns>
        }, 
        
        clear: function() {
            /// <summary>Removes all buffered log records.</summary>
        }, 
        
        forEachRecord: function(func) {
            /// <summary>Calls the given function for each buffered log record, starting with the
            /// oldest one.</summary>
            /// <param name="func" type="function(!goog.debug.LogRecord)">The function to call.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.LogBuffer";
})(this);
