
/* vsdoc for goog.debug.Logger.Level */

(function (window) {
    window.goog.debug.Logger = window.goog.debug.Logger || {};

    window.goog.debug.Logger.Level = function(name, value){
        /// <summary></summary>
        /// <param name="name" type="string">The name of the level.</param>
        /// <param name="value" type="number">The numeric value of the level.</param>
        /// <field name="name" type="string">The name of the level</field>
        /// <field name="value" type="number">The numeric value of the level</field>
        /// <field name="OFF" type="!goog.debug.Logger.Level">OFF is a special level that can be used to turn off logging.
        /// This level is initialized to &lt;CODE&gt;Number.MAX_VALUE&lt;/CODE&gt;.</field>
        /// <field name="SHOUT" type="!goog.debug.Logger.Level">SHOUT is a message level for extra debugging loudness.
        /// This level is initialized to &lt;CODE&gt;1200&lt;/CODE&gt;.</field>
        /// <field name="SEVERE" type="!goog.debug.Logger.Level">SEVERE is a message level indicating a serious failure.
        /// This level is initialized to &lt;CODE&gt;1000&lt;/CODE&gt;.</field>
        /// <field name="WARNING" type="!goog.debug.Logger.Level">WARNING is a message level indicating a potential problem.
        /// This level is initialized to &lt;CODE&gt;900&lt;/CODE&gt;.</field>
        /// <field name="INFO" type="!goog.debug.Logger.Level">INFO is a message level for informational messages.
        /// This level is initialized to &lt;CODE&gt;800&lt;/CODE&gt;.</field>
        /// <field name="CONFIG" type="!goog.debug.Logger.Level">CONFIG is a message level for static configuration messages.
        /// This level is initialized to &lt;CODE&gt;700&lt;/CODE&gt;.</field>
        /// <field name="FINE" type="!goog.debug.Logger.Level">FINE is a message level providing tracing information.
        /// This level is initialized to &lt;CODE&gt;500&lt;/CODE&gt;.</field>
        /// <field name="FINER" type="!goog.debug.Logger.Level">FINER indicates a fairly detailed tracing message.
        /// This level is initialized to &lt;CODE&gt;400&lt;/CODE&gt;.</field>
        /// <field name="FINEST" type="!goog.debug.Logger.Level">FINEST indicates a highly detailed tracing message.
        /// This level is initialized to &lt;CODE&gt;300&lt;/CODE&gt;.</field>
        /// <field name="ALL" type="!goog.debug.Logger.Level">ALL indicates that all messages should be logged.
        /// This level is initialized to &lt;CODE&gt;Number.MIN_VALUE&lt;/CODE&gt;.</field>
        /// <field name="PREDEFINED_LEVELS" type="!Array.<!goog.debug.Logger.Level>">The predefined levels.</field>
        /// <returns type="goog.debug.Logger.Level"/>
    };

    var $x = window.goog.debug.Logger.Level;
    $x.prototype = {
                
        toString: function() {
            /// <summary></summary>
            /// <returns type="string">String representation of the logger level.</returns>
        }, 
        
        getPredefinedLevel: function(name) {
            /// <summary>Gets the predefined level with the given name.</summary>
            /// <param name="name" type="string">The name of the level.</param>
            /// <returns type="goog.debug.Logger.Level">The level, or null if none found.</returns>
        }, 
        
        getPredefinedLevelByValue: function(value) {
            /// <summary>Gets the highest predefined level <= #value.</summary>
            /// <param name="value" type="number">Level value.</param>
            /// <returns type="goog.debug.Logger.Level">The level, or null if none found.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.debug.Logger.Level";
})(this);
