
/* vsdoc for goog.debug.logRecordSerializer */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.logRecordSerializer = {
        /// <summary></summary>
        /// <returns type="goog.debug.logRecordSerializer"/>
                
        serialize: function(record) {
            /// <summary>Serializes a LogRecord to a JSON string.  Note that any associated
            /// exception is likely to be lost.</summary>
            /// <param name="record" type="goog.debug.LogRecord">The record to serialize.</param>
            /// <returns type="string">Serialized JSON string of the log message.</returns>
        }, 
        
        parse: function(s) {
            /// <summary>Deserializes a JSON-serialized LogRecord.</summary>
            /// <param name="s" type="string">The JSON serialized record.</param>
            /// <returns type="!goog.debug.LogRecord">The deserialized record.</returns>
        }, 
        
        unsafeParse: function(s) {
            /// <summary>Deserializes a JSON-serialized LogRecord.  Use this only if you&apos;re
            /// naive enough to blindly trust any JSON formatted input that comes
            /// your way.</summary>
            /// <param name="s" type="string">The JSON serialized record.</param>
            /// <returns type="!goog.debug.LogRecord">The deserialized record.</returns>
        }
        
    };

    var $x = window.goog.debug.logRecordSerializer;
    $x.__namespace = "true";
    $x.__typeName = "goog.debug.logRecordSerializer";
})(this);
