
/* vsdoc for goog.debug.reflect */

(function (window) {
    window.goog.debug = window.goog.debug || {};

    window.goog.debug.reflect = {
        /// <summary></summary>
        /// <returns type="goog.debug.reflect"/>
                
        className: function(classConstructor) {
            /// <summary>Returns the name of a type of object.</summary>
            /// <param name="classConstructor" type="!Function">A object constructor to get the name of.</param>
            /// <returns type="string|undefined">The string name of the class.</returns>
        }, 
        
        typeOf: function(obj) {
            /// <summary>Guesses the real type of the object, even if its {@code toString} method is
            /// overridden. Gives exact result for all goog.provided classes in non-compiled
            /// code, and some often used native classes in compiled code too. Not tested in
            /// multi-frame environment.
            /// 
            /// Example use case to get better type information in the Watch tab of FireBug:
            /// &lt;pre&gt;
            /// Object.prototype.toString = function() {
            ///   return goog.debug.reflect.typeOf(this);
            /// };
            /// &lt;/pre&gt;</summary>
            /// <param name="obj" type="*">An arbitrary variable to get the type of.</param>
            /// <returns type="string">The namespaced type of the argument or &apos;Object&apos; if didn&apos;t
            ///     manage to determine it. Warning: in IE7 ActiveX (including DOM) objects
            ///     don&apos;t expose their type to JavaScript. Their {@code constructor}
            ///     property is undefined and they are not even the instances of the
            ///     {@code Object} type. This method will recognize them as &apos;ActiveXObject&apos;.</returns>
        }
        
    };

    var $x = window.goog.debug.reflect;
    $x.__namespace = "true";
    $x.__typeName = "goog.debug.reflect";
})(this);
