
/* vsdoc for goog.demos.SampleComponent */

(function (window) {
    window.goog.demos = window.goog.demos || {};

    window.goog.demos.SampleComponent = function(opt_label, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_label" type="string=">A label to display. Defaults to &quot;Click Me&quot; if none
        ///     provided.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">DOM helper to use.</param>
        /// <returns type="goog.demos.SampleComponent"/>
    };

    var $x = window.goog.demos.SampleComponent;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Creates an initial DOM representation for the component.</summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary>Decorates an existing HTML DIV element as a SampleComponent.</summary>
            /// <param name="element" type="Element">The DIV element to decorate. The element&apos;s
            ///    text, if any will be used as the component&apos;s label.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        enterDocument: function() {
            /// <summary>Called when component&apos;s element is known to be in the document.</summary>
        }, 
        
        exitDocument: function() {
            /// <summary>Called when component&apos;s element is known to have been removed from the
            /// document.</summary>
        }, 
        
        getLabelText: function() {
            /// <summary>Gets the current label text.</summary>
            /// <returns type="string">The current text set into the label, or empty string if
            ///     none set.</returns>
        }, 
        
        setLabelText: function(text) {
            /// <summary>Sets the current label text. Has no effect if component is not rendered.</summary>
            /// <param name="text" type="string">The text to set as the label.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.demos.SampleComponent";
})(this);
