
/* vsdoc for goog.dom.MultiRange */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.MultiRange = function(){
        /// <summary></summary>
        /// <returns type="goog.dom.MultiRange"/>
    };

    var $x = window.goog.dom.MultiRange;
    $x.prototype = {
                
        createFromBrowserSelection: function(selection) {
            /// <summary>Creates a new range wrapper from the given browser selection object.  Do not
            /// use this method directly - please use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="selection" type="Selection">The browser selection object.</param>
            /// <returns type="goog.dom.MultiRange">A range wrapper object.</returns>
        }, 
        
        createFromBrowserRanges: function(browserRanges) {
            /// <summary>Creates a new range wrapper from the given browser ranges.  Do not
            /// use this method directly - please use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="browserRanges" type="Array.Range">The browser ranges.</param>
            /// <returns type="goog.dom.MultiRange">A range wrapper object.</returns>
        }, 
        
        createFromTextRanges: function(textRanges) {
            /// <summary>Creates a new range wrapper from the given goog.dom.TextRange objects.  Do
            /// not use this method directly - please use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="textRanges" type="Array.goog.dom.TextRange">The text range objects.</param>
            /// <returns type="goog.dom.MultiRange">A range wrapper object.</returns>
        }, 
        
        clone: function() {
            /// <summary></summary>
            /// <returns type="goog.dom.MultiRange">A clone of this range.</returns>
        }, 
        
        getType: function() {
            /// <summary></summary>
        }, 
        
        getBrowserRangeObject: function() {
            /// <summary></summary>
        }, 
        
        setBrowserRangeObject: function(nativeRange) {
            /// <summary></summary>
            /// <param name="nativeRange" type=""></param>
        }, 
        
        getTextRangeCount: function() {
            /// <summary></summary>
        }, 
        
        getTextRange: function(i) {
            /// <summary></summary>
            /// <param name="i" type=""></param>
        }, 
        
        getContainer: function() {
            /// <summary></summary>
        }, 
        
        getSortedRanges: function() {
            /// <summary></summary>
            /// <returns type="Array.goog.dom.TextRange">An array of sub-ranges, sorted by start
            ///     point.</returns>
        }, 
        
        getStartNode: function() {
            /// <summary></summary>
        }, 
        
        getStartOffset: function() {
            /// <summary></summary>
        }, 
        
        getEndNode: function() {
            /// <summary></summary>
        }, 
        
        getEndOffset: function() {
            /// <summary></summary>
        }, 
        
        isRangeInDocument: function() {
            /// <summary></summary>
        }, 
        
        isCollapsed: function() {
            /// <summary></summary>
        }, 
        
        getText: function() {
            /// <summary></summary>
        }, 
        
        getHtmlFragment: function() {
            /// <summary></summary>
        }, 
        
        getValidHtml: function() {
            /// <summary></summary>
        }, 
        
        getPastableHtml: function() {
            /// <summary></summary>
        }, 
        
        select: function() {
            /// <summary></summary>
        }, 
        
        removeContents: function() {
            /// <summary></summary>
        }, 
        
        saveUsingDom: function() {
            /// <summary></summary>
        }, 
        
        collapse: function(toAnchor) {
            /// <summary>Collapses this range to a single point, either the first or last point
            /// depending on the parameter.  This will result in the number of ranges in this
            /// multi range becoming 1.</summary>
            /// <param name="toAnchor" type="boolean">Whether to collapse to the anchor.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.MultiRange";
})(this);
