
/* vsdoc for goog.dom.SavedCaretRange */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.SavedCaretRange = function(range){
        /// <summary></summary>
        /// <param name="range" type="goog.dom.AbstractRange">The range being saved.</param>
        /// <field name="CARET_REGEX" type="RegExp">A regex that will match all saved range carets in a string.</field>
        /// <returns type="goog.dom.SavedCaretRange"/>
    };

    var $x = window.goog.dom.SavedCaretRange;
    $x.prototype = {
                
        toAbstractRange: function() {
            /// <summary>Gets the range that this SavedCaretRage represents, without selecting it
            /// or removing the carets from the DOM.</summary>
            /// <returns type="goog.dom.AbstractRange?">An abstract range.</returns>
        }, 
        
        getCaret: function(start) {
            /// <summary>Gets carets.</summary>
            /// <param name="start" type="boolean">If true, returns the start caret. Otherwise, get the
            ///     end caret.</param>
            /// <returns type="Element">The start or end caret in the given document.</returns>
        }, 
        
        removeCarets: function(opt_range) {
            /// <summary>Removes the carets from the current restoration document.</summary>
            /// <param name="opt_range" type="goog.dom.AbstractRange=">A range whose offsets have already
            ///     been adjusted for caret removal; it will be adjusted if it is also
            ///     affected by post-removal operations, such as text node normalization.</param>
            /// <returns type="goog.dom.AbstractRange|undefined">The adjusted range, if opt_range
            ///     was provided.</returns>
        }, 
        
        setRestorationDocument: function(doc) {
            /// <summary>Sets the document where the range will be restored.</summary>
            /// <param name="doc" type="!Document">An HTML document.</param>
        }, 
        
        restoreInternal: function() {
            /// <summary>Reconstruct the selection from the given saved range. Removes carets after
            /// restoring the selection. If restore does not dispose this saved range, it may
            /// only be restored a second time if innerHTML or some other mechanism is used
            /// to restore the carets to the dom.</summary>
            /// <returns type="goog.dom.AbstractRange?">Restored selection.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary>Dispose the saved range and remove the carets from the DOM.</summary>
        }, 
        
        htmlEqual: function(str1, str2) {
            /// <summary>Returns whether two strings of html are equal, ignoring any saved carets.
            /// Thus two strings of html whose only difference is the id of their saved
            /// carets will be considered equal, since they represent html with the
            /// same selection.</summary>
            /// <param name="str1" type="string">The first string.</param>
            /// <param name="str2" type="string">The second string.</param>
            /// <returns type="boolean">Whether two strings of html are equal, ignoring any
            ///     saved carets.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.SavedCaretRange";
})(this);
