
/* vsdoc for goog.dom.TextRange */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.TextRange = function(){
        /// <summary></summary>
        /// <returns type="goog.dom.TextRange"/>
    };

    var $x = window.goog.dom.TextRange;
    $x.prototype = {
                
        createFromBrowserRange: function(range, opt_isReversed) {
            /// <summary>Create a new range wrapper from the given browser range object.  Do not use
            /// this method directly - please use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="range" type="Range|TextRange">The browser range object.</param>
            /// <param name="opt_isReversed" type="boolean=">Whether the focus node is before the anchor
            ///     node.</param>
            /// <returns type="goog.dom.TextRange">A range wrapper object.</returns>
        }, 
        
        createFromNodeContents: function(node, opt_isReversed) {
            /// <summary>Create a new range wrapper that selects the given node&apos;s text.  Do not use
            /// this method directly - please use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="node" type="Node">The node to select.</param>
            /// <param name="opt_isReversed" type="boolean=">Whether the focus node is before the anchor
            ///     node.</param>
            /// <returns type="goog.dom.TextRange">A range wrapper object.</returns>
        }, 
        
        createFromNodes: function(anchorNode, anchorOffset, focusNode, focusOffset) {
            /// <summary>Create a new range wrapper that selects the area between the given nodes,
            /// accounting for the given offsets.  Do not use this method directly - please
            /// use goog.dom.Range.createFrom* instead.</summary>
            /// <param name="anchorNode" type="Node">The node to start with.</param>
            /// <param name="anchorOffset" type="number">The offset within the node to start.</param>
            /// <param name="focusNode" type="Node">The node to end with.</param>
            /// <param name="focusOffset" type="number">The offset within the node to end.</param>
            /// <returns type="goog.dom.TextRange">A range wrapper object.</returns>
        }, 
        
        clone: function() {
            /// <summary></summary>
            /// <returns type="goog.dom.TextRange">A clone of this range.</returns>
        }, 
        
        getType: function() {
            /// <summary></summary>
        }, 
        
        getBrowserRangeObject: function() {
            /// <summary></summary>
        }, 
        
        setBrowserRangeObject: function(nativeRange) {
            /// <summary></summary>
            /// <param name="nativeRange" type=""></param>
        }, 
        
        getTextRangeCount: function() {
            /// <summary></summary>
        }, 
        
        getTextRange: function(i) {
            /// <summary></summary>
            /// <param name="i" type=""></param>
        }, 
        
        getContainer: function() {
            /// <summary></summary>
        }, 
        
        getStartNode: function() {
            /// <summary></summary>
        }, 
        
        getStartOffset: function() {
            /// <summary></summary>
        }, 
        
        getEndNode: function() {
            /// <summary></summary>
        }, 
        
        getEndOffset: function() {
            /// <summary></summary>
        }, 
        
        moveToNodes: function(startNode, startOffset, endNode, endOffset, isReversed) {
            /// <summary>Moves a TextRange to the provided nodes and offsets.</summary>
            /// <param name="startNode" type="Node">The node to start with.</param>
            /// <param name="startOffset" type="number">The offset within the node to start.</param>
            /// <param name="endNode" type="Node">The node to end with.</param>
            /// <param name="endOffset" type="number">The offset within the node to end.</param>
            /// <param name="isReversed" type="boolean">Whether the range is reversed.</param>
        }, 
        
        isReversed: function() {
            /// <summary></summary>
        }, 
        
        containsRange: function(otherRange, opt_allowPartial) {
            /// <summary></summary>
            /// <param name="otherRange" type=""></param>
            /// <param name="opt_allowPartial" type=""></param>
        }, 
        
        isAttachedNode: function(node) {
            /// <summary>Tests if the given node is in a document.</summary>
            /// <param name="node" type="Node">The node to check.</param>
            /// <returns type="boolean">Whether the given node is in the given document.</returns>
        }, 
        
        isRangeInDocument: function() {
            /// <summary></summary>
        }, 
        
        isCollapsed: function() {
            /// <summary></summary>
        }, 
        
        getText: function() {
            /// <summary></summary>
        }, 
        
        getHtmlFragment: function() {
            /// <summary></summary>
        }, 
        
        getValidHtml: function() {
            /// <summary></summary>
        }, 
        
        getPastableHtml: function() {
            /// <summary></summary>
        }, 
        
        select: function() {
            /// <summary></summary>
        }, 
        
        removeContents: function() {
            /// <summary></summary>
        }, 
        
        surroundContents: function(element) {
            /// <summary>Surrounds the text range with the specified element (on Mozilla) or with a
            /// clone of the specified element (on IE).  Returns a reference to the
            /// surrounding element if the operation was successful; returns null if the
            /// operation failed.</summary>
            /// <param name="element" type="Element">The element with which the selection is to be
            ///    surrounded.</param>
            /// <returns type="Element">The surrounding element (same as the argument on Mozilla,
            ///    but not on IE), or null if unsuccessful.</returns>
        }, 
        
        insertNode: function(node, before) {
            /// <summary></summary>
            /// <param name="node" type=""></param>
            /// <param name="before" type=""></param>
        }, 
        
        surroundWithNodes: function(startNode, endNode) {
            /// <summary></summary>
            /// <param name="startNode" type=""></param>
            /// <param name="endNode" type=""></param>
        }, 
        
        saveUsingDom: function() {
            /// <summary></summary>
        }, 
        
        collapse: function(toAnchor) {
            /// <summary></summary>
            /// <param name="toAnchor" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.TextRange";
})(this);
