
/* vsdoc for goog.dom.ViewportSizeMonitor */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.ViewportSizeMonitor = function(opt_window){
        /// <summary></summary>
        /// <param name="opt_window" type="Window=">The window to monitor; defaults to the window in
        ///    which this code is executing.</param>
        /// <field name="WINDOW_SIZE_POLL_RATE" type="number">Rate in milliseconds at which to poll the window size on browsers that
        /// need polling.</field>
        /// <returns type="goog.dom.ViewportSizeMonitor"/>
    };

    var $x = window.goog.dom.ViewportSizeMonitor;
    $x.prototype = {
                
        getInstanceForWindow: function(opt_window) {
            /// <summary>Returns a viewport size monitor for the given window.  A new one is created
            /// if it doesn&apos;t exist already.  This prevents the unnecessary creation of
            /// multiple spooling monitors for a window.</summary>
            /// <param name="opt_window" type="Window=">The window to monitor; defaults to the window in
            ///     which this code is executing.</param>
            /// <returns type="goog.dom.ViewportSizeMonitor">Monitor for the given window.</returns>
        }, 
        
        removeInstanceForWindow: function(opt_window) {
            /// <summary>Removes and disposes a viewport size monitor for the given window if one
            /// exists.</summary>
            /// <param name="opt_window" type="Window=">The window whose monitor should be removed;
            ///     defaults to the window in which this code is executing.</param>
        }, 
        
        getSize: function() {
            /// <summary>Returns the most recently recorded size of the viewport, in pixels.  May
            /// return null if no window resize event has been handled yet.</summary>
            /// <returns type="goog.math.Size">The viewport dimensions, in pixels.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.ViewportSizeMonitor";
})(this);
