
/* vsdoc for goog.dom.browserrange */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.browserrange = {
        /// <summary></summary>
        /// <field name="Error" type="">Common error constants.</field>
        /// <returns type="goog.dom.browserrange"/>
                
        createRange: function(range) {
            /// <summary>Static method that returns the proper type of browser range.</summary>
            /// <param name="range" type="Range|TextRange">A browser range object.</param>
            /// <returns type="goog.dom.browserrange.AbstractRange">A wrapper object.</returns>
        }, 
        
        createRangeFromNodeContents: function(node) {
            /// <summary>Static method that returns the proper type of browser range.</summary>
            /// <param name="node" type="Node">The node to select.</param>
            /// <returns type="goog.dom.browserrange.AbstractRange">A wrapper object.</returns>
        }, 
        
        createRangeFromNodes: function(startNode, startOffset, endNode, endOffset) {
            /// <summary>Static method that returns the proper type of browser range.</summary>
            /// <param name="startNode" type="Node">The node to start with.</param>
            /// <param name="startOffset" type="number">The offset within the node to start.  This is
            ///     either the index into the childNodes array for element startNodes or
            ///     the index into the character array for text startNodes.</param>
            /// <param name="endNode" type="Node">The node to end with.</param>
            /// <param name="endOffset" type="number">The offset within the node to end.  This is
            ///     either the index into the childNodes array for element endNodes or
            ///     the index into the character array for text endNodes.</param>
            /// <returns type="goog.dom.browserrange.AbstractRange">A wrapper object.</returns>
        }, 
        
        canContainRangeEndpoint: function(node) {
            /// <summary>Tests whether the given node can contain a range end point.</summary>
            /// <param name="node" type="Node">The node to check.</param>
            /// <returns type="boolean">Whether the given node can contain a range end point.</returns>
        }
        
    };

    var $x = window.goog.dom.browserrange;
    $x.__namespace = "true";
    $x.__typeName = "goog.dom.browserrange";
})(this);
