
/* vsdoc for goog.dom.browserrange.AbstractRange */

(function (window) {
    window.goog.dom.browserrange = window.goog.dom.browserrange || {};

    window.goog.dom.browserrange.AbstractRange = function(){
        /// <summary></summary>
        /// <field name="clone" type="goog.dom.browserrange.AbstractRange"></field>
        /// <field name="getBrowserRange" type="Range|TextRange">Returns the browser native implementation of the range.  Please refrain from
        /// using this function - if you find you need the range please add wrappers for
        /// the functionality you need rather than just using the native range.</field>
        /// <field name="getContainer" type="Node">Returns the deepest node in the tree that contains the entire range.</field>
        /// <field name="getStartNode" type="Node">Returns the node the range starts in.</field>
        /// <field name="getStartOffset" type="number">Returns the offset into the node the range starts in.</field>
        /// <field name="getEndNode" type="Node">Returns the node the range ends in.</field>
        /// <field name="getEndOffset" type="number">Returns the offset into the node the range ends in.</field>
        /// <field name="compareBrowserRangeEndpoints" type="number">Compares one endpoint of this range with the endpoint of another browser
        /// native range object.</field>
        /// <field name="isCollapsed" type="boolean">Tests if the selection is collapsed - i.e. is just a caret.</field>
        /// <field name="getText" type="string"></field>
        /// <field name="getValidHtml" type="string">Returns valid HTML for this range.  This is fast on IE, and semi-fast on
        /// other browsers.</field>
        /// <field name="select" type="">Set this range as the selection in its window.</field>
        /// <field name="removeContents" type="">Removes the contents of the range from the document.  As a side effect, the
        /// selection will be collapsed.  The behavior of content removal is normalized
        /// across browsers.  For instance, IE sometimes creates extra text nodes that
        /// a W3C browser does not.  That behavior is corrected for.</field>
        /// <field name="surroundContents" type="Element">Surrounds the text range with the specified element (on Mozilla) or with a
        /// clone of the specified element (on IE).  Returns a reference to the
        /// surrounding element if the operation was successful; returns null if the
        /// operation failed.</field>
        /// <field name="insertNode" type="Node">Inserts a node before (or after) the range.  The range may be disrupted
        /// beyond recovery because of the way this splits nodes.</field>
        /// <field name="surroundWithNodes" type="">Surrounds this range with the two given nodes.  The range may be disrupted
        /// beyond recovery because of the way this splits nodes.</field>
        /// <field name="collapse" type="">Collapses the range to one of its boundary points.</field>
        /// <returns type="goog.dom.browserrange.AbstractRange"/>
    };

    var $x = window.goog.dom.browserrange.AbstractRange;
    $x.prototype = {
                
        containsRange: function(abstractRange, opt_allowPartial) {
            /// <summary>Tests if this range contains the given range.</summary>
            /// <param name="abstractRange" type="goog.dom.browserrange.AbstractRange">The range to test.</param>
            /// <param name="opt_allowPartial" type="boolean=">If not set or false, the range must be
            ///     entirely contained in the selection for this function to return true.</param>
            /// <returns type="boolean">Whether this range contains the given range.</returns>
        }, 
        
        containsNode: function(node, opt_allowPartial) {
            /// <summary>Tests if this range contains the given node.</summary>
            /// <param name="node" type="Node">The node to test.</param>
            /// <param name="opt_allowPartial" type="boolean=">If not set or false, the node must be
            ///     entirely contained in the selection for this function to return true.</param>
            /// <returns type="boolean">Whether this range contains the given node.</returns>
        }, 
        
        getHtmlFragment: function() {
            /// <summary>Returns the HTML fragment this range selects.  This is slow on all browsers.</summary>
            /// <returns type="string">HTML fragment of the range, does not include context
            ///     containing elements.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.browserrange.AbstractRange";
})(this);
