
/* vsdoc for goog.dom.browserrange.IeRange */

(function (window) {
    window.goog.dom.browserrange = window.goog.dom.browserrange || {};

    window.goog.dom.browserrange.IeRange = function(range, doc){
        /// <summary></summary>
        /// <param name="range" type="TextRange">The range object.</param>
        /// <param name="doc" type="Document">The document the range exists in.</param>
        /// <returns type="goog.dom.browserrange.IeRange"/>
    };

    var $x = window.goog.dom.browserrange.IeRange;
    $x.prototype = {
                
        createFromNodeContents: function(node) {
            /// <summary>Create a range object that selects the given node&apos;s text.</summary>
            /// <param name="node" type="Node">The node to select.</param>
            /// <returns type="goog.dom.browserrange.IeRange">An IE range wrapper object.</returns>
        }, 
        
        createFromNodes: function(startNode, startOffset, endNode, endOffset) {
            /// <summary>Static method that returns the proper type of browser range.</summary>
            /// <param name="startNode" type="Node">The node to start with.</param>
            /// <param name="startOffset" type="number">The offset within the start node.</param>
            /// <param name="endNode" type="Node">The node to end with.</param>
            /// <param name="endOffset" type="number">The offset within the end node.</param>
            /// <returns type="goog.dom.browserrange.AbstractRange">A wrapper object.</returns>
        }, 
        
        clone: function() {
            /// <summary></summary>
            /// <returns type="goog.dom.browserrange.IeRange">A clone of this range.</returns>
        }, 
        
        getBrowserRange: function() {
            /// <summary></summary>
        }, 
        
        getContainer: function() {
            /// <summary></summary>
        }, 
        
        getStartNode: function() {
            /// <summary></summary>
        }, 
        
        getStartOffset: function() {
            /// <summary></summary>
        }, 
        
        getEndNode: function() {
            /// <summary></summary>
        }, 
        
        getEndOffset: function() {
            /// <summary></summary>
        }, 
        
        compareBrowserRangeEndpoints: function(range, thisEndpoint, otherEndpoint) {
            /// <summary></summary>
            /// <param name="range" type=""></param>
            /// <param name="thisEndpoint" type=""></param>
            /// <param name="otherEndpoint" type=""></param>
        }, 
        
        isRangeInDocument: function() {
            /// <summary>Tests whether this range is valid (i.e. whether its endpoints are still in
            /// the document).  A range becomes invalid when, after this object was created,
            /// either one or both of its endpoints are removed from the document.  Use of
            /// an invalid range can lead to runtime errors, particularly in IE.</summary>
            /// <returns type="boolean">Whether the range is valid.</returns>
        }, 
        
        isCollapsed: function() {
            /// <summary></summary>
        }, 
        
        getText: function() {
            /// <summary></summary>
        }, 
        
        getValidHtml: function() {
            /// <summary></summary>
        }, 
        
        select: function(opt_reverse) {
            /// <summary></summary>
            /// <param name="opt_reverse" type=""></param>
        }, 
        
        removeContents: function() {
            /// <summary></summary>
        }, 
        
        surroundContents: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        insertNode: function(node, before) {
            /// <summary></summary>
            /// <param name="node" type=""></param>
            /// <param name="before" type=""></param>
        }, 
        
        surroundWithNodes: function(startNode, endNode) {
            /// <summary></summary>
            /// <param name="startNode" type=""></param>
            /// <param name="endNode" type=""></param>
        }, 
        
        collapse: function(toStart) {
            /// <summary></summary>
            /// <param name="toStart" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.browserrange.IeRange";
})(this);
