
/* vsdoc for goog.dom.browserrange.W3cRange */

(function (window) {
    window.goog.dom.browserrange = window.goog.dom.browserrange || {};

    window.goog.dom.browserrange.W3cRange = function(range){
        /// <summary></summary>
        /// <param name="range" type="Range">The range object.</param>
        /// <returns type="goog.dom.browserrange.W3cRange"/>
    };

    var $x = window.goog.dom.browserrange.W3cRange;
    $x.prototype = {
                
        getBrowserRangeForNode: function(node) {
            /// <summary>Returns a browser range spanning the given node&apos;s contents.</summary>
            /// <param name="node" type="Node">The node to select.</param>
            /// <returns type="Range">A browser range spanning the node&apos;s contents.</returns>
        }, 
        
        getBrowserRangeForNodes: function(startNode, startOffset, endNode, endOffset) {
            /// <summary>Returns a browser range spanning the given nodes.</summary>
            /// <param name="startNode" type="Node">The node to start with - should not be a BR.</param>
            /// <param name="startOffset" type="number">The offset within the start node.</param>
            /// <param name="endNode" type="Node">The node to end with - should not be a BR.</param>
            /// <param name="endOffset" type="number">The offset within the end node.</param>
            /// <returns type="Range">A browser range spanning the node&apos;s contents.</returns>
        }, 
        
        createFromNodeContents: function(node) {
            /// <summary>Creates a range object that selects the given node&apos;s text.</summary>
            /// <param name="node" type="Node">The node to select.</param>
            /// <returns type="goog.dom.browserrange.W3cRange">A Gecko range wrapper object.</returns>
        }, 
        
        createFromNodes: function(startNode, startOffset, endNode, endOffset) {
            /// <summary>Creates a range object that selects between the given nodes.</summary>
            /// <param name="startNode" type="Node">The node to start with.</param>
            /// <param name="startOffset" type="number">The offset within the start node.</param>
            /// <param name="endNode" type="Node">The node to end with.</param>
            /// <param name="endOffset" type="number">The offset within the end node.</param>
            /// <returns type="goog.dom.browserrange.W3cRange">A wrapper object.</returns>
        }, 
        
        clone: function() {
            /// <summary></summary>
            /// <returns type="goog.dom.browserrange.W3cRange">A clone of this range.</returns>
        }, 
        
        getBrowserRange: function() {
            /// <summary></summary>
        }, 
        
        getContainer: function() {
            /// <summary></summary>
        }, 
        
        getStartNode: function() {
            /// <summary></summary>
        }, 
        
        getStartOffset: function() {
            /// <summary></summary>
        }, 
        
        getEndNode: function() {
            /// <summary></summary>
        }, 
        
        getEndOffset: function() {
            /// <summary></summary>
        }, 
        
        compareBrowserRangeEndpoints: function(range, thisEndpoint, otherEndpoint) {
            /// <summary></summary>
            /// <param name="range" type=""></param>
            /// <param name="thisEndpoint" type=""></param>
            /// <param name="otherEndpoint" type=""></param>
        }, 
        
        isCollapsed: function() {
            /// <summary></summary>
        }, 
        
        getText: function() {
            /// <summary></summary>
        }, 
        
        getValidHtml: function() {
            /// <summary></summary>
        }, 
        
        select: function(reverse) {
            /// <summary></summary>
            /// <param name="reverse" type=""></param>
        }, 
        
        selectInternal: function(selection, reverse) {
            /// <summary>Select this range.</summary>
            /// <param name="selection" type="Selection">Browser selection object.</param>
            /// <param name="reverse" type="*">Whether to select this range in reverse.</param>
        }, 
        
        removeContents: function() {
            /// <summary></summary>
        }, 
        
        surroundContents: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        insertNode: function(node, before) {
            /// <summary></summary>
            /// <param name="node" type=""></param>
            /// <param name="before" type=""></param>
        }, 
        
        surroundWithNodes: function(startNode, endNode) {
            /// <summary></summary>
            /// <param name="startNode" type=""></param>
            /// <param name="endNode" type=""></param>
        }, 
        
        collapse: function(toStart) {
            /// <summary></summary>
            /// <param name="toStart" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.browserrange.W3cRange";
})(this);
