
/* vsdoc for goog.dom.browserrange.WebKitRange */

(function (window) {
    window.goog.dom.browserrange = window.goog.dom.browserrange || {};

    window.goog.dom.browserrange.WebKitRange = function(range){
        /// <summary></summary>
        /// <param name="range" type="Range">The range object.</param>
        /// <returns type="goog.dom.browserrange.WebKitRange"/>
    };

    var $x = window.goog.dom.browserrange.WebKitRange;
    $x.prototype = {
                
        createFromNodeContents: function(node) {
            /// <summary>Creates a range object that selects the given node&apos;s text.</summary>
            /// <param name="node" type="Node">The node to select.</param>
            /// <returns type="goog.dom.browserrange.WebKitRange">A WebKit range wrapper object.</returns>
        }, 
        
        createFromNodes: function(startNode, startOffset, endNode, endOffset) {
            /// <summary>Creates a range object that selects between the given nodes.</summary>
            /// <param name="startNode" type="Node">The node to start with.</param>
            /// <param name="startOffset" type="number">The offset within the start node.</param>
            /// <param name="endNode" type="Node">The node to end with.</param>
            /// <param name="endOffset" type="number">The offset within the end node.</param>
            /// <returns type="goog.dom.browserrange.WebKitRange">A wrapper object.</returns>
        }, 
        
        compareBrowserRangeEndpoints: function(range, thisEndpoint, otherEndpoint) {
            /// <summary></summary>
            /// <param name="range" type=""></param>
            /// <param name="thisEndpoint" type=""></param>
            /// <param name="otherEndpoint" type=""></param>
        }, 
        
        selectInternal: function(selection, reversed) {
            /// <summary></summary>
            /// <param name="selection" type=""></param>
            /// <param name="reversed" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.browserrange.WebKitRange";
})(this);
