
/* vsdoc for goog.dom.fullscreen */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.fullscreen = {
        /// <summary></summary>
        /// <field name="EventType" type="">Event types for full screen.</field>
        /// <returns type="goog.dom.fullscreen"/>
                
        isSupported: function(opt_domHelper) {
            /// <summary>Determines if full screen is supported.</summary>
            /// <param name="opt_domHelper" type="!goog.dom.DomHelper=">The DomHelper for the DOM being
            ///     queried. If not provided, use the current DOM.</param>
            /// <returns type="boolean">True iff full screen is supported.</returns>
        }, 
        
        requestFullScreen: function(element) {
            /// <summary>Requests putting the element in full screen.</summary>
            /// <param name="element" type="!Element">The element to put full screen.</param>
        }, 
        
        requestFullScreenWithKeys: function(element) {
            /// <summary>Requests putting the element in full screen with full keyboard access.</summary>
            /// <param name="element" type="!Element">The element to put full screen.</param>
        }, 
        
        exitFullScreen: function(opt_domHelper) {
            /// <summary>Exits full screen.</summary>
            /// <param name="opt_domHelper" type="!goog.dom.DomHelper=">The DomHelper for the DOM being
            ///     queried. If not provided, use the current DOM.</param>
        }, 
        
        isFullScreen: function(opt_domHelper) {
            /// <summary>Determines if the document is full screen.</summary>
            /// <param name="opt_domHelper" type="!goog.dom.DomHelper=">The DomHelper for the DOM being
            ///     queried. If not provided, use the current DOM.</param>
            /// <returns type="boolean">Whether the document is full screen.</returns>
        }
        
    };

    var $x = window.goog.dom.fullscreen;
    $x.__namespace = "true";
    $x.__typeName = "goog.dom.fullscreen";
})(this);
