
/* vsdoc for goog.dom.pattern */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.pattern = {
        /// <summary></summary>
        /// <field name="callback" type=""></field>
        /// <field name="BREAKING_TEXTNODE_RE" type="RegExp">Regular expression for breaking text nodes.</field>
        /// <field name="MatchType" type="">When matched to a token, a pattern may return any of the following statuses:
        ///  &lt;ol&gt;
        ///    &lt;li&gt;&lt;code&gt;NO_MATCH&lt;/code&gt; - The pattern does not match.  This is the only
        ///      value that evaluates to &lt;code&gt;false&lt;/code&gt; in a boolean context.
        ///    &lt;li&gt;&lt;code&gt;MATCHING&lt;/code&gt; - The token is part of an incomplete match.
        ///    &lt;li&gt;&lt;code&gt;MATCH&lt;/code&gt; - The token completes a match.
        ///    &lt;li&gt;&lt;code&gt;BACKTRACK_MATCH&lt;/code&gt; - The token does not match, but indicates
        ///      the end of a repetitive match.  For instance, in regular expressions,
        ///      the pattern &lt;code&gt;/a+/&lt;/code&gt; would match &lt;code&gt;&apos;aaaaaaaab&apos;&lt;/code&gt;.
        ///      Every &lt;code&gt;&apos;a&apos;&lt;/code&gt; token would give a status of
        ///      &lt;code&gt;MATCHING&lt;/code&gt; while the &lt;code&gt;&apos;b&apos;&lt;/code&gt; token would give a
        ///      status of &lt;code&gt;BACKTRACK_MATCH&lt;/code&gt;.
        ///  &lt;/ol&gt;</field>
        /// <returns type="goog.dom.pattern"/>
                
        matchStringOrRegex: function(obj, str) {
            /// <summary>Utility function to match a string against either a string or a regular
            /// expression.</summary>
            /// <param name="obj" type="string|RegExp">Either a string or a regular expression.</param>
            /// <param name="str" type="string">The string to match.</param>
            /// <returns type="boolean">Whether the strings are equal, or if the string matches
            ///     the regular expression.</returns>
        }, 
        
        matchStringOrRegexMap: function(elem, index, orig) {
            /// <summary>Utility function to match a DOM attribute against either a string or a
            /// regular expression.  Conforms to the interface spec for
            /// {@link goog.object#every}.</summary>
            /// <param name="elem" type="string|RegExp">Either a string or a regular expression.</param>
            /// <param name="index" type="string">The attribute name to match.</param>
            /// <param name="orig" type="Object">The original map of matches to test.</param>
            /// <returns type="boolean">Whether the strings are equal, or if the attribute matches
            ///     the regular expression.</returns>
        }
        
    };

    var $x = window.goog.dom.pattern;
    $x.__namespace = "true";
    $x.__typeName = "goog.dom.pattern";
})(this);
