
/* vsdoc for goog.dom.pattern.ChildMatches */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.ChildMatches = function(childPattern, opt_minimumMatches){
        /// <summary></summary>
        /// <param name="childPattern" type="goog.dom.pattern.AbstractPattern">Pattern to collect
        ///     child matches of.</param>
        /// <param name="opt_minimumMatches" type="number=">Enforce a minimum nuber of matches.
        ///     Defaults to 0.</param>
        /// <returns type="goog.dom.pattern.ChildMatches"/>
    };

    var $x = window.goog.dom.pattern.ChildMatches;
    $x.prototype = {
                
        matchToken: function(token, type) {
            /// <summary>Test whether the given token is on the same level.</summary>
            /// <param name="token" type="Node">Token to match against.</param>
            /// <param name="type" type="goog.dom.TagWalkType">The type of token.</param>
            /// <returns type="goog.dom.pattern.MatchType">{@code MATCHING} if the token is on the
            ///     same level or deeper and {@code BACKTRACK_MATCH} if not.</returns>
        }, 
        
        reset: function() {
            /// <summary>Reset any internal state this pattern keeps.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.ChildMatches";
})(this);
