
/* vsdoc for goog.dom.pattern.FullTag */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.FullTag = function(tag, opt_attrs, opt_styles, opt_test){
        /// <summary></summary>
        /// <param name="tag" type="string|RegExp">Name of the tag.  Also will accept a regular
        ///     expression to match against the tag name.</param>
        /// <param name="opt_attrs" type="Object=">Optional map of attribute names to desired values.
        ///     This pattern will only match when all attributes are present and match
        ///     the string or regular expression value provided here.</param>
        /// <param name="opt_styles" type="Object=">Optional map of CSS style names to desired
        ///     values. This pattern will only match when all styles are present and
        ///     match the string or regular expression value provided here.</param>
        /// <param name="opt_test" type="Function=">Optional function that takes the element as a
        ///     parameter and returns true if this pattern should match it.</param>
        /// <returns type="goog.dom.pattern.FullTag"/>
    };

    var $x = window.goog.dom.pattern.FullTag;
    $x.prototype = {
                
        matchToken: function(token, type) {
            /// <summary>Test whether the given token is a start tag token which matches the tag name,
            /// style, and attributes provided in the constructor.</summary>
            /// <param name="token" type="Node">Token to match against.</param>
            /// <param name="type" type="goog.dom.TagWalkType">The type of token.</param>
            /// <returns type="goog.dom.pattern.MatchType">&lt;code&gt;MATCH&lt;/code&gt; at the end of our
            ///    tag, &lt;code&gt;MATCHING&lt;/code&gt; if we are within the tag, and
            ///    &lt;code&gt;NO_MATCH&lt;/code&gt; if the starting tag does not match.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.FullTag";
})(this);
