
/* vsdoc for goog.dom.pattern.Repeat */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.Repeat = function(pattern, opt_minimum, opt_maximum){
        /// <summary></summary>
        /// <param name="pattern" type="goog.dom.pattern.AbstractPattern">The pattern to
        ///     repetitively match.</param>
        /// <param name="opt_minimum" type="number=">The minimum number of times to match.  Defaults
        ///     to 0.</param>
        /// <param name="opt_maximum" type="number=">The maximum number of times to match.  Defaults
        ///     to unlimited.</param>
        /// <field name="count" type="number">Number of times the pattern has matched.</field>
        /// <returns type="goog.dom.pattern.Repeat"/>
    };

    var $x = window.goog.dom.pattern.Repeat;
    $x.prototype = {
                
        matchToken: function(token, type) {
            /// <summary>Test whether the given token continues a repeated series of matches of the
            /// pattern given in the constructor.</summary>
            /// <param name="token" type="Node">Token to match against.</param>
            /// <param name="type" type="goog.dom.TagWalkType">The type of token.</param>
            /// <returns type="goog.dom.pattern.MatchType">&lt;code&gt;MATCH&lt;/code&gt; if the pattern
            ///     matches, &lt;code&gt;BACKTRACK_MATCH&lt;/code&gt; if the pattern does not match
            ///     but already had accumulated matches, &lt;code&gt;MATCHING&lt;/code&gt; if the pattern
            ///     starts a match, and &lt;code&gt;NO_MATCH&lt;/code&gt; if the pattern does not match.</returns>
        }, 
        
        reset: function() {
            /// <summary>Reset any internal state this pattern keeps.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.Repeat";
})(this);
