
/* vsdoc for goog.dom.pattern.Sequence */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.Sequence = function(patterns, opt_ignoreWhitespace){
        /// <summary></summary>
        /// <param name="patterns" type="Array.goog.dom.pattern.AbstractPattern">Ordered array of
        ///     patterns to match.</param>
        /// <param name="opt_ignoreWhitespace" type="boolean=">Optional flag to ignore text nodes
        ///     consisting entirely of whitespace.  The default is to not ignore them.</param>
        /// <returns type="goog.dom.pattern.Sequence"/>
    };

    var $x = window.goog.dom.pattern.Sequence;
    $x.prototype = {
                
        matchToken: function(token, type) {
            /// <summary>Test whether the given token starts, continues, or finishes the sequence
            /// of patterns given in the constructor.</summary>
            /// <param name="token" type="Node">Token to match against.</param>
            /// <param name="type" type="goog.dom.TagWalkType">The type of token.</param>
            /// <returns type="goog.dom.pattern.MatchType">&lt;code&gt;MATCH&lt;/code&gt; if the pattern
            ///     matches, &lt;code&gt;MATCHING&lt;/code&gt; if the pattern starts a match, and
            ///     &lt;code&gt;NO_MATCH&lt;/code&gt; if the pattern does not match.</returns>
        }, 
        
        reset: function() {
            /// <summary>Reset any internal state this pattern keeps.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.dom.pattern.Sequence";
})(this);
