
/* vsdoc for goog.dom.pattern.callback */

(function (window) {
    window.goog.dom.pattern = window.goog.dom.pattern || {};

    window.goog.dom.pattern.callback = {
        /// <summary></summary>
        /// <returns type="goog.dom.pattern.callback"/>
                
        removeNode: function(node, position) {
            /// <summary>Callback function for use in {@link goog.dom.pattern.Matcher.addPattern}
            /// that removes the matched node from the tree.  Should be used in conjunciton
            /// with a {@link goog.dom.pattern.StartTag} pattern.</summary>
            /// <param name="node" type="Node">The node matched by the pattern.</param>
            /// <param name="position" type="goog.dom.TagIterator">The position where the match
            ///     finished.</param>
            /// <returns type="boolean">Returns true to indicate tree changes were made.</returns>
        }, 
        
        flattenElement: function(node, position) {
            /// <summary>Callback function for use in {@link goog.dom.pattern.Matcher.addPattern}
            /// that removes the matched node from the tree and replaces it with its
            /// children.  Should be used in conjunction with a
            /// {@link goog.dom.pattern.StartTag} pattern.</summary>
            /// <param name="node" type="Element">The node matched by the pattern.</param>
            /// <param name="position" type="goog.dom.TagIterator">The position where the match
            ///     finished.</param>
            /// <returns type="boolean">Returns true to indicate tree changes were made.</returns>
        }
        
    };

    var $x = window.goog.dom.pattern.callback;
    $x.__namespace = "true";
    $x.__typeName = "goog.dom.pattern.callback";
})(this);
