
/* vsdoc for goog.dom.xml */

(function (window) {
    window.goog.dom = window.goog.dom || {};

    window.goog.dom.xml = {
        /// <summary></summary>
        /// <field name="MAX_XML_SIZE_KB" type="number">Max XML size for MSXML2.  Used to prevent potential DoS attacks.</field>
        /// <field name="MAX_ELEMENT_DEPTH" type="number">Max XML size for MSXML2.  Used to prevent potential DoS attacks.</field>
        /// <returns type="goog.dom.xml"/>
                
        createDocument: function(opt_rootTagName, opt_namespaceUri) {
            /// <summary>Creates an XML document appropriate for the current JS runtime</summary>
            /// <param name="opt_rootTagName" type="string=">The root tag name.</param>
            /// <param name="opt_namespaceUri" type="string=">Namespace URI of the document element.</param>
            /// <returns type="Document">The new document.</returns>
        }, 
        
        loadXml: function(xml) {
            /// <summary>Creates an XML document from a string</summary>
            /// <param name="xml" type="string">The text.</param>
            /// <returns type="Document">XML document from the text.</returns>
        }, 
        
        serialize: function(xml) {
            /// <summary>Serializes an XML document or subtree to string.</summary>
            /// <param name="xml" type="Document|Element">The document or the root node of the subtree.</param>
            /// <returns type="string">The serialized XML.</returns>
        }, 
        
        selectSingleNode: function(node, path) {
            /// <summary>Selects a single node using an Xpath expression and a root node</summary>
            /// <param name="node" type="Node">The root node.</param>
            /// <param name="path" type="string">Xpath selector.</param>
            /// <returns type="Node">The selected node, or null if no matching node.</returns>
        }, 
        
        selectNodes: function(node, path) {
            /// <summary>Selects multiple nodes using an Xpath expression and a root node</summary>
            /// <param name="node" type="Node">The root node.</param>
            /// <param name="path" type="string">Xpath selector.</param>
            /// <returns type="(NodeList|Array.Node)">The selected nodes, or empty array if no
            ///     matching nodes.</returns>
        }, 
        
        setAttributes: function(element, attributes) {
            /// <summary>Sets multiple attributes on an element. Differs from goog.dom.setProperties
            /// in that it exclusively uses the element&apos;s setAttributes method. Use this
            /// when you need to ensure that the exact property is available as an attribute
            /// and can be read later by the native getAttribute method.</summary>
            /// <param name="element" type="!Element">XML or DOM element to set attributes on.</param>
            /// <param name="attributes" type="!Object.string|string">Map of property:value pairs.</param>
        }
        
    };

    var $x = window.goog.dom.xml;
    $x.__namespace = "true";
    $x.__typeName = "goog.dom.xml";
})(this);
