
/* vsdoc for goog.ds.BaseDataNode */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.BaseDataNode = function(){
        /// <summary></summary>
        /// <field name="set" type="">Set the value of the node</field>
        /// <field name="getDataName" type="string">Get the name of the node relative to the parent node</field>
        /// <field name="load" type="">Load or reload the backing data for this node</field>
        /// <field name="getParent" type="Function">Gets the parent node. Subclasses implement this function</field>
        /// <returns type="goog.ds.BaseDataNode"/>
    };

    var $x = window.goog.ds.BaseDataNode;
    $x.prototype = {
                
        getChildNodes: function(opt_selector) {
            /// <summary>Gets all of the child nodes of the current node.
            /// Should return an empty DataNode list if no child nodes.</summary>
            /// <param name="opt_selector" type="string=">String selector to choose child nodes.</param>
            /// <returns type="goog.ds.DataNodeList">The child nodes.</returns>
        }, 
        
        getChildNode: function(name, opt_canCreate) {
            /// <summary>Gets a named child node of the current node</summary>
            /// <param name="name" type="string">The node name.</param>
            /// <param name="opt_canCreate" type="boolean=">Whether you can create the child node if
            ///     it doesn&apos;t exist already.</param>
            /// <returns type="goog.ds.DataNode">The child node, or null if no node of
            ///     this name exists and opt_create is false.</returns>
        }, 
        
        getChildNodeValue: function(name) {
            /// <summary>Gets the value of a child node</summary>
            /// <param name="name" type="string">The node name.</param>
            /// <returns type="Object">The value of the node, or null if no value or the
            ///     child node doesn&apos;t exist.</returns>
        }, 
        
        getDataPath: function() {
            /// <summary>Gets the a qualified data path to this node</summary>
            /// <returns type="string">The data path.</returns>
        }, 
        
        getLoadState: function() {
            /// <summary>Gets the state of the backing data for this node</summary>
            /// <returns type="goog.ds.LoadState">The state.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.BaseDataNode";
})(this);
