
/* vsdoc for goog.ds.BasicNodeList */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.BasicNodeList = function(opt_nodes){
        /// <summary></summary>
        /// <param name="opt_nodes" type="Array.goog.ds.DataNode=">optional nodes to add to list.</param>
        /// <returns type="goog.ds.BasicNodeList"/>
    };

    var $x = window.goog.ds.BasicNodeList;
    $x.prototype = {
                
        add: function(node) {
            /// <summary>Add a node to the node list.
            /// If the node has a dataName, uses this for the key in the map.
            /// TODO(user) Remove function as well</summary>
            /// <param name="node" type="goog.ds.DataNode">The node to add.</param>
        }, 
        
        get: function(key) {
            /// <summary>Get a node by string key.
            /// Returns null if node doesn&apos;t exist.</summary>
            /// <param name="key" type="string">String lookup key.</param>
            /// <returns type="goog.ds.DataNode">The node, or null if doesn&apos;t exist.</returns>
        }, 
        
        getByIndex: function(index) {
            /// <summary>Get a node by index
            /// Returns null if the index is out of range</summary>
            /// <param name="index" type="number">The index of the node.</param>
            /// <returns type="goog.ds.DataNode">The node, or null if doesn&apos;t exist.</returns>
        }, 
        
        getCount: function() {
            /// <summary>Gets the size of the node list</summary>
            /// <returns type="number">The size of the list.</returns>
        }, 
        
        setNode: function(name, node) {
            /// <summary>Sets a node in the list of a given name</summary>
            /// <param name="name" type="string">Name of the node.</param>
            /// <param name="node" type="goog.ds.DataNode">The node.</param>
        }, 
        
        removeNode: function(name) {
            /// <summary>Removes a node in the list of a given name</summary>
            /// <param name="name" type="string">Name of the node.</param>
            /// <returns type="boolean">True if node existed and was deleted.</returns>
        }, 
        
        indexOf: function(name) {
            /// <summary>Get the index of a named node</summary>
            /// <param name="name" type="string">The name of the node to get the index of.</param>
            /// <returns type="number|undefined">The index.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.BasicNodeList";
})(this);
