
/* vsdoc for goog.ds.JsDataSource */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.JsDataSource = function(root, dataName, opt_parent){
        /// <summary></summary>
        /// <param name="root" type="Object">The root JS node.</param>
        /// <param name="dataName" type="string">The name of this node relative to the parent node.</param>
        /// <param name="opt_parent" type="Object=">Optional parent of this JsDataSource.
        /// 
        /// implements goog.ds.DataNode.</param>
        /// <returns type="goog.ds.JsDataSource"/>
    };

    var $x = window.goog.ds.JsDataSource;
    $x.prototype = {
                
        setRoot: function(root) {
            /// <summary>Sets the root JS object</summary>
            /// <param name="root" type="Object">The root JS object. Can be null.</param>
        }, 
        
        get: function() {
            /// <summary></summary>
        }, 
        
        set: function(value) {
            /// <summary>Set the value of the node</summary>
            /// <param name="value" type="*">The new value of the node.</param>
        }, 
        
        getChildNodes: function(opt_selector) {
            /// <summary>TODO(user) revisit lazy creation.</summary>
            /// <param name="opt_selector" type=""></param>
        }, 
        
        getChildNode: function(name, opt_canCreate) {
            /// <summary>Gets a named child node of the current node</summary>
            /// <param name="name" type="string">The node name.</param>
            /// <param name="opt_canCreate" type="boolean=">If true, can create child node.</param>
            /// <returns type="goog.ds.DataNode">The child node, or null if no node of
            ///     this name exists.</returns>
        }, 
        
        getChildNodeValue: function(name) {
            /// <summary>Gets the value of a child node</summary>
            /// <param name="name" type="string">The node name.</param>
            /// <returns type="Object">The value of the node, or null if no value or the child
            ///    node doesn&apos;t exist.</returns>
        }, 
        
        setChildNode: function(name, value) {
            /// <summary>Sets a named child node of the current node.
            /// If value is null, removes the child node.</summary>
            /// <param name="name" type="string">The node name.</param>
            /// <param name="value" type="Object">The value to set, can be DataNode, object,
            ///     property, or null.</param>
            /// <returns type="Object">The child node, if set.</returns>
        }, 
        
        getDataName: function() {
            /// <summary>Get the name of the node relative to the parent node</summary>
            /// <returns type="string">The name of the node.</returns>
        }, 
        
        setDataName: function(dataName) {
            /// <summary>Setthe name of the node relative to the parent node</summary>
            /// <param name="dataName" type="string">The name of the node.</param>
        }, 
        
        getDataPath: function() {
            /// <summary>Gets the a qualified data path to this node</summary>
            /// <returns type="string">The data path.</returns>
        }, 
        
        load: function() {
            /// <summary>Load or reload the backing data for this node</summary>
        }, 
        
        getLoadState: function() {
            /// <summary>Gets the state of the backing data for this node
            /// TODO(user) Discuss null value handling</summary>
            /// <returns type="goog.ds.LoadState">The state.</returns>
        }, 
        
        isList: function() {
            /// <summary>Whether the value of this node is a homogeneous list of data</summary>
            /// <returns type="boolean">True if a list.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.JsDataSource";
})(this);
