
/* vsdoc for goog.ds.JsXmlHttpDataSource */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.JsXmlHttpDataSource = function(uri, name, opt_startText, opt_endText, opt_usePost){
        /// <summary></summary>
        /// <param name="uri" type="string || goog.Uri">URI for the request.</param>
        /// <param name="name" type="string">Name of the datasource.</param>
        /// <param name="opt_startText" type="string=">Text to expect/strip before JS response.</param>
        /// <param name="opt_endText" type="string=">Text to expect/strip after JS response.</param>
        /// <param name="opt_usePost" type="boolean=">If true, use POST. Defaults to false (GET).</param>
        /// <returns type="goog.ds.JsXmlHttpDataSource"/>
    };

    var $x = window.goog.ds.JsXmlHttpDataSource;
    $x.prototype = {
                
        getLoadState: function() {
            /// <summary>Gets the state of the backing data for this node</summary>
            /// <returns type="goog.ds.LoadState">The state.</returns>
        }, 
        
        setQueryData: function(data) {
            /// <summary>Sets the request data. This can be used if it is required to
            /// send a specific body rather than build the body from the query
            /// parameters. Only used in POST requests.</summary>
            /// <param name="data" type="string">The data to send in the request body.</param>
        }, 
        
        load: function() {
            /// <summary>Load or reload the backing data for this node.
            /// Fires the JsonDataSource</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.JsXmlHttpDataSource";
})(this);
