
/* vsdoc for goog.ds.JsonDataSource */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.JsonDataSource = function(uri, name, opt_callbackParamName){
        /// <summary></summary>
        /// <param name="uri" type="string|goog.Uri">URI for the request.</param>
        /// <param name="name" type="string">Name of the datasource.</param>
        /// <param name="opt_callbackParamName" type="string=">The parameter name that is used to
        ///     specify the callback. Defaults to &apos;callback&apos;.</param>
        /// <returns type="goog.ds.JsonDataSource"/>
    };

    var $x = window.goog.ds.JsonDataSource;
    $x.prototype = {
                
        load: function() {
            /// <summary>Load or reload the backing data for this node.
            /// Fires the JsonDataSource</summary>
        }, 
        
        getLoadState: function() {
            /// <summary>Gets the state of the backing data for this node</summary>
            /// <returns type="goog.ds.LoadState">The state.</returns>
        }, 
        
        receiveData: function(obj) {
            /// <summary>Receives data from a Json request</summary>
            /// <param name="obj" type="Object">The JSON data.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.JsonDataSource";
})(this);
