
/* vsdoc for goog.ds.PrimitiveFastDataNode */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.PrimitiveFastDataNode = function(value, dataName, opt_parent){
        /// <summary></summary>
        /// <param name="value" type="number|boolean|string">Value the value to wrap.</param>
        /// <param name="dataName" type="string">name Name of this data node.</param>
        /// <param name="opt_parent" type="goog.ds.DataNode=">Parent of this data node.</param>
        /// <returns type="goog.ds.PrimitiveFastDataNode"/>
    };

    var $x = window.goog.ds.PrimitiveFastDataNode;
    $x.prototype = {
                
        get: function() {
            /// <summary>Returns the value of this data node.</summary>
            /// <returns type="(boolean|number|string)">Value of this data node.</returns>
        }, 
        
        set: function(value) {
            /// <summary>Sets this data node to a new value.</summary>
            /// <param name="value" type="*">Value to set data node to.</param>
        }, 
        
        getChildNodes: function() {
            /// <summary>Returns child nodes of this data node. Always returns an unmodifiable,
            /// empty list.</summary>
            /// <returns type="goog.ds.DataNodeList">(Empty) list of child nodes.</returns>
        }, 
        
        getChildNode: function(name) {
            /// <summary>Get a child node by name. Always returns null.</summary>
            /// <param name="name" type="string">Name of child node.</param>
            /// <returns type="goog.ds.DataNode">Child node.</returns>
        }, 
        
        getChildNodeValue: function(name) {
            /// <summary>Returns the value of a child node. Always returns null.</summary>
            /// <param name="name" type="string">Name of child node.</param>
            /// <returns type="Object">Value of child node.</returns>
        }, 
        
        setChildNode: function(name, value) {
            /// <summary>Not supported by primitive data nodes.</summary>
            /// <param name="name" type="string">Name of child node.</param>
            /// <param name="value" type="Object">Value of child node.</param>
        }, 
        
        isList: function() {
            /// <summary>Returns whether this data node is a list. Always returns false for
            /// instances of PrimitiveFastDataNode.</summary>
            /// <returns type="boolean">Whether this data node is array-like.</returns>
        }, 
        
        getJsObject: function() {
            /// <summary>Returns a javascript object representation of this data node. You should
            /// not modify the object returned by this function.</summary>
            /// <returns type="*">Javascript object representation of this data node.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.PrimitiveFastDataNode";
})(this);
