
/* vsdoc for goog.ds.SortedNodeList */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.SortedNodeList = function(compareFn, opt_nodes){
        /// <summary></summary>
        /// <param name="compareFn" type="Function">Comparison function by which the
        ///     node list is sorted. Should take 2 arguments to compare, and return a
        ///     negative integer, zero, or a positive integer depending on whether the
        ///     first argument is less than, equal to, or greater than the second.</param>
        /// <param name="opt_nodes" type="Array.goog.ds.DataNode=">optional nodes to add to list;
        ///    these are assumed to be in sorted order.</param>
        /// <returns type="goog.ds.SortedNodeList"/>
    };

    var $x = window.goog.ds.SortedNodeList;
    $x.prototype = {
                
        add: function(node) {
            /// <summary>Add a node to the node list, maintaining sort order.
            /// If the node has a dataName, uses this for the key in the map.</summary>
            /// <param name="node" type="goog.ds.DataNode">The node to add.</param>
        }, 
        
        append: function(node) {
            /// <summary>Adds the given node to the end of the SortedNodeList. This should
            /// only be used when the caller can guarantee that the sort order will
            /// be maintained according to this SortedNodeList&apos;s compareFn (e.g.
            /// when initializing a new SortedNodeList from a list of nodes that has
            /// already been sorted).</summary>
            /// <param name="node" type="goog.ds.DataNode">The node to append.</param>
        }, 
        
        setNode: function(name, node) {
            /// <summary>Sets a node in the list of a given name, maintaining sort order.</summary>
            /// <param name="name" type="string">Name of the node.</param>
            /// <param name="node" type="goog.ds.DataNode">The node.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.SortedNodeList";
})(this);
