
/* vsdoc for goog.ds.XmlDataSource */

(function (window) {
    window.goog.ds = window.goog.ds || {};

    window.goog.ds.XmlDataSource = function(node, parent, opt_name){
        /// <summary></summary>
        /// <param name="node" type="Node">The XML node. Can be null.</param>
        /// <param name="parent" type="goog.ds.XmlDataSource">Parent of XML element. Can be null.</param>
        /// <param name="opt_name" type="string=">The name of this node relative to the parent node.</param>
        /// <returns type="goog.ds.XmlDataSource"/>
    };

    var $x = window.goog.ds.XmlDataSource;
    $x.prototype = {
                
        get: function() {
            /// <summary>Get the value of the node</summary>
            /// <returns type="Object">The value of the node, or null if no value.</returns>
        }, 
        
        set: function(value) {
            /// <summary>Set the value of the node</summary>
            /// <param name="value" type="*">The new value of the node.</param>
        }, 
        
        getChildNodes: function(opt_selector) {
            /// <summary></summary>
            /// <param name="opt_selector" type=""></param>
        }, 
        
        getChildNode: function(name) {
            /// <summary>Gets a named child node of the current node</summary>
            /// <param name="name" type="string">The node name.</param>
            /// <returns type="goog.ds.DataNode">The child node, or null if
            ///   no node of this name exists.</returns>
        }, 
        
        getChildNodeValue: function(name) {
            /// <summary>Gets the value of a child node</summary>
            /// <param name="name" type="string">The node name.</param>
            /// <returns type="*">The value of the node, or null if no value or the child node
            ///    doesn&apos;t exist.</returns>
        }, 
        
        getDataName: function() {
            /// <summary>Get the name of the node relative to the parent node</summary>
            /// <returns type="string">The name of the node.</returns>
        }, 
        
        setDataName: function(name) {
            /// <summary>Setthe name of the node relative to the parent node</summary>
            /// <param name="name" type="string">The name of the node.</param>
        }, 
        
        getDataPath: function() {
            /// <summary>Gets the a qualified data path to this node</summary>
            /// <returns type="string">The data path.</returns>
        }, 
        
        load: function() {
            /// <summary>Load or reload the backing data for this node</summary>
        }, 
        
        getLoadState: function() {
            /// <summary>Gets the state of the backing data for this node</summary>
            /// <returns type="goog.ds.LoadState">The state.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ds.XmlDataSource";
})(this);
