
/* vsdoc for goog.editor.ClickToEditWrapper */

(function (window) {
    window.goog.editor = window.goog.editor || {};

    window.goog.editor.ClickToEditWrapper = function(fieldObj){
        /// <summary></summary>
        /// <param name="fieldObj" type="goog.editor.Field">The editable field being wrapped.</param>
        /// <returns type="goog.editor.ClickToEditWrapper"/>
    };

    var $x = window.goog.editor.ClickToEditWrapper;
    $x.prototype = {
                
        getFieldObject: function() {
            /// <summary></summary>
            /// <returns type="goog.editor.Field">The field.</returns>
        }, 
        
        getOriginalDomHelper: function() {
            /// <summary></summary>
            /// <returns type="goog.dom.DomHelper">The dom helper of the uneditable element.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        enterDocument: function() {
            /// <summary>Initialize listeners when the uneditable field is added to the document.
            /// Also sets up lorem ipsum text.</summary>
        }, 
        
        exitDocument: function() {
            /// <summary>Destroy listeners when the field is removed from the document.</summary>
        }, 
        
        getElement: function() {
            /// <summary>Returns the uneditable field element if the field is not yet editable
            /// (equivalent to EditableField.getOriginalElement()), and the editable DOM
            /// element if the field is currently editable (equivalent to
            /// EditableField.getElement()).</summary>
            /// <returns type="Element">The element containing the editable field contents.</returns>
        }, 
        
        focusOnFieldObj: function(field) {
            /// <summary>Focus on the field object.</summary>
            /// <param name="field" type="goog.editor.Field">The field to focus.</param>
        }, 
        
        makeFieldEditable: function(field) {
            /// <summary>Make the field object editable.</summary>
            /// <param name="field" type="goog.editor.Field">The field to make editable.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.ClickToEditWrapper";
})(this);
