
/* vsdoc for goog.editor.SeamlessField */

(function (window) {
    window.goog.editor = window.goog.editor || {};

    window.goog.editor.SeamlessField = function(id, opt_doc){
        /// <summary></summary>
        /// <param name="id" type="string">An identifer for the field. This is used to find the
        ///     field and the element associated with this field.</param>
        /// <param name="opt_doc" type="Document=">The document that the element with the given
        ///     id can be found it.</param>
        /// <field name="logger" type=""></field>
        /// <returns type="goog.editor.SeamlessField"/>
    };

    var $x = window.goog.editor.SeamlessField;
    $x.prototype = {
                
        setMinHeight: function(height) {
            /// <summary>Sets the min height of this editable field&apos;s iframe. Only used in growing
            /// mode when an iframe is used. This will cause an immediate field sizing to
            /// update the field if necessary based on the new min height.</summary>
            /// <param name="height" type="number">The min height specified as a number of pixels,
            ///    e.g., 75.</param>
        }, 
        
        isFixedHeight: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the field should be rendered with a fixed
            ///    height, or should expand to fit its contents.</returns>
        }, 
        
        overrideFixedHeight: function(newVal) {
            /// <summary></summary>
            /// <param name="newVal" type="boolean">Explicitly set whether the field should be
            ///    of a fixed-height. This overrides auto-detection.</param>
        }, 
        
        doFieldSizingGecko: function() {
            /// <summary>Perform all the sizing immediately.</summary>
        }, 
        
        getIframeableCss: function(opt_forceRegeneration) {
            /// <summary>Gets the css rules that should be used to style an iframe&apos;s body as if it
            /// were the original element that we made editable.</summary>
            /// <param name="opt_forceRegeneration" type="boolean=">Set to true to not read the cached
            /// copy and instead completely regenerate the css rules.</param>
            /// <returns type="string">The string containing the css rules to use.</returns>
        }, 
        
        setIframeableCss: function(iframeableCss) {
            /// <summary>Sets the css rules that should be used inside the editable iframe.
            /// Note: to clear the css cache between makeNotEditable/makeEditable,
            /// call this with &quot;&quot; as iframeableCss.
            /// TODO(user): Unify all these css setting methods + Nick&apos;s open
            /// CL.  This is getting ridiculous.</summary>
            /// <param name="iframeableCss" type="string">String containing the css rules to use.</param>
        }, 
        
        inheritBlendedCSS: function() {
            /// <summary>Applies CSS from the wrapper-div to the field iframe.</summary>
        }, 
        
        usesIframe: function() {
            /// <summary></summary>
        }, 
        
        setupMutationEventHandlersGecko: function() {
            /// <summary></summary>
        }, 
        
        handleChange: function() {
            /// <summary></summary>
        }, 
        
        dispatchBlur: function() {
            /// <summary></summary>
        }, 
        
        turnOnDesignModeGecko: function() {
            /// <summary></summary>
        }, 
        
        installStyles: function() {
            /// <summary></summary>
        }, 
        
        makeEditableInternal: function(opt_iframeSrc) {
            /// <summary></summary>
            /// <param name="opt_iframeSrc" type=""></param>
        }, 
        
        handleFieldLoad: function() {
            /// <summary></summary>
        }, 
        
        getIframeAttributes: function() {
            /// <summary></summary>
        }, 
        
        attachIframe: function(iframe) {
            /// <summary></summary>
            /// <param name="iframe" type=""></param>
        }, 
        
        getFieldFormatInfo: function(extraStyles) {
            /// <summary></summary>
            /// <param name="extraStyles" type=""></param>
        }, 
        
        writeIframeContent: function(iframe, innerHtml, extraStyles) {
            /// <summary></summary>
            /// <param name="iframe" type=""></param>
            /// <param name="innerHtml" type=""></param>
            /// <param name="extraStyles" type=""></param>
        }, 
        
        restoreDom: function() {
            /// <summary></summary>
        }, 
        
        clearListeners: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.SeamlessField";
})(this);
