
/* vsdoc for goog.editor.icontent */

(function (window) {
    window.goog.editor = window.goog.editor || {};

    window.goog.editor.icontent = {
        /// <summary></summary>
        /// <returns type="goog.editor.icontent"/>
                
        forceStandardsModeIframes: function() {
            /// <summary>Sets up goog.editor.icontent to always use standards-mode iframes.</summary>
        }, 
        
        writeNormalInitialBlendedIframe: function(info, bodyHtml, style, iframe) {
            /// <summary>Write the initial iframe content in normal mode.</summary>
            /// <param name="info" type="goog.editor.icontent.FieldFormatInfo">Formatting info about
            ///     the field.</param>
            /// <param name="bodyHtml" type="string">The HTML to insert as the iframe body.</param>
            /// <param name="style" type="goog.editor.icontent.FieldStyleInfo?">Style info about
            ///     the field, if needed.</param>
            /// <param name="iframe" type="HTMLIFrameElement">The iframe.</param>
        }, 
        
        writeNormalInitialIframe: function(info, bodyHtml, style, iframe) {
            /// <summary>Write the initial iframe content in normal mode.</summary>
            /// <param name="info" type="goog.editor.icontent.FieldFormatInfo">Formatting info about
            ///     the field.</param>
            /// <param name="bodyHtml" type="string">The HTML to insert as the iframe body.</param>
            /// <param name="style" type="goog.editor.icontent.FieldStyleInfo?">Style info about
            ///     the field, if needed.</param>
            /// <param name="iframe" type="HTMLIFrameElement">The iframe.</param>
        }, 
        
        writeHttpsInitialIframe: function(info, doc, bodyHtml) {
            /// <summary>Write the initial iframe content in IE/HTTPS mode.</summary>
            /// <param name="info" type="goog.editor.icontent.FieldFormatInfo">Formatting info about
            ///     the field.</param>
            /// <param name="doc" type="Document">The iframe document.</param>
            /// <param name="bodyHtml" type="string">The HTML to insert as the iframe body.</param>
        }
        
    };

    var $x = window.goog.editor.icontent;
    $x.__namespace = "true";
    $x.__typeName = "goog.editor.icontent";
})(this);
