
/* vsdoc for goog.editor.plugins.BasicTextFormatter */

(function (window) {
    window.goog.editor.plugins = window.goog.editor.plugins || {};

    window.goog.editor.plugins.BasicTextFormatter = function(){
        /// <summary></summary>
        /// <field name="logger" type="goog.debug.Logger">Logging object.</field>
        /// <field name="COMMAND" type="">Commands implemented by this plugin.</field>
        /// <returns type="goog.editor.plugins.BasicTextFormatter"/>
    };

    var $x = window.goog.editor.plugins.BasicTextFormatter;
    $x.prototype = {
                
        getTrogClassId: function() {
            /// <summary></summary>
        }, 
        
        isSupportedCommand: function(command) {
            /// <summary>Whether the string corresponds to a command this plugin handles.</summary>
            /// <param name="command" type="string">Command string to check.</param>
            /// <returns type="boolean">Whether the string corresponds to a command
            ///     this plugin handles.</returns>
        }, 
        
        execCommandInternal: function(command, var_args) {
            /// <summary>Execute a user-initiated command.</summary>
            /// <param name="command" type="string">Command to execute.</param>
            /// <param name="var_args" type="...*">For color commands, this
            ///     should be the hex color (with the #). For FORMAT_BLOCK, this should be
            ///     the goog.editor.plugins.BasicTextFormatter.BLOCK_COMMAND.
            ///     It will be unused for other commands.</param>
            /// <returns type="Object|undefined">The result of the command.</returns>
        }, 
        
        queryCommandValue: function(command) {
            /// <summary>Gets the command value.</summary>
            /// <param name="command" type="string">The command value to get.</param>
            /// <returns type="string|boolean|null">The current value of the command in the given
            ///     selection.  NOTE: This return type list is not documented in MSDN or MDC
            ///     and has been constructed from experience.  Please update it
            ///     if necessary.</returns>
        }, 
        
        prepareContentsHtml: function(html) {
            /// <summary></summary>
            /// <param name="html" type=""></param>
        }, 
        
        cleanContentsDom: function(fieldCopy) {
            /// <summary></summary>
            /// <param name="fieldCopy" type=""></param>
        }, 
        
        cleanContentsHtml: function(html) {
            /// <summary></summary>
            /// <param name="html" type=""></param>
        }, 
        
        handleKeyboardShortcut: function(e, key, isModifierPressed) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
            /// <param name="key" type=""></param>
            /// <param name="isModifierPressed" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.BasicTextFormatter";
})(this);
