
/* vsdoc for goog.editor.plugins.UndoRedoState */

(function (window) {
    window.goog.editor.plugins = window.goog.editor.plugins || {};

    window.goog.editor.plugins.UndoRedoState = function(asynchronous){
        /// <summary></summary>
        /// <param name="asynchronous" type="boolean">Whether the undo or redo actions for this
        ///     state complete asynchronously. If true, then this state must fire
        ///     an ACTION_COMPLETED event when undo or redo is complete.</param>
        /// <field name="ACTION_COMPLETED" type="">Event type for events indicating that this state has completed an undo or
        /// redo operation.</field>
        /// <field name="undo" type="">Undoes the action represented by this state.</field>
        /// <field name="redo" type="">Redoes the action represented by this state.</field>
        /// <field name="equals" type="boolean">Checks if two undo-redo states are the same.</field>
        /// <returns type="goog.editor.plugins.UndoRedoState"/>
    };

    var $x = window.goog.editor.plugins.UndoRedoState;
    $x.prototype = {
                
        isAsynchronous: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether or not the undo and redo actions of this state
            ///     complete asynchronously. If true, the state will fire an ACTION_COMPLETED
            ///     event when an undo or redo action is complete.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.plugins.UndoRedoState";
})(this);
