
/* vsdoc for goog.editor.range.Point */

(function (window) {
    window.goog.editor.range = window.goog.editor.range || {};

    window.goog.editor.range.Point = function(node, offset){
        /// <summary></summary>
        /// <param name="node" type="Node">The node containing the point.</param>
        /// <param name="offset" type="number">The offset of the point into the node.</param>
        /// <field name="node" type="Node">The node containing the point.</field>
        /// <field name="offset" type="number">The offset of the point into the node.</field>
        /// <returns type="goog.editor.range.Point"/>
    };

    var $x = window.goog.editor.range.Point;
    $x.prototype = {
                
        getParentPoint: function() {
            /// <summary>Gets the point of this point&apos;s node in the DOM.</summary>
            /// <returns type="goog.editor.range.Point">The node&apos;s point.</returns>
        }, 
        
        createDeepestPoint: function(node, offset, opt_trendLeft) {
            /// <summary>Construct the deepest possible point in the DOM that&apos;s equivalent
            /// to the given point, expressed as a node and an offset.</summary>
            /// <param name="node" type="Node">The node containing the point.</param>
            /// <param name="offset" type="number">The offset of the point from the node.</param>
            /// <param name="opt_trendLeft" type="boolean=">Notice that a (node, offset) pair may be
            ///     equivalent to more than one descendent (node, offset) pair in the DOM.
            ///     By default, we trend rightward. If this parameter is true, then we
            ///     trend leftward. The tendency to fall rightward by default is for
            ///     consistency with other range APIs (like placeCursorNextTo).</param>
            /// <returns type="goog.editor.range.Point">A new point.</returns>
        }, 
        
        getPointAtEndOfNode: function(node) {
            /// <summary>Construct a point at the very end of the given node.</summary>
            /// <param name="node" type="Node">The node to create a point for.</param>
            /// <returns type="goog.editor.range.Point">A new point.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.editor.range.Point";
})(this);
