
/* vsdoc for goog.events.KeyHandler */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.KeyHandler = function(opt_element, opt_capture){
        /// <summary></summary>
        /// <param name="opt_element" type="Element|Document=">The element or document to listen on.</param>
        /// <param name="opt_capture" type="boolean=">Whether to listen for browser events in
        ///     capture phase (defaults to false).</param>
        /// <field name="EventType" type="">Enum type for the events fired by the key handler</field>
        /// <returns type="goog.events.KeyHandler"/>
    };

    var $x = window.goog.events.KeyHandler;
    $x.prototype = {
                
        resetState: function() {
            /// <summary>Resets the stored previous values. Needed to be called for webkit which will
            /// not generate a key up for meta key operations. This should only be called
            /// when having finished with repeat key possiblities.</summary>
        }, 
        
        handleEvent: function(e) {
            /// <summary>Handles the events on the element.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The keyboard event sent from the
            ///     browser.</param>
        }, 
        
        getElement: function() {
            /// <summary>Returns the element listened on for the real keyboard events.</summary>
            /// <returns type="Element|Document|null">The element listened on for the real
            ///     keyboard events.</returns>
        }, 
        
        attach: function(element, opt_capture) {
            /// <summary>Adds the proper key event listeners to the element.</summary>
            /// <param name="element" type="Element|Document">The element to listen on.</param>
            /// <param name="opt_capture" type="boolean=">Whether to listen for browser events in
            ///     capture phase (defaults to false).</param>
        }, 
        
        detach: function() {
            /// <summary>Removes the listeners that may exist.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.KeyHandler";
})(this);
