
/* vsdoc for goog.events.Listener */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.Listener = function(){
        /// <summary></summary>
        /// <field name="ENABLE_MONITORING" type=""></field>
        /// <field name="key" type="number">The key of the listener.</field>
        /// <field name="removed" type="boolean">Whether the listener has been removed.</field>
        /// <field name="callOnce" type="boolean">Whether to remove the listener after it has been called.</field>
        /// <returns type="goog.events.Listener"/>
    };

    var $x = window.goog.events.Listener;
    $x.prototype = {
                
        init: function(listener, proxy, src, type, capture, opt_handler) {
            /// <summary>Initializes the listener.</summary>
            /// <param name="listener" type="Function|Object">Callback function, or an object with a
            ///     handleEvent function.</param>
            /// <param name="proxy" type="Function">Wrapper for the listener that patches the event.</param>
            /// <param name="src" type="Object">Source object for the event.</param>
            /// <param name="type" type="string">Event type.</param>
            /// <param name="capture" type="boolean">Whether in capture or bubble phase.</param>
            /// <param name="opt_handler" type="Object=">Object in whose context to execute the callback.</param>
        }, 
        
        handleEvent: function(eventObject) {
            /// <summary>Calls the internal listener</summary>
            /// <param name="eventObject" type="Object">Event object to be passed to listener.</param>
            /// <returns type="boolean">The result of the internal listener call.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.Listener";
})(this);
