
/* vsdoc for goog.events.MouseWheelEvent */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.MouseWheelEvent = function(detail, browserEvent, deltaX, deltaY){
        /// <summary></summary>
        /// <param name="detail" type="number">The number of rows the user scrolled.</param>
        /// <param name="browserEvent" type="Event">Browser event object.</param>
        /// <param name="deltaX" type="number">The number of rows the user scrolled in the X
        ///     direction.</param>
        /// <param name="deltaY" type="number">The number of rows the user scrolled in the Y
        ///     direction.</param>
        /// <field name="detail" type="NOTE: Informally deprecated. Use deltaX and deltaY instead, they provide
more information.">The number of lines the user scrolled</field>
        /// <field name="deltaX" type="number">The number of &quot;lines&quot; scrolled in the X direction.
        /// 
        /// Note that not all browsers provide enough information to distinguish
        /// horizontal and vertical scroll events, so for these unsupported browsers,
        /// we will always have a deltaX of 0, even if the user scrolled their mouse
        /// wheel or trackpad sideways.
        /// 
        /// Currently supported browsers are Webkit and Firefox 3.1 or later.</field>
        /// <field name="deltaY" type="number">The number of lines scrolled in the Y direction.</field>
        /// <returns type="goog.events.MouseWheelEvent"/>
    };

    var $x = window.goog.events.MouseWheelEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.MouseWheelEvent";
})(this);
