
/* vsdoc for goog.events.MouseWheelHandler */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.MouseWheelHandler = function(element){
        /// <summary></summary>
        /// <param name="element" type="Element|Document">The element to listen to the mouse wheel
        ///     event on.</param>
        /// <field name="EventType" type="">Enum type for the events fired by the mouse wheel handler.</field>
        /// <returns type="goog.events.MouseWheelHandler"/>
    };

    var $x = window.goog.events.MouseWheelHandler;
    $x.prototype = {
                
        setMaxDeltaX: function(maxDeltaX) {
            /// <summary></summary>
            /// <param name="maxDeltaX" type="number">Maximum magnitude for x delta on each mousewheel
            ///     event. Should be non-negative.</param>
        }, 
        
        setMaxDeltaY: function(maxDeltaY) {
            /// <summary></summary>
            /// <param name="maxDeltaY" type="number">Maximum magnitude for y delta on each mousewheel
            ///     event. Should be non-negative.</param>
        }, 
        
        handleEvent: function(e) {
            /// <summary>Handles the events on the element.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The underlying browser event.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.MouseWheelHandler";
})(this);
