
/* vsdoc for goog.events.PasteHandler */

(function (window) {
    window.goog.events = window.goog.events || {};

    window.goog.events.PasteHandler = function(element){
        /// <summary></summary>
        /// <param name="element" type="Element">The textarea element we are listening on.</param>
        /// <field name="EventType" type="">The types of events fired by this class.</field>
        /// <field name="MANDATORY_MS_BETWEEN_INPUT_EVENTS_TIE_BREAKER" type="number">The mandatory delay we expect between two {@code input} events, used to
        /// differentiated between non key paste events and key events.</field>
        /// <field name="State" type="">The states that this class can be found, on the paste detection algorithm.</field>
        /// <returns type="goog.events.PasteHandler"/>
    };

    var $x = window.goog.events.PasteHandler;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getState: function() {
            /// <summary>Returns the current state of the paste detection algorithm. Used mostly for
            /// testing.</summary>
            /// <returns type="goog.events.PasteHandler.State">The current state of the class.</returns>
        }, 
        
        getEventHandler: function() {
            /// <summary>Returns the event handler.</summary>
            /// <returns type="goog.events.EventHandler">The event handler.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.events.PasteHandler";
})(this);
