
/* vsdoc for goog.format.EmailAddress */

(function (window) {
    window.goog.format = window.goog.format || {};

    window.goog.format.EmailAddress = function(opt_address, opt_name){
        /// <summary></summary>
        /// <param name="opt_address" type="string=">The email address.</param>
        /// <param name="opt_name" type="string=">The name associated with the email address.</param>
        /// <returns type="goog.format.EmailAddress"/>
    };

    var $x = window.goog.format.EmailAddress;
    $x.prototype = {
                
        getName: function() {
            /// <summary>Get the name associated with the email address.</summary>
            /// <returns type="string">The name or personal portion of the address.</returns>
        }, 
        
        getAddress: function() {
            /// <summary>Get the email address.</summary>
            /// <returns type="string">The email address.</returns>
        }, 
        
        setName: function(name) {
            /// <summary>Set the name associated with the email address.</summary>
            /// <param name="name" type="string">The name to associate.</param>
        }, 
        
        setAddress: function(address) {
            /// <summary>Set the email address.</summary>
            /// <param name="address" type="string">The email address.</param>
        }, 
        
        toString: function() {
            /// <summary>Return the address in a standard format:
            ///  - remove extra spaces.
            ///  - Surround name with quotes if it contains special characters.</summary>
            /// <returns type="string">The cleaned address.</returns>
        }, 
        
        isValid: function() {
            /// <summary>Determines is the current object is a valid email address.</summary>
            /// <returns type="boolean">Whether the email address is valid.</returns>
        }, 
        
        isValidAddress: function(str) {
            /// <summary>Checks if the provided string is a valid email address. Supports both
            /// simple email addresses (address specs) and addresses that contain display
            /// names.</summary>
            /// <param name="str" type="string">The email address to check.</param>
            /// <returns type="boolean">Whether the provided string is a valid address.</returns>
        }, 
        
        isValidAddrSpec: function(str) {
            /// <summary>Checks if the provided string is a valid address spec (local@domain.com).</summary>
            /// <param name="str" type="string">The email address to check.</param>
            /// <returns type="boolean">Whether the provided string is a valid address spec.</returns>
        }, 
        
        parse: function(addr) {
            /// <summary>Parse an email address of the form &quot;name&quot; &amp;lt;address&amp;gt; into
            /// an email address.</summary>
            /// <param name="addr" type="string">The address string.</param>
            /// <returns type="goog.format.EmailAddress">The parsed address.</returns>
        }, 
        
        parseList: function(str) {
            /// <summary>Parse a string containing email addresses of the form
            /// &quot;name&quot; &amp;lt;address&amp;gt; into an array of email addresses.</summary>
            /// <param name="str" type="string">The address list.</param>
            /// <returns type="Array.goog.format.EmailAddress">The parsed emails.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.format.EmailAddress";
})(this);
