
/* vsdoc for goog.format.JsonPrettyPrinter.TextDelimiters */

(function (window) {
    window.goog.format.JsonPrettyPrinter = window.goog.format.JsonPrettyPrinter || {};

    window.goog.format.JsonPrettyPrinter.TextDelimiters = function(){
        /// <summary></summary>
        /// <field name="space" type="string">Represents a space character in the output.  Used to indent properties a
        /// certain number of spaces, and to separate property names from property
        /// values.</field>
        /// <field name="lineBreak" type="string">Represents a newline character in the output.  Used to begin a new line.</field>
        /// <field name="objectStart" type="string">Represents the start of an object in the output.</field>
        /// <field name="objectEnd" type="string">Represents the end of an object in the output.</field>
        /// <field name="arrayStart" type="string">Represents the start of an array in the output.</field>
        /// <field name="arrayEnd" type="string">Represents the end of an array in the output.</field>
        /// <field name="propertySeparator" type="string">Represents the string used to separate properties in the output.</field>
        /// <field name="nameValueSeparator" type="string">Represents the string used to separate property names from property values in
        /// the output.</field>
        /// <field name="preName" type="string">A string that&apos;s placed before a property name in the output.  Useful for
        /// wrapping a property name in an html tag.</field>
        /// <field name="postName" type="string">A string that&apos;s placed after a property name in the output.  Useful for
        /// wrapping a property name in an html tag.</field>
        /// <field name="preValue" type="string">A string that&apos;s placed before a property value in the output.  Useful for
        /// wrapping a property value in an html tag.</field>
        /// <field name="postValue" type="string">A string that&apos;s placed after a property value in the output.  Useful for
        /// wrapping a property value in an html tag.</field>
        /// <field name="indent" type="number">Represents the number of spaces to indent each sub-property of the JSON.</field>
        /// <returns type="goog.format.JsonPrettyPrinter.TextDelimiters"/>
    };

    var $x = window.goog.format.JsonPrettyPrinter.TextDelimiters;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.format.JsonPrettyPrinter.TextDelimiters";
})(this);
