
/* vsdoc for goog.fs.FileEntry */

(function (window) {
    window.goog.fs = window.goog.fs || {};

    window.goog.fs.FileEntry = function(fs, file){
        /// <summary></summary>
        /// <param name="fs" type="!goog.fs.FileSystem">The wrapped filesystem.</param>
        /// <param name="file" type="!FileEntry">The underlying FileEntry object.</param>
        /// <returns type="goog.fs.FileEntry"/>
    };

    var $x = window.goog.fs.FileEntry;
    $x.prototype = {
                
        createWriter: function() {
            /// <summary>Create a writer for writing to the file.</summary>
            /// <returns type="!goog.async.Deferred">The deferred {@link goog.fs.FileWriter}. If an
            ///     error occurs, the errback is called with a {@link goog.fs.Error}.</returns>
        }, 
        
        file: function() {
            /// <summary>Get the file contents as a File blob.</summary>
            /// <returns type="!goog.async.Deferred">The deferred File. If an error occurs, the
            ///     errback is called with a {@link goog.fs.Error}.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fs.FileEntry";
})(this);
