
/* vsdoc for goog.fs.FileReader */

(function (window) {
    window.goog.fs = window.goog.fs || {};

    window.goog.fs.FileReader = function(){
        /// <summary></summary>
        /// <field name="ReadyState" type="">Possible states for a FileReader.</field>
        /// <field name="EventType" type="">Events emitted by a FileReader.</field>
        /// <returns type="goog.fs.FileReader"/>
    };

    var $x = window.goog.fs.FileReader;
    $x.prototype = {
                
        abort: function() {
            /// <summary>Abort the reading of the file.</summary>
        }, 
        
        getReadyState: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.FileReader.ReadyState">The current state of the FileReader.</returns>
        }, 
        
        getResult: function() {
            /// <summary></summary>
            /// <returns type="*">The result of the file read.</returns>
        }, 
        
        getError: function() {
            /// <summary></summary>
            /// <returns type="goog.fs.Error">The error encountered while reading, if any.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        readAsBinaryString: function(blob) {
            /// <summary>Starts reading a blob as a binary string.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
        }, 
        
        readAsBinaryString: function(blob) {
            /// <summary>Reads a blob as a binary string.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
            /// <returns type="!goog.async.Deferred">The deferred Blob contents as a binary string.
            ///     If an error occurs, the errback is called with a {@link goog.fs.Error}.</returns>
        }, 
        
        readAsArrayBuffer: function(blob) {
            /// <summary>Starts reading a blob as an array buffer.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
        }, 
        
        readAsArrayBuffer: function(blob) {
            /// <summary>Reads a blob as an array buffer.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
            /// <returns type="!goog.async.Deferred">The deferred Blob contents as an array buffer.
            ///     If an error occurs, the errback is called with a {@link goog.fs.Error}.</returns>
        }, 
        
        readAsText: function(blob, opt_encoding) {
            /// <summary>Starts reading a blob as text.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
            /// <param name="opt_encoding" type="string=">The name of the encoding to use.</param>
        }, 
        
        readAsText: function(blob, opt_encoding) {
            /// <summary>Reads a blob as text.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
            /// <param name="opt_encoding" type="string=">The name of the encoding to use.</param>
            /// <returns type="!goog.async.Deferred">The deferred Blob contents as text.
            ///     If an error occurs, the errback is called with a {@link goog.fs.Error}.</returns>
        }, 
        
        readAsDataUrl: function(blob) {
            /// <summary>Starts reading a blob as a data URL.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
        }, 
        
        readAsDataUrl: function(blob) {
            /// <summary>Reads a blob as a data URL.</summary>
            /// <param name="blob" type="!Blob">The blob to read.</param>
            /// <returns type="!goog.async.Deferred">The deferred Blob contents as a data URL.
            ///     If an error occurs, the errback is called with a {@link goog.fs.Error}.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fs.FileReader";
})(this);
