
/* vsdoc for goog.fs.FileWriter */

(function (window) {
    window.goog.fs = window.goog.fs || {};

    window.goog.fs.FileWriter = function(writer){
        /// <summary></summary>
        /// <param name="writer" type="!FileWriter">The underlying FileWriter object.</param>
        /// <returns type="goog.fs.FileWriter"/>
    };

    var $x = window.goog.fs.FileWriter;
    $x.prototype = {
                
        getPosition: function() {
            /// <summary></summary>
            /// <returns type="number">The byte offset at which the next write will occur.</returns>
        }, 
        
        getLength: function() {
            /// <summary></summary>
            /// <returns type="number">The length of the file.</returns>
        }, 
        
        write: function(blob) {
            /// <summary>Write data to the file.</summary>
            /// <param name="blob" type="!Blob">The data to write.</param>
        }, 
        
        seek: function(offset) {
            /// <summary>Set the file position at which the next write will occur.</summary>
            /// <param name="offset" type="number">An absolute byte offset into the file.</param>
        }, 
        
        truncate: function(size) {
            /// <summary>Changes the length of the file to that specified.</summary>
            /// <param name="size" type="number">The new size of the file, in bytes.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fs.FileWriter";
})(this);
