
/* vsdoc for goog.fx.AnimationEvent */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.AnimationEvent = function(type, anim){
        /// <summary></summary>
        /// <param name="type" type="string">Event type.</param>
        /// <param name="anim" type="goog.fx.Animation">An animation object.</param>
        /// <field name="coords" type="Array.<number>">The current coordinates.</field>
        /// <field name="x" type="number">The x coordinate.</field>
        /// <field name="y" type="number">The y coordinate.</field>
        /// <field name="z" type="number">The z coordinate.</field>
        /// <field name="duration" type="number">The current duration.</field>
        /// <field name="progress" type="number">The current progress.</field>
        /// <field name="fps" type="">Frames per second so far.</field>
        /// <field name="state" type="number">The state of the animation.</field>
        /// <field name="anim" type="goog.fx.Animation">The animation object.</field>
        /// <returns type="goog.fx.AnimationEvent"/>
    };

    var $x = window.goog.fx.AnimationEvent;
    $x.prototype = {
                
        coordsAsInts: function() {
            /// <summary>Returns the coordinates as integers (rounded to nearest integer).</summary>
            /// <returns type="Array.number">An array of the coordinates rounded to
            ///     the nearest integer.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.AnimationEvent";
})(this);
