
/* vsdoc for goog.fx.AnimationQueue */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.AnimationQueue = function(){
        /// <summary></summary>
        /// <field name="queue" type="Array.<goog.fx.TransitionBase>">An array holding all animations in the queue.</field>
        /// <field name="onAnimationFinish" type="">Handles the event that an animation has finished.</field>
        /// <returns type="goog.fx.AnimationQueue"/>
    };

    var $x = window.goog.fx.AnimationQueue;
    $x.prototype = {
                
        add: function(animation) {
            /// <summary>Pushes an Animation to the end of the queue.</summary>
            /// <param name="animation" type="goog.fx.TransitionBase">The animation to add to the queue.</param>
        }, 
        
        remove: function(animation) {
            /// <summary>Removes an Animation from the queue.</summary>
            /// <param name="animation" type="goog.fx.Animation">The animation to remove.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary>Disposes of the animations.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.AnimationQueue";
})(this);
