
/* vsdoc for goog.fx.CssSpriteAnimation */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.CssSpriteAnimation = function(element, size, box, time, opt_acc){
        /// <summary></summary>
        /// <param name="element" type="Element">The HTML element to animate the background for.</param>
        /// <param name="size" type="goog.math.Size">The size of one image in the image sprite.</param>
        /// <param name="box" type="goog.math.Box">The box describing the layout of the sprites to
        ///     use in the large image.  The sprites can be position horizontally or
        ///     vertically and using a box here allows the implementation to know which
        ///     way to go.</param>
        /// <param name="time" type="number">The duration in milliseconds for one iteration of the
        ///     animation.  For example, if the sprite contains 4 images and the duration
        ///     is set to 400ms then each sprite will be displayed for 100ms.</param>
        /// <param name="opt_acc" type="function(number) : number=">Acceleration function,
        ///    returns 0-1 for inputs 0-1.  This can be used to make certain frames be
        ///    shown for a longer period of time.</param>
        /// <returns type="goog.fx.CssSpriteAnimation"/>
    };

    var $x = window.goog.fx.CssSpriteAnimation;
    $x.prototype = {
                
        onAnimate: function() {
            /// <summary></summary>
        }, 
        
        onFinish: function() {
            /// <summary></summary>
        }, 
        
        clearSpritePosition: function() {
            /// <summary>Clears the background position style set directly on the element
            /// by the animation. Allows to apply CSS styling for background position on the
            /// same element when the sprite animation is not runniing.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.CssSpriteAnimation";
})(this);
