
/* vsdoc for goog.fx.DragDropEvent */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.DragDropEvent = function(type, source, sourceItem, opt_target, opt_targetItem, opt_targetElement, opt_clientX, opt_clientY, opt_x, opt_y, opt_subtarget){
        /// <summary></summary>
        /// <param name="type" type="string">Event type.</param>
        /// <param name="source" type="goog.fx.AbstractDragDrop">Source drag drop object.</param>
        /// <param name="sourceItem" type="goog.fx.DragDropItem">Source item.</param>
        /// <param name="opt_target" type="goog.fx.AbstractDragDrop=">Target drag drop object.</param>
        /// <param name="opt_targetItem" type="goog.fx.DragDropItem=">Target item.</param>
        /// <param name="opt_targetElement" type="Element=">Target element.</param>
        /// <param name="opt_clientX" type="number=">X-Position relative to the screen.</param>
        /// <param name="opt_clientY" type="number=">Y-Position relative to the screen.</param>
        /// <param name="opt_x" type="number=">X-Position relative to the viewport.</param>
        /// <param name="opt_y" type="number=">Y-Position relative to the viewport.</param>
        /// <param name="opt_subtarget" type="Object=">The currently active subtarget.</param>
        /// <field name="dragSource" type="goog.fx.AbstractDragDrop">Reference to the source goog.fx.AbstractDragDrop object.</field>
        /// <field name="dragSourceItem" type="goog.fx.DragDropItem">Reference to the source goog.fx.DragDropItem object.</field>
        /// <field name="dropTarget" type="goog.fx.AbstractDragDrop|undefined">Reference to the target goog.fx.AbstractDragDrop object.</field>
        /// <field name="dropTargetItem" type="goog.fx.DragDropItem|undefined">Reference to the target goog.fx.DragDropItem object.</field>
        /// <field name="dropTargetElement" type="Element|undefined">The actual element of the drop target that is the target for this event.</field>
        /// <field name="clientX" type="number|undefined">X-Position relative to the screen.</field>
        /// <field name="clientY" type="number|undefined">Y-Position relative to the screen.</field>
        /// <field name="viewportX" type="number|undefined">X-Position relative to the viewport.</field>
        /// <field name="viewportY" type="number|undefined">Y-Position relative to the viewport.</field>
        /// <field name="subtarget" type="Object|undefined">The subtarget that is currently active if a subtargeting function
        /// is supplied.</field>
        /// <returns type="goog.fx.DragDropEvent"/>
    };

    var $x = window.goog.fx.DragDropEvent;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.DragDropEvent";
})(this);
