
/* vsdoc for goog.fx.DragDropGroup */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.DragDropGroup = function(){
        /// <summary></summary>
        /// <returns type="goog.fx.DragDropGroup"/>
    };

    var $x = window.goog.fx.DragDropGroup;
    $x.prototype = {
                
        addItem: function(element, opt_data) {
            /// <summary>Add item to drag object.</summary>
            /// <param name="element" type="Element|string">Dom Node, or string representation of node
            ///     id, to be used as drag source/drop target.</param>
            /// <param name="opt_data" type="Object=">Data associated with the source/target.</param>
        }, 
        
        addDragDropItem: function(item) {
            /// <summary>Add DragDropItem to drag object.</summary>
            /// <param name="item" type="goog.fx.DragDropItem">DragDropItem being added to the
            ///     drag object.</param>
        }, 
        
        removeItem: function(element) {
            /// <summary>Remove item from drag object.</summary>
            /// <param name="element" type="Element|string">Dom Node, or string representation of node
            ///     id, that was previously added with addItem().</param>
        }, 
        
        setSelection: function(list) {
            /// <summary>Marks the supplied list of items as selected. A drag operation for any of the
            /// selected items will affect all of them.</summary>
            /// <param name="list" type="Array.goog.fx.DragDropItem">List of items to select or null to
            ///     clear selection.
            /// 
            /// TODO(eae): Not yet implemented.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.DragDropGroup";
})(this);
