
/* vsdoc for goog.fx.DragDropItem */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.DragDropItem = function(element, opt_data){
        /// <summary></summary>
        /// <param name="element" type="Element|string">Dom Node, or string representation of node
        ///     id, to be used as drag source/drop target.</param>
        /// <param name="opt_data" type="Object=">Data associated with the source/target.</param>
        /// <field name="element" type="Element">Reference to drag source/target element</field>
        /// <field name="data" type="Object|undefined">Data associated with element.</field>
        /// <returns type="goog.fx.DragDropItem"/>
    };

    var $x = window.goog.fx.DragDropItem;
    $x.prototype = {
                
        getData: function() {
            /// <summary>Get the data associated with the source/target.</summary>
            /// <returns type="Object|null|undefined">Data associated with the source/target.</returns>
        }, 
        
        getDraggableElement: function(target) {
            /// <summary>Gets the element that is actually draggable given that the given target was
            /// attempted to be dragged. This should be overriden when the element that was
            /// given actually contains many items that can be dragged. From the target, you
            /// can determine what element should actually be dragged.</summary>
            /// <param name="target" type="Element">The target that was attempted to be dragged.</param>
            /// <returns type="Element">The element that is draggable given the target. If
            ///     none are draggable, this will return null.</returns>
        }, 
        
        getCurrentDragElement: function() {
            /// <summary>Gets the element that is currently being dragged.</summary>
            /// <returns type="Element">The element that is currently being dragged.</returns>
        }, 
        
        getDraggableElements: function() {
            /// <summary>Gets all the elements of this item that are potentially draggable/</summary>
            /// <returns type="Array.Element">The draggable elements.</returns>
        }, 
        
        setParent: function(parent) {
            /// <summary>Sets the dragdrop to which this item belongs.</summary>
            /// <param name="parent" type="goog.fx.AbstractDragDrop">The parent dragdrop.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.DragDropItem";
})(this);
