
/* vsdoc for goog.fx.DragEvent */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.DragEvent = function(type, dragobj, clientX, clientY, browserEvent, opt_actX, opt_actY, opt_dragCanceled){
        /// <summary></summary>
        /// <param name="type" type="string">Event type.</param>
        /// <param name="dragobj" type="goog.fx.Dragger">Drag object initiating event.</param>
        /// <param name="clientX" type="number">X-coordinate relative to the viewport.</param>
        /// <param name="clientY" type="number">Y-coordinate relative to the viewport.</param>
        /// <param name="browserEvent" type="goog.events.BrowserEvent">The closure object
        ///   representing the browser event that caused this drag event.</param>
        /// <param name="opt_actX" type="number=">Optional actual x for drag if it has been limited.</param>
        /// <param name="opt_actY" type="number=">Optional actual y for drag if it has been limited.</param>
        /// <param name="opt_dragCanceled" type="boolean=">Whether the drag has been canceled.</param>
        /// <field name="clientX" type="number">X-coordinate relative to the viewport</field>
        /// <field name="clientY" type="number">Y-coordinate relative to the viewport</field>
        /// <field name="browserEvent" type="goog.events.BrowserEvent">The closure object representing the browser event that caused this drag
        /// event.</field>
        /// <field name="left" type="number">The real x-position of the drag if it has been limited</field>
        /// <field name="top" type="number">The real y-position of the drag if it has been limited</field>
        /// <field name="dragger" type="goog.fx.Dragger">Reference to the drag object for this event</field>
        /// <field name="dragCanceled" type="boolean">Whether drag was canceled with this event. Used to differentiate between
        /// a legitimate drag END that can result in an action and a drag END which is
        /// a result of a drag cancelation. For now it can happen 1) with drag END
        /// event on FireFox when user drags the mouse out of the window, 2) with
        /// drag END event on IE7 which is generated on MOUSEMOVE event when user
        /// moves the mouse into the document after the mouse button has been
        /// released, 3) when TOUCHCANCEL is raised instead of TOUCHEND (on touch
        /// events).</field>
        /// <returns type="goog.fx.DragEvent"/>
    };

    var $x = window.goog.fx.DragEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.DragEvent";
})(this);
