
/* vsdoc for goog.fx.DragListGroupEvent */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.DragListGroupEvent = function(type, dragListGroup, event, currDragItem, draggerEl, dragger, opt_draggerElCenter, opt_hoverList, opt_hoverNextItem){
        /// <summary></summary>
        /// <param name="type" type="string">The event type string.</param>
        /// <param name="dragListGroup" type="goog.fx.DragListGroup">A reference to the associated
        ///     DragListGroup object.</param>
        /// <param name="event" type="goog.events.BrowserEvent|goog.fx.DragEvent">The event fired
        ///     by the browser or fired by the dragger.</param>
        /// <param name="currDragItem" type="Element">The current drag item being moved.</param>
        /// <param name="draggerEl" type="Element">The clone of the current drag item that&apos;s actually
        ///     being dragged around.</param>
        /// <param name="dragger" type="goog.fx.Dragger">The dragger object.</param>
        /// <param name="opt_draggerElCenter" type="goog.math.Coordinate=">The current center
        ///     position of the draggerEl.</param>
        /// <param name="opt_hoverList" type="Element=">The current drag list that&apos;s being hovered
        ///     over, or null if the center of draggerEl is outside of any drag lists.
        ///     If not null and the drag action ends right now, then currDragItem will
        ///     end up in this list.</param>
        /// <param name="opt_hoverNextItem" type="Element=">The current next item in the hoverList
        ///     that the draggerEl is hovering over. (I.e. If the drag action ends
        ///     right now, then this item would become the next item after the new
        ///     location of currDragItem.) May be null if not applicable or if
        ///     currDragItem would be added to the end of hoverList.</param>
        /// <field name="dragListGroup" type="goog.fx.DragListGroup">A reference to the associated DragListGroup object.</field>
        /// <field name="event" type="goog.events.BrowserEvent|goog.fx.DragEvent">The event fired by the browser or fired by the dragger.</field>
        /// <field name="currDragItem" type="Element">The current drag item being move.</field>
        /// <field name="draggerEl" type="Element">The clone of the current drag item that&apos;s actually being dragged around.</field>
        /// <field name="dragger" type="goog.fx.Dragger">The dragger object.</field>
        /// <field name="draggerElCenter" type="goog.math.Coordinate|undefined">The current center position of the draggerEl.</field>
        /// <field name="hoverList" type="Element|undefined">The current drag list that&apos;s being hovered over, or null if the center of
        /// draggerEl is outside of any drag lists. (I.e. If not null and the drag
        /// action ends right now, then currDragItem will end up in this list.)</field>
        /// <field name="hoverNextItem" type="Element|undefined">The current next item in the hoverList that the draggerEl is hovering over.
        /// (I.e. If the drag action ends right now, then this item would become the
        /// next item after the new location of currDragItem.) May be null if not
        /// applicable or if currDragItem would be added to the end of hoverList.</field>
        /// <returns type="goog.fx.DragListGroupEvent"/>
    };

    var $x = window.goog.fx.DragListGroupEvent;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.DragListGroupEvent";
})(this);
