
/* vsdoc for goog.fx.TransitionBase */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.TransitionBase = function(){
        /// <summary></summary>
        /// <field name="startTime" type="?number">Timestamp for when the animation was started.</field>
        /// <field name="endTime" type="?number">Timestamp for when the animation finished or was stopped.</field>
        /// <field name="State" type="">Enum for the possible states of an animation.</field>
        /// <field name="play" type="boolean">Plays the animation.</field>
        /// <field name="stop" type="">Stops the animation.</field>
        /// <field name="pause" type="">Pauses the animation.</field>
        /// <returns type="goog.fx.TransitionBase"/>
    };

    var $x = window.goog.fx.TransitionBase;
    $x.prototype = {
                
        getStateInternal: function() {
            /// <summary>Returns the current state of the animation.</summary>
            /// <returns type="goog.fx.TransitionBase.State">State of the animation.</returns>
        }, 
        
        setStatePlaying: function() {
            /// <summary>Sets the current state of the animation to playing.</summary>
        }, 
        
        setStatePaused: function() {
            /// <summary>Sets the current state of the animation to paused.</summary>
        }, 
        
        setStateStopped: function() {
            /// <summary>Sets the current state of the animation to stopped.</summary>
        }, 
        
        isPlaying: function() {
            /// <summary></summary>
            /// <returns type="boolean">True iff the current state of the animation is playing.</returns>
        }, 
        
        isPaused: function() {
            /// <summary></summary>
            /// <returns type="boolean">True iff the current state of the animation is paused.</returns>
        }, 
        
        isStopped: function() {
            /// <summary></summary>
            /// <returns type="boolean">True iff the current state of the animation is stopped.</returns>
        }, 
        
        onBegin: function() {
            /// <summary>Dispatches the BEGIN event. Sub classes should override this instead
            /// of listening to the event, and call this instead of dispatching the event.</summary>
        }, 
        
        onEnd: function() {
            /// <summary>Dispatches the END event. Sub classes should override this instead
            /// of listening to the event, and call this instead of dispatching the event.</summary>
        }, 
        
        onFinish: function() {
            /// <summary>Dispatches the FINISH event. Sub classes should override this instead
            /// of listening to the event, and call this instead of dispatching the event.</summary>
        }, 
        
        onPause: function() {
            /// <summary>Dispatches the PAUSE event. Sub classes should override this instead
            /// of listening to the event, and call this instead of dispatching the event.</summary>
        }, 
        
        onPlay: function() {
            /// <summary>Dispatches the PLAY event. Sub classes should override this instead
            /// of listening to the event, and call this instead of dispatching the event.</summary>
        }, 
        
        onResume: function() {
            /// <summary>Dispatches the RESUME event. Sub classes should override this instead
            /// of listening to the event, and call this instead of dispatching the event.</summary>
        }, 
        
        onStop: function() {
            /// <summary>Dispatches the STOP event. Sub classes should override this instead
            /// of listening to the event, and call this instead of dispatching the event.</summary>
        }, 
        
        dispatchAnimationEvent: function(type) {
            /// <summary>Dispatches an event object for the current animation.</summary>
            /// <param name="type" type="string">Event type that will be dispatched.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.TransitionBase";
})(this);
