
/* vsdoc for goog.fx.anim */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.anim = {
        /// <summary></summary>
        /// <field name="TIMEOUT" type="number">Default wait timeout for animations (in milliseconds).  Only used for timed
        /// animation, which uses a timer (setTimeout) to schedule animation.</field>
        /// <returns type="goog.fx.anim"/>
                
        Animated: function() {
            /// <summary>An interface for programatically animated objects. I.e. rendered in
            /// javascript frame by frame.</summary>
        }, 
        
        registerAnimation: function(animation) {
            /// <summary>Registers an animation to be cycled on the global timer.</summary>
            /// <param name="animation" type="goog.fx.anim.Animated">The animation to register.</param>
        }, 
        
        unregisterAnimation: function(animation) {
            /// <summary>Removes an animation from the list of animations which are cycled on the
            /// global timer.</summary>
            /// <param name="animation" type="goog.fx.anim.Animated">The animation to unregister.</param>
        }, 
        
        tearDown: function() {
            /// <summary>Tears down this module. Useful for testing.</summary>
        }, 
        
        setAnimationWindow: function(animationWindow) {
            /// <summary>Registers an animation window. This allows usage of the timing control API
            /// for animations. Note that this window must be visible, as non-visible
            /// windows can potentially stop animating. This window does not necessarily
            /// need to be the window inside which animation occurs, but must remain visible.
            /// See: https://developer.mozilla.org/en/DOM/window.mozRequestAnimationFrame.</summary>
            /// <param name="animationWindow" type="Window">The window in which to animate elements.</param>
        }
        
    };

    var $x = window.goog.fx.anim;
    $x.__namespace = "true";
    $x.__typeName = "goog.fx.anim";
})(this);
