
/* vsdoc for goog.fx.css3 */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.css3 = {
        /// <summary></summary>
        /// <returns type="goog.fx.css3"/>
                
        fade: function(element, duration, timing, startOpacity, endOpacity) {
            /// <summary>Creates a transition to fade the element.</summary>
            /// <param name="element" type="Element">The element to fade.</param>
            /// <param name="duration" type="number">Duration in seconds.</param>
            /// <param name="timing" type="string">The CSS3 timing function.</param>
            /// <param name="startOpacity" type="number">Starting opacity.</param>
            /// <param name="endOpacity" type="number">Ending opacity.</param>
            /// <returns type="!goog.fx.css3.Transition">The transition object.</returns>
        }, 
        
        fadeIn: function(element, duration) {
            /// <summary>Creates a transition to fade in the element.</summary>
            /// <param name="element" type="Element">The element to fade in.</param>
            /// <param name="duration" type="number">Duration in seconds.</param>
            /// <returns type="!goog.fx.css3.Transition">The transition object.</returns>
        }, 
        
        fadeOut: function(element, duration) {
            /// <summary>Creates a transition to fade out the element.</summary>
            /// <param name="element" type="Element">The element to fade out.</param>
            /// <param name="duration" type="number">Duration in seconds.</param>
            /// <returns type="!goog.fx.css3.Transition">The transition object.</returns>
        }
        
    };

    var $x = window.goog.fx.css3;
    $x.__namespace = "true";
    $x.__typeName = "goog.fx.css3";
})(this);
