
/* vsdoc for goog.fx.css3.Transition */

(function (window) {
    window.goog.fx.css3 = window.goog.fx.css3 || {};

    window.goog.fx.css3.Transition = function(element, duration, initialStyle, finalStyle, transitions){
        /// <summary></summary>
        /// <param name="element" type="Element">The element to be transitioned.</param>
        /// <param name="duration" type="number">The duration of the transition in seconds.
        ///     This should be the longest of all transitions.</param>
        /// <param name="initialStyle" type="Object">Initial style properties of the element before
        ///     animating. Set using {@code goog.style.setStyle}.</param>
        /// <param name="finalStyle" type="Object">Final style properties of the element after
        ///     animating. Set using {@code goog.style.setStyle}.</param>
        /// <param name="transitions" type="goog.style.transition.Css3Property|
    Array.goog.style.transition.Css3Property">A single CSS3
        ///     transition property or an array of it.</param>
        /// <returns type="goog.fx.css3.Transition"/>
    };

    var $x = window.goog.fx.css3.Transition;
    $x.prototype = {
                
        play: function() {
            /// <summary></summary>
        }, 
        
        stop: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        pause: function() {
            /// <summary>Pausing CSS3 Transitions in not supported.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.css3.Transition";
})(this);
