
/* vsdoc for goog.fx.dom.PredefinedEffect */

(function (window) {
    window.goog.fx.dom = window.goog.fx.dom || {};

    window.goog.fx.dom.PredefinedEffect = function(element, start, end, time, opt_acc){
        /// <summary></summary>
        /// <param name="element" type="Element">Dom Node to be used in the animation.</param>
        /// <param name="start" type="Array.number">Array for start coordinates.</param>
        /// <param name="end" type="Array.number">Array for end coordinates.</param>
        /// <param name="time" type="number">Length of animation in milliseconds.</param>
        /// <param name="opt_acc" type="Function=">Acceleration function, returns 0-1 for inputs 0-1.</param>
        /// <field name="element" type="Element">DOM Node that will be used in the animation</field>
        /// <field name="updateStyle" type="">Called to update the style of the element.</field>
        /// <returns type="goog.fx.dom.PredefinedEffect"/>
    };

    var $x = window.goog.fx.dom.PredefinedEffect;
    $x.prototype = {
                
        isRightToLeft: function() {
            /// <summary>Whether the DOM element being manipulated is rendered right-to-left.</summary>
            /// <returns type="boolean">True if the DOM element is rendered right-to-left, false
            ///     otherwise.</returns>
        }, 
        
        onAnimate: function() {
            /// <summary></summary>
        }, 
        
        onEnd: function() {
            /// <summary></summary>
        }, 
        
        onBegin: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.fx.dom.PredefinedEffect";
})(this);
