
/* vsdoc for goog.fx.easing */

(function (window) {
    window.goog.fx = window.goog.fx || {};

    window.goog.fx.easing = {
        /// <summary></summary>
        /// <returns type="goog.fx.easing"/>
                
        easeIn: function(t) {
            /// <summary>Ease in - Start slow and speed up.</summary>
            /// <param name="t" type="number">Input between 0 and 1.</param>
            /// <returns type="number">Output between 0 and 1.</returns>
        }, 
        
        easeOut: function(t) {
            /// <summary>Ease out - Start fastest and slows to a stop.</summary>
            /// <param name="t" type="number">Input between 0 and 1.</param>
            /// <returns type="number">Output between 0 and 1.</returns>
        }, 
        
        inAndOut: function(t) {
            /// <summary>Ease in and out - Start slow, speed up, then slow down.</summary>
            /// <param name="t" type="number">Input between 0 and 1.</param>
            /// <returns type="number">Output between 0 and 1.</returns>
        }
        
    };

    var $x = window.goog.fx.easing;
    $x.__namespace = "true";
    $x.__typeName = "goog.fx.easing";
})(this);
