
/* vsdoc for goog.gears */

(function (window) {
    window.goog = window.goog || {};

    window.goog.gears = {
        /// <summary></summary>
        /// <field name="HttpRequest" type=""></field>
        /// <field name="StatusType" type="">The possible status type&apos;s for Gears.</field>
        /// <returns type="goog.gears"/>
                
        getFactory: function() {
            /// <summary>Returns a new Gears factory object.</summary>
            /// <returns type="Object">the Gears factory object if available or null otherwise.</returns>
        }, 
        
        hasFactory: function() {
            /// <summary>Whether we can create a Gears factory object. This does not cache the
            /// result.</summary>
            /// <returns type="boolean">true if we can create a Gears factory object.</returns>
        }, 
        
        makeSafeFileName: function(originalFileName) {
            /// <summary>Gears only allows file names up to 64 characters, so this function shortens
            /// file names to fit in this limit. #goog.string.hashCode is used to compress
            /// the name. This also removes invalid characters.</summary>
            /// <param name="originalFileName" type="string">Original (potentially unsafe) file name.</param>
            /// <returns type="string">Safe file name. If originalFileName null or empty,
            ///     return originalFileName.</returns>
        }
        
    };

    var $x = window.goog.gears;
    $x.__namespace = "true";
    $x.__typeName = "goog.gears";
})(this);
