
/* vsdoc for goog.gears.LogStore */

(function (window) {
    window.goog.gears = window.goog.gears || {};

    window.goog.gears.LogStore = function(database, opt_tableName){
        /// <summary></summary>
        /// <param name="database" type="goog.gears.Database">Database.</param>
        /// <param name="opt_tableName" type="?string=">Name of logging table to use.</param>
        /// <field name="tableName" type="string">Name of log table.</field>
        /// <field name="version" type=""></field>
        /// <returns type="goog.gears.LogStore"/>
    };

    var $x = window.goog.gears.LogStore;
    $x.prototype = {
                
        flush: function() {
            /// <summary>Flush buffered log records.</summary>
        }, 
        
        createAutoPruneDelay: function(opt_count, opt_interval) {
            /// <summary>Create new delay object for auto-pruning. Does not stop or
            /// start auto-pruning, call #startAutoPrune and #startAutoPrune for that.</summary>
            /// <param name="opt_count" type="?number=">Number of records of recent hitory to keep.</param>
            /// <param name="opt_interval" type="?number=">Milliseconds to wait before next pruning.</param>
        }, 
        
        startAutoPrune: function() {
            /// <summary>Enable periodic pruning. As a side effect, this also flushes the memory
            /// buffer.</summary>
        }, 
        
        stopAutoPrune: function() {
            /// <summary>Disable scheduled pruning.</summary>
        }, 
        
        isAutoPruneActive: function() {
            /// <summary></summary>
            /// <returns type="boolean">True iff auto prune timer is active.</returns>
        }, 
        
        pruneBeforeCount: function(opt_count) {
            /// <summary>Keep some number of most recent log records and delete all older ones.</summary>
            /// <param name="opt_count" type="?number=">Number of records of recent history to keep. If
            ///     unspecified, we use #goog.gears.LogStore.DEFAULT_PRUNE_KEEPER_COUNT_.
            ///     Pass in 0 to delete all log records.</param>
        }, 
        
        pruneBeforeSequenceNumber: function(sequenceNumber) {
            /// <summary>Delete log record #id and all older records.</summary>
            /// <param name="sequenceNumber" type="number">ID before which we delete all records.</param>
        }, 
        
        isCapturing: function() {
            /// <summary>Whether we are currently capturing logger output.</summary>
            /// <returns type="boolean">Whether we are currently capturing logger output.</returns>
        }, 
        
        setCapturing: function(capturing) {
            /// <summary>Sets whether we are currently capturing logger output.</summary>
            /// <param name="capturing" type="boolean">Whether to capture logger output.</param>
        }, 
        
        addLogRecord: function(logRecord) {
            /// <summary>Adds a log record.</summary>
            /// <param name="logRecord" type="goog.debug.LogRecord">the LogRecord.</param>
        }, 
        
        select: function(query) {
            /// <summary>Select log records.</summary>
            /// <param name="query" type="goog.gears.LogStore.Query">Query object.</param>
            /// <returns type="Array.goog.debug.LogRecord">Selected logs in descending
            ///     order of creation time.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.LogStore";
})(this);
