
/* vsdoc for goog.gears.LoggerServer */

(function (window) {
    window.goog.gears = window.goog.gears || {};

    window.goog.gears.LoggerServer = function(worker, logCommandId, opt_workerName){
        /// <summary></summary>
        /// <param name="worker" type="goog.gears.Worker">The worker thread that
        ///     we are managing the loggers on.</param>
        /// <param name="logCommandId" type="number">The command id used for logging.</param>
        /// <param name="opt_workerName" type="string=">The name of the worker. If present then this
        ///     is added to the log records and to exceptions as {@code workerName}.</param>
        /// <returns type="goog.gears.LoggerServer"/>
    };

    var $x = window.goog.gears.LoggerServer;
    $x.prototype = {
                
        getUseMessagePrefix: function() {
            /// <summary></summary>
            /// <returns type="boolean">* Whether to show the ID of the worker as a prefix to the
            ///     shown message.</returns>
        }, 
        
        setUseMessagePrefix: function(b) {
            /// <summary>Whether to prefix the message text with the worker ID.</summary>
            /// <param name="b" type="boolean">True to prefix the messages.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.LoggerServer";
})(this);
