
/* vsdoc for goog.gears.MultipartFormData */

(function (window) {
    window.goog.gears = window.goog.gears || {};

    window.goog.gears.MultipartFormData = function(){
        /// <summary></summary>
        /// <returns type="goog.gears.MultipartFormData"/>
    };

    var $x = window.goog.gears.MultipartFormData;
    $x.prototype = {
                
        addFile: function(name, gearsFile) {
            /// <summary>Adds a Gears file to the multipart.</summary>
            /// <param name="name" type="string">The name of the value.</param>
            /// <param name="gearsFile" type="GearsFile">The Gears file as returned from openFiles etc.</param>
            /// <returns type="goog.gears.MultipartFormData">The form builder itself.</returns>
        }, 
        
        addText: function(name, value) {
            /// <summary>Adds some text to the multipart.</summary>
            /// <param name="name" type="string">The name of the value.</param>
            /// <param name="value" type="*">The value. This will use toString on the value.</param>
            /// <returns type="goog.gears.MultipartFormData">The form builder itself.</returns>
        }, 
        
        addBlob: function(name, fileName, blob) {
            /// <summary>Adds a Gears blob as a file to the multipart.</summary>
            /// <param name="name" type="string">The name of the value.</param>
            /// <param name="fileName" type="string">The name of the file.</param>
            /// <param name="blob" type="GearsBlob">The blob to add.</param>
            /// <returns type="goog.gears.MultipartFormData">The form builder itself.</returns>
        }, 
        
        getContentType: function() {
            /// <summary>The content type to set on the GearsHttpRequest.
            /// 
            ///   var builder = new MultipartFormData;
            ///   ...
            ///   ghr.setRequestHeader(&apos;Content-Type&apos;, builder.getContentType());
            ///   ghr.send(builder.getAsBlob());</summary>
            /// <returns type="string">The content type string to be used when posting this with
            ///   a GearsHttpRequest.</returns>
        }, 
        
        getAsBlob: function() {
            /// <summary></summary>
            /// <returns type="GearsBlob">The blob to use in the send method of the
            ///     GearsHttpRequest.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.MultipartFormData";
})(this);
