
/* vsdoc for goog.gears.UrlCapture */

(function (window) {
    window.goog.gears = window.goog.gears || {};

    window.goog.gears.UrlCapture = function(name, requiredCookie, opt_localServer){
        /// <summary></summary>
        /// <param name="name" type="string">The name of the ResourceStore to capture the URLs to.</param>
        /// <param name="requiredCookie" type="?string">A cookie that must be present for the
        ///     managed store to be active. Should have the form &quot;foo=bar&quot;.</param>
        /// <param name="opt_localServer" type="GearsResourceStore=">The LocalServer for gears.</param>
        /// <field name="EventType" type="">Events fired during URL capture</field>
        /// <returns type="goog.gears.UrlCapture"/>
    };

    var $x = window.goog.gears.UrlCapture;
    $x.prototype = {
                
        exists: function() {
            /// <summary>Determine if the UrlCapture has been created.</summary>
            /// <returns type="boolean">True if it has been created.</returns>
        }, 
        
        removeStore: function() {
            /// <summary>Remove this resource store.</summary>
        }, 
        
        rename: function(srcUri, dstUri) {
            /// <summary>Renames a Url that&apos;s been captured.</summary>
            /// <param name="srcUri" type="string|goog.Uri">The source Uri.</param>
            /// <param name="dstUri" type="string|goog.Uri">The destination Uri.</param>
        }, 
        
        copy: function(srcUri, dstUri) {
            /// <summary>Copies a Url that&apos;s been captured.</summary>
            /// <param name="srcUri" type="string|goog.Uri">The source Uri.</param>
            /// <param name="dstUri" type="string|goog.Uri">The destination Uri.</param>
        }, 
        
        capture: function(uris) {
            /// <summary>Starts the capture of the given URLs. Returns immediately, and fires events
            /// on success and error.</summary>
            /// <param name="uris" type="Array.string|goog.Uri">URIs to capture.</param>
            /// <returns type="number">The id of the ResourceStore capture. Can be used to
            /// abort, or identify events.</returns>
        }, 
        
        abort: function(captureId) {
            /// <summary>Aborts the capture with the given id. Dispatches abort event.</summary>
            /// <param name="captureId" type="number">The id of the capture to abort, from #capture.</param>
        }, 
        
        isCaptured: function(uri) {
            /// <summary>Checks if a URL is captured.</summary>
            /// <param name="uri" type="string|goog.Uri">The URL to check.</param>
            /// <returns type="boolean">true if captured, false otherwise.</returns>
        }, 
        
        remove: function(uri) {
            /// <summary>Removes the given URI from the store.</summary>
            /// <param name="uri" type="string|goog.Uri">The URI to remove from the store.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.UrlCapture";
})(this);
