
/* vsdoc for goog.gears.Worker */

(function (window) {
    window.goog.gears = window.goog.gears || {};

    window.goog.gears.Worker = function(workerPool, opt_id){
        /// <summary></summary>
        /// <param name="workerPool" type="goog.gears.WorkerPool">WorkerPool object.</param>
        /// <param name="opt_id" type="number=">The id of the worker this represents.</param>
        /// <field name="EventType" type="">Enum for event types fired by the worker.</field>
        /// <returns type="goog.gears.Worker"/>
    };

    var $x = window.goog.gears.Worker;
    $x.prototype = {
                
        handleMessage: function(messageObject) {
            /// <summary>Called when we receive a message from this worker. The message will
            /// first be dispatched as a WorkerEvent with type {@code EventType.MESSAGE} and
            /// then a {@code EventType.COMMAND}. An EventTarget may call
            /// {@code WorkerEvent.preventDefault()} to stop further dispatches.</summary>
            /// <param name="messageObject" type="GearsMessageObject">An object containing all
            ///     information about the message.</param>
        }, 
        
        init: function(id) {
            /// <summary>Initializes the worker object with a worker id.</summary>
            /// <param name="id" type="number">The id of the worker this represents.</param>
        }, 
        
        sendCommand: function(commandId, params) {
            /// <summary>Sends a command to the worker.</summary>
            /// <param name="commandId" type="number">The ID of the command to
            ///     send.</param>
            /// <param name="params" type="Object">An object to send as the parameters. This object
            ///     must be something that Gears can serialize. This includes JSON as well
            ///     as Gears blobs.</param>
        }, 
        
        sendMessage: function(message) {
            /// <summary>Sends a message to the worker.</summary>
            /// <param name="message" type="*">The message to send to the target worker.</param>
        }, 
        
        getId: function() {
            /// <summary>Gets an ID that uniquely identifies this worker. The ID is unique among all
            /// worker from the same WorkerPool.</summary>
            /// <returns type="number">The ID of the worker. This might be null if the
            ///     worker has not been initialized yet.</returns>
        }, 
        
        isCommandLike: function(obj) {
            /// <summary>Whether an object looks like a command. A command is an array with length 2
            /// where the first element is a number.</summary>
            /// <param name="obj" type="*">The object to test.</param>
            /// <returns type="boolean">true if the object looks like a command.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.Worker";
})(this);
