
/* vsdoc for goog.gears.WorkerChannel */

(function (window) {
    window.goog.gears = window.goog.gears || {};

    window.goog.gears.WorkerChannel = function(worker){
        /// <summary></summary>
        /// <param name="worker" type="goog.gears.Worker">The Gears worker to communicate with. This
        ///     should already be initialized.</param>
        /// <field name="FLAG" type="string">The flag added to messages that are sent by a GearsWorkerChannel, and are
        /// meant to be handled by one on the other side.</field>
        /// <field name="logger" type="goog.debug.Logger">Logger for this class.</field>
        /// <returns type="goog.gears.WorkerChannel"/>
    };

    var $x = window.goog.gears.WorkerChannel;
    $x.prototype = {
                
        send: function(serviceName, payload) {
            /// <summary></summary>
            /// <param name="serviceName" type=""></param>
            /// <param name="payload" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        checkMessageOrigin: function(messageOrigin) {
            /// <summary>Checks whether the origin for a given message is the expected origin. If it&apos;s
            /// not, a warning is logged and the message is ignored.
            /// 
            /// This checks that the origin matches the peerOrigin property. It can be
            /// overridden if more complex origin detection is necessary.</summary>
            /// <param name="messageOrigin" type="string">The origin of the message, of the form
            ///     SCHEME://HOST[:PORT]. The port is omitted for standard ports (http port
            ///     80, https port 443).</param>
            /// <returns type="boolean">True if the origin is acceptable, false otherwise.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.WorkerChannel";
})(this);
