
/* vsdoc for goog.gears.WorkerPool */

(function (window) {
    window.goog.gears = window.goog.gears || {};

    window.goog.gears.WorkerPool = function(){
        /// <summary></summary>
        /// <field name="EventType" type="">Enum for event types fired by the WorkerPool.</field>
        /// <returns type="goog.gears.WorkerPool"/>
    };

    var $x = window.goog.gears.WorkerPool;
    $x.prototype = {
                
        getGearsWorkerPool: function() {
            /// <summary></summary>
            /// <returns type="GearsWorkerPool">A Gears WorkerPool object.</returns>
        }, 
        
        setErrorHandler: function(fn, opt_handler) {
            /// <summary>Sets a last-chance error handler for a worker pool.
            /// WARNING: This will only succeed from inside a worker thread. In main thread,
            /// use window.onerror handler.</summary>
            /// <param name="fn" type="function(!GearsErrorObject):boolean">An error handler function
            ///     that gets passed an error object with message and line number attributes.
            ///     Returns whether the error was handled. If true stops propagation.</param>
            /// <param name="opt_handler" type="Object=">This object for the function.</param>
        }, 
        
        createWorker: function(code) {
            /// <summary>Creates a new worker.</summary>
            /// <param name="code" type="string">The code to execute inside the worker.</param>
            /// <returns type="goog.gears.Worker">The worker that was just created.</returns>
        }, 
        
        createWorkerFromUrl: function(url) {
            /// <summary>Creates a new worker from a URL.</summary>
            /// <param name="url" type="string">URL from which to get the code to execute inside the
            ///     worker.</param>
            /// <returns type="goog.gears.Worker">The worker that was just created.</returns>
        }, 
        
        allowCrossOrigin: function() {
            /// <summary>Allows the worker who calls this to be used cross origin.</summary>
        }, 
        
        sendMessage: function(message, worker) {
            /// <summary>Sends a message to a given worker.</summary>
            /// <param name="message" type="*">The message to send to the worker.</param>
            /// <param name="worker" type="goog.gears.Worker">The worker to send the message to.</param>
        }, 
        
        registerWorker: function(worker) {
            /// <summary>Registers a worker object.</summary>
            /// <param name="worker" type="goog.gears.Worker">The worker to register.</param>
        }, 
        
        unregisterWorker: function(worker) {
            /// <summary>Unregisters a worker object.</summary>
            /// <param name="worker" type="goog.gears.Worker">The worker to unregister.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.gears.WorkerPool";
})(this);
