
/* vsdoc for goog.graphics */

(function (window) {
    window.goog = window.goog || {};

    window.goog.graphics = {
        /// <summary></summary>
        /// <field name="ext" type=""></field>
        /// <field name="paths" type=""></field>
        /// <returns type="goog.graphics"/>
                
        createGraphics: function(width, height, opt_coordWidth, opt_coordHeight, opt_domHelper) {
            /// <summary>Returns an instance of goog.graphics.AbstractGraphics that knows how to draw
            /// for the current platform (A factory for the proper Graphics implementation)</summary>
            /// <param name="width" type="string|number">The width in pixels.  Strings
            ///     expressing percentages of parent with (e.g. &apos;80%&apos;) are also accepted.</param>
            /// <param name="height" type="string|number">The height in pixels.  Strings
            ///     expressing percentages of parent with (e.g. &apos;80%&apos;) are also accepted.</param>
            /// <param name="opt_coordWidth" type="?number=">The optional coordinate width - if
            ///     omitted or null, defaults to same as width.</param>
            /// <param name="opt_coordHeight" type="?number=">The optional coordinate height - if
            ///     omitted or null, defaults to same as height.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper object for the
            ///     document we want to render in.</param>
            /// <returns type="goog.graphics.AbstractGraphics">The created instance.</returns>
        }, 
        
        createSimpleGraphics: function(width, height, opt_coordWidth, opt_coordHeight, opt_domHelper) {
            /// <summary>Returns an instance of goog.graphics.AbstractGraphics that knows how to draw
            /// for the current platform (A factory for the proper Graphics implementation)</summary>
            /// <param name="width" type="string|number">The width in pixels.  Strings
            ///     expressing percentages of parent with (e.g. &apos;80%&apos;) are also accepted.</param>
            /// <param name="height" type="string|number">The height in pixels.   Strings
            ///     expressing percentages of parent with (e.g. &apos;80%&apos;) are also accepted.</param>
            /// <param name="opt_coordWidth" type="?number=">The optional coordinate width, defaults to
            ///     same as width.</param>
            /// <param name="opt_coordHeight" type="?number=">The optional coordinate height, defaults to
            ///     same as height.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper object for the
            ///     document we want to render in.</param>
            /// <returns type="goog.graphics.AbstractGraphics">The created instance.</returns>
        }, 
        
        isBrowserSupported: function() {
            /// <summary>Static function to check if the current browser has Graphics support.</summary>
            /// <returns type="boolean">True if the current browser has Graphics support.</returns>
        }
        
    };

    var $x = window.goog.graphics;
    $x.__namespace = "true";
    $x.__typeName = "goog.graphics";
})(this);
