
/* vsdoc for goog.graphics.CanvasEllipseElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.CanvasEllipseElement = function(element, graphics, cx, cy, rx, ry, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.CanvasGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="cx" type="number">Center X coordinate.</param>
        /// <param name="cy" type="number">Center Y coordinate.</param>
        /// <param name="rx" type="number">Radius length for the x-axis.</param>
        /// <param name="ry" type="number">Radius length for the y-axis.</param>
        /// <param name="stroke" type="goog.graphics.Stroke">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill">The fill to use for this element.</param>
        /// <returns type="goog.graphics.CanvasEllipseElement"/>
    };

    var $x = window.goog.graphics.CanvasEllipseElement;
    $x.prototype = {
                
        setCenter: function(cx, cy) {
            /// <summary>Update the center point of the ellipse.</summary>
            /// <param name="cx" type="number">Center X coordinate.</param>
            /// <param name="cy" type="number">Center Y coordinate.</param>
        }, 
        
        setRadius: function(rx, ry) {
            /// <summary>Update the radius of the ellipse.</summary>
            /// <param name="rx" type="number">Center X coordinate.</param>
            /// <param name="ry" type="number">Center Y coordinate.</param>
        }, 
        
        draw: function(ctx) {
            /// <summary>Draw the ellipse.  Should be treated as package scope.</summary>
            /// <param name="ctx" type="CanvasRenderingContext2D">The context to draw the element in.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.CanvasEllipseElement";
})(this);
