
/* vsdoc for goog.graphics.CanvasGroupElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.CanvasGroupElement = function(graphics){
        /// <summary></summary>
        /// <param name="graphics" type="goog.graphics.CanvasGraphics">The graphics creating
        ///     this element.</param>
        /// <returns type="goog.graphics.CanvasGroupElement"/>
    };

    var $x = window.goog.graphics.CanvasGroupElement;
    $x.prototype = {
                
        clear: function() {
            /// <summary>Remove all drawing elements from the group.</summary>
        }, 
        
        setSize: function(width, height) {
            /// <summary>Set the size of the group element.</summary>
            /// <param name="width" type="number|string">The width of the group element.</param>
            /// <param name="height" type="number|string">The height of the group element.</param>
        }, 
        
        appendChild: function(element) {
            /// <summary>Append a child to the group.  Does not draw it</summary>
            /// <param name="element" type="goog.graphics.Element">The child to append.</param>
        }, 
        
        draw: function(ctx) {
            /// <summary>Draw the group.</summary>
            /// <param name="ctx" type="CanvasRenderingContext2D">The context to draw the element in.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.CanvasGroupElement";
})(this);
