
/* vsdoc for goog.graphics.CanvasImageElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.CanvasImageElement = function(element, graphics, x, y, w, h, src){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.CanvasGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="x" type="number">X coordinate (left).</param>
        /// <param name="y" type="number">Y coordinate (top).</param>
        /// <param name="w" type="number">Width of rectangle.</param>
        /// <param name="h" type="number">Height of rectangle.</param>
        /// <param name="src" type="string">Source of the image.</param>
        /// <returns type="goog.graphics.CanvasImageElement"/>
    };

    var $x = window.goog.graphics.CanvasImageElement;
    $x.prototype = {
                
        setPosition: function(x, y) {
            /// <summary>Update the position of the image.</summary>
            /// <param name="x" type="number">X coordinate (left).</param>
            /// <param name="y" type="number">Y coordinate (top).</param>
        }, 
        
        setSize: function(width, height) {
            /// <summary>Update the size of the image.</summary>
            /// <param name="width" type="number">Width of rectangle.</param>
            /// <param name="height" type="number">Height of rectangle.</param>
        }, 
        
        setSource: function(src) {
            /// <summary>Update the source of the image.</summary>
            /// <param name="src" type="string">Source of the image.</param>
        }, 
        
        draw: function(ctx) {
            /// <summary>Draw the image.  Should be treated as package scope.</summary>
            /// <param name="ctx" type="CanvasRenderingContext2D">The context to draw the element in.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.CanvasImageElement";
})(this);
