
/* vsdoc for goog.graphics.CanvasPathElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.CanvasPathElement = function(element, graphics, path, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.CanvasGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="path" type="!goog.graphics.Path">The path object to draw.</param>
        /// <param name="stroke" type="goog.graphics.Stroke">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill">The fill to use for this element.</param>
        /// <returns type="goog.graphics.CanvasPathElement"/>
    };

    var $x = window.goog.graphics.CanvasPathElement;
    $x.prototype = {
                
        setPath: function(path) {
            /// <summary>Update the underlying path.</summary>
            /// <param name="path" type="!goog.graphics.Path">The path object to draw.</param>
        }, 
        
        draw: function(ctx) {
            /// <summary>Draw the path.  Should be treated as package scope.</summary>
            /// <param name="ctx" type="CanvasRenderingContext2D">The context to draw the element in.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.CanvasPathElement";
})(this);
