
/* vsdoc for goog.graphics.CanvasRectElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.CanvasRectElement = function(element, graphics, x, y, w, h, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.CanvasGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="x" type="number">X coordinate (left).</param>
        /// <param name="y" type="number">Y coordinate (top).</param>
        /// <param name="w" type="number">Width of rectangle.</param>
        /// <param name="h" type="number">Height of rectangle.</param>
        /// <param name="stroke" type="goog.graphics.Stroke">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill">The fill to use for this element.</param>
        /// <returns type="goog.graphics.CanvasRectElement"/>
    };

    var $x = window.goog.graphics.CanvasRectElement;
    $x.prototype = {
                
        setPosition: function(x, y) {
            /// <summary>Update the position of the rectangle.</summary>
            /// <param name="x" type="number">X coordinate (left).</param>
            /// <param name="y" type="number">Y coordinate (top).</param>
        }, 
        
        setSize: function(width, height) {
            /// <summary>Update the size of the rectangle.</summary>
            /// <param name="width" type="number">Width of rectangle.</param>
            /// <param name="height" type="number">Height of rectangle.</param>
        }, 
        
        draw: function(ctx) {
            /// <summary>Draw the rectangle.  Should be treated as package scope.</summary>
            /// <param name="ctx" type="CanvasRenderingContext2D">The context to draw the element in.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.CanvasRectElement";
})(this);
