
/* vsdoc for goog.graphics.CanvasTextElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.CanvasTextElement = function(graphics, text, x1, y1, x2, y2, align, font, stroke, fill){
        /// <summary></summary>
        /// <param name="graphics" type="!goog.graphics.CanvasGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="text" type="string">The text to draw.</param>
        /// <param name="x1" type="number">X coordinate of start of line.</param>
        /// <param name="y1" type="number">Y coordinate of start of line.</param>
        /// <param name="x2" type="number">X coordinate of end of line.</param>
        /// <param name="y2" type="number">Y coordinate of end of line.</param>
        /// <param name="align" type="?string">Horizontal alignment: left (default), center, right.</param>
        /// <param name="font" type="!goog.graphics.Font">Font describing the font properties.</param>
        /// <param name="stroke" type="goog.graphics.Stroke">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill">The fill to use for this element.</param>
        /// <returns type="goog.graphics.CanvasTextElement"/>
    };

    var $x = window.goog.graphics.CanvasTextElement;
    $x.prototype = {
                
        setText: function(text) {
            /// <summary>Update the displayed text of the element.</summary>
            /// <param name="text" type="string">The text to draw.</param>
        }, 
        
        setFill: function(fill) {
            /// <summary>Sets the fill for this element.</summary>
            /// <param name="fill" type="goog.graphics.Fill">The fill object.</param>
        }, 
        
        setStroke: function(stroke) {
            /// <summary>Sets the stroke for this element.</summary>
            /// <param name="stroke" type="goog.graphics.Stroke">The stroke object.</param>
        }, 
        
        draw: function(ctx) {
            /// <summary>Draw the text.  Should be treated as package scope.</summary>
            /// <param name="ctx" type="CanvasRenderingContext2D">The context to draw the element in.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.CanvasTextElement";
})(this);
