
/* vsdoc for goog.graphics.Element */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.Element = function(element, graphics){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.AbstractGraphics">The graphics creating
        ///     this element.</param>
        /// <returns type="goog.graphics.Element"/>
    };

    var $x = window.goog.graphics.Element;
    $x.prototype = {
                
        getElement: function() {
            /// <summary>Returns the underlying object.</summary>
            /// <returns type="Element">The underlying element.</returns>
        }, 
        
        getGraphics: function() {
            /// <summary>Returns the graphics.</summary>
            /// <returns type="goog.graphics.AbstractGraphics">The graphics that created the
            ///     element.</returns>
        }, 
        
        setTransformation: function(x, y, rotate, centerX, centerY) {
            /// <summary>Set the transformation of the element.</summary>
            /// <param name="x" type="number">The x coordinate of the translation transform.</param>
            /// <param name="y" type="number">The y coordinate of the translation transform.</param>
            /// <param name="rotate" type="number">The angle of the rotation transform.</param>
            /// <param name="centerX" type="number">The horizontal center of the rotation transform.</param>
            /// <param name="centerY" type="number">The vertical center of the rotation transform.</param>
        }, 
        
        getTransform: function() {
            /// <summary></summary>
            /// <returns type="goog.graphics.AffineTransform">The transformation applied to
            ///     this element.</returns>
        }, 
        
        addEventListener: function(type, handler, opt_capture, opt_handlerScope) {
            /// <summary></summary>
            /// <param name="type" type=""></param>
            /// <param name="handler" type=""></param>
            /// <param name="opt_capture" type=""></param>
            /// <param name="opt_handlerScope" type=""></param>
        }, 
        
        removeEventListener: function(type, handler, opt_capture, opt_handlerScope) {
            /// <summary></summary>
            /// <param name="type" type=""></param>
            /// <param name="handler" type=""></param>
            /// <param name="opt_capture" type=""></param>
            /// <param name="opt_handlerScope" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.Element";
})(this);
