
/* vsdoc for goog.graphics.LinearGradient */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.LinearGradient = function(x1, y1, x2, y2, color1, color2, opt_opacity1, opt_opacity2){
        /// <summary></summary>
        /// <param name="x1" type="number">Start X position of the gradient.</param>
        /// <param name="y1" type="number">Start Y position of the gradient.</param>
        /// <param name="x2" type="number">End X position of the gradient.</param>
        /// <param name="y2" type="number">End Y position of the gradient.</param>
        /// <param name="color1" type="string">Start color of the gradient.</param>
        /// <param name="color2" type="string">End color of the gradient.</param>
        /// <param name="opt_opacity1" type="?number=">Start opacity of the gradient, both or neither
        ///     of opt_opacity1 and opt_opacity2 have to be set.</param>
        /// <param name="opt_opacity2" type="?number=">End opacity of the gradient.</param>
        /// <returns type="goog.graphics.LinearGradient"/>
    };

    var $x = window.goog.graphics.LinearGradient;
    $x.prototype = {
                
        getX1: function() {
            /// <summary></summary>
            /// <returns type="number">The start X position of the gradient.</returns>
        }, 
        
        getY1: function() {
            /// <summary></summary>
            /// <returns type="number">The start Y position of the gradient.</returns>
        }, 
        
        getX2: function() {
            /// <summary></summary>
            /// <returns type="number">The end X position of the gradient.</returns>
        }, 
        
        getY2: function() {
            /// <summary></summary>
            /// <returns type="number">The end Y position of the gradient.</returns>
        }, 
        
        getColor1: function() {
            /// <summary></summary>
            /// <returns type="string">The start color of the gradient.</returns>
        }, 
        
        getColor2: function() {
            /// <summary></summary>
            /// <returns type="string">The end color of the gradient.</returns>
        }, 
        
        getOpacity1: function() {
            /// <summary></summary>
            /// <returns type="?number">The start opacity of the gradient.</returns>
        }, 
        
        getOpacity2: function() {
            /// <summary></summary>
            /// <returns type="?number">The end opacity of the gradient.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.LinearGradient";
})(this);
