
/* vsdoc for goog.graphics.StrokeAndFillElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.StrokeAndFillElement = function(element, graphics, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.AbstractGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <field name="fill" type="goog.graphics.Fill?">The latest fill applied to this element.</field>
        /// <returns type="goog.graphics.StrokeAndFillElement"/>
    };

    var $x = window.goog.graphics.StrokeAndFillElement;
    $x.prototype = {
                
        setFill: function(fill) {
            /// <summary>Sets the fill for this element.</summary>
            /// <param name="fill" type="goog.graphics.Fill?">The fill object.</param>
        }, 
        
        getFill: function() {
            /// <summary></summary>
            /// <returns type="goog.graphics.Fill?">fill The fill object.</returns>
        }, 
        
        setStroke: function(stroke) {
            /// <summary>Sets the stroke for this element.</summary>
            /// <param name="stroke" type="goog.graphics.Stroke?">The stroke object.</param>
        }, 
        
        getStroke: function() {
            /// <summary></summary>
            /// <returns type="goog.graphics.Stroke?">stroke The stroke object.</returns>
        }, 
        
        reapplyStroke: function() {
            /// <summary>Re-strokes the element to react to coordinate size changes.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.StrokeAndFillElement";
})(this);
