
/* vsdoc for goog.graphics.SvgEllipseElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.SvgEllipseElement = function(element, graphics, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.SvgGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <returns type="goog.graphics.SvgEllipseElement"/>
    };

    var $x = window.goog.graphics.SvgEllipseElement;
    $x.prototype = {
                
        setCenter: function(cx, cy) {
            /// <summary>Update the center point of the ellipse.</summary>
            /// <param name="cx" type="number">Center X coordinate.</param>
            /// <param name="cy" type="number">Center Y coordinate.</param>
        }, 
        
        setRadius: function(rx, ry) {
            /// <summary>Update the radius of the ellipse.</summary>
            /// <param name="rx" type="number">Radius length for the x-axis.</param>
            /// <param name="ry" type="number">Radius length for the y-axis.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.SvgEllipseElement";
})(this);
