
/* vsdoc for goog.graphics.VmlEllipseElement */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.VmlEllipseElement = function(element, graphics, cx, cy, rx, ry, stroke, fill){
        /// <summary></summary>
        /// <param name="element" type="Element">The DOM element to wrap.</param>
        /// <param name="graphics" type="goog.graphics.VmlGraphics">The graphics creating
        ///     this element.</param>
        /// <param name="cx" type="number">Center X coordinate.</param>
        /// <param name="cy" type="number">Center Y coordinate.</param>
        /// <param name="rx" type="number">Radius length for the x-axis.</param>
        /// <param name="ry" type="number">Radius length for the y-axis.</param>
        /// <param name="stroke" type="goog.graphics.Stroke?">The stroke to use for this element.</param>
        /// <param name="fill" type="goog.graphics.Fill?">The fill to use for this element.</param>
        /// <field name="cx" type="number">X coordinate of the ellipse center.</field>
        /// <field name="cy" type="number">Y coordinate of the ellipse center.</field>
        /// <field name="rx" type="number">Radius length for the x-axis.</field>
        /// <field name="ry" type="number">Radius length for the y-axis.</field>
        /// <field name="getElement" type=""></field>
        /// <returns type="goog.graphics.VmlEllipseElement"/>
    };

    var $x = window.goog.graphics.VmlEllipseElement;
    $x.prototype = {
                
        setCenter: function(cx, cy) {
            /// <summary>Update the center point of the ellipse.</summary>
            /// <param name="cx" type="number">Center X coordinate.</param>
            /// <param name="cy" type="number">Center Y coordinate.</param>
        }, 
        
        setRadius: function(rx, ry) {
            /// <summary>Update the radius of the ellipse.</summary>
            /// <param name="rx" type="number">Center X coordinate.</param>
            /// <param name="ry" type="number">Center Y coordinate.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.VmlEllipseElement";
})(this);
