
/* vsdoc for goog.graphics.ext.Graphics */

(function (window) {
    window.goog.graphics.ext = window.goog.graphics.ext || {};

    window.goog.graphics.ext.Graphics = function(width, height, opt_coordWidth, opt_coordHeight, opt_domHelper, opt_isSimple){
        /// <summary></summary>
        /// <param name="width" type="string|number">The width in pixels.  Strings
        ///     expressing percentages of parent with (e.g. &apos;80%&apos;) are also accepted.</param>
        /// <param name="height" type="string|number">The height in pixels.  Strings
        ///     expressing percentages of parent with (e.g. &apos;80%&apos;) are also accepted.</param>
        /// <param name="opt_coordWidth" type="?number=">The coordinate width - if
        ///     omitted or null, defaults to same as width.</param>
        /// <param name="opt_coordHeight" type="?number=">The coordinate height. - if
        ///     omitted or null, defaults to same as height.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper object for the
        ///     document we want to render in.</param>
        /// <param name="opt_isSimple" type="boolean=">Flag used to indicate the graphics object will
        ///     be drawn to in a single pass, and the fastest implementation for this
        ///     scenario should be favored.  NOTE: Setting to true may result in
        ///     degradation of text support.</param>
        /// <field name="transform" type="">Never transform a surface.</field>
        /// <returns type="goog.graphics.ext.Graphics"/>
    };

    var $x = window.goog.graphics.ext.Graphics;
    $x.prototype = {
                
        getImplementation: function() {
            /// <summary></summary>
            /// <returns type="goog.graphics.AbstractGraphics">The graphics implementation layer.</returns>
        }, 
        
        setCoordSize: function(coordWidth, coordHeight) {
            /// <summary>Changes the coordinate size.</summary>
            /// <param name="coordWidth" type="number">The coordinate width.</param>
            /// <param name="coordHeight" type="number">The coordinate height.</param>
        }, 
        
        getCoordSize: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Size">The coordinate size.</returns>
        }, 
        
        setCoordOrigin: function(left, top) {
            /// <summary>Changes the coordinate system position.</summary>
            /// <param name="left" type="number">The coordinate system left bound.</param>
            /// <param name="top" type="number">The coordinate system top bound.</param>
        }, 
        
        getCoordOrigin: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Coordinate">The coordinate system position.</returns>
        }, 
        
        setPixelSize: function(pixelWidth, pixelHeight) {
            /// <summary>Change the size of the canvas.</summary>
            /// <param name="pixelWidth" type="number">The width in pixels.</param>
            /// <param name="pixelHeight" type="number">The height in pixels.</param>
        }, 
        
        getPixelSize: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Size?">Returns the number of pixels spanned by the
            ///     surface, or null if the size could not be computed due to the size being
            ///     specified in percentage points and the component not being in the
            ///     document.</returns>
        }, 
        
        getWidth: function() {
            /// <summary></summary>
            /// <returns type="number">The coordinate width of the canvas.</returns>
        }, 
        
        getHeight: function() {
            /// <summary></summary>
            /// <returns type="number">The coordinate width of the canvas.</returns>
        }, 
        
        getPixelScaleX: function() {
            /// <summary></summary>
            /// <returns type="number">Returns the number of pixels per unit in the x direction.</returns>
        }, 
        
        getPixelScaleY: function() {
            /// <summary></summary>
            /// <returns type="number">Returns the number of pixels per unit in the y direction.</returns>
        }, 
        
        getElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The root element of the graphics surface.</returns>
        }, 
        
        render: function(parentElement) {
            /// <summary>Renders the underlying graphics.</summary>
            /// <param name="parentElement" type="Element">Parent element to render the component into.</param>
        }, 
        
        redraw: function() {
            /// <summary>Called from the parent class, this method resets any pre-computed positions
            /// and sizes.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.ext.Graphics";
})(this);
