
/* vsdoc for goog.graphics.ext.Path */

(function (window) {
    window.goog.graphics.ext = window.goog.graphics.ext || {};

    window.goog.graphics.ext.Path = function(){
        /// <summary></summary>
        /// <returns type="goog.graphics.ext.Path"/>
    };

    var $x = window.goog.graphics.ext.Path;
    $x.prototype = {
                
        clone: function() {
            /// <summary>Clones the path.</summary>
            /// <returns type="!goog.graphics.ext.Path">A clone of this path.</returns>
        }, 
        
        transform: function(tx) {
            /// <summary>Transforms the path. Only simple paths are transformable. Attempting
            /// to transform a non-simple path will throw an error.</summary>
            /// <param name="tx" type="!goog.graphics.AffineTransform">The transformation to perform.</param>
            /// <returns type="!goog.graphics.ext.Path">The path itself.</returns>
        }, 
        
        modifyBounds: function(deltaX, deltaY, xFactor, yFactor) {
            /// <summary>Modify the bounding box of the path.  This may cause the path to be
            /// simplified (i.e. arcs converted to curves) as a side-effect.</summary>
            /// <param name="deltaX" type="number">How far to translate the x coordinates.</param>
            /// <param name="deltaY" type="number">How far to translate the y coordinates.</param>
            /// <param name="xFactor" type="number">After translation, all x coordinates are multiplied
            ///     by this number.</param>
            /// <param name="yFactor" type="number">After translation, all y coordinates are multiplied
            ///     by this number.</param>
            /// <returns type="goog.graphics.ext.Path">The path itself.</returns>
        }, 
        
        useBoundingBox: function(bounds) {
            /// <summary>Set the precomputed bounds.</summary>
            /// <param name="bounds" type="goog.math.Rect?">The bounds to use, or set to null to clear
            ///     and recompute on the next call to getBoundingBox.</param>
        }, 
        
        getBoundingBox: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Rect?">The bounding box of the path, or null if the
            ///     path is empty.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.ext.Path";
})(this);
