
/* vsdoc for goog.graphics.ext.Shape */

(function (window) {
    window.goog.graphics.ext = window.goog.graphics.ext || {};

    window.goog.graphics.ext.Shape = function(group, path, opt_autoSize){
        /// <summary></summary>
        /// <param name="group" type="goog.graphics.ext.Group">Parent for this element.</param>
        /// <param name="path" type="!goog.graphics.ext.Path">The path to draw.</param>
        /// <param name="opt_autoSize" type="boolean=">Optional flag to specify the path should
        ///     automatically resize to fit the element.  Defaults to false.</param>
        /// <returns type="goog.graphics.ext.Shape"/>
    };

    var $x = window.goog.graphics.ext.Shape;
    $x.prototype = {
                
        getPath: function() {
            /// <summary>Get the path drawn by this shape.</summary>
            /// <returns type="goog.graphics.Path?">The path drawn by this shape.</returns>
        }, 
        
        setPath: function(path) {
            /// <summary>Set the path to draw.</summary>
            /// <param name="path" type="goog.graphics.ext.Path">The path to draw.</param>
        }, 
        
        redraw: function() {
            /// <summary>Redraw the ellipse.  Called when the coordinate system is changed.</summary>
        }, 
        
        checkParentDependent: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the shape is parent dependent.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.graphics.ext.Shape";
})(this);
