
/* vsdoc for goog.graphics.ext.coordinates */

(function (window) {
    window.goog.graphics.ext = window.goog.graphics.ext || {};

    window.goog.graphics.ext.coordinates = {
        /// <summary></summary>
        /// <returns type="goog.graphics.ext.coordinates"/>
                
        isSpecial: function(coord) {
            /// <summary>Determines if the given coordinate is special - i.e. not just a number.</summary>
            /// <param name="coord" type="string|number|null">The coordinate to test.</param>
            /// <returns type="boolean">Whether the coordinate is special.</returns>
        }, 
        
        computeValue: function(coord, size, scale) {
            /// <summary>Returns the value of the given expression in the given context.
            /// 
            /// Should be treated as package scope.</summary>
            /// <param name="coord" type="string|number">The coordinate to convert.</param>
            /// <param name="size" type="number">The size of the parent element.</param>
            /// <param name="scale" type="number">The ratio of pixels to units.</param>
            /// <returns type="number">The number of coordinate space units that corresponds to
            ///     this coordinate.</returns>
        }, 
        
        getValue: function(coord, forMaximum, containerSize, scale, opt_cache) {
            /// <summary>Converts the given coordinate to a number value in units.
            /// 
            /// Should be treated as package scope.</summary>
            /// <param name="coord" type="string|number">The coordinate to retrieve the value for.</param>
            /// <param name="forMaximum" type="boolean|undefined">Whether we are computing the largest
            ///     value this coordinate would be in a parent of no size.  The container
            ///     size in this case should be set to the size of the current element.</param>
            /// <param name="containerSize" type="number">The unit value of the size of the container of
            ///     this element.  Should be set to the minimum width of this element if
            ///     forMaximum is true.</param>
            /// <param name="scale" type="number">The ratio of pixels to units.</param>
            /// <param name="opt_cache" type="Object=">Optional (but highly recommend) object to store
            ///     cached computations in.  The calling class should manage clearing out
            ///     the cache when the scale or containerSize changes.</param>
            /// <returns type="number">The correct number of coordinate space units.</returns>
        }
        
    };

    var $x = window.goog.graphics.ext.coordinates;
    $x.__namespace = "true";
    $x.__typeName = "goog.graphics.ext.coordinates";
})(this);
