
/* vsdoc for goog.graphics.paths */

(function (window) {
    window.goog.graphics = window.goog.graphics || {};

    window.goog.graphics.paths = {
        /// <summary></summary>
        /// <returns type="goog.graphics.paths"/>
                
        createRegularNGon: function(center, vertex, n) {
            /// <summary>Defines a regular n-gon by specifing the center, a vertex, and the total
            /// number of vertices.</summary>
            /// <param name="center" type="goog.math.Coordinate">The center point.</param>
            /// <param name="vertex" type="goog.math.Coordinate">The vertex, which implicitly defines
            ///     a radius as well.</param>
            /// <param name="n" type="number">The number of vertices.</param>
            /// <returns type="!goog.graphics.Path">The path.</returns>
        }, 
        
        createArrow: function(a, b, aHead, bHead) {
            /// <summary>Defines an arrow.</summary>
            /// <param name="a" type="goog.math.Coordinate">Point A.</param>
            /// <param name="b" type="goog.math.Coordinate">Point B.</param>
            /// <param name="aHead" type="?number">The size of the arrow head at point A.
            ///     0 omits the head.</param>
            /// <param name="bHead" type="?number">The size of the arrow head at point B.
            ///     0 omits the head.</param>
            /// <returns type="!goog.graphics.Path">The path.</returns>
        }
        
    };

    var $x = window.goog.graphics.paths;
    $x.__namespace = "true";
    $x.__typeName = "goog.graphics.paths";
})(this);
