
/* vsdoc for goog.i18n.DateTimeParse */

(function (window) {
    window.goog.i18n = window.goog.i18n || {};

    window.goog.i18n.DateTimeParse = function(pattern){
        /// <summary></summary>
        /// <param name="pattern" type="string|number">pattern specification or pattern type.</param>
        /// <field name="ambiguousYearCenturyStart" type="number">Number of years prior to now that the century used to
        /// disambiguate two digit years will begin</field>
        /// <returns type="goog.i18n.DateTimeParse"/>
    };

    var $x = window.goog.i18n.DateTimeParse;
    $x.prototype = {
                
        parse: function(text, date, opt_start) {
            /// <summary>Parse the given string and fill info into date object. This version does
            /// not validate the input.</summary>
            /// <param name="text" type="string">The string being parsed.</param>
            /// <param name="date" type="goog.date.DateLike">The Date object to hold the parsed date.</param>
            /// <param name="opt_start" type="number=">The position from where parse should begin.</param>
            /// <returns type="number">How many characters parser advanced.</returns>
        }, 
        
        strictParse: function(text, date, opt_start) {
            /// <summary>Parse the given string and fill info into date object. This version will
            /// validate the input and make sure it is a validate date/time.</summary>
            /// <param name="text" type="string">The string being parsed.</param>
            /// <param name="date" type="goog.date.DateLike">The Date object to hold the parsed date.</param>
            /// <param name="opt_start" type="number=">The position from where parse should begin.</param>
            /// <returns type="number">How many characters parser advanced.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.i18n.DateTimeParse";
})(this);
