
/* vsdoc for goog.i18n.GraphemeBreak */

(function (window) {
    window.goog.i18n = window.goog.i18n || {};

    window.goog.i18n.GraphemeBreak = {
        /// <summary></summary>
        /// <field name="property" type="">Enum for all Grapheme Cluster Break properties.
        /// These enums directly corresponds to Grapheme_Cluster_Break property values
        /// mentioned in http://unicode.org/reports/tr29 table 2.
        /// 
        /// CR and LF are moved to the bottom of the list because they occur only once
        /// and so good candidates to take 2 decimal digit values.</field>
        /// <returns type="goog.i18n.GraphemeBreak"/>
                
        hasGraphemeBreak: function(a, b, opt_extended) {
            /// <summary>There are two kinds of grapheme clusters: 1) Legacy 2)Extended. This method
            /// is to check for both using a boolean flag to switch between them.</summary>
            /// <param name="a" type="number">The code point value of the first character.</param>
            /// <param name="b" type="number">The code point value of the second character.</param>
            /// <param name="opt_extended" type="boolean=">If true, indicates extended grapheme cluster;
            ///     If false, indicates legacy cluster.</param>
            /// <returns type="boolean">True if a &amp; b do not form a cluster; False otherwise.</returns>
        }
        
    };

    var $x = window.goog.i18n.GraphemeBreak;
    $x.__namespace = "true";
    $x.__typeName = "goog.i18n.GraphemeBreak";
})(this);
