
/* vsdoc for goog.i18n.MessageFormat */

(function (window) {
    window.goog.i18n = window.goog.i18n || {};

    window.goog.i18n.MessageFormat = function(pattern){
        /// <summary></summary>
        /// <param name="pattern" type="string">The pattern we parse and apply positional parameters
        ///     to.</param>
        /// <returns type="goog.i18n.MessageFormat"/>
    };

    var $x = window.goog.i18n.MessageFormat;
    $x.prototype = {
                
        format: function(named) {
            /// <summary>Formats a message, treating &apos;#&apos; with special meaning representing
            /// the number (plural_variable - offset).</summary>
            /// <param name="named" type="!Object">Parameters that either
            ///     influence the formatting or are used as actual data.
            ///     I.e. in call to fmt.format({&apos;NUM_PEOPLE&apos;: 5, &apos;NAME&apos;: &apos;Angela&apos;}),
            ///     object {&apos;NUM_PEOPLE&apos;: 5, &apos;NAME&apos;: &apos;Angela&apos;} holds positional parameters.
            ///     1st parameter could mean 5 people, which could influence plural format,
            ///     and 2nd parameter is just a data to be printed out in proper position.</param>
            /// <returns type="string">Formatted message.</returns>
        }, 
        
        formatIgnoringPound: function(named) {
            /// <summary>Formats a message, treating &apos;#&apos; as literary character.</summary>
            /// <param name="named" type="!Object">Parameters that either
            ///     influence the formatting or are used as actual data.
            ///     I.e. in call to fmt.format({&apos;NUM_PEOPLE&apos;: 5, &apos;NAME&apos;: &apos;Angela&apos;}),
            ///     object {&apos;NUM_PEOPLE&apos;: 5, &apos;NAME&apos;: &apos;Angela&apos;} holds positional parameters.
            ///     1st parameter could mean 5 people, which could influence plural format,
            ///     and 2nd parameter is just a data to be printed out in proper position.</param>
            /// <returns type="string">Formatted message.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.i18n.MessageFormat";
})(this);
