
/* vsdoc for goog.i18n.NumberFormat */

(function (window) {
    window.goog.i18n = window.goog.i18n || {};

    window.goog.i18n.NumberFormat = function(pattern, opt_currency, opt_currencyStyle){
        /// <summary></summary>
        /// <param name="pattern" type="number|string">The number that indicates a predefined
        ///     number format pattern.</param>
        /// <param name="opt_currency" type="string=">Optional international currency
        ///     code. This determines the currency code/symbol used in format/parse. If
        ///     not given, the currency code for current locale will be used.</param>
        /// <param name="opt_currencyStyle" type="number=">currency style, value defined in
        ///        goog.i18n.NumberFormat.CurrencyStyle.</param>
        /// <field name="Format" type="">Standard number formatting patterns.</field>
        /// <field name="CurrencyStyle" type="">Currency styles.</field>
        /// <returns type="goog.i18n.NumberFormat"/>
    };

    var $x = window.goog.i18n.NumberFormat;
    $x.prototype = {
                
        setEnforceAsciiDigits: function(doEnforce) {
            /// <summary>Set if the usage of Ascii digits in formatting should be enforced.</summary>
            /// <param name="doEnforce" type="boolean">Boolean value about if Ascii digits should be
            ///     enforced.</param>
        }, 
        
        isEnforceAsciiDigits: function() {
            /// <summary>Return if Ascii digits is enforced.</summary>
            /// <returns type="boolean">If Ascii digits is enforced.</returns>
        }, 
        
        setMinimumFractionDigits: function(min) {
            /// <summary>Sets minimum number of fraction digits.</summary>
            /// <param name="min" type="number">the minimum.</param>
        }, 
        
        setMaximumFractionDigits: function(max) {
            /// <summary>Sets maximum number of fraction digits.</summary>
            /// <param name="max" type="number">the maximum.</param>
        }, 
        
        parse: function(text, opt_pos) {
            /// <summary>Parses text string to produce a Number.
            /// 
            /// This method attempts to parse text starting from position &quot;opt_pos&quot; if it
            /// is given. Otherwise the parse will start from the beginning of the text.
            /// When opt_pos presents, opt_pos will be updated to the character next to where
            /// parsing stops after the call. If an error occurs, opt_pos won&apos;t be updated.</summary>
            /// <param name="text" type="string">The string to be parsed.</param>
            /// <param name="opt_pos" type="Array.number=">Position to pass in and get back.</param>
            /// <returns type="number">Parsed number. This throws an error if the text cannot be
            ///     parsed.</returns>
        }, 
        
        format: function(number) {
            /// <summary>Formats a Number to produce a string.</summary>
            /// <param name="number" type="number">The Number to be formatted.</param>
            /// <returns type="string">The formatted number string.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.i18n.NumberFormat";
})(this);
