
/* vsdoc for goog.i18n.uChar */

(function (window) {
    window.goog.i18n = window.goog.i18n || {};

    window.goog.i18n.uChar = {
        /// <summary></summary>
        /// <returns type="goog.i18n.uChar"/>
                
        NameFetcher: function() {
            /// <summary>NameFetcher interface. Implementations of this interface are used to retrieve
            /// Unicode character names.</summary>
        }, 
        
        toHexString: function(ch) {
            /// <summary>Gets the U+ notation string of a Unicode character. Ex: &apos;U+0041&apos; for &apos;A&apos;.</summary>
            /// <param name="ch" type="string">The given character.</param>
            /// <returns type="string">The U+ notation of the given character.</returns>
        }, 
        
        toCharCode: function(ch) {
            /// <summary>Gets Unicode value of the given character.</summary>
            /// <param name="ch" type="string">The given character.</param>
            /// <returns type="number">The Unicode value of the character.</returns>
        }, 
        
        fromCharCode: function(code) {
            /// <summary>Gets a character from the given Unicode value.</summary>
            /// <param name="code" type="number">The Unicode value of the character.</param>
            /// <returns type="?string">The character from Unicode value.</returns>
        }, 
        
        toName: function(ch) {
            /// <summary>Gets the name of a character, if available, returns null otherwise.</summary>
            /// <param name="ch" type="string">The character.</param>
            /// <returns type="?string">The name of the character.</returns>
        }, 
        
        createCharData: function() {
            /// <summary>Sets up the character map, lazily.  Some characters are indexed by their
            /// decimal value.</summary>
        }
        
    };

    var $x = window.goog.i18n.uChar;
    $x.__namespace = "true";
    $x.__typeName = "goog.i18n.uChar";
})(this);
