
/* vsdoc for goog.json */

(function (window) {
    window.goog = window.goog || {};

    window.goog.json = {
        /// <summary></summary>
        /// <returns type="goog.json"/>
                
        parse: function(s) {
            /// <summary>Parses a JSON string and returns the result. This throws an exception if
            /// the string is an invalid JSON string.
            /// 
            /// Note that this is very slow on large strings. If you trust the source of
            /// the string then you should use unsafeParse instead.</summary>
            /// <param name="s" type="*">The JSON string to parse.</param>
            /// <returns type="Object">The object generated from the JSON string.</returns>
        }, 
        
        unsafeParse: function(s) {
            /// <summary>Parses a JSON string and returns the result. This uses eval so it is open
            /// to security issues and it should only be used if you trust the source.</summary>
            /// <param name="s" type="string">The JSON string to parse.</param>
            /// <returns type="Object">The object generated from the JSON string.</returns>
        }, 
        
        serialize: function(object, opt_replacer) {
            /// <summary>Serializes an object or a value to a JSON string.</summary>
            /// <param name="object" type="*">The object to serialize.</param>
            /// <param name="opt_replacer" type="?goog.json.Replacer=">A replacer function
            ///     called for each (key, value) pair that determines how the value
            ///     should be serialized. By defult, this just returns the value
            ///     and allows default serialization to kick in.</param>
            /// <returns type="string">A JSON string representation of the input.</returns>
        }, 
        
        Processor: function() {
            /// <summary>An interface for JSON parsing and serialization.</summary>
        }
        
    };

    var $x = window.goog.json;
    $x.__namespace = "true";
    $x.__typeName = "goog.json";
})(this);
