
/* vsdoc for goog.labs.classdef */

(function (window) {
    window.goog.labs = window.goog.labs || {};

    window.goog.labs.classdef = {
        /// <summary></summary>
        /// <field name="SEAL_CLASS_INSTANCES" type=""></field>
        /// <returns type="goog.labs.classdef"/>
                
        defineClass: function(superClass, def) {
            /// <summary>Creates a restricted form of a Closure &quot;class&quot;:
            ///   - from the compiler&apos;s perspective, the instance returned from the
            ///     constructor is sealed (no new properties may be added).  This enables
            ///     better type checking.
            ///   - the compiler will rewrite this definition to a form that is optimal
            ///     for type checking and optimization (initially this will be a more
            ///     traditional form).</summary>
            /// <param name="superClass" type="Function">The superclass or null.</param>
            /// <param name="def" type="goog.labs.classdef.ClassDescriptor">An object literal describing the
            ///     the class.  It may have the following properties:
            ///     &quot;constructor&quot;: the constructor function
            ///     &quot;statics&quot;: an object literal containing methods to add to the constructor
            ///        as &quot;static&quot; methods or a function that will recieve the constructor
            ///        function as its only parameter to which static properties can
            ///        be added.
            ///     all other properties are added to the prototype.</param>
            /// <returns type="!Function">The class constructor.</returns>
        }
        
    };

    var $x = window.goog.labs.classdef;
    $x.__namespace = "true";
    $x.__typeName = "goog.labs.classdef";
})(this);
