
/* vsdoc for goog.labs.net.image */

(function (window) {
    window.goog.labs.net = window.goog.labs.net || {};

    window.goog.labs.net.image = {
        /// <summary></summary>
        /// <returns type="goog.labs.net.image"/>
                
        load: function(uri, opt_image) {
            /// <summary>Loads a single image.  Useful for preloading images. May be combined with
            /// goog.result.combine to preload many images.</summary>
            /// <param name="uri" type="string">URI of the image.</param>
            /// <param name="opt_image" type="(Image|function(): !Image)=">If present, instead of
            ///     creating a new Image instance the function will use the passed Image
            ///     instance or the result of calling the Image factory respectively. This
            ///     can be used to control exactly how Image instances are created, for
            ///     example if they should be created in a particular document element, or
            ///     have fields that will trigger CORS image fetches.</param>
            /// <returns type="!goog.result.Result">An asyncronous result that will succeed
            ///     if the image successfully loads or error if the image load fails.</returns>
        }
        
    };

    var $x = window.goog.labs.net.image;
    $x.__namespace = "true";
    $x.__typeName = "goog.labs.net.image";
})(this);
