
/* vsdoc for goog.labs.observe.ObservableSet */

(function (window) {
    window.goog.labs.observe = window.goog.labs.observe || {};

    window.goog.labs.observe.ObservableSet = function(){
        /// <summary></summary>
        /// <returns type="goog.labs.observe.ObservableSet"/>
    };

    var $x = window.goog.labs.observe.ObservableSet;
    $x.prototype = {
                
        addObserver: function(observer) {
            /// <summary>Adds an observer that observes all observables in the set. If new
            /// observables are added to or removed from the set, the observer will
            /// be registered or unregistered accordingly.
            /// 
            /// The observer will not be added if there is already an equivalent
            /// observer.</summary>
            /// <param name="observer" type="!goog.labs.observe.Observer">The observer to invoke.</param>
            /// <returns type="boolean">Whether the observer is actually added.</returns>
        }, 
        
        removeObserver: function(observer) {
            /// <summary>Removes an observer from the set. The observer will be removed from
            /// all observables in the set. Does nothing if the observer is not in
            /// the set.</summary>
            /// <param name="observer" type="!goog.labs.observe.Observer">The observer to remove.</param>
            /// <returns type="boolean">Whether the observer is actually removed.</returns>
        }, 
        
        removeAllObservers: function() {
            /// <summary>Removes all registered observers.</summary>
        }, 
        
        addObservable: function(observable) {
            /// <summary>Adds an observable to the set. All previously added and future
            /// observers will be added to the new observable as well.
            /// 
            /// The observable will not be added if it is already registered in the
            /// set.</summary>
            /// <param name="observable" type="!goog.labs.observe.Observable">The observable to add.</param>
            /// <returns type="boolean">Whether the observable is actually added.</returns>
        }, 
        
        removeObservable: function(observable) {
            /// <summary>Removes an observable from the set. All observers registered on the
            /// set will be removed from the observable as well.</summary>
            /// <param name="observable" type="!goog.labs.observe.Observable">The observable to remove.</param>
            /// <returns type="boolean">Whether the observable is actually removed.</returns>
        }, 
        
        removeAllObservables: function() {
            /// <summary>Removes all registered observables.</summary>
        }, 
        
        removeAll: function() {
            /// <summary>Removes all registered observations and observables.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.labs.observe.ObservableSet";
})(this);
