
/* vsdoc for goog.labs.observe.ObservationSet */

(function (window) {
    window.goog.labs.observe = window.goog.labs.observe || {};

    window.goog.labs.observe.ObservationSet = function(opt_defaultScope){
        /// <summary></summary>
        /// <param name="opt_defaultScope" type="!Object=">Optional function scope to use
        ///     when using {@code observeWithFunction} and
        ///     {@code unobserveWithFunction}.</param>
        /// <returns type="goog.labs.observe.ObservationSet"/>
    };

    var $x = window.goog.labs.observe.ObservationSet;
    $x.prototype = {
                
        observe: function(observable, observer) {
            /// <summary>Observes the given observer on the observable.</summary>
            /// <param name="observable" type="!goog.labs.observe.Observable">The observable to
            ///     observe on.</param>
            /// <param name="observer" type="!goog.labs.observe.Observer">The observer.</param>
            /// <returns type="boolean">True if the observer is successfully registered.</returns>
        }, 
        
        observeWithFunction: function(observable, fn, opt_scope) {
            /// <summary>Observes the given function on the observable.</summary>
            /// <param name="observable" type="!goog.labs.observe.Observable">The observable to
            ///     observe on.</param>
            /// <param name="fn" type="function(!goog.labs.observe.Notice)">The handler function.</param>
            /// <param name="opt_scope" type="!Object=">Optional scope.</param>
            /// <returns type="goog.labs.observe.Observer">The registered observer object.
            ///     If the observer is not successfully registered, this will be null.</returns>
        }, 
        
        unobserve: function(observable, observer) {
            /// <summary>Unobserves the given observer from the observable.</summary>
            /// <param name="observable" type="!goog.labs.observe.Observable">The observable to
            ///     unobserve from.</param>
            /// <param name="observer" type="!goog.labs.observe.Observer">The observer.</param>
            /// <returns type="boolean">True if the observer is successfully removed.</returns>
        }, 
        
        unobserveWithFunction: function(observable, fn, opt_scope) {
            /// <summary>Unobserves the given function from the observable.</summary>
            /// <param name="observable" type="!goog.labs.observe.Observable">The observable to
            ///     unobserve from.</param>
            /// <param name="fn" type="function(!goog.labs.observe.Notice)">The handler function.</param>
            /// <param name="opt_scope" type="!Object=">Optional scope.</param>
            /// <returns type="boolean">True if the observer is successfully removed.</returns>
        }, 
        
        removeAll: function() {
            /// <summary>Removes all observations registered through this set.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.labs.observe.ObservationSet";
})(this);
