
/* vsdoc for goog.labs.structs.Multimap */

(function (window) {
    window.goog.labs.structs = window.goog.labs.structs || {};

    window.goog.labs.structs.Multimap = function(){
        /// <summary></summary>
        /// <returns type="goog.labs.structs.Multimap"/>
    };

    var $x = window.goog.labs.structs.Multimap;
    $x.prototype = {
                
        clear: function() {
            /// <summary>Clears the multimap.</summary>
        }, 
        
        clone: function() {
            /// <summary>Clones this multimap.</summary>
            /// <returns type="!goog.labs.structs.Multimap">A multimap that contains all
            ///     the mapping this multimap has.</returns>
        }, 
        
        add: function(key, value) {
            /// <summary>Adds the given (key, value) pair to the map. The (key, value) pair
            /// is guaranteed to be added.</summary>
            /// <param name="key" type="string">The key to add.</param>
            /// <param name="value" type="*">The value to add.</param>
        }, 
        
        addAllValues: function(key, values) {
            /// <summary>Stores a collection of values to the given key. Does not replace
            /// existing (key, value) pairs.</summary>
            /// <param name="key" type="string">The key to add.</param>
            /// <param name="values" type="!Array.*">The values to add.</param>
        }, 
        
        addAllFromMultimap: function(map) {
            /// <summary>Adds the contents of the given map/multimap to this multimap.</summary>
            /// <param name="map" type="!(goog.labs.structs.Map|goog.labs.structs.Multimap)">The
            ///     map to add.</param>
        }, 
        
        replaceValues: function(key, values) {
            /// <summary>Replaces all the values for the given key with the given values.</summary>
            /// <param name="key" type="string">The key whose values are to be replaced.</param>
            /// <param name="values" type="!Array.*">The new values. If empty, this is
            ///     equivalent to {@code removaAll(key)}.</param>
        }, 
        
        get: function(key) {
            /// <summary>Gets the values correspond to the given key.</summary>
            /// <param name="key" type="string">The key to retrieve.</param>
            /// <returns type="!Array.*">An array of values corresponding to the given
            ///     key. May be empty. Note that the ordering of values are not
            ///     guaranteed to be consistent.</returns>
        }, 
        
        remove: function(key, value) {
            /// <summary>Removes a single occurrence of (key, value) pair.</summary>
            /// <param name="key" type="string">The key to remove.</param>
            /// <param name="value" type="*">The value to remove.</param>
            /// <returns type="boolean">Whether any matching (key, value) pair is removed.</returns>
        }, 
        
        removeAll: function(key) {
            /// <summary>Removes all values corresponding to the given key.</summary>
            /// <param name="key" type="string">The key whose values are to be removed.</param>
            /// <returns type="boolean">Whether any value is removed.</returns>
        }, 
        
        isEmpty: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the multimap is empty.</returns>
        }, 
        
        getCount: function() {
            /// <summary></summary>
            /// <returns type="number">The count of (key, value) pairs in the map.</returns>
        }, 
        
        containsEntry: function(key, value) {
            /// <summary></summary>
            /// <param name="key" type="string">The key to check.</param>
            /// <param name="value" type="string">The value to check.</param>
            /// <returns type="boolean">Whether the (key, value) pair exists in the multimap.</returns>
        }, 
        
        containsKey: function(key) {
            /// <summary></summary>
            /// <param name="key" type="string">The key to check.</param>
            /// <returns type="boolean">Whether the multimap contains at least one (key,
            ///     value) pair with the given key.</returns>
        }, 
        
        containsValue: function(value) {
            /// <summary></summary>
            /// <param name="value" type="*">The value to check.</param>
            /// <returns type="boolean">Whether the multimap contains at least one (key,
            ///     value) pair with the given value.</returns>
        }, 
        
        getKeys: function() {
            /// <summary></summary>
            /// <returns type="!Array.string">An array of unique keys.</returns>
        }, 
        
        getValues: function() {
            /// <summary></summary>
            /// <returns type="!Array.*">An array of values. There may be duplicates.</returns>
        }, 
        
        getEntries: function() {
            /// <summary></summary>
            /// <returns type="!Array.!Array">An array of entries. Each entry is of the
            ///     form [key, value].</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.labs.structs.Multimap";
})(this);
