
/* vsdoc for goog.locale.genericFontNames */

(function (window) {
    window.goog.locale = window.goog.locale || {};

    window.goog.locale.genericFontNames = {
        /// <summary></summary>
        /// <returns type="goog.locale.genericFontNames"/>
                
        getList: function(locale) {
            /// <summary>Gets the list of fonts and their generic names for the given locale.</summary>
            /// <param name="locale" type="string">The locale for which font lists and font family names
            ///     to be produced. The expected locale id is as described in
            ///     http://wiki/Main/IIISynonyms in all lowercase for easy matching.
            ///     Smallest possible id is expected.
            ///     Examples: &apos;zh&apos;, &apos;zh-tw&apos;, &apos;iw&apos; instead of &apos;zh-CN&apos;, &apos;zh-Hant-TW&apos;, &apos;he&apos;.</param>
            /// <returns type="Array.Object">List of objects with generic name as &apos;caption&apos; and
            ///     corresponding font name lists as &apos;value&apos; property.</returns>
        }
        
    };

    var $x = window.goog.locale.genericFontNames;
    $x.__namespace = "true";
    $x.__typeName = "goog.locale.genericFontNames";
})(this);
