
/* vsdoc for goog.locale.timeZoneDetection */

(function (window) {
    window.goog.locale = window.goog.locale || {};

    window.goog.locale.timeZoneDetection = {
        /// <summary></summary>
        /// <returns type="goog.locale.timeZoneDetection"/>
                
        getFingerprint: function(date) {
            /// <summary>Calculates time zone fingerprint by poking time zone offsets for 13
            /// preselected time points.
            /// See {@link goog.locale.timeZoneDetection.TZ_POKE_POINTS_}</summary>
            /// <param name="date" type="Date">Date for calculating the fingerprint.</param>
            /// <returns type="number">Fingerprint of user&apos;s time zone setting.</returns>
        }, 
        
        detectTimeZone: function(opt_country, opt_date) {
            /// <summary>Detects browser&apos;s time zone setting. If user&apos;s country is known, a better
            /// time zone choice could be guessed.</summary>
            /// <param name="opt_country" type="string=">Two-letter ISO 3166 country code.</param>
            /// <param name="opt_date" type="Date=">Date for calculating the fingerprint. Defaults to the
            ///     current date.</param>
            /// <returns type="string">Time zone ID of best guess.</returns>
        }, 
        
        getTimeZoneList: function(opt_country, opt_date) {
            /// <summary>Returns an array of time zones that are consistent with user&apos;s platform
            /// setting. If user&apos;s country is given, only the time zone for that country is
            /// returned.</summary>
            /// <param name="opt_country" type="string=">2 letter ISO 3166 country code. Helps in making
            ///     a better guess for user&apos;s time zone.</param>
            /// <param name="opt_date" type="Date=">Date for retrieving timezone list. Defaults to the
            ///     current date.</param>
            /// <returns type="Array.string">Array of time zone IDs.</returns>
        }
        
    };

    var $x = window.goog.locale.timeZoneDetection;
    $x.__namespace = "true";
    $x.__typeName = "goog.locale.timeZoneDetection";
})(this);
