
/* vsdoc for goog.math.Coordinate3 */

(function (window) {
    window.goog.math = window.goog.math || {};

    window.goog.math.Coordinate3 = function(opt_x, opt_y, opt_z){
        /// <summary></summary>
        /// <param name="opt_x" type="number=">X coordinate, defaults to 0.</param>
        /// <param name="opt_y" type="number=">Y coordinate, defaults to 0.</param>
        /// <param name="opt_z" type="number=">Z coordinate, defaults to 0.</param>
        /// <field name="x" type="number">X-value</field>
        /// <field name="y" type="number">Y-value</field>
        /// <field name="z" type="number">Z-value</field>
        /// <returns type="goog.math.Coordinate3"/>
    };

    var $x = window.goog.math.Coordinate3;
    $x.prototype = {
                
        clone: function() {
            /// <summary>Returns a new copy of the coordinate.</summary>
            /// <returns type="!goog.math.Coordinate3">A clone of this coordinate.</returns>
        }, 
        
        toString: function() {
            /// <summary>Returns a nice string representing the coordinate.</summary>
            /// <returns type="string">In the form (50, 73, 31).</returns>
        }, 
        
        equals: function(a, b) {
            /// <summary>Compares coordinates for equality.</summary>
            /// <param name="a" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <param name="b" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <returns type="boolean">True iff the coordinates are equal, or if both are null.</returns>
        }, 
        
        distance: function(a, b) {
            /// <summary>Returns the distance between two coordinates.</summary>
            /// <param name="a" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <param name="b" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <returns type="number">The distance between {@code a} and {@code b}.</returns>
        }, 
        
        squaredDistance: function(a, b) {
            /// <summary>Returns the squared distance between two coordinates. Squared distances can
            /// be used for comparisons when the actual value is not required.
            /// 
            /// Performance note: eliminating the square root is an optimization often used
            /// in lower-level languages, but the speed difference is not nearly as
            /// pronounced in JavaScript (only a few percent.)</summary>
            /// <param name="a" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <param name="b" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <returns type="number">The squared distance between {@code a} and {@code b}.</returns>
        }, 
        
        difference: function(a, b) {
            /// <summary>Returns the difference between two coordinates as a new
            /// goog.math.Coordinate3.</summary>
            /// <param name="a" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <param name="b" type="goog.math.Coordinate3">A Coordinate3.</param>
            /// <returns type="!goog.math.Coordinate3">A Coordinate3 representing the difference
            ///     between {@code a} and {@code b}.</returns>
        }, 
        
        toArray: function() {
            /// <summary>Returns the contents of this coordinate as a 3 value Array.</summary>
            /// <returns type="!Array.number">A new array.</returns>
        }, 
        
        fromArray: function(a) {
            /// <summary>Converts a three element array into a Coordinate3 object.  If the value
            /// passed in is not an array, not array-like, or not of the right length, an
            /// error is thrown.</summary>
            /// <param name="a" type="Array.number">Array of numbers to become a coordinate.</param>
            /// <returns type="!goog.math.Coordinate3">A new coordinate from the array values.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.math.Coordinate3";
})(this);
