
/* vsdoc for goog.math.interpolator.Spline1 */

(function (window) {
    window.goog.math.interpolator = window.goog.math.interpolator || {};

    window.goog.math.interpolator.Spline1 = function(){
        /// <summary></summary>
        /// <returns type="goog.math.interpolator.Spline1"/>
    };

    var $x = window.goog.math.interpolator.Spline1;
    $x.prototype = {
                
        setData: function(x, y) {
            /// <summary></summary>
            /// <param name="x" type=""></param>
            /// <param name="y" type=""></param>
        }, 
        
        interpolate: function(x) {
            /// <summary></summary>
            /// <param name="x" type=""></param>
        }, 
        
        computeDerivatives: function(dx, slope) {
            /// <summary>Computes the derivative at each point of the spline such that
            /// the curve is C2. It uses not-a-knot boundary conditions.</summary>
            /// <param name="dx" type="Array.number">The spacing between consecutive data points.</param>
            /// <param name="slope" type="Array.number">The slopes between consecutive data points.</param>
            /// <returns type="Array.number">The Spline derivative at each data point.</returns>
        }, 
        
        getInverse: function() {
            /// <summary>Note that the inverse of a cubic spline is not a cubic spline in general.
            /// As a result the inverse implementation is only approximate. In
            /// particular, it only guarantees the exact inverse at the original input data
            /// points passed to setData.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.math.interpolator.Spline1";
})(this);
