
/* vsdoc for goog.math.tdma */

(function (window) {
    window.goog.math = window.goog.math || {};

    window.goog.math.tdma = {
        /// <summary></summary>
        /// <returns type="goog.math.tdma"/>
                
        solve: function(subDiag, mainDiag, supDiag, vecRight, opt_result) {
            /// <summary>Solves a linear system where the matrix is square tri-diagonal. That is,
            /// given a system of equations:
            /// 
            /// A * result = vecRight,
            /// 
            /// this class computes result = inv(A) * vecRight, where A has the special form
            /// of a tri-diagonal matrix:
            /// 
            ///    |dia(0) sup(0)   0    0     ...   0|
            ///    |sub(0) dia(1) sup(1) 0     ...   0|
            /// A =|                ...               |
            ///    |0 ... 0 sub(n-2) dia(n-1) sup(n-1)|
            ///    |0 ... 0    0     sub(n-1)   dia(n)|</summary>
            /// <param name="subDiag" type="!Array.number">The sub diagonal of the matrix.</param>
            /// <param name="mainDiag" type="!Array.number">The main diagonal of the matrix.</param>
            /// <param name="supDiag" type="!Array.number">The super diagonal of the matrix.</param>
            /// <param name="vecRight" type="!Array.number">The right vector of the system
            ///     of equations.</param>
            /// <param name="opt_result" type="Array.number=">The optional array to store the result.</param>
            /// <returns type="!Array.number">The vector that is the solution to the system.</returns>
        }
        
    };

    var $x = window.goog.math.tdma;
    $x.__namespace = "true";
    $x.__typeName = "goog.math.tdma";
})(this);
