
/* vsdoc for goog.messaging.BufferedChannel */

(function (window) {
    window.goog.messaging = window.goog.messaging || {};

    window.goog.messaging.BufferedChannel = function(messageChannel, opt_interval){
        /// <summary></summary>
        /// <param name="messageChannel" type="!goog.messaging.MessageChannel">The MessageChannel
        ///     we&apos;re wrapping.</param>
        /// <param name="opt_interval" type="number=">Polling interval for sending ready
        ///     notifications to peer, in ms.  Default is 50.</param>
        /// <returns type="goog.messaging.BufferedChannel"/>
    };

    var $x = window.goog.messaging.BufferedChannel;
    $x.prototype = {
                
        connect: function(opt_connectCb) {
            /// <summary></summary>
            /// <param name="opt_connectCb" type=""></param>
        }, 
        
        isConnected: function() {
            /// <summary></summary>
        }, 
        
        isPeerReady: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the channel&apos;s peer is ready.</returns>
        }, 
        
        registerService: function(serviceName, callback, opt_objectPayload) {
            /// <summary></summary>
            /// <param name="serviceName" type=""></param>
            /// <param name="callback" type=""></param>
            /// <param name="opt_objectPayload" type=""></param>
        }, 
        
        registerDefaultService: function(callback) {
            /// <summary></summary>
            /// <param name="callback" type=""></param>
        }, 
        
        send: function(serviceName, payload) {
            /// <summary>Send a message over the channel.  If the peer is not ready, the message will
            /// be buffered and sent once we&apos;ve received a ready message from our peer.</summary>
            /// <param name="serviceName" type="string">The name of the service this message should be
            ///     delivered to.</param>
            /// <param name="payload" type="string|!Object">The value of the message. If this is an
            ///     Object, it is serialized to JSON before sending.  It&apos;s the responsibility
            ///     of implementors of this class to perform the serialization.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.messaging.BufferedChannel";
})(this);
