
/* vsdoc for goog.messaging.MultiChannel.VirtualChannel */

(function (window) {
    window.goog.messaging.MultiChannel = window.goog.messaging.MultiChannel || {};

    window.goog.messaging.MultiChannel.VirtualChannel = function(parent, name){
        /// <summary></summary>
        /// <param name="parent" type="goog.messaging.MultiChannel">The MultiChannel
        ///     which created this channel, and which contains the underlying
        ///     MessageChannel that&apos;s used as the transport.</param>
        /// <param name="name" type="string">The name of this virtual channel. Unique among the
        ///     virtual channels in parent.</param>
        /// <returns type="goog.messaging.MultiChannel.VirtualChannel"/>
    };

    var $x = window.goog.messaging.MultiChannel.VirtualChannel;
    $x.prototype = {
                
        connect: function(opt_connectCb) {
            /// <summary>This is a no-op, since the underlying channel is expected to already be
            /// initialized when it&apos;s passed in.</summary>
            /// <param name="opt_connectCb" type=""></param>
        }, 
        
        isConnected: function() {
            /// <summary>This always returns true, since the underlying channel is expected to already
            /// be initialized when it&apos;s passed in.</summary>
        }, 
        
        registerService: function(serviceName, callback, opt_objectPayload) {
            /// <summary></summary>
            /// <param name="serviceName" type=""></param>
            /// <param name="callback" type=""></param>
            /// <param name="opt_objectPayload" type=""></param>
        }, 
        
        send: function(serviceName, payload) {
            /// <summary></summary>
            /// <param name="serviceName" type=""></param>
            /// <param name="payload" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.messaging.MultiChannel.VirtualChannel";
})(this);
