
/* vsdoc for goog.messaging.RespondingChannel */

(function (window) {
    window.goog.messaging = window.goog.messaging || {};

    window.goog.messaging.RespondingChannel = function(messageChannel){
        /// <summary></summary>
        /// <param name="messageChannel" type="goog.messaging.MessageChannel">The messageChannel to
        ///     to wrap and allow for responses. This channel must not have any existing
        ///     services registered. All service registration must be done through the
        ///     {@link RespondingChannel#registerService} api instead. The other end of
        ///     channel must also be a RespondingChannel.</param>
        /// <returns type="goog.messaging.RespondingChannel"/>
    };

    var $x = window.goog.messaging.RespondingChannel;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        send: function(serviceName, payload, callback) {
            /// <summary>Sends a message over the channel.</summary>
            /// <param name="serviceName" type="string">The name of the service this message should be
            ///     delivered to.</param>
            /// <param name="payload" type="string|!Object">The value of the message. If this is an
            ///     Object, it is serialized to a string before sending if necessary.</param>
            /// <param name="callback" type="function(?Object)">The callback invoked with
            ///     the result of the service call.</param>
        }, 
        
        registerService: function(serviceName, callback) {
            /// <summary>Registers a service to be called when a message is received.</summary>
            /// <param name="serviceName" type="string">The name of the service.</param>
            /// <param name="callback" type="function(!Object)">The callback to process the
            ///     incoming messages. Passed the payload.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.messaging.RespondingChannel";
})(this);
