
/* vsdoc for goog.module */

(function (window) {
    window.goog = window.goog || {};

    window.goog.module = {
        /// <summary></summary>
        /// <returns type="goog.module"/>
                
        AbstractModuleLoader: function() {
            /// <summary>An interface that loads JavaScript modules.</summary>
        }, 
        
        require: function(module, symbol, callback) {
            /// <summary>Wrapper of goog.module.Loader.require() for use in modules.
            /// See method goog.module.Loader.require() for
            /// explanation of params.</summary>
            /// <param name="module" type="string">The name of the module. Usually, the value
            ///     is defined as a constant whose name starts with MOD_.</param>
            /// <param name="symbol" type="number|string">The ID of the symbol. Usually, the value is
            ///     defined as a constant whose name starts with SYM_.</param>
            /// <param name="callback" type="Function">This function will be called with the
            ///     resolved symbol as the argument once the module is loaded.</param>
        }, 
        
        provide: function(module, opt_symbol, opt_object) {
            /// <summary>Wrapper of goog.module.Loader.provide() for use in modules
            /// See method goog.module.Loader.provide() for explanation of params.</summary>
            /// <param name="module" type="string">The name of the module. Cf. parameter module
            ///     of method require().</param>
            /// <param name="opt_symbol" type="number|string=">The symbol being defined, or nothing
            ///     when all symbols of the module are defined. Cf. parameter symbol of
            ///     method require().</param>
            /// <param name="opt_object" type="Object=">The object bound to the symbol, or nothing when
            ///     all symbols of the module are defined.</param>
        }, 
        
        initLoader: function(urlBase, opt_urlFunction) {
            /// <summary>Wrapper of init() so that we only need to export this single
            /// identifier instead of three. See method goog.module.Loader.init() for
            /// explanation of param.</summary>
            /// <param name="urlBase" type="string">The URL of the base library.</param>
            /// <param name="opt_urlFunction" type="Function=">Function that creates the URL for the
            ///     module file. It will be passed the base URL for module files and the
            ///     module name and should return the fully-formed URL to the module file to
            ///     load.</param>
        }, 
        
        loaderCall: function(module, symbol) {
            /// <summary>Produces a function that delegates all its arguments to a
            /// dynamically loaded function. This is used to export dynamically
            /// loaded functions.</summary>
            /// <param name="module" type="string">The module to load from.</param>
            /// <param name="symbol" type="number|string">The ID of the symbol to load from the module.
            ///     This symbol must resolve to a function.</param>
            /// <returns type="!Function">A function that forwards all its arguments to
            ///     the dynamically loaded function specified by module and symbol.</returns>
        }, 
        
        requireMultipleSymbols: function(symbolRequests, finalCb) {
            /// <summary>Requires symbols for multiple modules, and invokes a final callback
            /// on the condition that all of them are loaded. I.e. a barrier for
            /// loading of multiple symbols. If no symbols are required, the
            /// final callback is called immediately.</summary>
            /// <param name="symbolRequests" type="Array.Object">A
            ///     list of tuples of module, symbol, callback (analog to the arguments
            ///     to require(), above). These will each be require()d
            ///     individually. NOTE: This argument will be modified during execution
            ///     of the function.</param>
            /// <param name="finalCb" type="Function">A function that is called when all
            ///     required symbols are loaded.</param>
        }
        
    };

    var $x = window.goog.module;
    $x.__namespace = "true";
    $x.__typeName = "goog.module";
})(this);
