
/* vsdoc for goog.module.ModuleLoader */

(function (window) {
    window.goog.module = window.goog.module || {};

    window.goog.module.ModuleLoader = function(){
        /// <summary></summary>
        /// <field name="logger" type="goog.debug.Logger">A logger.</field>
        /// <field name="EventType" type=""></field>
        /// <returns type="goog.module.ModuleLoader"/>
    };

    var $x = window.goog.module.ModuleLoader;
    $x.prototype = {
                
        getDebugMode: function() {
            /// <summary>Gets the debug mode for the loader.</summary>
            /// <returns type="boolean">debugMode Whether the debug mode is enabled.</returns>
        }, 
        
        setDebugMode: function(debugMode) {
            /// <summary>Sets the debug mode for the loader.</summary>
            /// <param name="debugMode" type="boolean">Whether the debug mode is enabled.</param>
        }, 
        
        setSourceUrlInjection: function(enabled) {
            /// <summary>When enabled, we will add a sourceURL comment to the end of all scripts
            /// to mark their origin.
            /// 
            /// Notice that in most cases, this is far superior to debug mode, because
            /// the scripts will load faster on most browsers. (Debug mode is very slow.
            /// See the comment at the top of this file.)
            /// 
            /// On WebKit, stack traces will refect the sourceURL comment, so this is also
            /// useful for debugging webkit stack traces in production.
            /// 
            /// There is some performance overhead to doing this.
            /// 
            /// TODO(nicksantos): Measure the performance cost, and figure out a decision
            /// tree for when users should turn this on. I&apos;m not sure if most users are
            /// sophisticated enough to know whether they want this or not, because
            /// there are a couple different trade-offs involved. We might want to make
            /// debug mode do this on browsers that support sourceURL.</summary>
            /// <param name="enabled" type="boolean">Whether source url injection is enabled.</param>
        }, 
        
        usingSourceUrlInjection: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether we&apos;re using source url injection.</returns>
        }, 
        
        loadModules: function(ids, moduleInfoMap, opt_successFn, opt_errorFn, opt_timeoutFn, opt_forceReload) {
            /// <summary></summary>
            /// <param name="ids" type=""></param>
            /// <param name="moduleInfoMap" type=""></param>
            /// <param name="opt_successFn" type=""></param>
            /// <param name="opt_errorFn" type=""></param>
            /// <param name="opt_timeoutFn" type=""></param>
            /// <param name="opt_forceReload" type=""></param>
        }, 
        
        prefetchModule: function(id, moduleInfo) {
            /// <summary></summary>
            /// <param name="id" type=""></param>
            /// <param name="moduleInfo" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.module.ModuleLoader";
})(this);
