
/* vsdoc for goog.net.BulkLoaderHelper */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.BulkLoaderHelper = function(uris){
        /// <summary></summary>
        /// <param name="uris" type="Array.string|goog.Uri">The URIs to load.</param>
        /// <returns type="goog.net.BulkLoaderHelper"/>
    };

    var $x = window.goog.net.BulkLoaderHelper;
    $x.prototype = {
                
        getUri: function(id) {
            /// <summary>Gets the URI by id.</summary>
            /// <param name="id" type="number">The id.</param>
            /// <returns type="string|goog.Uri">The URI specified by the id.</returns>
        }, 
        
        getUris: function() {
            /// <summary>Gets the URIs.</summary>
            /// <returns type="Array.string|goog.Uri">The URIs.</returns>
        }, 
        
        getResponseTexts: function() {
            /// <summary>Gets the response texts.</summary>
            /// <returns type="Array.string">The response texts.</returns>
        }, 
        
        setResponseText: function(id, responseText) {
            /// <summary>Sets the response text by id.</summary>
            /// <param name="id" type="number">The id.</param>
            /// <param name="responseText" type="string">The response texts.</param>
        }, 
        
        isLoadComplete: function() {
            /// <summary>Determines if the load of the URIs is complete.</summary>
            /// <returns type="boolean">TRUE iff the load is complete.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.BulkLoaderHelper";
})(this);
