
/* vsdoc for goog.net.ImageLoader */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.ImageLoader = function(opt_parent){
        /// <summary></summary>
        /// <param name="opt_parent" type="Element=">An optional parent element whose document object
        ///     should be used to load images.</param>
        /// <returns type="goog.net.ImageLoader"/>
    };

    var $x = window.goog.net.ImageLoader;
    $x.prototype = {
                
        addImage: function(id, image) {
            /// <summary>Adds an image to the image loader, and associates it with the given ID
            /// string.  If an image with that ID already exists, it is silently replaced.
            /// When the image in question is loaded, the target of the LOAD event will be
            /// an {@code Image} object with {@code id} and {@code src} attributes based on
            /// these arguments.</summary>
            /// <param name="id" type="string">The ID of the image to load.</param>
            /// <param name="image" type="string|Image">Either the source URL of the image or the HTML
            ///     image element itself (or any object with a {@code src} property, really).</param>
        }, 
        
        removeImage: function(id) {
            /// <summary>Removes the image associated with the given ID string from the image loader.
            /// If the image was previously loading, removes any listeners for its events
            /// and dispatches a COMPLETE event if all remaining images have now completed.</summary>
            /// <param name="id" type="string">The ID of the image to remove.</param>
        }, 
        
        start: function() {
            /// <summary>Starts loading all images in the image loader in parallel.  Raises a LOAD
            /// event each time an image finishes loading, and a COMPLETE event after all
            /// images have finished loading.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.ImageLoader";
})(this);
