
/* vsdoc for goog.net.IpAddress */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.IpAddress = function(address, version){
        /// <summary></summary>
        /// <param name="address" type="!goog.math.Integer">The Ip Address.</param>
        /// <param name="version" type="number">The version number (4, 6).</param>
        /// <field name="toUriString" type="string"></field>
        /// <field name="toString" type="string"></field>
        /// <returns type="goog.net.IpAddress"/>
    };

    var $x = window.goog.net.IpAddress;
    $x.prototype = {
                
        getVersion: function() {
            /// <summary></summary>
            /// <returns type="number">The IP Address version.</returns>
        }, 
        
        equals: function(other) {
            /// <summary></summary>
            /// <param name="other" type="!goog.net.IpAddress">The other IP Address.</param>
            /// <returns type="boolean">true if the IP Addresses are equal.</returns>
        }, 
        
        toInteger: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Integer">The IP Address, as an Integer.</returns>
        }, 
        
        fromString: function(address) {
            /// <summary>Parses an IP Address in a string.
            /// If the string is malformed, the function will simply return null
            /// instead of raising an exception.</summary>
            /// <param name="address" type="string">The IP Address.</param>
            /// <returns type="goog.net.IpAddress">The IP Address or null.</returns>
        }, 
        
        fromUriString: function(address) {
            /// <summary>Tries to parse a string represented as a host portion of an URI.
            /// See RFC 3986 for more details on IPv6 addresses inside URI.
            /// If the string is malformed, the function will simply return null
            /// instead of raising an exception.</summary>
            /// <param name="address" type="string">A RFC 3986 encoded IP address.</param>
            /// <returns type="goog.net.IpAddress">The IP Address.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.IpAddress";
})(this);
