
/* vsdoc for goog.net.MultiIframeLoadMonitor */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.MultiIframeLoadMonitor = function(iframes, callback, opt_hasContent){
        /// <summary></summary>
        /// <param name="iframes" type="Array.HTMLIFrameElement">Array of iframe elements to
        ///     wait until they are loaded.</param>
        /// <param name="callback" type="function():void">The callback to invoke once the frames have
        ///     loaded.</param>
        /// <param name="opt_hasContent" type="boolean=">true if the monitor should wait until the
        ///     iframes have content (body.firstChild != null).</param>
        /// <returns type="goog.net.MultiIframeLoadMonitor"/>
    };

    var $x = window.goog.net.MultiIframeLoadMonitor;
    $x.prototype = {
                
        handleEvent: function(e) {
            /// <summary>Handles a pending iframe load monitor load event.</summary>
            /// <param name="e" type="goog.events.Event">The goog.net.IframeLoadMonitor.LOAD_EVENT event.</param>
        }, 
        
        stopMonitoring: function() {
            /// <summary>Stops monitoring the iframes, cleaning up any associated resources. In
            /// general, the object cleans up its own resources before invoking the
            /// callback, so this API should only be used if the caller wants to stop the
            /// monitoring before the iframes are loaded (for example, if the caller is
            /// implementing a timeout).</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.MultiIframeLoadMonitor";
})(this);
