
/* vsdoc for goog.net.NetworkTester */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.NetworkTester = function(callback, opt_handler, opt_uri){
        /// <summary></summary>
        /// <param name="callback" type="Function">Callback that is called when the test completes.
        ///     The callback takes a single boolean parameter. True indicates the URL
        ///     was reachable, false indicates it wasn&apos;t.</param>
        /// <param name="opt_handler" type="Object=">Handler object for the callback.</param>
        /// <param name="opt_uri" type="goog.Uri=">URI to use for testing.</param>
        /// <field name="DEFAULT_TIMEOUT_MS" type="number">Default timeout</field>
        /// <returns type="goog.net.NetworkTester"/>
    };

    var $x = window.goog.net.NetworkTester;
    $x.prototype = {
                
        getTimeout: function() {
            /// <summary>Returns the timeout in milliseconds.</summary>
            /// <returns type="number">Timeout in milliseconds.</returns>
        }, 
        
        setTimeout: function(timeoutMs) {
            /// <summary>Sets the timeout in milliseconds.</summary>
            /// <param name="timeoutMs" type="number">Timeout in milliseconds.</param>
        }, 
        
        getNumRetries: function() {
            /// <summary>Returns the numer of retries to attempt.</summary>
            /// <returns type="number">Number of retries to attempt.</returns>
        }, 
        
        setNumRetries: function(retries) {
            /// <summary>Sets the timeout in milliseconds.</summary>
            /// <param name="retries" type="number">Number of retries to attempt.</param>
        }, 
        
        getPauseBetweenRetries: function() {
            /// <summary>Returns the pause between retries in milliseconds.</summary>
            /// <returns type="number">Pause between retries in milliseconds.</returns>
        }, 
        
        setPauseBetweenRetries: function(pauseMs) {
            /// <summary>Sets the pause between retries in milliseconds.</summary>
            /// <param name="pauseMs" type="number">Pause between retries in milliseconds.</param>
        }, 
        
        getUri: function() {
            /// <summary>Returns the uri to use for the test.</summary>
            /// <returns type="goog.Uri">The uri for the test.</returns>
        }, 
        
        setUri: function(uri) {
            /// <summary>Sets the uri to use for the test.</summary>
            /// <param name="uri" type="goog.Uri">The uri for the test.</param>
        }, 
        
        isRunning: function() {
            /// <summary>Returns whether the tester is currently running.</summary>
            /// <returns type="boolean">True if it&apos;s running, false if it&apos;s not running.</returns>
        }, 
        
        start: function() {
            /// <summary>Starts the process of testing the network.</summary>
        }, 
        
        stop: function() {
            /// <summary>Stops the testing of the network. This is a noop if not running.</summary>
        }, 
        
        onResult: function(succeeded) {
            /// <summary>Handles a successful or failed result.</summary>
            /// <param name="succeeded" type="boolean">Whether the image load succeeded.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.NetworkTester";
})(this);
