
/* vsdoc for goog.net.WebSocket */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.WebSocket = function(opt_autoReconnect, opt_getNextReconnect){
        /// <summary></summary>
        /// <param name="opt_autoReconnect" type="boolean=">True if the web socket should
        ///     automatically reconnect or not.  This is true by default.</param>
        /// <param name="opt_getNextReconnect" type="function(number):number=">A function for
        ///     obtaining the time until the next reconnect attempt. Given the reconnect
        ///     attempt count (which is a positive integer), the function should return a
        ///     positive integer representing the milliseconds to the next reconnect
        ///     attempt.  The default function used is an exponential back-off. Note that
        ///     this function is never called if auto reconnect is disabled.</param>
        /// <field name="EventType" type="">The events fired by the web socket.</field>
        /// <field name="onOpen_" type=""></field>
        /// <returns type="goog.net.WebSocket"/>
    };

    var $x = window.goog.net.WebSocket;
    $x.prototype = {
                
        protectEntryPoints: function(errorHandler) {
            /// <summary>Installs exception protection for all entry points introduced by
            /// goog.net.WebSocket instances which are not protected by
            /// {@link goog.debug.ErrorHandler#protectWindowSetTimeout},
            /// {@link goog.debug.ErrorHandler#protectWindowSetInterval}, or
            /// {@link goog.events.protectBrowserEventEntryPoint}.</summary>
            /// <param name="errorHandler" type="!goog.debug.ErrorHandler">Error handler with which to
            ///     protect the entry points.</param>
        }, 
        
        open: function(url, opt_protocol) {
            /// <summary>Creates and opens the actual WebSocket.  Only call this after attaching the
            /// appropriate listeners to this object.  If listeners aren&apos;t registered, then
            /// the {@code goog.net.WebSocket.EventType.OPENED} event might be missed.</summary>
            /// <param name="url" type="string">The URL to which to connect.</param>
            /// <param name="opt_protocol" type="string=">The subprotocol to use.  The connection will
            ///     only be established if the server reports that it has selected this
            ///     subprotocol. The subprotocol name must all be a non-empty ASCII string
            ///     with no control characters and no spaces in them (i.e. only characters
            ///     in the range U+0021 to U+007E).</param>
        }, 
        
        close: function() {
            /// <summary>Closes the web socket connection.</summary>
        }, 
        
        send: function(message) {
            /// <summary>Sends the message over the web socket.</summary>
            /// <param name="message" type="string">The message to send.</param>
        }, 
        
        isOpen: function() {
            /// <summary>Checks to see if the web socket is open or not.</summary>
            /// <returns type="boolean">True if the web socket is open, false otherwise.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.WebSocket";
})(this);
