
/* vsdoc for goog.net.XhrIoPool */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.XhrIoPool = function(opt_headers, opt_minCount, opt_maxCount){
        /// <summary></summary>
        /// <param name="opt_headers" type="goog.structs.Map=">Map of default headers to add to every
        ///     request.</param>
        /// <param name="opt_minCount" type="number=">Minimum number of objects (Default: 1).</param>
        /// <param name="opt_maxCount" type="number=">Maximum number of objects (Default: 10).</param>
        /// <returns type="goog.net.XhrIoPool"/>
    };

    var $x = window.goog.net.XhrIoPool;
    $x.prototype = {
                
        createObject: function() {
            /// <summary>Creates an instance of an XhrIo object to use in the pool.</summary>
            /// <returns type="goog.net.XhrIo">The created object.</returns>
        }, 
        
        objectCanBeReused: function(obj) {
            /// <summary>Determine if an object has become unusable and should not be used.</summary>
            /// <param name="obj" type="Object">The object to test.</param>
            /// <returns type="boolean">Whether the object can be reused, which is true if the
            ///     object is not disposed and not active.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.XhrIoPool";
})(this);
