
/* vsdoc for goog.net.XhrLite */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.XhrLite = function(){
        /// <summary></summary>
        /// <field name="send" type="">Static send that creates a short lived instance of XhrIo to send the
        /// request.</field>
        /// <field name="cleanup" type="">Disposes all non-disposed instances of goog.net.XhrIo created by
        /// {@link goog.net.XhrIo.send}.
        /// {@link goog.net.XhrIo.send} cleans up the goog.net.XhrIo instance
        /// it creates when the request completes or fails.  However, if
        /// the request never completes, then the goog.net.XhrIo is not disposed.
        /// This can occur if the window is unloaded before the request completes.
        /// We could have {@link goog.net.XhrIo.send} return the goog.net.XhrIo
        /// it creates and make the client of {@link goog.net.XhrIo.send} be
        /// responsible for disposing it in this case.  However, this makes things
        /// significantly more complicated for the client, and the whole point
        /// of {@link goog.net.XhrIo.send} is that it&apos;s simple and easy to use.
        /// Clients of {@link goog.net.XhrIo.send} should call
        /// {@link goog.net.XhrIo.cleanup} when doing final
        /// cleanup on window unload.</field>
        /// <field name="protectEntryPoints" type="">Installs exception protection for all entry point introduced by
        /// goog.net.XhrIo instances which are not protected by
        /// {@link goog.debug.ErrorHandler#protectWindowSetTimeout},
        /// {@link goog.debug.ErrorHandler#protectWindowSetInterval}, or
        /// {@link goog.events.protectBrowserEventEntryPoint}.</field>
        /// <field name="CONTENT_TYPE_HEADER" type="string">The Content-Type HTTP header name</field>
        /// <field name="FORM_CONTENT_TYPE" type="string">The Content-Type HTTP header value for a url-encoded form</field>
        /// <returns type="goog.net.XhrLite"/>
    };

    var $x = window.goog.net.XhrLite;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.XhrLite";
})(this);
