
/* vsdoc for goog.net.xpc */

(function (window) {
    window.goog.net = window.goog.net || {};

    window.goog.net.xpc = {
        /// <summary></summary>
        /// <field name="CrossPageChannelRole" type="">The role of the peer.</field>
        /// <field name="relay" type=""></field>
        /// <field name="TransportTypes" type="">Enum used to identify transport types.</field>
        /// <field name="TransportNames" type="Object">Enum containing transport names. These need to correspond to the
        /// transport class names for createTransport_() to work.</field>
        /// <field name="CfgFields" type="Object">Field names used on configuration object.</field>
        /// <field name="UriCfgFields" type=".<string>">Config properties that need to be URL sanitized.</field>
        /// <field name="ChannelStates" type=""></field>
        /// <field name="TRANSPORT_SERVICE_" type="string">The name of the transport service (used for internal signalling).</field>
        /// <field name="SETUP" type="string">Transport signaling message: setup.</field>
        /// <field name="SETUP_NTPV2" type="string">Transport signaling message: setup for native transport protocol v2.</field>
        /// <field name="SETUP_ACK_" type="string">Transport signaling message: setup acknowledgement.</field>
        /// <field name="SETUP_ACK_NTPV2" type="string">Transport signaling message: setup acknowledgement.</field>
        /// <field name="channels" type="Object.<string|goog.net.xpc.CrossPageChannel>">Object holding active channels.
        /// Package private. Do not call from outside goog.net.xpc.</field>
        /// <field name="logger" type="goog.debug.Logger">The logger.</field>
        /// <returns type="goog.net.xpc"/>
                
        getRandomString: function(length, opt_characters) {
            /// <summary>Returns a random string.</summary>
            /// <param name="length" type="number">How many characters the string shall contain.</param>
            /// <param name="opt_characters" type="string=">The characters used.</param>
            /// <returns type="string">The random string.</returns>
        }
        
    };

    var $x = window.goog.net.xpc;
    $x.__namespace = "true";
    $x.__typeName = "goog.net.xpc";
})(this);
