
/* vsdoc for goog.net.xpc.IframePollingTransport */

(function (window) {
    window.goog.net.xpc = window.goog.net.xpc || {};

    window.goog.net.xpc.IframePollingTransport = function(channel, opt_domHelper){
        /// <summary></summary>
        /// <param name="channel" type="goog.net.xpc.CrossPageChannel">The channel this
        ///     transport belongs to.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The dom helper to use for finding
        ///     the correct window.</param>
        /// <field name="transportType" type="number">The transport type.</field>
        /// <field name="IFRAME_PREFIX" type="string">The string used to prefix all iframe names and IDs.</field>
        /// <returns type="goog.net.xpc.IframePollingTransport"/>
    };

    var $x = window.goog.net.xpc.IframePollingTransport;
    $x.prototype = {
                
        isChannelAvailable: function() {
            /// <summary>Determines whether the channel is still available. The channel is
            /// unavailable if the transport was disposed or the peer is no longer
            /// available.</summary>
            /// <returns type="boolean">Whether the channel is available.</returns>
        }, 
        
        connect: function() {
            /// <summary>Connects this transport.</summary>
        }, 
        
        processIncomingMsg: function(raw) {
            /// <summary>Processes an incoming message.</summary>
            /// <param name="raw" type="string">The complete received string.</param>
        }, 
        
        processIncomingAck: function(msgStr) {
            /// <summary>Process an incoming acknowdedgement.</summary>
            /// <param name="msgStr" type="string">The incoming ack string to process.</param>
        }, 
        
        send: function(service, payload) {
            /// <summary>Sends a message. Splits it in multiple frames if too long (exceeds IE&apos;s
            /// URL-length maximum.
            /// Wireformat: &lt;seq&gt;[,&lt;frame_no&gt;/&lt;#frames&gt;]|&lt;frame_content&gt;</summary>
            /// <param name="service" type="string">Name of service this the message has to be delivered.</param>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.IframePollingTransport";
})(this);
