
/* vsdoc for goog.net.xpc.IframeRelayTransport */

(function (window) {
    window.goog.net.xpc = window.goog.net.xpc || {};

    window.goog.net.xpc.IframeRelayTransport = function(channel, opt_domHelper){
        /// <summary></summary>
        /// <param name="channel" type="goog.net.xpc.CrossPageChannel">The channel this
        ///     transport belongs to.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The dom helper to use for finding
        ///     the correct window.</param>
        /// <field name="transportType" type="number">The transport type.</field>
        /// <returns type="goog.net.xpc.IframeRelayTransport"/>
    };

    var $x = window.goog.net.xpc.IframeRelayTransport;
    $x.prototype = {
                
        connect: function() {
            /// <summary>Connects this transport.</summary>
        }, 
        
        transportServiceHandler: function(payload) {
            /// <summary>Handles transport service messages (internal signalling).</summary>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        send: function(service, payload) {
            /// <summary>Sends a message.</summary>
            /// <param name="service" type="string">Name of service this the message has to be delivered.</param>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.IframeRelayTransport";
})(this);
