
/* vsdoc for goog.net.xpc.NativeMessagingTransport */

(function (window) {
    window.goog.net.xpc = window.goog.net.xpc || {};

    window.goog.net.xpc.NativeMessagingTransport = function(channel, peerHostname, opt_domHelper, opt_oneSidedHandshake, opt_protocolVersion){
        /// <summary></summary>
        /// <param name="channel" type="goog.net.xpc.CrossPageChannel">The channel this
        ///     transport belongs to.</param>
        /// <param name="peerHostname" type="string">The hostname (protocol, domain, and port) of the
        ///     peer.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The dom helper to use for
        ///     finding the correct window/document.</param>
        /// <param name="opt_oneSidedHandshake" type="boolean=">If this is true, only the outer
        ///     transport sends a SETUP message and expects a SETUP_ACK.  The inner
        ///     transport goes connected when it receives the SETUP.</param>
        /// <param name="opt_protocolVersion" type="number=">Which version of its setup protocol the
        ///     transport should use.  The default is &apos;2&apos;.</param>
        /// <field name="transportType" type="number">The transport type.</field>
        /// <returns type="goog.net.xpc.NativeMessagingTransport"/>
    };

    var $x = window.goog.net.xpc.NativeMessagingTransport;
    $x.prototype = {
                
        transportServiceHandler: function(payload) {
            /// <summary>Handles transport service messages.</summary>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        connect: function() {
            /// <summary>Connects this transport.</summary>
        }, 
        
        send: function(service, payload) {
            /// <summary>Sends a message.</summary>
            /// <param name="service" type="string">The name off the service the message is to be
            /// delivered to.</param>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.NativeMessagingTransport";
})(this);
