
/* vsdoc for goog.net.xpc.NixTransport */

(function (window) {
    window.goog.net.xpc = window.goog.net.xpc || {};

    window.goog.net.xpc.NixTransport = function(channel, opt_domHelper){
        /// <summary></summary>
        /// <param name="channel" type="goog.net.xpc.CrossPageChannel">The channel this transport
        ///     belongs to.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The dom helper to use for finding
        ///     the correct window.</param>
        /// <field name="NIX_WRAPPER" type="string">Global name of the Wrapper VBScript class.
        /// Note that this class will be stored in the *global*
        /// namespace (i.e. window in browsers).</field>
        /// <field name="NIX_GET_WRAPPER" type="string">Global name of the GetWrapper VBScript function. This
        /// constant is used by JavaScript to call this function.
        /// Note that this function will be stored in the *global*
        /// namespace (i.e. window in browsers).</field>
        /// <field name="NIX_HANDLE_MESSAGE" type="string">The name of the handle message method used by the wrapper class
        /// when calling the transport.</field>
        /// <field name="NIX_CREATE_CHANNEL" type="string">The name of the create channel method used by the wrapper class
        /// when calling the transport.</field>
        /// <field name="NIX_ID_FIELD" type="string">A &quot;unique&quot; identifier that is stored in the wrapper
        /// class so that the wrapper can be distinguished from
        /// other objects easily.</field>
        /// <field name="transportType" type="number">The transport type.</field>
        /// <returns type="goog.net.xpc.NixTransport"/>
    };

    var $x = window.goog.net.xpc.NixTransport;
    $x.prototype = {
                
        isNixSupported: function() {
            /// <summary>Determines if the installed version of IE supports accessing window.opener
            /// after it has been set to a non-Window/null value. NIX relies on this being
            /// possible.</summary>
            /// <returns type="boolean">Whether window.opener behavior is compatible with NIX.</returns>
        }, 
        
        connect: function() {
            /// <summary>Connect this transport.</summary>
        }, 
        
        send: function(service, payload) {
            /// <summary>Sends a message.</summary>
            /// <param name="service" type="string">The name of the service the message is to be
            ///   delivered to.</param>
            /// <param name="payload" type="string">The message content.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.NixTransport";
})(this);
