
/* vsdoc for goog.net.xpc.Transport */

(function (window) {
    window.goog.net.xpc = window.goog.net.xpc || {};

    window.goog.net.xpc.Transport = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The dom helper to use for
        ///     finding the window objects.</param>
        /// <field name="transportType" type="number">The transport type.</field>
        /// <field name="transportServiceHandler" type="">Handles transport service messages (internal signalling).</field>
        /// <field name="connect" type="">Connects this transport.
        /// The transport implementation is expected to call
        /// CrossPageChannel.prototype.notifyConnected when the channel is ready
        /// to be used.</field>
        /// <field name="send" type="">Sends a message.</field>
        /// <returns type="goog.net.xpc.Transport"/>
    };

    var $x = window.goog.net.xpc.Transport;
    $x.prototype = {
                
        getType: function() {
            /// <summary></summary>
            /// <returns type="number">The transport type identifier.</returns>
        }, 
        
        getWindow: function() {
            /// <summary>Returns the window associated with this transport instance.</summary>
            /// <returns type="Window">The window to use.</returns>
        }, 
        
        getName: function() {
            /// <summary>Return the transport name.</summary>
            /// <returns type="string">the transport name.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.net.xpc.Transport";
})(this);
