
/* vsdoc for goog.positioning.AnchoredPosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.AnchoredPosition = function(anchorElement, corner, opt_overflow){
        /// <summary></summary>
        /// <param name="anchorElement" type="Element">Element the movable element should be
        ///     anchored against.</param>
        /// <param name="corner" type="goog.positioning.Corner">Corner of anchored element the
        ///     movable element should be positioned at.</param>
        /// <param name="opt_overflow" type="number=">Overflow handling mode. Defaults to IGNORE if
        ///     not specified. Bitmap, {@see goog.positioning.Overflow}.</param>
        /// <field name="element" type="Element">Element the movable element should be anchored against.</field>
        /// <field name="corner" type="goog.positioning.Corner">Corner of anchored element the movable element should be positioned at.</field>
        /// <returns type="goog.positioning.AnchoredPosition"/>
    };

    var $x = window.goog.positioning.AnchoredPosition;
    $x.prototype = {
                
        reposition: function(movableElement, movableCorner, opt_margin, opt_preferredSize) {
            /// <summary>Repositions the movable element.</summary>
            /// <param name="movableElement" type="Element">Element to position.</param>
            /// <param name="movableCorner" type="goog.positioning.Corner">Corner of the movable element
            ///     that should be positioned adjacent to the anchored element.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specifin pixels.</param>
            /// <param name="opt_preferredSize" type="goog.math.Size=">PreferredSize of the
            ///     movableElement (unused in this class).</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.AnchoredPosition";
})(this);
