
/* vsdoc for goog.positioning.AnchoredViewportPosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.AnchoredViewportPosition = function(anchorElement, corner, opt_adjust, opt_overflowConstraint){
        /// <summary></summary>
        /// <param name="anchorElement" type="Element">Element the movable element should be
        ///     anchored against.</param>
        /// <param name="corner" type="goog.positioning.Corner">Corner of anchored element the
        ///     movable element should be positioned at.</param>
        /// <param name="opt_adjust" type="boolean=">Whether the positioning should be adjusted until
        ///     the element fits inside the viewport even if that means that the anchored
        ///     corners are ignored.</param>
        /// <param name="opt_overflowConstraint" type="goog.math.Box=">Box object describing the
        ///     dimensions in which the movable element could be shown.</param>
        /// <returns type="goog.positioning.AnchoredViewportPosition"/>
    };

    var $x = window.goog.positioning.AnchoredViewportPosition;
    $x.prototype = {
                
        getLastResortOverflow: function() {
            /// <summary></summary>
            /// <returns type="number">A bitmask for the &quot;last resort&quot; overflow.</returns>
        }, 
        
        setLastResortOverflow: function(lastResortOverflow) {
            /// <summary></summary>
            /// <param name="lastResortOverflow" type="number">A bitmask for the &quot;last resort&quot; overflow,
            ///     if we fail to fit the element on-screen.</param>
        }, 
        
        reposition: function(movableElement, movableCorner, opt_margin, opt_preferredSize) {
            /// <summary>Repositions the movable element.</summary>
            /// <param name="movableElement" type="Element">Element to position.</param>
            /// <param name="movableCorner" type="goog.positioning.Corner">Corner of the movable element
            ///     that should be positioned adjacent to the anchored element.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
            /// <param name="opt_preferredSize" type="goog.math.Size=">The preferred size of the
            ///     movableElement.</param>
        }, 
        
        adjustCorner: function(status, corner) {
            /// <summary>Adjusts the corner if X or Y positioning failed.</summary>
            /// <param name="status" type="number">The status of the last positionAtAnchor call.</param>
            /// <param name="corner" type="goog.positioning.Corner">The corner to adjust.</param>
            /// <returns type="goog.positioning.Corner">The adjusted corner.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.AnchoredViewportPosition";
})(this);
