
/* vsdoc for goog.positioning.ClientPosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.ClientPosition = function(arg1, opt_arg2){
        /// <summary></summary>
        /// <param name="arg1" type="number|goog.math.Coordinate">Left position or coordinate.</param>
        /// <param name="opt_arg2" type="number=">Top position.</param>
        /// <field name="coordinate" type="goog.math.Coordinate">Coordinate to position popup at.</field>
        /// <returns type="goog.positioning.ClientPosition"/>
    };

    var $x = window.goog.positioning.ClientPosition;
    $x.prototype = {
                
        reposition: function(movableElement, movableElementCorner, opt_margin, opt_preferredSize) {
            /// <summary>Repositions the popup according to the current state</summary>
            /// <param name="movableElement" type="Element">The DOM element of the popup.</param>
            /// <param name="movableElementCorner" type="goog.positioning.Corner">The corner of
            ///     the popup element that that should be positioned adjacent to
            ///     the anchorElement.  One of the goog.positioning.Corner
            ///     constants.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
            /// <param name="opt_preferredSize" type="goog.math.Size=">Preferred size of the element.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.ClientPosition";
})(this);
