
/* vsdoc for goog.positioning.ViewportClientPosition */

(function (window) {
    window.goog.positioning = window.goog.positioning || {};

    window.goog.positioning.ViewportClientPosition = function(arg1, opt_arg2){
        /// <summary></summary>
        /// <param name="arg1" type="number|goog.math.Coordinate">Left position or coordinate.</param>
        /// <param name="opt_arg2" type="number=">Top position if arg1 is a number representing the
        ///     left position, ignored otherwise.</param>
        /// <returns type="goog.positioning.ViewportClientPosition"/>
    };

    var $x = window.goog.positioning.ViewportClientPosition;
    $x.prototype = {
                
        setLastResortOverflow: function(overflow) {
            /// <summary>Set the last-resort overflow strategy, if the popup fails to fit.</summary>
            /// <param name="overflow" type="number">A bitmask of goog.positioning.Overflow strategies.</param>
        }, 
        
        reposition: function(element, popupCorner, opt_margin, opt_preferredSize) {
            /// <summary>Repositions the popup according to the current state.</summary>
            /// <param name="element" type="Element">The DOM element of the popup.</param>
            /// <param name="popupCorner" type="goog.positioning.Corner">The corner of the popup
            ///     element that that should be positioned adjacent to the anchorElement.
            ///     One of the goog.positioning.Corner constants.</param>
            /// <param name="opt_margin" type="goog.math.Box=">A margin specified in pixels.</param>
            /// <param name="opt_preferredSize" type="goog.math.Size=">Preferred size fo the element.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.positioning.ViewportClientPosition";
})(this);
