
/* vsdoc for goog.proto2.Descriptor */

(function (window) {
    window.goog.proto2 = window.goog.proto2 || {};

    window.goog.proto2.Descriptor = function(messageType, metadata, fields){
        /// <summary></summary>
        /// <param name="messageType" type="function(new:goog.proto2.Message)">Constructor for
        ///      the message class that this descriptor describes.</param>
        /// <param name="metadata" type="!goog.proto2.Metadata">The metadata about the message that
        ///      will be used to construct this descriptor.</param>
        /// <param name="fields" type="Array.!goog.proto2.FieldDescriptor">The fields of the
        ///      message described by this descriptor.</param>
        /// <returns type="goog.proto2.Descriptor"/>
    };

    var $x = window.goog.proto2.Descriptor;
    $x.prototype = {
                
        getName: function() {
            /// <summary>Returns the name of the message, if any.</summary>
            /// <returns type="?string">The name.</returns>
        }, 
        
        getFullName: function() {
            /// <summary>Returns the full name of the message, if any.</summary>
            /// <returns type="?string">The name.</returns>
        }, 
        
        getContainingType: function() {
            /// <summary>Returns the descriptor of the containing message type or null if none.</summary>
            /// <returns type="goog.proto2.Descriptor">The descriptor.</returns>
        }, 
        
        getFields: function() {
            /// <summary>Returns the fields in the message described by this descriptor ordered by
            /// tag.</summary>
            /// <returns type="!Array.!goog.proto2.FieldDescriptor">The array of field
            ///     descriptors.</returns>
        }, 
        
        getFieldsMap: function() {
            /// <summary>Returns the fields in the message as a key/value map, where the key is
            /// the tag number of the field. DO NOT MODIFY THE RETURNED OBJECT. We return
            /// the actual, internal, fields map for performance reasons, and changing the
            /// map can result in undefined behavior of this library.</summary>
            /// <returns type="!Object.number|!goog.proto2.FieldDescriptor">The field map.</returns>
        }, 
        
        findFieldByName: function(name) {
            /// <summary>Returns the field matching the given name, if any. Note that
            /// this method searches over the *original* name of the field,
            /// not the camelCase version.</summary>
            /// <param name="name" type="string">The field name for which to search.</param>
            /// <returns type="goog.proto2.FieldDescriptor">The field found, if any.</returns>
        }, 
        
        findFieldByTag: function(tag) {
            /// <summary>Returns the field matching the given tag number, if any.</summary>
            /// <param name="tag" type="number|string">The field tag number for which to search.</param>
            /// <returns type="goog.proto2.FieldDescriptor">The field found, if any.</returns>
        }, 
        
        createMessageInstance: function() {
            /// <summary>Creates an instance of the message type that this descriptor
            /// describes.</summary>
            /// <returns type="!goog.proto2.Message">The instance of the message.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.proto2.Descriptor";
})(this);
