
/* vsdoc for goog.proto2.FieldDescriptor */

(function (window) {
    window.goog.proto2 = window.goog.proto2 || {};

    window.goog.proto2.FieldDescriptor = function(messageType, tag, metadata){
        /// <summary></summary>
        /// <param name="messageType" type="Function">Constructor for the message
        ///     class to which the field described by this class belongs.</param>
        /// <param name="tag" type="number|string">The field&apos;s tag index.</param>
        /// <param name="metadata" type="Object">The metadata about this field that will be used
        ///     to construct this descriptor.</param>
        /// <field name="FieldType" type="">An enumeration defining the possible field types.
        /// Should be a mirror of that defined in descriptor.h.</field>
        /// <returns type="goog.proto2.FieldDescriptor"/>
    };

    var $x = window.goog.proto2.FieldDescriptor;
    $x.prototype = {
                
        getTag: function() {
            /// <summary>Returns the tag of the field that this descriptor represents.</summary>
            /// <returns type="number">The tag number.</returns>
        }, 
        
        getContainingType: function() {
            /// <summary>Returns the descriptor describing the message that defined this field.</summary>
            /// <returns type="goog.proto2.Descriptor">The descriptor.</returns>
        }, 
        
        getName: function() {
            /// <summary>Returns the name of the field that this descriptor represents.</summary>
            /// <returns type="string">The name.</returns>
        }, 
        
        getDefaultValue: function() {
            /// <summary>Returns the default value of this field.</summary>
            /// <returns type="*">The default value.</returns>
        }, 
        
        getFieldType: function() {
            /// <summary>Returns the field type of the field described by this descriptor.</summary>
            /// <returns type="goog.proto2.FieldDescriptor.FieldType">The field type.</returns>
        }, 
        
        getNativeType: function() {
            /// <summary>Returns the native (i.e. ECMAScript) type of the field described by this
            /// descriptor.</summary>
            /// <returns type="Object">The native type.</returns>
        }, 
        
        deserializationConversionPermitted: function() {
            /// <summary>Returns true if simple conversions between numbers and strings are permitted
            /// during deserialization for this field.</summary>
            /// <returns type="boolean">Whether conversion is permitted.</returns>
        }, 
        
        getFieldMessageType: function() {
            /// <summary>Returns the descriptor of the message type of this field. Only valid
            /// for fields of type GROUP and MESSAGE.</summary>
            /// <returns type="goog.proto2.Descriptor">The message descriptor.</returns>
        }, 
        
        isCompositeType: function() {
            /// <summary></summary>
            /// <returns type="boolean">True if the field stores composite data or repeated
            ///     composite data (message or group).</returns>
        }, 
        
        isRepeated: function() {
            /// <summary>Returns whether the field described by this descriptor is repeating.</summary>
            /// <returns type="boolean">Whether the field is repeated.</returns>
        }, 
        
        isRequired: function() {
            /// <summary>Returns whether the field described by this descriptor is required.</summary>
            /// <returns type="boolean">Whether the field is required.</returns>
        }, 
        
        isOptional: function() {
            /// <summary>Returns whether the field described by this descriptor is optional.</summary>
            /// <returns type="boolean">Whether the field is optional.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.proto2.FieldDescriptor";
})(this);
