
/* vsdoc for goog.proto2.ObjectSerializer */

(function (window) {
    window.goog.proto2 = window.goog.proto2 || {};

    window.goog.proto2.ObjectSerializer = function(opt_keyOption){
        /// <summary></summary>
        /// <param name="opt_keyOption" type="goog.proto2.ObjectSerializer.KeyOption=">If specified,
        ///     which key option to use when serializing/deserializing.</param>
        /// <field name="KeyOption" type="">An enumeration of the options for how to emit the keys in
        /// the generated simplified object.</field>
        /// <returns type="goog.proto2.ObjectSerializer"/>
    };

    var $x = window.goog.proto2.ObjectSerializer;
    $x.prototype = {
                
        serialize: function(message) {
            /// <summary>Serializes a message to an object.</summary>
            /// <param name="message" type="goog.proto2.Message">The message to be serialized.</param>
            /// <returns type="Object">The serialized form of the message.</returns>
        }, 
        
        deserializeTo: function(message, data) {
            /// <summary>Deserializes a message from an object and places the
            /// data in the message.</summary>
            /// <param name="message" type="goog.proto2.Message">The message in which to
            ///     place the information.</param>
            /// <param name="data" type="*">The data of the message.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.proto2.ObjectSerializer";
})(this);
