
/* vsdoc for goog.proto2.Serializer */

(function (window) {
    window.goog.proto2 = window.goog.proto2 || {};

    window.goog.proto2.Serializer = function(){
        /// <summary></summary>
        /// <field name="serialize" type="*">Serializes a message to the expected format.</field>
        /// <field name="deserializeTo" type="">Deserializes a message from the expected format and places the
        /// data in the message.</field>
        /// <returns type="goog.proto2.Serializer"/>
    };

    var $x = window.goog.proto2.Serializer;
    $x.prototype = {
                
        getSerializedValue: function(field, value) {
            /// <summary>Returns the serialized form of the given value for the given field
            /// if the field is a Message or Group and returns the value unchanged
            /// otherwise.</summary>
            /// <param name="field" type="goog.proto2.FieldDescriptor">The field from which this
            ///     value came.</param>
            /// <param name="value" type="*">The value of the field.</param>
            /// <returns type="*">The value.</returns>
        }, 
        
        deserialize: function(descriptor, data) {
            /// <summary>Deserializes a message from the expected format.</summary>
            /// <param name="descriptor" type="goog.proto2.Descriptor">The descriptor of the message
            ///     to be created.</param>
            /// <param name="data" type="*">The data of the message.</param>
            /// <returns type="goog.proto2.Message">The message created.</returns>
        }, 
        
        getDeserializedValue: function(field, value) {
            /// <summary>Returns the deserialized form of the given value for the given field if the
            /// field is a Message or Group and returns the value, converted or unchanged,
            /// for primitive field types otherwise.</summary>
            /// <param name="field" type="goog.proto2.FieldDescriptor">The field from which this
            ///     value came.</param>
            /// <param name="value" type="*">The value of the field.</param>
            /// <returns type="*">The value.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.proto2.Serializer";
})(this);
