
/* vsdoc for goog.proto2.TextFormatSerializer */

(function (window) {
    window.goog.proto2 = window.goog.proto2 || {};

    window.goog.proto2.TextFormatSerializer = function(opt_ignoreMissingFields){
        /// <summary></summary>
        /// <param name="opt_ignoreMissingFields" type="boolean=">If true, then fields that cannot be
        ///     found on the proto when parsing the text format will be ignored.</param>
        /// <returns type="goog.proto2.TextFormatSerializer"/>
    };

    var $x = window.goog.proto2.TextFormatSerializer;
    $x.prototype = {
                
        deserializeTo: function(message, data) {
            /// <summary>Deserializes a message from text format and places the data in the message.</summary>
            /// <param name="message" type="goog.proto2.Message">The message in which to
            ///     place the information.</param>
            /// <param name="data" type="*">The text format data.</param>
            /// <returns type="?string">The parse error or null on success.</returns>
        }, 
        
        serialize: function(message) {
            /// <summary>Serializes a message to a string.</summary>
            /// <param name="message" type="goog.proto2.Message">The message to be serialized.</param>
            /// <returns type="string">The serialized form of the message.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.proto2.TextFormatSerializer";
})(this);
