
/* vsdoc for goog.proto2.TextFormatSerializer.Parser */

(function (window) {
    window.goog.proto2.TextFormatSerializer = window.goog.proto2.TextFormatSerializer || {};

    window.goog.proto2.TextFormatSerializer.Parser = function(){
        /// <summary></summary>
        /// <returns type="goog.proto2.TextFormatSerializer.Parser"/>
    };

    var $x = window.goog.proto2.TextFormatSerializer.Parser;
    $x.prototype = {
                
        parse: function(message, data, opt_ignoreMissingFields) {
            /// <summary>Parses the given data, filling the message as it goes.</summary>
            /// <param name="message" type="goog.proto2.Message">The message to fill.</param>
            /// <param name="data" type="string">The text format data.</param>
            /// <param name="opt_ignoreMissingFields" type="boolean=">If true, fields missing in the
            ///     proto will be ignored.</param>
            /// <returns type="boolean">True on success, false on failure. On failure, the
            ///     getError method can be called to get the reason for failure.</returns>
        }, 
        
        getError: function() {
            /// <summary></summary>
            /// <returns type="?string">The parse error, if any.</returns>
        }, 
        
        parseNumericalConstant_: function(identifier) {
            /// <summary>Parse NaN, positive infinity, or negative infinity from a string.</summary>
            /// <param name="identifier" type="string">An identifier string to check.</param>
            /// <returns type="?number">Infinity, negative infinity, NaN, or null if none
            ///     of the constants could be parsed.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.proto2.TextFormatSerializer.Parser";
})(this);
