
/* vsdoc for goog.reflect */

(function (window) {
    window.goog = window.goog || {};

    window.goog.reflect = {
        /// <summary></summary>
        /// <field name="sinkValue[' ']" type="">The compiler should optimize this function away iff no one ever uses
        /// goog.reflect.sinkValue.</field>
        /// <returns type="goog.reflect"/>
                
        object: function(type, object) {
            /// <summary>Syntax for object literal casts.</summary>
            /// <param name="type" type="!Function">Type to cast to.</param>
            /// <param name="object" type="Object">Object literal to cast.</param>
            /// <returns type="Object">The object literal.</returns>
        }, 
        
        sinkValue: function(x) {
            /// <summary>To assert to the compiler that an operation is needed when it would
            /// otherwise be stripped. For example:
            /// &lt;code&gt;
            ///     // Force a layout
            ///     goog.reflect.sinkValue(dialog.offsetHeight);
            /// &lt;/code&gt;</summary>
            /// <param name="x" type=""></param>
        }, 
        
        canAccessProperty: function(obj, prop) {
            /// <summary>Check if a property can be accessed without throwing an exception.</summary>
            /// <param name="obj" type="Object">The owner of the property.</param>
            /// <param name="prop" type="string">The property name.</param>
            /// <returns type="boolean">Whether the property is accessible. Will also return true
            ///     if obj is null.</returns>
        }
        
    };

    var $x = window.goog.reflect;
    $x.__namespace = "true";
    $x.__typeName = "goog.reflect";
})(this);
