
/* vsdoc for goog.soy */

(function (window) {
    window.goog = window.goog || {};

    window.goog.soy = {
        /// <summary></summary>
        /// <field name="testHelper" type=""></field>
        /// <returns type="goog.soy"/>
                
        InjectedDataSupplier: function() {
            /// <summary>An interface for a supplier that provides Soy injected data.</summary>
        }, 
        
        renderElement: function(element, template, opt_templateData, opt_injectedData) {
            /// <summary>Renders a Soy template and then set the output string as
            /// the innerHTML of an element. It is recommended to use this helper function
            /// instead of directly setting innerHTML in your hand-written code, so that it
            /// will be easier to audit the code for cross-site scripting vulnerabilities.</summary>
            /// <param name="element" type="Element">The element whose content we are rendering into.</param>
            /// <param name="template" type="Function">The Soy template defining the element&apos;s content.</param>
            /// <param name="opt_templateData" type="Object=">The data for the template.</param>
            /// <param name="opt_injectedData" type="Object=">The injected data for the template.</param>
        }, 
        
        renderAsFragment: function(template, opt_templateData, opt_injectedData, opt_domHelper) {
            /// <summary>Renders a Soy template into a single node or a document
            /// fragment. If the rendered HTML string represents a single node, then that
            /// node is returned (note that this is *not* a fragment, despite them name of
            /// the method). Otherwise a document fragment is returned containing the
            /// rendered nodes.</summary>
            /// <param name="template" type="Function">The Soy template defining the element&apos;s content.</param>
            /// <param name="opt_templateData" type="Object=">The data for the template.</param>
            /// <param name="opt_injectedData" type="Object=">The injected data for the template.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper used to
            ///     create DOM nodes; defaults to {@code goog.dom.getDomHelper}.</param>
            /// <returns type="!Node">The resulting node or document fragment.</returns>
        }, 
        
        renderAsElement: function(template, opt_templateData, opt_injectedData, opt_domHelper) {
            /// <summary>Renders a Soy template into a single node. If the rendered
            /// HTML string represents a single node, then that node is returned. Otherwise,
            /// a DIV element is returned containing the rendered nodes.</summary>
            /// <param name="template" type="Function">The Soy template defining the element&apos;s content.</param>
            /// <param name="opt_templateData" type="Object=">The data for the template.</param>
            /// <param name="opt_injectedData" type="Object=">The injected data for the template.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper used to
            ///     create DOM nodes; defaults to {@code goog.dom.getDomHelper}.</param>
            /// <returns type="!Element">Rendered template contents, wrapped in a parent DIV
            ///     element if necessary.</returns>
        }
        
    };

    var $x = window.goog.soy;
    $x.__namespace = "true";
    $x.__typeName = "goog.soy";
})(this);
