
/* vsdoc for goog.soy.Renderer */

(function (window) {
    window.goog.soy = window.goog.soy || {};

    window.goog.soy.Renderer = function(opt_injectedDataSupplier, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_injectedDataSupplier" type="goog.soy.InjectedDataSupplier=">A supplier
        ///     that provides an injected data.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper;
        ///     defaults to that provided by {@code goog.dom.getDomHelper()}.</param>
        /// <returns type="goog.soy.Renderer"/>
    };

    var $x = window.goog.soy.Renderer;
    $x.prototype = {
                
        renderAsFragment: function(template, opt_templateData) {
            /// <summary>Renders a Soy template into a single node or a document fragment.
            /// Delegates to {@code goog.soy.renderAsFragment}.</summary>
            /// <param name="template" type="Function">The Soy template defining the element&apos;s content.</param>
            /// <param name="opt_templateData" type="Object=">The data for the template.</param>
            /// <returns type="!Node">The resulting node or document fragment.</returns>
        }, 
        
        renderAsElement: function(template, opt_templateData) {
            /// <summary>Renders a Soy template into a single node. If the rendered HTML
            /// string represents a single node, then that node is returned.
            /// Otherwise, a DIV element is returned containing the rendered nodes.
            /// Delegates to {@code goog.soy.renderAsElement}.</summary>
            /// <param name="template" type="Function">The Soy template defining the element&apos;s content.</param>
            /// <param name="opt_templateData" type="Object=">The data for the template.</param>
            /// <returns type="!Element">Rendered template contents, wrapped in a parent DIV
            ///     element if necessary.</returns>
        }, 
        
        renderElement: function(element, template, opt_templateData) {
            /// <summary>Renders a Soy template and then set the output string as the
            /// innerHTML of the given element. Delegates to {@code goog.soy.renderElement}.</summary>
            /// <param name="element" type="Element">The element whose content we are rendering.</param>
            /// <param name="template" type="Function">The Soy template defining the element&apos;s content.</param>
            /// <param name="opt_templateData" type="Object=">The data for the template.</param>
        }, 
        
        render: function(template, opt_templateData) {
            /// <summary>Renders a Soy template and returns the output string.</summary>
            /// <param name="template" type="Function">The Soy template defining the element&apos;s content.</param>
            /// <param name="opt_templateData" type="Object=">The data for the template.</param>
            /// <returns type="string">The return value of rendering the template directly.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.soy.Renderer";
})(this);
