
/* vsdoc for goog.stats.BasicStat */

(function (window) {
    window.goog.stats = window.goog.stats || {};

    window.goog.stats.BasicStat = function(interval){
        /// <summary></summary>
        /// <param name="interval" type="number">The stat interval, in milliseconds.</param>
        /// <returns type="goog.stats.BasicStat"/>
    };

    var $x = window.goog.stats.BasicStat;
    $x.prototype = {
                
        getInterval: function() {
            /// <summary></summary>
            /// <returns type="number">The interval which over statistics are being
            ///     accumulated, in milliseconds.</returns>
        }, 
        
        incBy: function(amt, opt_now) {
            /// <summary>Increments the count of this statistic by the specified amount.</summary>
            /// <param name="amt" type="number">The amount to increase the count by.</param>
            /// <param name="opt_now" type="number=">The time, in milliseconds, to be treated
            ///     as the &quot;current&quot; time.  The current time must always be greater
            ///     than or equal to the last time recorded by this stat tracker.</param>
        }, 
        
        get: function(opt_now) {
            /// <summary>Returns the count of the statistic over its configured time
            /// interval.</summary>
            /// <param name="opt_now" type="number=">The time, in milliseconds, to be treated
            ///     as the &quot;current&quot; time.  The current time must always be greater
            ///     than or equal to the last time recorded by this stat tracker.</param>
            /// <returns type="number">The total count over the tracked interval.</returns>
        }, 
        
        getMax: function(opt_now) {
            /// <summary>Returns the magnitute of the largest atomic increment that occurred
            /// during the watched time interval.</summary>
            /// <param name="opt_now" type="number=">The time, in milliseconds, to be treated
            ///     as the &quot;current&quot; time.  The current time must always be greater
            ///     than or equal to the last time recorded by this stat tracker.</param>
            /// <returns type="number">The maximum count of this statistic.</returns>
        }, 
        
        getMin: function(opt_now) {
            /// <summary>Returns the magnitute of the smallest atomic increment that
            /// occurred during the watched time interval.</summary>
            /// <param name="opt_now" type="number=">The time, in milliseconds, to be treated
            ///     as the &quot;current&quot; time.  The current time must always be greater
            ///     than or equal to the last time recorded by this stat tracker.</param>
            /// <returns type="number">The minimum count of this statistic.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.stats.BasicStat";
})(this);
