
/* vsdoc for goog.storage.RichStorage.Wrapper */

(function (window) {
    window.goog.storage.RichStorage = window.goog.storage.RichStorage || {};

    window.goog.storage.RichStorage.Wrapper = function(value){
        /// <summary></summary>
        /// <param name="value" type="*">The value to wrap.</param>
        /// <returns type="goog.storage.RichStorage.Wrapper"/>
    };

    var $x = window.goog.storage.RichStorage.Wrapper;
    $x.prototype = {
                
        wrapIfNecessary: function(value) {
            /// <summary>Convenience method for wrapping a value so metadata can be associated with
            /// it. No-op if the value is already wrapped or is undefined.</summary>
            /// <param name="value" type="*">The value to wrap.</param>
            /// <returns type="(!goog.storage.RichStorage.Wrapper|undefined)">The wrapper.</returns>
        }, 
        
        unwrap: function(wrapper) {
            /// <summary>Unwraps a value, any metadata is discarded (not returned). You might want to
            /// use goog.storage.RichStorage.Wrapper.unwrapIfPossible to handle cases where
            /// the wrapper is missing.</summary>
            /// <param name="wrapper" type="!Object">The wrapper.</param>
            /// <returns type="*">The wrapped value.</returns>
        }, 
        
        unwrapIfPossible: function(wrapper) {
            /// <summary>Convenience method for unwrapping a value. Returns undefined if the
            /// wrapper is missing.</summary>
            /// <param name="wrapper" type="(!Object|undefined)">The wrapper.</param>
            /// <returns type="*">The wrapped value or undefined.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.RichStorage.Wrapper";
})(this);
