
/* vsdoc for goog.storage.Storage */

(function (window) {
    window.goog.storage = window.goog.storage || {};

    window.goog.storage.Storage = function(mechanism){
        /// <summary></summary>
        /// <param name="mechanism" type="!goog.storage.mechanism.Mechanism">The underlying
        ///     storage mechanism.</param>
        /// <field name="mechanism" type="goog.storage.mechanism.Mechanism">The mechanism used to persist key-value pairs.</field>
        /// <returns type="goog.storage.Storage"/>
    };

    var $x = window.goog.storage.Storage;
    $x.prototype = {
                
        set: function(key, value) {
            /// <summary>Set an item in the data storage.</summary>
            /// <param name="key" type="string">The key to set.</param>
            /// <param name="value" type="*">The value to serialize to a string and save.</param>
        }, 
        
        get: function(key) {
            /// <summary>Get an item from the data storage.</summary>
            /// <param name="key" type="string">The key to get.</param>
            /// <returns type="*">Deserialized value or undefined if not found.</returns>
        }, 
        
        remove: function(key) {
            /// <summary>Remove an item from the data storage.</summary>
            /// <param name="key" type="string">The key to remove.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.Storage";
})(this);
