
/* vsdoc for goog.storage.mechanism.IterableMechanism */

(function (window) {
    window.goog.storage.mechanism = window.goog.storage.mechanism || {};

    window.goog.storage.mechanism.IterableMechanism = function(){
        /// <summary></summary>
        /// <returns type="goog.storage.mechanism.IterableMechanism"/>
    };

    var $x = window.goog.storage.mechanism.IterableMechanism;
    $x.prototype = {
                
        getCount: function() {
            /// <summary>Get the number of stored key-value pairs.
            /// 
            /// Could be overridden in a subclass, as the default implementation is not very
            /// efficient - it iterates over all keys.</summary>
            /// <returns type="number">Number of stored elements.</returns>
        }, 
        
        clear: function() {
            /// <summary>Remove all key-value pairs.
            /// 
            /// Could be overridden in a subclass, as the default implementation is not very
            /// efficient - it iterates over all keys.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.storage.mechanism.IterableMechanism";
})(this);
