
/* vsdoc for goog.string.StringBuffer */

(function (window) {
    window.goog.string = window.goog.string || {};

    window.goog.string.StringBuffer = function(opt_a1, var_args){
        /// <summary></summary>
        /// <param name="opt_a1" type="*=">Optional first initial item to append.</param>
        /// <param name="var_args" type="...*">Other initial items to
        ///     append, e.g., new goog.string.StringBuffer(&apos;foo&apos;, &apos;bar&apos;).</param>
        /// <returns type="goog.string.StringBuffer"/>
    };

    var $x = window.goog.string.StringBuffer;
    $x.prototype = {
                
        set: function(s) {
            /// <summary>Sets the contents of the string buffer object, replacing what&apos;s currently
            /// there.</summary>
            /// <param name="s" type="*">String to set.</param>
        }, 
        
        append: function(a1, opt_a2, var_args) {
            /// <summary>Appends one or more items to the buffer.
            /// 
            /// Calling this with null, undefined, or empty arguments is an error.</summary>
            /// <param name="a1" type="*">Required first string.</param>
            /// <param name="opt_a2" type="*=">Optional second string.</param>
            /// <param name="var_args" type="...*">Other items to append,
            ///     e.g., sb.append(&apos;foo&apos;, &apos;bar&apos;, &apos;baz&apos;).</param>
            /// <returns type="goog.string.StringBuffer">This same StringBuffer object.</returns>
        }, 
        
        clear: function() {
            /// <summary>Clears the internal buffer.</summary>
        }, 
        
        getLength: function() {
            /// <summary></summary>
            /// <returns type="number">the length of the current contents of the buffer.</returns>
        }, 
        
        toString: function() {
            /// <summary></summary>
            /// <returns type="string">The concatenated string.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.string.StringBuffer";
})(this);
