
/* vsdoc for goog.string.linkify */

(function (window) {
    window.goog.string = window.goog.string || {};

    window.goog.string.linkify = {
        /// <summary></summary>
        /// <returns type="goog.string.linkify"/>
                
        linkifyPlainText: function(text, opt_attributes) {
            /// <summary>Takes a string of plain text and linkifies URLs and email addresses. For a
            /// URL (unless opt_attributes is specified), the target of the link will be
            /// _blank and it will have a rel=nofollow attribute applied to it so that links
            /// created by linkify will not be of interest to search engines.</summary>
            /// <param name="text" type="string">Plain text.</param>
            /// <param name="opt_attributes" type="Object.string|string=">Attributes to add to all
            ///      links created. Default are rel=nofollow and target=blank. To clear those
            ///      default attributes set rel=&apos;&apos; and target=&apos;_blank&apos;.</param>
            /// <returns type="string">HTML Linkified HTML text.</returns>
        }, 
        
        findFirstUrl: function(text) {
            /// <summary>Gets the first URI in text.</summary>
            /// <param name="text" type="string">Plain text.</param>
            /// <returns type="string">The first URL, or an empty string if not found.</returns>
        }, 
        
        findFirstEmail: function(text) {
            /// <summary>Gets the first email address in text.</summary>
            /// <param name="text" type="string">Plain text.</param>
            /// <returns type="string">The first email address, or an empty string if not found.</returns>
        }
        
    };

    var $x = window.goog.string.linkify;
    $x.__namespace = "true";
    $x.__typeName = "goog.string.linkify";
})(this);
