
/* vsdoc for goog.string.path */

(function (window) {
    window.goog.string = window.goog.string || {};

    window.goog.string.path = {
        /// <summary></summary>
        /// <returns type="goog.string.path"/>
                
        basename: function(path) {
            /// <summary>Returns the final component of a pathname.
            /// See http://docs.python.org/library/os.path.html#os.path.basename</summary>
            /// <param name="path" type="string">A pathname.</param>
            /// <returns type="string">path The final component of a pathname, i.e. everything
            ///     after the final slash.</returns>
        }, 
        
        dirname: function(path) {
            /// <summary>Returns the directory component of a pathname.
            /// See http://docs.python.org/library/os.path.html#os.path.dirname</summary>
            /// <param name="path" type="string">A pathname.</param>
            /// <returns type="string">The directory component of a pathname, i.e. everything
            ///     leading up to the final slash.</returns>
        }, 
        
        join: function(var_args) {
            /// <summary>Joins one or more path components (e.g. &apos;foo/&apos; and &apos;bar&apos; make &apos;foo/bar&apos;).
            /// An absolute component will discard all previous component.
            /// See http://docs.python.org/library/os.path.html#os.path.join</summary>
            /// <param name="var_args" type="...string">One of more path components.</param>
            /// <returns type="string">The path components joined.</returns>
        }, 
        
        normalizePath: function(path) {
            /// <summary>Normalizes a pathname by collapsing duplicate separators, parent directory
            /// references (&apos;..&apos;), and current directory references (&apos;.&apos;).
            /// See http://docs.python.org/library/os.path.html#os.path.normpath</summary>
            /// <param name="path" type="string">One or more path components.</param>
            /// <returns type="string">The path after normalization.</returns>
        }, 
        
        split: function(path) {
            /// <summary>Splits a pathname into &quot;dirname&quot; and &quot;basename&quot; components, where &quot;basename&quot;
            /// is everything after the final slash. Either part may return an empty string.
            /// See http://docs.python.org/library/os.path.html#os.path.split</summary>
            /// <param name="path" type="string">A pathname.</param>
            /// <returns type="!Array.string">An array of [dirname, basename].</returns>
        }
        
    };

    var $x = window.goog.string.path;
    $x.__namespace = "true";
    $x.__typeName = "goog.string.path";
})(this);
