
/* vsdoc for goog.structs.AvlTree.Node */

(function (window) {
    window.goog.structs.AvlTree = window.goog.structs.AvlTree || {};

    window.goog.structs.AvlTree.Node = function(value, opt_parent){
        /// <summary></summary>
        /// <param name="value" type="*">Value to store in the node.</param>
        /// <param name="opt_parent" type="goog.structs.AvlTree.Node=">Optional parent node.</param>
        /// <field name="value" type="*">The value stored by the node.</field>
        /// <field name="parent" type="goog.structs.AvlTree.Node">The node&apos;s parent. Null if the node is the root.</field>
        /// <field name="left" type="goog.structs.AvlTree.Node?">The node&apos;s left child. Null if the node does not have a left child.</field>
        /// <field name="right" type="goog.structs.AvlTree.Node?">The node&apos;s right child. Null if the node does not have a right child.</field>
        /// <field name="height" type="number">The height of the tree rooted at this node.</field>
        /// <returns type="goog.structs.AvlTree.Node"/>
    };

    var $x = window.goog.structs.AvlTree.Node;
    $x.prototype = {
                
        isRightChild: function() {
            /// <summary>Returns true iff the specified node has a parent and is the right child of
            /// its parent.</summary>
            /// <returns type="boolean">Whether the specified node has a parent and is the right
            ///    child of its parent.</returns>
        }, 
        
        isLeftChild: function() {
            /// <summary>Returns true iff the specified node has a parent and is the left child of
            /// its parent.</summary>
            /// <returns type="boolean">Whether the specified node has a parent and is the left
            ///    child of its parent.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.AvlTree.Node";
})(this);
