
/* vsdoc for goog.structs.CircularBuffer */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.CircularBuffer = function(opt_maxSize){
        /// <summary></summary>
        /// <param name="opt_maxSize" type="number=">The maximum size of the buffer.</param>
        /// <returns type="goog.structs.CircularBuffer"/>
    };

    var $x = window.goog.structs.CircularBuffer;
    $x.prototype = {
                
        add: function(item) {
            /// <summary>Adds an item to the buffer. May remove the oldest item if the buffer is at
            /// max size.</summary>
            /// <param name="item" type="*">The item to add.</param>
        }, 
        
        get: function(index) {
            /// <summary>Returns the item at the specified index.</summary>
            /// <param name="index" type="number">The index of the item. The index of an item can change
            ///     after calls to {@code add()} if the buffer is at maximum size.</param>
            /// <returns type="*">The item at the specified index.</returns>
        }, 
        
        set: function(index, item) {
            /// <summary>Sets the item at the specified index.</summary>
            /// <param name="index" type="number">The index of the item. The index of an item can change
            ///     after calls to {@code add()} if the buffer is at maximum size.</param>
            /// <param name="item" type="*">The item to add.</param>
        }, 
        
        getCount: function() {
            /// <summary>Returns the current number of items in the buffer.</summary>
            /// <returns type="number">The current number of items in the buffer.</returns>
        }, 
        
        isEmpty: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the buffer is empty.</returns>
        }, 
        
        clear: function() {
            /// <summary>Empties the current buffer.</summary>
        }, 
        
        getValues: function() {
            /// <summary></summary>
            /// <returns type="Array">The values in the buffer.</returns>
        }, 
        
        getNewestValues: function(maxCount) {
            /// <summary>Returns the newest values in the buffer up to {@code count}.</summary>
            /// <param name="maxCount" type="number">The maximum number of values to get. Should be a
            ///     positive number.</param>
            /// <returns type="Array">The newest values in the buffer up to {@code count}.</returns>
        }, 
        
        getKeys: function() {
            /// <summary></summary>
            /// <returns type="Array">The indexes in the buffer.</returns>
        }, 
        
        containsKey: function(key) {
            /// <summary>Whether the buffer contains the key/index.</summary>
            /// <param name="key" type="number">The key/index to check for.</param>
            /// <returns type="boolean">Whether the buffer contains the key/index.</returns>
        }, 
        
        containsValue: function(value) {
            /// <summary>Whether the buffer contains the given value.</summary>
            /// <param name="value" type="*">The value to check for.</param>
            /// <returns type="boolean">Whether the buffer contains the given value.</returns>
        }, 
        
        getLast: function() {
            /// <summary>Returns the last item inserted into the buffer.</summary>
            /// <returns type="*">The last item inserted into the buffer, or null if the buffer is
            ///     empty.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.CircularBuffer";
})(this);
