
/* vsdoc for goog.structs.Heap */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.Heap = function(opt_heap){
        /// <summary></summary>
        /// <param name="opt_heap" type="goog.structs.Heap|Object=">Optional goog.structs.Heap or
        ///     Object to initialize heap with.</param>
        /// <returns type="goog.structs.Heap"/>
    };

    var $x = window.goog.structs.Heap;
    $x.prototype = {
                
        insert: function(key, value) {
            /// <summary>Insert the given value into the heap with the given key.</summary>
            /// <param name="key" type="*">The key.</param>
            /// <param name="value" type="*">The value.</param>
        }, 
        
        insertAll: function(heap) {
            /// <summary>Adds multiple key-value pairs from another goog.structs.Heap or Object</summary>
            /// <param name="heap" type="goog.structs.Heap|Object">Object containing the data to add.</param>
        }, 
        
        remove: function() {
            /// <summary>Retrieves and removes the root value of this heap.</summary>
            /// <returns type="*">The value removed from the root of the heap.  Returns
            ///     undefined if the heap is empty.</returns>
        }, 
        
        peek: function() {
            /// <summary>Retrieves but does not remove the root value of this heap.</summary>
            /// <returns type="*">The value at the root of the heap. Returns
            ///     undefined if the heap is empty.</returns>
        }, 
        
        peekKey: function() {
            /// <summary>Retrieves but does not remove the key of the root node of this heap.</summary>
            /// <returns type="*">The key at the root of the heap. Returns undefined if the
            ///     heap is empty.</returns>
        }, 
        
        getValues: function() {
            /// <summary>Gets the values of the heap.</summary>
            /// <returns type="Array">The values in the heap.</returns>
        }, 
        
        getKeys: function() {
            /// <summary>Gets the keys of the heap.</summary>
            /// <returns type="Array">The keys in the heap.</returns>
        }, 
        
        containsValue: function(val) {
            /// <summary>Whether the heap contains the given value.</summary>
            /// <param name="val" type="Object">The value to check for.</param>
            /// <returns type="boolean">Whether the heap contains the value.</returns>
        }, 
        
        containsKey: function(key) {
            /// <summary>Whether the heap contains the given key.</summary>
            /// <param name="key" type="Object">The key to check for.</param>
            /// <returns type="boolean">Whether the heap contains the key.</returns>
        }, 
        
        clone: function() {
            /// <summary>Clones a heap and returns a new heap</summary>
            /// <returns type="goog.structs.Heap">A new goog.structs.Heap with the same key-value
            ///     pairs.</returns>
        }, 
        
        getCount: function() {
            /// <summary>The number of key-value pairs in the map</summary>
            /// <returns type="number">The number of pairs.</returns>
        }, 
        
        isEmpty: function() {
            /// <summary>Returns true if this heap contains no elements.</summary>
            /// <returns type="boolean">Whether this heap contains no elements.</returns>
        }, 
        
        clear: function() {
            /// <summary>Removes all elements from the heap.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.Heap";
})(this);
