
/* vsdoc for goog.structs.InversionMap */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.InversionMap = function(rangeArray, valueArray, opt_delta){
        /// <summary></summary>
        /// <param name="rangeArray" type="Array.number">An array of monotonically
        ///     increasing integer values, with at least one instance.</param>
        /// <param name="valueArray" type="Array.*">An array of corresponding values.
        ///     Length must be the same as rangeArray.</param>
        /// <param name="opt_delta" type="boolean=">If true, saves only delta from previous value.</param>
        /// <field name="values" type="Array"></field>
        /// <returns type="goog.structs.InversionMap"/>
    };

    var $x = window.goog.structs.InversionMap;
    $x.prototype = {
                
        spliceInversion: function(rangeArray, valueArray, opt_delta) {
            /// <summary>Splices a range -> value map into this inversion map.</summary>
            /// <param name="rangeArray" type="Array.number">An array of monotonically
            ///     increasing integer values, with at least one instance.</param>
            /// <param name="valueArray" type="Array.*">An array of corresponding values.
            ///     Length must be the same as rangeArray.</param>
            /// <param name="opt_delta" type="boolean=">If true, saves only delta from previous value.</param>
        }, 
        
        at: function(intKey) {
            /// <summary>Gets the value corresponding to a number from the inversion map.</summary>
            /// <param name="intKey" type="number">The number for which value needs to be retrieved
            ///     from inversion map.</param>
            /// <returns type="*">Value retrieved from inversion map; null if not found.</returns>
        }, 
        
        getLeast: function(intKey) {
            /// <summary>Gets the largest index such that rangeArray[index] <= intKey from the
            /// inversion map.</summary>
            /// <param name="intKey" type="number">The probe for which rangeArray is searched.</param>
            /// <returns type="number">Largest index such that rangeArray[index] <= intKey.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.InversionMap";
})(this);
