
/* vsdoc for goog.structs.PriorityPool */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.PriorityPool = function(opt_minCount, opt_maxCount){
        /// <summary></summary>
        /// <param name="opt_minCount" type="number=">Min. number of objects (Default: 1).</param>
        /// <param name="opt_maxCount" type="number=">Max. number of objects (Default: 10).</param>
        /// <returns type="goog.structs.PriorityPool"/>
    };

    var $x = window.goog.structs.PriorityPool;
    $x.prototype = {
                
        setDelay: function(delay) {
            /// <summary></summary>
            /// <param name="delay" type=""></param>
        }, 
        
        getObject: function(opt_callback, opt_priority) {
            /// <summary>Get a new object from the the pool, if there is one available, otherwise
            /// return undefined.</summary>
            /// <param name="opt_callback" type="Function=">The function to callback when an object is
            ///     available. This could be immediately. If this is not present, then an
            ///     object is immediately returned if available, or undefined if not.</param>
            /// <param name="opt_priority" type="*=">The priority of the request. A smaller value means a
            ///     higher priority.</param>
            /// <returns type="Object|undefined">The new object from the pool if there is one
            ///     available and a callback is not given. Otherwise, undefined.</returns>
        }, 
        
        addFreeObject: function(obj) {
            /// <summary>Adds an object to the collection of objects that are free. If the object can
            /// not be added, then it is disposed.
            /// 
            /// NOTE: This method does not remove the object from the in use collection.</summary>
            /// <param name="obj" type="Object">The object to add to the collection of free objects.</param>
        }, 
        
        adjustForMinMax: function() {
            /// <summary>Adjusts the objects held in the pool to be within the min/max constraints.
            /// 
            /// NOTE: It is possible that the number of objects in the pool will still be
            /// greater than the maximum count of objects allowed. This will be the case
            /// if no more free objects can be disposed of to get below the minimum count
            /// (i.e., all objects are in use).</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.PriorityPool";
})(this);
