
/* vsdoc for goog.structs.QuadTree.Node */

(function (window) {
    window.goog.structs.QuadTree = window.goog.structs.QuadTree || {};

    window.goog.structs.QuadTree.Node = function(x, y, w, h, opt_parent){
        /// <summary></summary>
        /// <param name="x" type="number">X-coordiate of node.</param>
        /// <param name="y" type="number">Y-coordinate of node.</param>
        /// <param name="w" type="number">Width of node.</param>
        /// <param name="h" type="number">Height of node.</param>
        /// <param name="opt_parent" type="goog.structs.QuadTree.Node=">Optional parent node.</param>
        /// <field name="x" type="number">The x-coordinate of the node.</field>
        /// <field name="y" type="number">The y-coordinate of the node.</field>
        /// <field name="w" type="number">The width of the node.</field>
        /// <field name="h" type="number">The height of the node.</field>
        /// <field name="parent" type="goog.structs.QuadTree.Node?">The parent node.</field>
        /// <field name="nodeType" type="goog.structs.QuadTree.NodeType">The node&apos;s type.</field>
        /// <field name="nw" type="goog.structs.QuadTree.Node?">The child node in the North-West quadrant.</field>
        /// <field name="ne" type="goog.structs.QuadTree.Node?">The child node in the North-East quadrant.</field>
        /// <field name="sw" type="goog.structs.QuadTree.Node?">The child node in the South-West quadrant.</field>
        /// <field name="se" type="goog.structs.QuadTree.Node?">The child node in the South-East quadrant.</field>
        /// <field name="point" type="goog.structs.QuadTree.Point?">The point for the node, if it is a leaf node.</field>
        /// <returns type="goog.structs.QuadTree.Node"/>
    };

    var $x = window.goog.structs.QuadTree.Node;
    $x.prototype = {
                
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.QuadTree.Node";
})(this);
