
/* vsdoc for goog.structs.Queue */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.Queue = function(){
        /// <summary></summary>
        /// <returns type="goog.structs.Queue"/>
    };

    var $x = window.goog.structs.Queue;
    $x.prototype = {
                
        enqueue: function(element) {
            /// <summary>Puts the specified element on this queue.</summary>
            /// <param name="element" type="*">The element to be added to the queue.</param>
        }, 
        
        dequeue: function() {
            /// <summary>Retrieves and removes the head of this queue.</summary>
            /// <returns type="*">The element at the head of this queue. Returns undefined if the
            ///     queue is empty.</returns>
        }, 
        
        peek: function() {
            /// <summary>Retrieves but does not remove the head of this queue.</summary>
            /// <returns type="*">The element at the head of this queue. Returns undefined if the
            ///     queue is empty.</returns>
        }, 
        
        getCount: function() {
            /// <summary>Returns the number of elements in this queue.</summary>
            /// <returns type="number">The number of elements in this queue.</returns>
        }, 
        
        isEmpty: function() {
            /// <summary>Returns true if this queue contains no elements.</summary>
            /// <returns type="boolean">true if this queue contains no elements.</returns>
        }, 
        
        clear: function() {
            /// <summary>Removes all elements from the queue.</summary>
        }, 
        
        contains: function(obj) {
            /// <summary>Returns true if the given value is in the queue.</summary>
            /// <param name="obj" type="*">The value to look for.</param>
            /// <returns type="boolean">Whether the object is in the queue.</returns>
        }, 
        
        remove: function(obj) {
            /// <summary>Removes the first occurrence of a particular value from the queue.</summary>
            /// <param name="obj" type="*">Object to remove.</param>
            /// <returns type="boolean">True if an element was removed.</returns>
        }, 
        
        getValues: function() {
            /// <summary>Returns all the values in the queue.</summary>
            /// <returns type="Array">An array of the values in the queue.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.Queue";
})(this);
