
/* vsdoc for goog.structs.Set */

(function (window) {
    window.goog.structs = window.goog.structs || {};

    window.goog.structs.Set = function(opt_values){
        /// <summary></summary>
        /// <param name="opt_values" type="Array|Object=">Initial values to start with.</param>
        /// <returns type="goog.structs.Set"/>
    };

    var $x = window.goog.structs.Set;
    $x.prototype = {
                
        getCount: function() {
            /// <summary></summary>
            /// <returns type="number">The number of elements in the set.</returns>
        }, 
        
        add: function(element) {
            /// <summary>Add a primitive or an object to the set.</summary>
            /// <param name="element" type="*">The primitive or object to add.</param>
        }, 
        
        addAll: function(col) {
            /// <summary>Adds all the values in the given collection to this set.</summary>
            /// <param name="col" type="Array|Object">A collection containing the elements to add.</param>
        }, 
        
        removeAll: function(col) {
            /// <summary>Removes all values in the given collection from this set.</summary>
            /// <param name="col" type="Array|Object">A collection containing the elements to remove.</param>
        }, 
        
        remove: function(element) {
            /// <summary>Removes the given element from this set.</summary>
            /// <param name="element" type="*">The primitive or object to remove.</param>
            /// <returns type="boolean">Whether the element was found and removed.</returns>
        }, 
        
        clear: function() {
            /// <summary>Removes all elements from this set.</summary>
        }, 
        
        isEmpty: function() {
            /// <summary>Tests whether this set is empty.</summary>
            /// <returns type="boolean">True if there are no elements in this set.</returns>
        }, 
        
        contains: function(element) {
            /// <summary>Tests whether this set contains the given element.</summary>
            /// <param name="element" type="*">The primitive or object to test for.</param>
            /// <returns type="boolean">True if this set contains the given element.</returns>
        }, 
        
        containsAll: function(col) {
            /// <summary>Tests whether this set contains all the values in a given collection.
            /// Repeated elements in the collection are ignored, e.g.  (new
            /// goog.structs.Set([1, 2])).containsAll([1, 1]) is True.</summary>
            /// <param name="col" type="Object">A collection-like object.</param>
            /// <returns type="boolean">True if the set contains all elements.</returns>
        }, 
        
        intersection: function(col) {
            /// <summary>Finds all values that are present in both this set and the given collection.</summary>
            /// <param name="col" type="Array|Object">A collection.</param>
            /// <returns type="!goog.structs.Set">A new set containing all the values (primitives
            ///     or objects) present in both this set and the given collection.</returns>
        }, 
        
        difference: function(col) {
            /// <summary>Finds all values that are present in this set and not in the given
            /// collection.</summary>
            /// <param name="col" type="Array|Object">A collection.</param>
            /// <returns type="!goog.structs.Set">A new set containing all the values
            ///     (primitives or objects) present in this set but not in the given
            ///     collection.</returns>
        }, 
        
        getValues: function() {
            /// <summary>Returns an array containing all the elements in this set.</summary>
            /// <returns type="!Array">An array containing all the elements in this set.</returns>
        }, 
        
        clone: function() {
            /// <summary>Creates a shallow clone of this set.</summary>
            /// <returns type="!goog.structs.Set">A new set containing all the same elements as
            ///     this set.</returns>
        }, 
        
        equals: function(col) {
            /// <summary>Tests whether the given collection consists of the same elements as this set,
            /// regardless of order, without repetition.  Primitives are treated as equal if
            /// they have the same type and convert to the same string; objects are treated
            /// as equal if they are references to the same object.  This operation is O(n).</summary>
            /// <param name="col" type="Object">A collection.</param>
            /// <returns type="boolean">True if the given collection consists of the same elements
            ///     as this set, regardless of order, without repetition.</returns>
        }, 
        
        isSubsetOf: function(col) {
            /// <summary>Tests whether the given collection contains all the elements in this set.
            /// Primitives are treated as equal if they have the same type and convert to the
            /// same string; objects are treated as equal if they are references to the same
            /// object.  This operation is O(n).</summary>
            /// <param name="col" type="Object">A collection.</param>
            /// <returns type="boolean">True if this set is a subset of the given collection.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.structs.Set";
})(this);
