
/* vsdoc for goog.style.cursor */

(function (window) {
    window.goog.style = window.goog.style || {};

    window.goog.style.cursor = {
        /// <summary></summary>
        /// <field name="OPENHAND_FILE" type="string">The file name for the open-hand (draggable) cursor.</field>
        /// <field name="CLOSEDHAND_FILE" type="string">The file name for the close-hand (dragging) cursor.</field>
        /// <returns type="goog.style.cursor"/>
                
        getDraggableCursorStyle: function(absoluteDotCurFilePath, opt_obsolete) {
            /// <summary>Create the style for the draggable cursor based on browser and OS.
            /// The value can be extended to be &apos;!important&apos; if needed.</summary>
            /// <param name="absoluteDotCurFilePath" type="string">The absolute base path of
            ///     &apos;openhand.cur&apos; file to be used if the browser supports it.</param>
            /// <param name="opt_obsolete" type="boolean=">Just for compiler backward compatibility.</param>
            /// <returns type="string">The &quot;draggable&quot; mouse cursor style value.</returns>
        }, 
        
        getDraggingCursorStyle: function(absoluteDotCurFilePath, opt_obsolete) {
            /// <summary>Create the style for the dragging cursor based on browser and OS.
            /// The value can be extended to be &apos;!important&apos; if needed.</summary>
            /// <param name="absoluteDotCurFilePath" type="string">The absolute base path of
            ///     &apos;closedhand.cur&apos; file to be used if the browser supports it.</param>
            /// <param name="opt_obsolete" type="boolean=">Just for compiler backward compatibility.</param>
            /// <returns type="string">The &quot;dragging&quot; mouse cursor style value.</returns>
        }
        
    };

    var $x = window.goog.style.cursor;
    $x.__namespace = "true";
    $x.__typeName = "goog.style.cursor";
})(this);
