
/* vsdoc for goog.testing.AsyncTestCase */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.AsyncTestCase = function(opt_name){
        /// <summary></summary>
        /// <param name="opt_name" type="string=">A descriptive name for the test case.</param>
        /// <field name="stepTimeout" type="number">How long to wait for a single step of a test to complete in milliseconds.
        /// A step starts when a call to waitForAsync() is made.</field>
        /// <field name="timeToSleepAfterFailure" type="number">How long to wait after a failed test before moving onto the next one.
        /// The purpose of this is to allow any pending async callbacks from the failing
        /// test to finish up and not cause the next test to fail.</field>
        /// <returns type="goog.testing.AsyncTestCase"/>
    };

    var $x = window.goog.testing.AsyncTestCase;
    $x.prototype = {
                
        getCurrentStepName: function() {
            /// <summary>The current step name.</summary>
            /// <returns type="!string">Step name.</returns>
        }, 
        
        createAndInstall: function(opt_name) {
            /// <summary>Preferred way of creating an AsyncTestCase. Creates one and initializes it
            /// with the G_testRunner.</summary>
            /// <param name="opt_name" type="string=">A descriptive name for the test case.</param>
            /// <returns type="goog.testing.AsyncTestCase">The created AsyncTestCase.</returns>
        }, 
        
        waitForAsync: function(opt_name) {
            /// <summary>Informs the testcase not to continue to the next step in the test cycle
            /// until continueTesting is called.</summary>
            /// <param name="opt_name" type="string=">A description of what we are waiting for.</param>
        }, 
        
        continueTesting: function() {
            /// <summary>Continue with the next step in the test cycle.</summary>
        }, 
        
        doAsyncError: function(opt_e) {
            /// <summary>Handles an exception thrown by a test.</summary>
            /// <param name="opt_e" type="*=">The exception object associated with the failure
            ///     or a string.</param>
        }, 
        
        runTests: function() {
            /// <summary>Sets up the test page and then waits until the test case has been marked
            /// as ready before executing the tests.</summary>
        }, 
        
        cycleTests: function() {
            /// <summary>Starts the tests.</summary>
        }, 
        
        finalize: function() {
            /// <summary>Finalizes the test case, called when the tests have finished executing.</summary>
        }, 
        
        enableDebugLogging: function() {
            /// <summary>Enables verbose logging of what is happening inside of the AsyncTestCase.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.AsyncTestCase";
})(this);
