
/* vsdoc for goog.testing.ContinuationTestCase */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.ContinuationTestCase = function(opt_name){
        /// <summary></summary>
        /// <param name="opt_name" type="string=">Optional name for the test case.</param>
        /// <field name="MAX_TIMEOUT" type="number">The default maximum time to wait for a single test step in milliseconds.</field>
        /// <returns type="goog.testing.ContinuationTestCase"/>
    };

    var $x = window.goog.testing.ContinuationTestCase;
    $x.prototype = {
                
        runTests: function() {
            /// <summary></summary>
        }, 
        
        finalize: function() {
            /// <summary></summary>
        }, 
        
        cycleTests: function() {
            /// <summary></summary>
        }, 
        
        waitForTimeout: function(continuation, opt_duration) {
            /// <summary>Creates a new test step that will run after a user-specified
            /// timeout.  No guarantee is made on the execution order of the
            /// continuation, except for those provided by each browser&apos;s
            /// window.setTimeout. In particular, if two continuations are
            /// registered at the same time with very small delta for their
            /// durations, this class can not guarantee that the continuation with
            /// the smaller duration will be executed first.</summary>
            /// <param name="continuation" type="Function">The test function to invoke after the timeout.</param>
            /// <param name="opt_duration" type="number=">The length of the timeout in milliseconds.</param>
        }, 
        
        waitForEvent: function(eventTarget, eventType, continuation) {
            /// <summary>Creates a new test step that will run after an event has fired. If the event
            /// does not fire within a reasonable timeout, the test will fail.</summary>
            /// <param name="eventTarget" type="goog.events.EventTarget|EventTarget">The target that will
            ///     fire the event.</param>
            /// <param name="eventType" type="string">The type of event to listen for.</param>
            /// <param name="continuation" type="Function">The test function to invoke after the event
            ///     fires.</param>
        }, 
        
        waitForCondition: function(condition, continuation, opt_interval, opt_maxTimeout) {
            /// <summary>Creates a new test step which will run once a condition becomes true. The
            /// condition will be polled at a user-specified interval until it becomes true,
            /// or until a maximum timeout is reached.</summary>
            /// <param name="condition" type="Function">The condition to poll.</param>
            /// <param name="continuation" type="Function">The test code to evaluate once the condition
            ///     becomes true.</param>
            /// <param name="opt_interval" type="number=">The polling interval in milliseconds.</param>
            /// <param name="opt_maxTimeout" type="number=">The maximum amount of time to wait for the
            ///     condition in milliseconds (defaults to 1000).</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.ContinuationTestCase";
})(this);
