
/* vsdoc for goog.testing.ContinuationTestCase.Step */

(function (window) {
    window.goog.testing.ContinuationTestCase = window.goog.testing.ContinuationTestCase || {};

    window.goog.testing.ContinuationTestCase.Step = function(name, ref, opt_scope){
        /// <summary></summary>
        /// <param name="name" type="string">The test name.</param>
        /// <param name="ref" type="Function">The test function to run.</param>
        /// <param name="opt_scope" type="Object=">The object context to run the test in.</param>
        /// <field name="waiting" type="boolean">Whether the step is currently waiting for a condition to continue. All new
        /// steps begin in wait state.</field>
        /// <returns type="goog.testing.ContinuationTestCase.Step"/>
    };

    var $x = window.goog.testing.ContinuationTestCase.Step;
    $x.prototype = {
                
        setTimeout: function(func, duration) {
            /// <summary>Starts a timeout for this step. Each step may have only one timeout active at
            /// a time.</summary>
            /// <param name="func" type="Function">The function to call after the timeout.</param>
            /// <param name="duration" type="number">The number of milliseconds to wait before invoking
            ///     the function.</param>
        }, 
        
        clearTimeout: function() {
            /// <summary>Clears the current timeout if it is active.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.ContinuationTestCase.Step";
})(this);
