
/* vsdoc for goog.testing.ContinuationTestCase.Test */

(function (window) {
    window.goog.testing.ContinuationTestCase = window.goog.testing.ContinuationTestCase || {};

    window.goog.testing.ContinuationTestCase.Test = function(setUp, test, tearDown){
        /// <summary></summary>
        /// <param name="setUp" type="goog.testing.TestCase.Test">A setUp test method to run before
        ///     the main test phase.</param>
        /// <param name="test" type="goog.testing.TestCase.Test">A test method to run.</param>
        /// <param name="tearDown" type="goog.testing.TestCase.Test">A tearDown test method to run
        ///     after the test method completes or fails.</param>
        /// <returns type="goog.testing.ContinuationTestCase.Test"/>
    };

    var $x = window.goog.testing.ContinuationTestCase.Test;
    $x.prototype = {
                
        getError: function() {
            /// <summary></summary>
            /// <returns type="Error">The first error to be raised during the test run or null if
            ///     no errors occurred.</returns>
        }, 
        
        setError: function(e) {
            /// <summary>Sets an error for the test so it can be reported. Only the first error set
            /// during a test will be reported. Additional errors that occur in later test
            /// phases will be discarded.</summary>
            /// <param name="e" type="Error">An error.</param>
        }, 
        
        getCurrentPhase: function() {
            /// <summary></summary>
            /// <returns type="Array.goog.testing.TestCase.Test">The current phase of steps
            ///    being processed. Returns null if all steps have been completed.</returns>
        }, 
        
        addStep: function(step) {
            /// <summary>Adds a new test step to the end of the current phase. The new step will wait
            /// for a condition to be met before running, or will fail after a timeout.</summary>
            /// <param name="step" type="goog.testing.ContinuationTestCase.Step">The test step to add.</param>
        }, 
        
        cancelCurrentPhase: function() {
            /// <summary>Cancels all remaining steps in the current phase. Called after an error in
            /// any phase occurs.</summary>
        }, 
        
        cancelTestPhase: function() {
            /// <summary>Skips the rest of the setUp and test phases, but leaves the tearDown phase to
            /// clean up.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.ContinuationTestCase.Test";
})(this);
