
/* vsdoc for goog.testing.DeferredTestCase */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.DeferredTestCase = function(opt_name){
        /// <summary></summary>
        /// <param name="opt_name" type="string=">A descriptive name for the test case.</param>
        /// <returns type="goog.testing.DeferredTestCase"/>
    };

    var $x = window.goog.testing.DeferredTestCase;
    $x.prototype = {
                
        createAndInstall: function(opt_name) {
            /// <summary>Preferred way of creating a DeferredTestCase. Creates one and initializes it
            /// with the G_testRunner.</summary>
            /// <param name="opt_name" type="string=">A descriptive name for the test case.</param>
            /// <returns type="goog.testing.DeferredTestCase">The created DeferredTestCase.</returns>
        }, 
        
        onError: function(err) {
            /// <summary>Handler for when the test produces an error.</summary>
            /// <param name="err" type="Error|string">The error object.</param>
        }, 
        
        onSuccess: function() {
            /// <summary>Handler for when the test succeeds.</summary>
        }, 
        
        addWaitForAsync: function(msg, d) {
            /// <summary>Adds a callback to update the wait message of this async test case. Using
            /// this method generously also helps to document the test flow.</summary>
            /// <param name="msg" type="string">The update wait status message.</param>
            /// <param name="d" type="goog.async.Deferred">The deferred object to add the waitForAsync
            ///     callback to.</param>
        }, 
        
        waitForDeferred: function(a, opt_b) {
            /// <summary>Wires up given Deferred object to the test case, then starts the
            /// goog.async.Deferred object&apos;s callback.</summary>
            /// <param name="a" type="!string|goog.async.Deferred">The wait status message or the
            ///     deferred object to wait for.</param>
            /// <param name="opt_b" type="goog.async.Deferred=">The deferred object to wait for.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.DeferredTestCase";
})(this);
