
/* vsdoc for goog.testing.ExpectedFailures */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.ExpectedFailures = function(){
        /// <summary></summary>
        /// <returns type="goog.testing.ExpectedFailures"/>
    };

    var $x = window.goog.testing.ExpectedFailures;
    $x.prototype = {
                
        expectFailureFor: function(condition, opt_message) {
            /// <summary>Register to expect failure for the given condition.  Multiple calls to this
            /// function act as a boolean OR.  The first applicable message will be used.</summary>
            /// <param name="condition" type="boolean">Whether to expect failure.</param>
            /// <param name="opt_message" type="string=">Descriptive message of this expected failure.</param>
        }, 
        
        isExceptionExpected: function(ex) {
            /// <summary>Determines if the given exception was expected.</summary>
            /// <param name="ex" type="Object">The exception to check.</param>
            /// <returns type="boolean">Whether the exception was expected.</returns>
        }, 
        
        handleException: function(ex) {
            /// <summary>Handle an exception, suppressing it if it is a unit test failure that we
            /// expected.</summary>
            /// <param name="ex" type="Error">The exception to handle.</param>
        }, 
        
        run: function(func, opt_lenient) {
            /// <summary>Run the given function, catching any expected failures.</summary>
            /// <param name="func" type="Function">The function to run.</param>
            /// <param name="opt_lenient" type="boolean=">Whether to ignore if the expected failures
            ///     didn&apos;t occur.  In this case a warning will be logged in handleTearDown.</param>
        }, 
        
        handleTearDown: function() {
            /// <summary>Handle the tearDown phase of a test, alerting the user if an expected test
            /// was not suppressed.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.ExpectedFailures";
})(this);
