
/* vsdoc for goog.testing.FunctionCall */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.FunctionCall = function(func, thisContext, args, ret, error){
        /// <summary></summary>
        /// <param name="func" type="!Function">The called function.</param>
        /// <param name="thisContext" type="!Object">{@code this} context of called function.</param>
        /// <param name="args" type="!Arguments">Arguments of the called function.</param>
        /// <param name="ret" type="*">Return value of the function or undefined in case of error.</param>
        /// <param name="error" type="*">The error thrown by the function or null if none.</param>
        /// <returns type="goog.testing.FunctionCall"/>
    };

    var $x = window.goog.testing.FunctionCall;
    $x.prototype = {
                
        getFunction: function() {
            /// <summary></summary>
            /// <returns type="!Function">The called function.</returns>
        }, 
        
        getThis: function() {
            /// <summary></summary>
            /// <returns type="!Object">{@code this} context of called function. It is the same as
            ///     the created object if the function is a constructor.</returns>
        }, 
        
        getArguments: function() {
            /// <summary></summary>
            /// <returns type="!Array">Arguments of the called function.</returns>
        }, 
        
        getArgument: function(index) {
            /// <summary>Returns the nth argument of the called function.</summary>
            /// <param name="index" type="number">0-based index of the argument.</param>
            /// <returns type="*">The argument value or undefined if there is no such argument.</returns>
        }, 
        
        getReturnValue: function() {
            /// <summary></summary>
            /// <returns type="*">Return value of the function or undefined in case of error.</returns>
        }, 
        
        getError: function() {
            /// <summary></summary>
            /// <returns type="*">The error thrown by the function or null if none.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.FunctionCall";
})(this);
