
/* vsdoc for goog.testing.MockClassFactory */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.MockClassFactory = function(){
        /// <summary></summary>
        /// <returns type="goog.testing.MockClassFactory"/>
    };

    var $x = window.goog.testing.MockClassFactory;
    $x.prototype = {
                
        getStrictMockClass: function(namespace, classToMock, var_args) {
            /// <summary>Gets a strict mock for a given class.</summary>
            /// <param name="namespace" type="Object">A javascript namespace (e.g. goog.testing).</param>
            /// <param name="classToMock" type="Function">The class that will be mocked.</param>
            /// <param name="var_args" type="...*">The arguments associated with this instance&apos;s
            ///     constructor.</param>
            /// <returns type="goog.testing.StrictMock">The mock created for the provided class.</returns>
        }, 
        
        getLooseMockClass: function(namespace, classToMock, var_args) {
            /// <summary>Gets a loose mock for a given class.</summary>
            /// <param name="namespace" type="Object">A javascript namespace (e.g. goog.testing).</param>
            /// <param name="classToMock" type="Function">The class that will be mocked.</param>
            /// <param name="var_args" type="...*">The arguments associated with this instance&apos;s
            ///     constructor.</param>
            /// <returns type="goog.testing.LooseMock">The mock created for the provided class.</returns>
        }, 
        
        getStrictStaticMock: function(namespace, classToMock) {
            /// <summary>Gets a strict mock for the static functions of a given class.</summary>
            /// <param name="namespace" type="Object">A javascript namespace (e.g. goog.testing).</param>
            /// <param name="classToMock" type="Function">The class whose static functions will be
            ///     mocked.  This should be the original class and not the proxy.</param>
            /// <returns type="goog.testing.StrictMock">The mock created for the static functions
            ///     of the provided class.</returns>
        }, 
        
        getLooseStaticMock: function(namespace, classToMock) {
            /// <summary>Gets a loose mock for the static functions of a given class.</summary>
            /// <param name="namespace" type="Object">A javascript namespace (e.g. goog.testing).</param>
            /// <param name="classToMock" type="Function">The class whose static functions will be
            ///     mocked.  This should be the original class and not the proxy.</param>
            /// <returns type="goog.testing.LooseMock">The mock created for the static functions
            ///     of the provided class.</returns>
        }, 
        
        reset: function() {
            /// <summary>Resests the factory by reverting all mocked classes to their original
            /// implementations and removing all MockClassRecords.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.MockClassFactory";
})(this);
