
/* vsdoc for goog.testing.MockExpectation */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.MockExpectation = function(name){
        /// <summary></summary>
        /// <param name="name" type="string">The name of the method for this expectation.</param>
        /// <field name="name" type="string">The name of the method that is expected to be called.</field>
        /// <field name="errorMessages" type="Array">An array of error messages for expectations not met.</field>
        /// <field name="minCalls" type="number">The minimum number of times this method should be called.</field>
        /// <field name="maxCalls" type="number">The maximum number of times this method should be called.</field>
        /// <field name="actualCalls" type="number">The number of times this method is called by real code.</field>
        /// <field name="verificationCalls" type="number">The number of times this method is called during the verification phase.</field>
        /// <returns type="goog.testing.MockExpectation"/>
    };

    var $x = window.goog.testing.MockExpectation;
    $x.prototype = {
                
        addErrorMessage: function(message) {
            /// <summary>Allow expectation failures to include messages.</summary>
            /// <param name="message" type="string">The failure message.</param>
        }, 
        
        getErrorMessage: function() {
            /// <summary>Get the error messages seen so far.</summary>
            /// <returns type="string">Error messages separated by \n.</returns>
        }, 
        
        getErrorMessageCount: function() {
            /// <summary>Get how many error messages have been seen so far.</summary>
            /// <returns type="number">Count of error messages.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.MockExpectation";
})(this);
