
/* vsdoc for goog.testing.MockRandom */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.MockRandom = function(sequence, opt_install){
        /// <summary></summary>
        /// <param name="sequence" type="Array.number">The sequence of numbers to return.</param>
        /// <param name="opt_install" type="boolean=">Whether to install the MockRandom at
        ///     construction time.</param>
        /// <returns type="goog.testing.MockRandom"/>
    };

    var $x = window.goog.testing.MockRandom;
    $x.prototype = {
                
        install: function() {
            /// <summary>Installs this MockRandom as the system number generator.</summary>
        }, 
        
        random: function() {
            /// <summary></summary>
            /// <returns type="number">The next number in the sequence. If there are no more values
            ///     left, this will return a random number.</returns>
        }, 
        
        hasMoreValues: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether there are more numbers left in the sequence.</returns>
        }, 
        
        inject: function(values) {
            /// <summary>Injects new numbers into the beginning of the sequence.</summary>
            /// <param name="values" type="Array.number|number">Number or array of numbers to inject.</param>
        }, 
        
        uninstall: function() {
            /// <summary>Uninstalls the MockRandom.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.MockRandom";
})(this);
