
/* vsdoc for goog.testing.MockStorage */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.MockStorage = function(){
        /// <summary></summary>
        /// <field name="length" type="number">The number of elements in the storage.</field>
        /// <returns type="goog.testing.MockStorage"/>
    };

    var $x = window.goog.testing.MockStorage;
    $x.prototype = {
                
        setItem: function(key, value) {
            /// <summary>Sets an item to the storage.</summary>
            /// <param name="key" type="string">Storage key.</param>
            /// <param name="value" type="*">Storage value. Must be convertible to string.</param>
        }, 
        
        getItem: function(key) {
            /// <summary>Gets an item from the storage.  The item returned is the &quot;structured clone&quot;
            /// of the value from setItem.  In practice this means it&apos;s the value cast to a
            /// string.</summary>
            /// <param name="key" type="string">Storage key.</param>
            /// <returns type="?string">Storage value for key; null if does not exist.</returns>
        }, 
        
        removeItem: function(key) {
            /// <summary>Removes and item from the storage.</summary>
            /// <param name="key" type="string">Storage key.</param>
        }, 
        
        clear: function() {
            /// <summary>Clears the storage.</summary>
        }, 
        
        key: function(index) {
            /// <summary>Returns the key at the given index.</summary>
            /// <param name="index" type="number">The index for the key.</param>
            /// <returns type="?string">Key at the given index, null if not found.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.MockStorage";
})(this);
