
/* vsdoc for goog.testing.MultiTestRunner.TestFrame */

(function (window) {
    window.goog.testing.MultiTestRunner = window.goog.testing.MultiTestRunner || {};

    window.goog.testing.MultiTestRunner.TestFrame = function(basePath, timeoutMs, verbosePasses, opt_domHelper){
        /// <summary></summary>
        /// <param name="basePath" type="string">The base path for tests.</param>
        /// <param name="timeoutMs" type="number">The time to wait for the test to load and run.</param>
        /// <param name="verbosePasses" type="boolean">Whether to show results for passes.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional dom helper.</param>
        /// <returns type="goog.testing.MultiTestRunner.TestFrame"/>
    };

    var $x = window.goog.testing.MultiTestRunner.TestFrame;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        runTest: function(testFile) {
            /// <summary>Runs a test file in this test frame.</summary>
            /// <param name="testFile" type="string">The test to run.</param>
        }, 
        
        getTestFile: function() {
            /// <summary></summary>
            /// <returns type="string">The test file the TestFrame is running.</returns>
        }, 
        
        getStats: function() {
            /// <summary></summary>
            /// <returns type="Object">Stats about the test run.</returns>
        }, 
        
        getReport: function() {
            /// <summary></summary>
            /// <returns type="string">The report for the test run.</returns>
        }, 
        
        isSuccess: function() {
            /// <summary></summary>
            /// <returns type="?boolean">Whether the test frame had a success.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.MultiTestRunner.TestFrame";
})(this);
