
/* vsdoc for goog.testing.PerformanceTable */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.PerformanceTable = function(root, opt_timer, opt_precision){
        /// <summary></summary>
        /// <param name="root" type="Element">The element where the table should be attached.</param>
        /// <param name="opt_timer" type="goog.testing.PerformanceTimer=">A timer to use for
        ///     executing functions and profiling them.</param>
        /// <param name="opt_precision" type="number=">Number of digits of precision to include in
        ///     results.  Defaults to 0.</param>
        /// <returns type="goog.testing.PerformanceTable"/>
    };

    var $x = window.goog.testing.PerformanceTable;
    $x.prototype = {
                
        getTimer: function() {
            /// <summary></summary>
            /// <returns type="goog.testing.PerformanceTimer">The timer being used.</returns>
        }, 
        
        run: function(fn, opt_desc) {
            /// <summary>Run the given function with the performance timer, and show the results.</summary>
            /// <param name="fn" type="Function">The function to run.</param>
            /// <param name="opt_desc" type="string=">A description to associate with this run.</param>
        }, 
        
        runTask: function(task, opt_desc) {
            /// <summary>Run the given task with the performance timer, and show the results.</summary>
            /// <param name="task" type="goog.testing.PerformanceTimer.Task">The performance timer task
            ///     to run.</param>
            /// <param name="opt_desc" type="string=">A description to associate with this run.</param>
        }, 
        
        recordResults: function(results, opt_desc) {
            /// <summary>Record a performance timer results object to the performance table. See
            /// {@code goog.testing.PerformanceTimer} for details of the format of this
            /// object.</summary>
            /// <param name="results" type="Object">The performance timer results object.</param>
            /// <param name="opt_desc" type="string=">A description to associate with these results.</param>
        }, 
        
        reportError: function(reason) {
            /// <summary>Report an error in the table.</summary>
            /// <param name="reason" type="*">The reason for the error.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.PerformanceTable";
})(this);
