
/* vsdoc for goog.testing.PerformanceTimer.Task */

(function (window) {
    window.goog.testing.PerformanceTimer = window.goog.testing.PerformanceTimer || {};

    window.goog.testing.PerformanceTimer.Task = function(test){
        /// <summary></summary>
        /// <param name="test" type="function()">Test function whose performance is to be measured.</param>
        /// <returns type="goog.testing.PerformanceTimer.Task"/>
    };

    var $x = window.goog.testing.PerformanceTimer.Task;
    $x.prototype = {
                
        getTest: function() {
            /// <summary></summary>
            /// <returns type="function()">The test function to time.</returns>
        }, 
        
        withSetUp: function(setUp) {
            /// <summary>Specifies a set up function to be invoked before each invocation of the test
            /// function.</summary>
            /// <param name="setUp" type="function()">The set up function.</param>
            /// <returns type="goog.testing.PerformanceTimer.Task">This task.</returns>
        }, 
        
        getSetUp: function() {
            /// <summary></summary>
            /// <returns type="function()">The set up function or null if none was specified.</returns>
        }, 
        
        withTearDown: function(tearDown) {
            /// <summary>Specifies a tear down function to be invoked after each invocation of the
            /// test function.</summary>
            /// <param name="tearDown" type="function()">The tear down function.</param>
            /// <returns type="goog.testing.PerformanceTimer.Task">This task.</returns>
        }, 
        
        getTearDown: function() {
            /// <summary></summary>
            /// <returns type="function()">The tear down function or null if none was specified.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.PerformanceTimer.Task";
})(this);
