
/* vsdoc for goog.testing.PropertyReplacer */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.PropertyReplacer = function(){
        /// <summary></summary>
        /// <returns type="goog.testing.PropertyReplacer"/>
    };

    var $x = window.goog.testing.PropertyReplacer;
    $x.prototype = {
                
        set: function(obj, key, value) {
            /// <summary>Adds or changes a value in an object while saving its original state.</summary>
            /// <param name="obj" type="Object|Function">The JavaScript or native object or function to
            ///     alter. See the constraints in the class description.</param>
            /// <param name="key" type="string">The key to change the value for.</param>
            /// <param name="value" type="*">The new value to set.</param>
        }, 
        
        replace: function(obj, key, value) {
            /// <summary>Changes an existing value in an object to another one of the same type while
            /// saving its original state. The advantage of {@code replace} over {@link #set}
            /// is that {@code replace} protects against typos and erroneously passing tests
            /// after some members have been renamed during a refactoring.</summary>
            /// <param name="obj" type="Object|Function">The JavaScript or native object or function to
            ///     alter. See the constraints in the class description.</param>
            /// <param name="key" type="string">The key to change the value for. It has to be present
            ///     either in {@code obj} or in its prototype chain.</param>
            /// <param name="value" type="*">The new value to set. It has to have the same type as the
            ///     original value. The types are compared with {@link goog.typeOf}.</param>
        }, 
        
        setPath: function(path, value) {
            /// <summary>Builds an object structure for the provided namespace path.  Doesn&apos;t
            /// overwrite those prefixes of the path that are already objects or functions.</summary>
            /// <param name="path" type="string">The path to create or alter, e.g. &apos;goog.ui.Menu&apos;.</param>
            /// <param name="value" type="*">The value to set.</param>
        }, 
        
        remove: function(obj, key) {
            /// <summary>Deletes the key from the object while saving its original value.</summary>
            /// <param name="obj" type="Object|Function">The JavaScript or native object or function to
            ///     alter. See the constraints in the class description.</param>
            /// <param name="key" type="string">The key to delete.</param>
        }, 
        
        reset: function() {
            /// <summary>Resets all changes made by goog.testing.PropertyReplacer.prototype.set.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.PropertyReplacer";
})(this);
