
/* vsdoc for goog.testing.PseudoRandom */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.PseudoRandom = function(opt_seed, opt_install){
        /// <summary></summary>
        /// <param name="opt_seed" type="number=">The seed to use.</param>
        /// <param name="opt_install" type="boolean=">Whether to install the PseudoRandom at
        ///     construction time.</param>
        /// <field name="A" type="number">Constant used as part of the algorithm.</field>
        /// <field name="M" type="number">Constant used as part of the algorithm. 2^31 - 1.</field>
        /// <field name="Q" type="number">Constant used as part of the algorithm. It is equal to M / A.</field>
        /// <field name="R" type="number">Constant used as part of the algorithm. It is equal to M % A.</field>
        /// <field name="ONE_OVER_M_MINUS_ONE" type="number">Constant used as part of the algorithm to get values from range [0, 1).</field>
        /// <returns type="goog.testing.PseudoRandom"/>
    };

    var $x = window.goog.testing.PseudoRandom;
    $x.prototype = {
                
        install: function() {
            /// <summary>Installs this PseudoRandom as the system number generator.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        uninstall: function() {
            /// <summary>Uninstalls the PseudoRandom.</summary>
        }, 
        
        seed: function(seed) {
            /// <summary>Seed the generator.</summary>
            /// <param name="seed" type="number=">The seed to use.</param>
        }, 
        
        random: function() {
            /// <summary></summary>
            /// <returns type="number">The next number in the sequence.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.PseudoRandom";
})(this);
