
/* vsdoc for goog.testing.ShardingTestCase */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.ShardingTestCase = function(shardIndex, numShards, opt_name){
        /// <summary></summary>
        /// <param name="shardIndex" type="number">Shard index for this page,
        ///     &lt;strong&gt;1-indexed&lt;/strong&gt;.</param>
        /// <param name="numShards" type="number">Number of shards to split up test cases into.</param>
        /// <param name="opt_name" type=""></param>
        /// <returns type="goog.testing.ShardingTestCase"/>
    };

    var $x = window.goog.testing.ShardingTestCase;
    $x.prototype = {
                
        runTests: function() {
            /// <summary>Installs a runTests global function that goog.testing.JsUnit will use to
            /// run tests, which will run a single shard of the tests present on the page.</summary>
        }, 
        
        shardByFileName: function(opt_name) {
            /// <summary>Shards tests based on the test filename. Assumes that the filename is
            /// formatted like &apos;foo_1of5_test.html&apos;.</summary>
            /// <param name="opt_name" type="string=">A descriptive name for the test case.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.ShardingTestCase";
})(this);
