
/* vsdoc for goog.testing.TestCase.Result */

(function (window) {
    window.goog.testing.TestCase = window.goog.testing.TestCase || {};

    window.goog.testing.TestCase.Result = function(testCase){
        /// <summary></summary>
        /// <param name="testCase" type="goog.testing.TestCase">The test case that owns this result.</param>
        /// <field name="totalCount" type="number">Total number of tests that should have been run.</field>
        /// <field name="runCount" type="number">Total number of tests that were actually run.</field>
        /// <field name="successCount" type="number">Number of successful tests.</field>
        /// <field name="runTime" type="number">The amount of time the tests took to run.</field>
        /// <field name="numFilesLoaded" type="number">The number of files loaded to run this test.</field>
        /// <field name="testSuppressed" type="boolean">Whether this test case was suppressed by shouldRunTests() returning false.</field>
        /// <field name="errors" type="Array.<goog.testing.TestCase.Error>">Errors encountered while running the test.</field>
        /// <field name="messages" type="Array.<string>">Messages to show the user after running the test.</field>
        /// <returns type="goog.testing.TestCase.Result"/>
    };

    var $x = window.goog.testing.TestCase.Result;
    $x.prototype = {
                
        isSuccess: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the test was successful.</returns>
        }, 
        
        getSummary: function() {
            /// <summary></summary>
            /// <returns type="string">A summary of the tests, including total number of tests that
            ///     passed, failed, and the time taken.</returns>
        }, 
        
        isStrict: function() {
            /// <summary>Determines whether the test result should report failure if no tests are run.</summary>
            /// <returns type="boolean">Whether this is strict.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.TestCase.Result";
})(this);
