
/* vsdoc for goog.testing.editor.FieldMock */

(function (window) {
    window.goog.testing.editor = window.goog.testing.editor || {};

    window.goog.testing.editor.FieldMock = function(opt_window, opt_appWindow, opt_range){
        /// <summary></summary>
        /// <param name="opt_window" type="Window=">Window the field would edit.  Defaults to
        ///     {@code window}.</param>
        /// <param name="opt_appWindow" type="Window=">&quot;AppWindow&quot; of the field, which can be
        ///     different from {@code opt_window} when mocking a field that uses an
        ///     iframe. Defaults to {@code opt_window}.</param>
        /// <param name="opt_range" type="goog.dom.AbstractRange=">An object (mock or real) to be
        ///     returned by getRange(). If ommitted, a new goog.dom.Range is created
        ///     from the window every time getRange() is called.</param>
        /// <returns type="goog.testing.editor.FieldMock"/>
    };

    var $x = window.goog.testing.editor.FieldMock;
    $x.prototype = {
                
        inModalMode: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether we&apos;re in modal interaction mode.</returns>
        }, 
        
        setModalMode: function(mode) {
            /// <summary></summary>
            /// <param name="mode" type="boolean">Sets whether we&apos;re in modal interaction mode.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.editor.FieldMock";
})(this);
