
/* vsdoc for goog.testing.fs */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.fs = {
        /// <summary></summary>
        /// <returns type="goog.testing.fs"/>
                
        getTemporary: function(size) {
            /// <summary>Get a filesystem object. Since these are mocks, there&apos;s no difference between
            /// temporary and persistent filesystems.</summary>
            /// <param name="size" type="number">Ignored.</param>
            /// <returns type="!goog.async.Deferred">The deferred
            ///     {@link goog.testing.fs.FileSystem}.</returns>
        }, 
        
        getPersistent: function(size) {
            /// <summary>Get a filesystem object. Since these are mocks, there&apos;s no difference between
            /// temporary and persistent filesystems.</summary>
            /// <param name="size" type="number">Ignored.</param>
            /// <returns type="!goog.async.Deferred">The deferred
            ///     {@link goog.testing.fs.FileSystem}.</returns>
        }, 
        
        createObjectUrl: function(blob) {
            /// <summary>Create a fake object URL for a given fake blob. This can be used as a real
            /// URL, and it can be created and revoked normally.</summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob for which to create the URL.</param>
            /// <returns type="string">The URL.</returns>
        }, 
        
        revokeObjectUrl: function(url) {
            /// <summary>Remove a URL that was created for a fake blob.</summary>
            /// <param name="url" type="string">The URL to revoke.</param>
        }, 
        
        isObjectUrlGranted: function(blob) {
            /// <summary>Return whether or not a URL has been granted for the given blob.</summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob to check.</param>
            /// <returns type="boolean">Whether a URL has been granted.</returns>
        }, 
        
        getBlob: function(var_args) {
            /// <summary>Concatenates one or more values together and converts them to a fake blob.</summary>
            /// <param name="var_args" type="...(string|!goog.testing.fs.Blob)">The values that will make
            ///     up the resulting blob.</param>
            /// <returns type="!goog.testing.fs.Blob">The blob.</returns>
        }, 
        
        blobToString: function(blob, opt_encoding) {
            /// <summary>Returns the string value of a fake blob.</summary>
            /// <param name="blob" type="!goog.testing.fs.Blob">The blob to convert to a string.</param>
            /// <param name="opt_encoding" type="string=">Ignored.</param>
            /// <returns type="!goog.async.Deferred">The deferred string value of the blob.</returns>
        }, 
        
        install: function(stubs) {
            /// <summary>Installs goog.testing.fs in place of the standard goog.fs. After calling
            /// this, code that uses goog.fs should work without issue using goog.testing.fs.</summary>
            /// <param name="stubs" type="!goog.testing.PropertyReplacer">The property replacer for
            ///     stubbing out the original goog.fs functions.</param>
        }
        
    };

    var $x = window.goog.testing.fs;
    $x.__namespace = "true";
    $x.__typeName = "goog.testing.fs";
})(this);
