
/* vsdoc for goog.testing.fs.Blob */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.Blob = function(opt_data, opt_type){
        /// <summary></summary>
        /// <param name="opt_data" type="string=">The string data encapsulated by the blob.</param>
        /// <param name="opt_type" type="string=">The mime type of the blob.</param>
        /// <field name="type" type="string"></field>
        /// <returns type="goog.testing.fs.Blob"/>
    };

    var $x = window.goog.testing.fs.Blob;
    $x.prototype = {
                
        slice: function(start, length, opt_contentType) {
            /// <summary></summary>
            /// <param name="start" type="number">The start byte offset.</param>
            /// <param name="length" type="number">The number of bytes to slice.</param>
            /// <param name="opt_contentType" type="string=">The type of the resulting Blob.</param>
            /// <returns type="!goog.testing.fs.Blob">The result of the slice operation.</returns>
        }, 
        
        toString: function() {
            /// <summary></summary>
            /// <returns type="string">The string data encapsulated by the blob.</returns>
        }, 
        
        toArrayBuffer: function() {
            /// <summary></summary>
            /// <returns type="ArrayBuffer">The string data encapsulated by the blob as an
            ///     ArrayBuffer.</returns>
        }, 
        
        toDataUrl: function() {
            /// <summary></summary>
            /// <returns type="string">The string data encapsulated by the blob as a data: URI.</returns>
        }, 
        
        setDataInternal: function(data) {
            /// <summary>Sets the internal contents of the blob. This should only be called by other
            /// functions inside the {@code goog.testing.fs} namespace.</summary>
            /// <param name="data" type="string">The data for this Blob.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.Blob";
})(this);
