
/* vsdoc for goog.testing.fs.DirectoryEntry */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.DirectoryEntry = function(fs, parent, name, children){
        /// <summary></summary>
        /// <param name="fs" type="!goog.testing.fs.FileSystem">The filesystem containing this entry.</param>
        /// <param name="parent" type="goog.testing.fs.DirectoryEntry">The directory entry directly
        ///     containing this entry. If this is null, that means this is the root
        ///     directory and so is its own parent.</param>
        /// <param name="name" type="string">The name of this entry.</param>
        /// <param name="children" type="!Object.!goog.testing.fs.Entry">The map of child names to
        ///     entry objects.</param>
        /// <field name="children" type="!Object.<!goog.testing.fs.Entry>">The map of child names to entry objects.</field>
        /// <field name="createPath" type="!goog.async.Deferred"></field>
        /// <returns type="goog.testing.fs.DirectoryEntry"/>
    };

    var $x = window.goog.testing.fs.DirectoryEntry;
    $x.prototype = {
                
        isFile: function() {
            /// <summary></summary>
        }, 
        
        isDirectory: function() {
            /// <summary></summary>
        }, 
        
        getLastModified: function() {
            /// <summary></summary>
        }, 
        
        getMetadata: function() {
            /// <summary></summary>
        }, 
        
        clone: function() {
            /// <summary></summary>
        }, 
        
        remove: function() {
            /// <summary></summary>
        }, 
        
        getFile: function(path, opt_behavior) {
            /// <summary></summary>
            /// <param name="path" type="string"></param>
            /// <param name="opt_behavior" type="goog.fs.DirectoryEntry.Behavior="></param>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        getDirectory: function(path, opt_behavior) {
            /// <summary></summary>
            /// <param name="path" type="string"></param>
            /// <param name="opt_behavior" type="goog.fs.DirectoryEntry.Behavior="></param>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        getFileSync: function(path, opt_behavior) {
            /// <summary>Get a file entry synchronously, without waiting for a Deferred to resolve.</summary>
            /// <param name="path" type="string">The path to the file, relative to this directory.</param>
            /// <param name="opt_behavior" type="goog.fs.DirectoryEntry.Behavior=">The behavior for
            ///     loading the file.</param>
            /// <returns type="!goog.testing.fs.FileEntry">The loaded file.</returns>
        }, 
        
        createFileSync: function(path) {
            /// <summary>Creates a file synchronously. This is a shorthand for getFileSync, useful for
            /// setting up tests.</summary>
            /// <param name="path" type="string">The path to the file, relative to this directory.</param>
            /// <returns type="!goog.testing.fs.FileEntry">The created file.</returns>
        }, 
        
        getDirectorySync: function(path, opt_behavior) {
            /// <summary>Get a directory synchronously, without waiting for a Deferred to resolve.</summary>
            /// <param name="path" type="string">The path to the directory, relative to this one.</param>
            /// <param name="opt_behavior" type="goog.fs.DirectoryEntry.Behavior=">The behavior for
            ///     loading the directory.</param>
            /// <returns type="!goog.testing.fs.DirectoryEntry">The loaded directory.</returns>
        }, 
        
        createDirectorySync: function(path) {
            /// <summary>Creates a directory synchronously. This is a shorthand for getFileSync,
            /// useful for setting up tests.</summary>
            /// <param name="path" type="string">The path to the directory, relative to this directory.</param>
            /// <returns type="!goog.testing.fs.DirectoryEntry">The created directory.</returns>
        }, 
        
        hasChild: function(name) {
            /// <summary>Returns whether this directory has a child with the given name.</summary>
            /// <param name="name" type="string">The name of the entry to check for.</param>
            /// <returns type="boolean">Whether or not this has a child with the given name.</returns>
        }, 
        
        removeRecursively: function() {
            /// <summary></summary>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        listDirectory: function() {
            /// <summary></summary>
            /// <returns type="!goog.async.Deferred"></returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.DirectoryEntry";
})(this);
