
/* vsdoc for goog.testing.fs.Entry */

(function (window) {
    window.goog.testing.fs = window.goog.testing.fs || {};

    window.goog.testing.fs.Entry = function(fs, parent, name){
        /// <summary></summary>
        /// <param name="fs" type="!goog.testing.fs.FileSystem">The filesystem containing this entry.</param>
        /// <param name="parent" type="!goog.testing.fs.DirectoryEntry">The directory entry directly
        ///     containing this entry.</param>
        /// <param name="name" type="string">The name of this entry.</param>
        /// <field name="parent" type="!goog.testing.fs.DirectoryEntry">The parent of this entry.</field>
        /// <field name="deleted" type="boolean">Whether or not this entry has been deleted.</field>
        /// <field name="isFile" type="boolean"></field>
        /// <field name="isDirectory" type="boolean"></field>
        /// <field name="getLastModified" type="!goog.async.Deferred"></field>
        /// <field name="getMetadata" type="!goog.async.Deferred"></field>
        /// <field name="clone" type="!goog.testing.fs.Entry"></field>
        /// <returns type="goog.testing.fs.Entry"/>
    };

    var $x = window.goog.testing.fs.Entry;
    $x.prototype = {
                
        getName: function() {
            /// <summary></summary>
            /// <returns type="string"></returns>
        }, 
        
        getFullPath: function() {
            /// <summary></summary>
            /// <returns type="string"></returns>
        }, 
        
        getFileSystem: function() {
            /// <summary></summary>
            /// <returns type="!goog.testing.fs.FileSystem"></returns>
        }, 
        
        moveTo: function(parent, opt_newName) {
            /// <summary></summary>
            /// <param name="parent" type="!goog.testing.fs.DirectoryEntry"></param>
            /// <param name="opt_newName" type="string="></param>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        copyTo: function(parent, opt_newName) {
            /// <summary></summary>
            /// <param name="parent" type="!goog.testing.fs.DirectoryEntry"></param>
            /// <param name="opt_newName" type="string="></param>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        toUrl: function(opt_mimetype) {
            /// <summary></summary>
            /// <param name="opt_mimetype" type=""></param>
            /// <returns type="string"></returns>
        }, 
        
        remove: function() {
            /// <summary></summary>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        getParent: function() {
            /// <summary></summary>
            /// <returns type="!goog.async.Deferred"></returns>
        }, 
        
        checkNotDeleted: function(action) {
            /// <summary>Return a deferred that will call its errback if this entry has been deleted.
            /// In addition, the deferred will only run after a timeout of 0, and all its
            /// callbacks will run with the entry as &quot;this&quot;.</summary>
            /// <param name="action" type="string">The name of the action being performed. For error
            ///     reporting.</param>
            /// <returns type="!goog.async.Deferred">The deferred that will be called after a
            ///     timeout of 0.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.fs.Entry";
})(this);
