
/* vsdoc for goog.testing.messaging.MockMessageChannel */

(function (window) {
    window.goog.testing.messaging = window.goog.testing.messaging || {};

    window.goog.testing.messaging.MockMessageChannel = function(mockControl){
        /// <summary></summary>
        /// <param name="mockControl" type="goog.testing.MockControl">The mock control used to create
        ///   the method mock for #send.</param>
        /// <field name="disposed" type="boolean">Whether the channel has been disposed.</field>
        /// <returns type="goog.testing.messaging.MockMessageChannel"/>
    };

    var $x = window.goog.testing.messaging.MockMessageChannel;
    $x.prototype = {
                
        send: function(serviceName, payload) {
            /// <summary>A mock send function. Actually an instance of
            /// {@link goog.testing.FunctionMock}.</summary>
            /// <param name="serviceName" type="string">The name of the remote service to run.</param>
            /// <param name="payload" type="string|!Object">The payload to send to the remote page.</param>
        }, 
        
        dispose: function() {
            /// <summary>Sets a flag indicating that this is disposed.</summary>
        }, 
        
        receive: function(serviceName, payload) {
            /// <summary>Mocks the receipt of a message. Passes the payload the appropriate service.</summary>
            /// <param name="serviceName" type="string">The service to run.</param>
            /// <param name="payload" type="string|!Object">The argument to pass to the service.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.messaging.MockMessageChannel";
})(this);
