
/* vsdoc for goog.testing.messaging.MockMessageEvent */

(function (window) {
    window.goog.testing.messaging = window.goog.testing.messaging || {};

    window.goog.testing.messaging.MockMessageEvent = function(data, opt_origin, opt_lastEventId, opt_source, opt_ports){
        /// <summary></summary>
        /// <param name="data" type="*">The data of the message.</param>
        /// <param name="opt_origin" type="string=">The origin of the message, for server-sent and
        ///     cross-document events.</param>
        /// <param name="opt_lastEventId" type="string=">The last event ID, for server-sent events.</param>
        /// <param name="opt_source" type="Window=">The proxy for the source window, for
        ///     cross-document events.</param>
        /// <param name="opt_ports" type="Array.MessagePort=">The Array of ports sent with the
        ///     message, for cross-document and channel events.</param>
        /// <field name="data" type="*">The data of the message.</field>
        /// <field name="origin" type="?string">The origin of the message, for server-sent and cross-document events.</field>
        /// <field name="lastEventId" type="?string">The last event ID, for server-sent events.</field>
        /// <field name="source" type="Window">The proxy for the source window, for cross-document events.</field>
        /// <field name="ports" type="Array.<!MessagePort>">The Array of ports sent with the message, for cross-document and channel
        /// events.</field>
        /// <returns type="goog.testing.messaging.MockMessageEvent"/>
    };

    var $x = window.goog.testing.messaging.MockMessageEvent;
    $x.prototype = {
                
        wrap: function(data, opt_origin, opt_lastEventId, opt_source, opt_ports) {
            /// <summary>Wraps a new fake MessageEvent in a BrowserEvent, like how a real MessageEvent
            /// would be wrapped.</summary>
            /// <param name="data" type="*">The data of the message.</param>
            /// <param name="opt_origin" type="string=">The origin of the message, for server-sent and
            ///     cross-document events.</param>
            /// <param name="opt_lastEventId" type="string=">The last event ID, for server-sent events.</param>
            /// <param name="opt_source" type="Window=">The proxy for the source window, for
            ///     cross-document events.</param>
            /// <param name="opt_ports" type="Array.MessagePort=">The Array of ports sent with the
            ///     message, for cross-document and channel events.</param>
            /// <returns type="goog.events.BrowserEvent">The wrapping event.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.messaging.MockMessageEvent";
})(this);
