
/* vsdoc for goog.testing.messaging.MockMessagePort */

(function (window) {
    window.goog.testing.messaging = window.goog.testing.messaging || {};

    window.goog.testing.messaging.MockMessagePort = function(id, mockControl){
        /// <summary></summary>
        /// <param name="id" type="*">An opaque identifier, used because message ports otherwise have
        ///     no distinguishing characteristics.</param>
        /// <param name="mockControl" type="goog.testing.MockControl">The mock control used to create
        ///     the method mock for #postMessage.</param>
        /// <field name="id" type="*">An opaque identifier, used because message ports otherwise have no
        /// distinguishing characteristics.</field>
        /// <field name="started" type="boolean">Whether or not the port has been started.</field>
        /// <field name="closed" type="boolean">Whether or not the port has been closed.</field>
        /// <returns type="goog.testing.messaging.MockMessagePort"/>
    };

    var $x = window.goog.testing.messaging.MockMessagePort;
    $x.prototype = {
                
        postMessage: function(message, opt_ports) {
            /// <summary>A mock postMessage funciton. Actually an instance of
            /// {@link goog.testing.FunctionMock}.</summary>
            /// <param name="message" type="*">The message to send.</param>
            /// <param name="opt_ports" type="Array.MessagePort=">Ports to send with the message.</param>
        }, 
        
        start: function() {
            /// <summary>Starts the port.</summary>
        }, 
        
        close: function() {
            /// <summary>Closes the port.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.messaging.MockMessagePort";
})(this);
