
/* vsdoc for goog.testing.mockmatchers */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.mockmatchers = {
        /// <summary></summary>
        /// <field name="ignoreArgument" type="goog.testing.mockmatchers.IgnoreArgument">An instance of the IgnoreArgument matcher. Returns true for all matches.</field>
        /// <field name="isArray" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is an array.</field>
        /// <field name="isArrayLike" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is a array-like.  A NodeList is an
        /// example of a collection that is very close to an array.</field>
        /// <field name="isDateLike" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is a date-like.</field>
        /// <field name="isString" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is a string.</field>
        /// <field name="isBoolean" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is a boolean.</field>
        /// <field name="isNumber" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is a number.</field>
        /// <field name="isFunction" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is a function.</field>
        /// <field name="isObject" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is an object.</field>
        /// <field name="isNodeLike" type="goog.testing.mockmatchers.ArgumentMatcher">A matcher that verifies that an argument is like a DOM node.</field>
        /// <returns type="goog.testing.mockmatchers"/>
                
        flexibleArrayMatcher: function(expectedArr, arr, opt_expectation) {
            /// <summary>A function that checks to see if an array matches a given set of
            /// expectations.  The expectations array can be a mix of ArgumentMatcher
            /// implementations and values.  True will be returned if values are identical or
            /// if a matcher returns a positive result.</summary>
            /// <param name="expectedArr" type="Array">An array of expectations which can be either
            ///     values to check for equality or ArgumentMatchers.</param>
            /// <param name="arr" type="Array">The array to match.</param>
            /// <param name="opt_expectation" type="goog.testing.MockExpectation?=">The expectation
            ///     for this match.</param>
            /// <returns type="boolean">Whether or not the given array matches the expectations.</returns>
        }
        
    };

    var $x = window.goog.testing.mockmatchers;
    $x.__namespace = "true";
    $x.__typeName = "goog.testing.mockmatchers";
})(this);
