
/* vsdoc for goog.testing.mockmatchers.ArgumentMatcher */

(function (window) {
    window.goog.testing.mockmatchers = window.goog.testing.mockmatchers || {};

    window.goog.testing.mockmatchers.ArgumentMatcher = function(opt_matchFn, opt_matchName){
        /// <summary></summary>
        /// <param name="opt_matchFn" type="Function=">A function that evaluates a given argument
        ///     and returns true if it meets a given criteria.</param>
        /// <param name="opt_matchName" type="?string=">The name expressing intent as part of
        ///      an error message for when a match fails.</param>
        /// <returns type="goog.testing.mockmatchers.ArgumentMatcher"/>
    };

    var $x = window.goog.testing.mockmatchers.ArgumentMatcher;
    $x.prototype = {
                
        matches: function(toVerify, opt_expectation) {
            /// <summary>A function that takes a match argument and an optional MockExpectation
            /// which (if provided) will get error information and returns whether or
            /// not it matches.</summary>
            /// <param name="toVerify" type="*">The argument that should be verified.</param>
            /// <param name="opt_expectation" type="goog.testing.MockExpectation?=">The expectation
            ///     for this match.</param>
            /// <returns type="boolean">Whether or not a given argument passes verification.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.mockmatchers.ArgumentMatcher";
})(this);
