
/* vsdoc for goog.testing.stacktrace.Frame */

(function (window) {
    window.goog.testing.stacktrace = window.goog.testing.stacktrace || {};

    window.goog.testing.stacktrace.Frame = function(context, name, alias, args, path){
        /// <summary></summary>
        /// <param name="context" type="string">Context object, empty in case of global functions or
        ///     if the browser doesn&apos;t provide this information.</param>
        /// <param name="name" type="string">Function name, empty in case of anonymous functions.</param>
        /// <param name="alias" type="string">Alias of the function if available. For example the
        ///     function name will be &apos;c&apos; and the alias will be &apos;b&apos; if the function is
        ///     defined as &lt;code&gt;a.b = function c() {};&lt;/code&gt;.</param>
        /// <param name="args" type="string">Arguments of the function in parentheses if available.</param>
        /// <param name="path" type="string">File path or URL including line number and optionally
        ///     column number separated by colons.</param>
        /// <returns type="goog.testing.stacktrace.Frame"/>
    };

    var $x = window.goog.testing.stacktrace.Frame;
    $x.prototype = {
                
        getName: function() {
            /// <summary></summary>
            /// <returns type="string">The function name or empty string if the function is
            ///     anonymous and the object field which it&apos;s assigned to is unknown.</returns>
        }, 
        
        isAnonymous: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the stack frame contains an anonymous function.</returns>
        }, 
        
        toCanonicalString: function() {
            /// <summary>Brings one frame of the stack trace into a common format across browsers.</summary>
            /// <returns type="string">Pretty printed stack frame.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.stacktrace.Frame";
})(this);
