
/* vsdoc for goog.testing.style */

(function (window) {
    window.goog.testing = window.goog.testing || {};

    window.goog.testing.style = {
        /// <summary></summary>
        /// <field name="layoutasserts" type=""></field>
        /// <returns type="goog.testing.style"/>
                
        intersects: function(element, otherElement) {
            /// <summary>Determines whether the bounding rectangles of the given elements intersect.</summary>
            /// <param name="element" type="Element">The first element.</param>
            /// <param name="otherElement" type="Element">The second element.</param>
            /// <returns type="boolean">Whether the bounding rectangles of the given elements
            ///     intersect.</returns>
        }, 
        
        hasVisibleDimensions: function(element) {
            /// <summary>Determines whether the element has visible dimensions, i.e. x > 0 &amp;&amp; y > 0.</summary>
            /// <param name="element" type="Element">The element to check.</param>
            /// <returns type="boolean">Whether the element has visible dimensions.</returns>
        }, 
        
        isVisible: function(element) {
            /// <summary>Determines whether the CSS style of the element renders it visible.</summary>
            /// <param name="element" type="!Element">The element to check.</param>
            /// <returns type="boolean">Whether the CSS style of the element renders it visible.</returns>
        }, 
        
        isOnScreen: function(el) {
            /// <summary>Test whether the given element is on screen.</summary>
            /// <param name="el" type="!Element">The element to test.</param>
            /// <returns type="boolean">Whether the element is on the screen.</returns>
        }
        
    };

    var $x = window.goog.testing.style;
    $x.__namespace = "true";
    $x.__typeName = "goog.testing.style";
})(this);
