
/* vsdoc for goog.testing.ui.RendererHarness */

(function (window) {
    window.goog.testing.ui = window.goog.testing.ui || {};

    window.goog.testing.ui.RendererHarness = function(renderer, renderParent, decorateParent){
        /// <summary></summary>
        /// <param name="renderer" type="goog.ui.ControlRenderer">A renderer to test.</param>
        /// <param name="renderParent" type="Element">The parent of the element where controls will
        ///     be rendered.</param>
        /// <param name="decorateParent" type="Element">The parent of the element where controls will
        ///     be decorated.</param>
        /// <returns type="goog.testing.ui.RendererHarness"/>
    };

    var $x = window.goog.testing.ui.RendererHarness;
    $x.prototype = {
                
        attachControlAndRender: function(control) {
            /// <summary>Attach a control and render its DOM.</summary>
            /// <param name="control" type="goog.ui.Control">A control.</param>
            /// <returns type="Element">The element created.</returns>
        }, 
        
        attachControlAndDecorate: function(control) {
            /// <summary>Attach a control and decorate the element given in the constructor.</summary>
            /// <param name="control" type="goog.ui.Control">A control.</param>
            /// <returns type="Element">The element created.</returns>
        }, 
        
        assertDomMatches: function() {
            /// <summary>Assert that the rendered element and the decorated element match.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary>Destroy the harness, verifying that all assertions had been checked.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.testing.ui.RendererHarness";
})(this);
