
/* vsdoc for goog.testing.ui.style */

(function (window) {
    window.goog.testing.ui = window.goog.testing.ui || {};

    window.goog.testing.ui.style = {
        /// <summary></summary>
        /// <returns type="goog.testing.ui.style"/>
                
        writeReferenceFrame: function(referencePath) {
            /// <summary>Uses document.write to add an iFrame to the page with the reference path in
            /// the src attribute. Used for loading an html file containing reference
            /// structures to test against into the page. Should be called within the body of
            /// the jsunit test page.</summary>
            /// <param name="referencePath" type="string">A path to a reference HTML file.</param>
        }, 
        
        getReferenceNode: function(referenceId) {
            /// <summary>Returns a reference to the first element child of a node with the given id
            /// from the page loaded into the reference iFrame. Used to retrieve a particular
            /// reference DOM structure to test against.</summary>
            /// <param name="referenceId" type="string">The id of a container element for a reference
            ///   structure in the reference page.</param>
            /// <returns type="Node">The root element of the reference structure.</returns>
        }, 
        
        getElementChildren: function(element) {
            /// <summary>Returns an array of all element children of a given node.</summary>
            /// <param name="element" type="Node">The node to get element children of.</param>
            /// <returns type="Array.Node">An array of all the element children.</returns>
        }, 
        
        isContentNode: function(element) {
            /// <summary>Tests whether a given node is a &quot;content&quot; node of a reference structure,
            /// which means it is allowed to have arbitrary children.</summary>
            /// <param name="element" type="Node">The node to test.</param>
            /// <returns type="boolean">Whether the given node is a content node or not.</returns>
        }, 
        
        assertStructureMatchesReference: function(element, referenceId) {
            /// <summary>Tests that the structure, node names, and classes of the given element are
            /// the same as the reference structure with the given id. Throws an error if the
            /// element doesn&apos;t have the same nodes at each level of the DOM with the same
            /// classes on each. The test ignores all DOM structure within content nodes.</summary>
            /// <param name="element" type="Node">The root node of the DOM structure to test.</param>
            /// <param name="referenceId" type="string">The id of the container for the reference
            ///   structure to test against.</param>
        }
        
    };

    var $x = window.goog.testing.ui.style;
    $x.__namespace = "true";
    $x.__typeName = "goog.testing.ui.style";
})(this);
