
/* vsdoc for goog.tweak.BaseEntry */

(function (window) {
    window.goog.tweak = window.goog.tweak || {};

    window.goog.tweak.BaseEntry = function(id, description){
        /// <summary></summary>
        /// <param name="id" type="string">The ID for the entry. Must contain only letters,
        ///     numbers, underscores and periods.</param>
        /// <param name="description" type="string">A description of what the entry does.</param>
        /// <field name="label" type="string">A descriptive label for the entry.</field>
        /// <field name="description" type="string">A description of what this entry does.</field>
        /// <field name="logger" type="!goog.debug.Logger">The logger for this class.</field>
        /// <returns type="goog.tweak.BaseEntry"/>
    };

    var $x = window.goog.tweak.BaseEntry;
    $x.prototype = {
                
        getId: function() {
            /// <summary></summary>
            /// <returns type="string">Returns the entry&apos;s ID.</returns>
        }, 
        
        isRestartRequired: function() {
            /// <summary>Returns whether a restart is required for changes to the setting to take
            /// effect.</summary>
            /// <returns type="boolean">The value.</returns>
        }, 
        
        setRestartRequired: function(value) {
            /// <summary>Sets whether a restart is required for changes to the setting to take
            /// effect.</summary>
            /// <param name="value" type="boolean">The new value.</param>
        }, 
        
        addCallback: function(callback) {
            /// <summary>Adds a callback that should be called when the setting has changed (or when
            /// an action has been clicked).</summary>
            /// <param name="callback" type="!Function">The callback to add.</param>
        }, 
        
        removeCallback: function(callback) {
            /// <summary>Removes a callback that was added by addCallback.</summary>
            /// <param name="callback" type="!Function">The callback to add.</param>
        }, 
        
        fireCallbacks: function() {
            /// <summary>Calls all registered callbacks.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.tweak.BaseEntry";
})(this);
