
/* vsdoc for goog.tweak.BasePrimitiveSetting */

(function (window) {
    window.goog.tweak = window.goog.tweak || {};

    window.goog.tweak.BasePrimitiveSetting = function(id, description, defaultValue){
        /// <summary></summary>
        /// <param name="id" type="string">The ID for the setting.</param>
        /// <param name="description" type="string">A description of what the setting does.</param>
        /// <param name="defaultValue" type="*">The default value for this setting.</param>
        /// <field name="logger" type="!goog.debug.Logger">The logger for this class.</field>
        /// <field name="encodeNewValue" type="string">Returns the query param encoded representation of the setting&apos;s value.</field>
        /// <returns type="goog.tweak.BasePrimitiveSetting"/>
    };

    var $x = window.goog.tweak.BasePrimitiveSetting;
    $x.prototype = {
                
        getValue: function() {
            /// <summary>If the setting has the restartRequired option, then returns its inital
            /// value. Otherwise, returns its current value.</summary>
            /// <returns type="*">The value.</returns>
        }, 
        
        getNewValue: function() {
            /// <summary>Returns the value of the setting to use once &quot;Apply Tweaks&quot; is clicked.</summary>
            /// <returns type="*">The value.</returns>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the value of the setting. If the setting has the restartRequired
            /// option, then the value will not be changed until the &quot;Apply Tweaks&quot; button
            /// is clicked. If it does not have the option, the value will be update
            /// immediately and all registered callbacks will be called.</summary>
            /// <param name="value" type="*">The value.</param>
        }, 
        
        getDefaultValue: function() {
            /// <summary>Returns the default value for this setting.</summary>
            /// <returns type="*">The default value.</returns>
        }, 
        
        setDefaultValue: function(value) {
            /// <summary>Sets the default value for the tweak.</summary>
            /// <param name="value" type="*">The new value.</param>
        }, 
        
        getNewValueEncoded: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.tweak.BasePrimitiveSetting";
})(this);
