
/* vsdoc for goog.tweak.EntriesPanel */

(function (window) {
    window.goog.tweak = window.goog.tweak || {};

    window.goog.tweak.EntriesPanel = function(entries, opt_domHelper){
        /// <summary></summary>
        /// <param name="entries" type="!Array.!goog.tweak.BaseEntry">The entries to show in the
        ///     panel.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DomHelper to render with.</param>
        /// <field name="childPanels" type="!Object.<!goog.tweak.EntriesPanel>">Map of tweak ID -> EntriesPanel for child panels (BooleanGroups).</field>
        /// <returns type="goog.tweak.EntriesPanel"/>
    };

    var $x = window.goog.tweak.EntriesPanel;
    $x.prototype = {
                
        getRootElement: function() {
            /// <summary></summary>
            /// <returns type="!Element">Returns the expanded element. Must not be called before
            ///     render().</returns>
        }, 
        
        render: function(opt_endElement) {
            /// <summary>Creates and returns the expanded element.
            /// The markup looks like:
            /// &lt;div&gt;
            ///   &lt;a&gt;Show Descriptions&lt;/a&gt;
            ///   &lt;div&gt;
            ///      ...
            ///      {endElement}
            ///   &lt;/div&gt;
            /// &lt;/div&gt;</summary>
            /// <param name="opt_endElement" type="Element|DocumentFragment=">Element to insert after all
            ///     tweak entries.</param>
            /// <returns type="!Element">The root element for the panel.</returns>
        }, 
        
        insertEntry: function(entry) {
            /// <summary>Inserts the given entry into the panel.</summary>
            /// <param name="entry" type="!goog.tweak.BaseEntry">The entry to insert.</param>
        }, 
        
        toggleAllDescriptions: function() {
            /// <summary>Show all entry descriptions (has the same effect as clicking on all ?&apos;s).</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.tweak.EntriesPanel";
})(this);
