
/* vsdoc for goog.tweak.TweakUi */

(function (window) {
    window.goog.tweak = window.goog.tweak || {};

    window.goog.tweak.TweakUi = function(registry, opt_domHelper){
        /// <summary></summary>
        /// <param name="registry" type="!goog.tweak.Registry">The registry to render.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DomHelper to render with.</param>
        /// <returns type="goog.tweak.TweakUi"/>
    };

    var $x = window.goog.tweak.TweakUi;
    $x.prototype = {
                
        create: function(opt_domHelper) {
            /// <summary>Creates a TweakUi if tweaks are enabled.</summary>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DomHelper to render with.</param>
            /// <returns type="Element|undefined">The root UI element or undefined if tweaks are
            ///     not enabled.</returns>
        }, 
        
        createCollapsible: function(opt_domHelper) {
            /// <summary>Creates a TweakUi inside of a show/hide link.</summary>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DomHelper to render with.</param>
            /// <returns type="Element|undefined">The root UI element or undefined if tweaks are
            ///     not enabled.</returns>
        }, 
        
        getRootElement: function() {
            /// <summary></summary>
            /// <returns type="!Element">The root element. Must not be called before render().</returns>
        }, 
        
        render: function() {
            /// <summary>Creates the element to display when the UI is visible.</summary>
            /// <returns type="!Element">The root element.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.tweak.TweakUi";
})(this);
