
/* vsdoc for goog.ui.ActivityMonitor */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ActivityMonitor = function(opt_domHelper, opt_useBubble){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper|Array.goog.dom.DomHelper=">DomHelper which contains the document(s) to listen to.  If null, the
        ///     default document is usedinstead.</param>
        /// <param name="opt_useBubble" type="boolean=">Whether to use the bubble phase to listen for
        ///     events. By default listens on the capture phase so that it won&apos;t miss
        ///     events that get stopPropagation/cancelBubble&apos;d. However, this can cause
        ///     problems in IE8 if the page loads multiple scripts that include the
        ///     closure event handling code.</param>
        /// <field name="MIN_EVENT_SPACING" type="number">Minimum amount of time in ms between throttled ACTIVITY events</field>
        /// <field name="Event" type="">Event constants for the activity monitor.</field>
        /// <returns type="goog.ui.ActivityMonitor"/>
    };

    var $x = window.goog.ui.ActivityMonitor;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        addDocument: function(doc) {
            /// <summary>Adds a document to those being monitored by this class.</summary>
            /// <param name="doc" type="Document">Document to monitor.</param>
        }, 
        
        removeDocument: function(doc) {
            /// <summary>Removes a document from those being monitored by this class.</summary>
            /// <param name="doc" type="Document">Document to monitor.</param>
        }, 
        
        resetTimer: function() {
            /// <summary>Updates the last event time to be the present time, useful for non-DOM
            /// events that should update idle time.</summary>
        }, 
        
        getIdleTime: function(opt_now) {
            /// <summary>Returns the amount of time the user has been idle.</summary>
            /// <param name="opt_now" type="number=">The current time can optionally be passed in for the
            ///     computation to avoid an extra Date allocation.</param>
            /// <returns type="number">The amount of time in ms that the user has been idle.</returns>
        }, 
        
        getLastEventType: function() {
            /// <summary>Returns the type of the last user event.</summary>
            /// <returns type="string">event type.</returns>
        }, 
        
        getLastEventTime: function() {
            /// <summary>Returns the time of the last event</summary>
            /// <returns type="number">last event time.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ActivityMonitor";
})(this);
