
/* vsdoc for goog.ui.AdvancedTooltip */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.AdvancedTooltip = function(opt_el, opt_str, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_el" type="Element|string=">Element to display tooltip for, either
        ///     element reference or string id.</param>
        /// <param name="opt_str" type="?string=">Text message to display in tooltip.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="resetHotSpot" type="">Forces the recalculation of the hotspot on the next mouse over event.</field>
        /// <returns type="goog.ui.AdvancedTooltip"/>
    };

    var $x = window.goog.ui.AdvancedTooltip;
    $x.prototype = {
                
        setHotSpotPadding: function(opt_box) {
            /// <summary>Sets margin around the tooltip where the cursor is allowed without dismissing
            /// the tooltip.</summary>
            /// <param name="opt_box" type="goog.math.Box=">The margin around the tooltip.</param>
        }, 
        
        getHotSpotPadding: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Box">box The margin around the tooltip where the cursor is
            ///     allowed without dismissing the tooltip.</returns>
        }, 
        
        setCursorTracking: function(b) {
            /// <summary>Sets whether to track the cursor and thereby close the tooltip if it moves
            /// away from the tooltip and keep it open if it moves towards it.</summary>
            /// <param name="b" type="boolean">Whether to track the cursor.</param>
        }, 
        
        getCursorTracking: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether to track the cursor and thereby close the tooltip
            ///     if it moves away from the tooltip and keep it open if it moves towards
            ///     it.</returns>
        }, 
        
        setCursorTrackingHideDelayMs: function(delay) {
            /// <summary>Sets delay in milliseconds before tooltips are hidden if cursor tracking is
            /// enabled and the cursor is moving away from the tooltip.</summary>
            /// <param name="delay" type="number">The delay in milliseconds.</param>
        }, 
        
        getCursorTrackingHideDelayMs: function() {
            /// <summary></summary>
            /// <returns type="number">The delay in milliseconds before tooltips are hidden if
            ///     cursor tracking is enabled and the cursor is moving away from the
            ///     tooltip.</returns>
        }, 
        
        onShow_: function() {
            /// <summary>Called after the popup is shown.</summary>
        }, 
        
        onHide_: function() {
            /// <summary>Called after the popup is hidden.</summary>
        }, 
        
        isMouseInTooltip: function() {
            /// <summary>Returns true if the mouse is in the tooltip.</summary>
            /// <returns type="boolean">True if the mouse is in the tooltip.</returns>
        }, 
        
        isCoordinateInTooltip: function(coord) {
            /// <summary>Checks whether the supplied coordinate is inside the tooltip, including
            /// padding if any.</summary>
            /// <param name="coord" type="goog.math.Coordinate">Coordinate being tested.</param>
            /// <returns type="boolean">Whether the coord is in the tooltip.</returns>
        }, 
        
        maybeHide: function(el) {
            /// <summary>Called by timer from mouse out handler. Hides tooltip if cursor is still
            /// outside element and tooltip.</summary>
            /// <param name="el" type="Element">Anchor when hide timer was started.</param>
        }, 
        
        handleMouseMove: function(event) {
            /// <summary>Handler for mouse move events.</summary>
            /// <param name="event" type="goog.events.BrowserEvent">Event object.</param>
        }, 
        
        handleTooltipMouseOver: function(event) {
            /// <summary>Handler for mouse over events for the tooltip element.</summary>
            /// <param name="event" type="goog.events.BrowserEvent">Event object.</param>
        }, 
        
        getHideDelayMs: function() {
            /// <summary>Override hide delay with cursor tracking hide delay while tracking.</summary>
            /// <returns type="number">Hide delay to use.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.AdvancedTooltip";
})(this);
