
/* vsdoc for goog.ui.AnimatedZippy */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.AnimatedZippy = function(header, content, opt_expanded){
        /// <summary></summary>
        /// <param name="header" type="Element|string|null">Header element, either element
        ///     reference, string id or null if no header exists.</param>
        /// <param name="content" type="Element|string">Content element, either element reference or
        ///     string id.</param>
        /// <param name="opt_expanded" type="boolean=">Initial expanded/visibility state. Defaults to
        ///     false.</param>
        /// <field name="animationDuration" type="number">Duration of expand/collapse animation, in milliseconds.</field>
        /// <field name="animationAcceleration" type="!Function">Acceleration function for expand/collapse animation.</field>
        /// <returns type="goog.ui.AnimatedZippy"/>
    };

    var $x = window.goog.ui.AnimatedZippy;
    $x.prototype = {
                
        isBusy: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the zippy is in the process of being expanded or
            ///     collapsed.</returns>
        }, 
        
        setExpanded: function(expanded) {
            /// <summary>Sets expanded state.</summary>
            /// <param name="expanded" type="boolean">Expanded/visibility state.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.AnimatedZippy";
})(this);
