
/* vsdoc for goog.ui.AttachableMenu */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.AttachableMenu = function(opt_element){
        /// <summary></summary>
        /// <param name="opt_element" type="Element=">A DOM element for the popup.</param>
        /// <field name="onMouseDown" type="">Mouse down handler for the menu. Prevents default to avoid text selection.</field>
        /// <returns type="goog.ui.AttachableMenu"/>
    };

    var $x = window.goog.ui.AttachableMenu;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getItemClassName: function() {
            /// <summary>Sets the class name to use for menu items</summary>
            /// <returns type="string">The class name to use for items.</returns>
        }, 
        
        setItemClassName: function(name) {
            /// <summary>Sets the class name to use for menu items</summary>
            /// <param name="name" type="string">The class name to use for items.</param>
        }, 
        
        getSelectedItemClassName: function() {
            /// <summary>Sets the class name to use for selected menu items
            /// todo(user) - reevaluate if we can simulate pseudo classes in IE</summary>
            /// <returns type="string">The class name to use for selected items.</returns>
        }, 
        
        setSelectedItemClassName: function(name) {
            /// <summary>Sets the class name to use for selected menu items
            /// todo(user) - reevaluate if we can simulate pseudo classes in IE</summary>
            /// <param name="name" type="string">The class name to use for selected items.</param>
        }, 
        
        getSelectedItem: function() {
            /// <summary>Returns the selected item</summary>
            /// <returns type="Element">The item selected or null if no item is selected.</returns>
        }, 
        
        setSelectedItem: function(obj) {
            /// <summary></summary>
            /// <param name="obj" type=""></param>
        }, 
        
        showPopupElement: function() {
            /// <summary></summary>
        }, 
        
        onShow_: function() {
            /// <summary>Called after the menu is shown.</summary>
        }, 
        
        getNextPrevItem: function(prev) {
            /// <summary>Returns the next or previous item. Used for up/down arrows.</summary>
            /// <param name="prev" type="boolean">True to go to the previous element instead of next.</param>
            /// <returns type="Element">The next or previous element.</returns>
        }, 
        
        onMouseOver: function(e) {
            /// <summary>Mouse over handler for the menu.</summary>
            /// <param name="e" type="goog.events.Event">The event object.</param>
        }, 
        
        onMouseOut: function(e) {
            /// <summary>Mouse out handler for the menu.</summary>
            /// <param name="e" type="goog.events.Event">The event object.</param>
        }, 
        
        onMouseUp: function(e) {
            /// <summary>Mouse up handler for the menu.</summary>
            /// <param name="e" type="goog.events.Event">The event object.</param>
        }, 
        
        onKeyDown: function(e) {
            /// <summary>Key down handler for the menu.</summary>
            /// <param name="e" type="goog.events.KeyEvent">The event object.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.AttachableMenu";
})(this);
