
/* vsdoc for goog.ui.BidiInput */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.BidiInput = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <returns type="goog.ui.BidiInput"/>
    };

    var $x = window.goog.ui.BidiInput;
    $x.prototype = {
                
        decorateInternal: function(element) {
            /// <summary>Decorates the given HTML element as a BidiInput. The HTML element
            /// must be an input element with type=&apos;text&apos; or a textarea element.
            /// Overrides {@link goog.ui.Component#decorateInternal}.  Considered protected.</summary>
            /// <param name="element" type="Element">Element (HTML Input element) to decorate.</param>
        }, 
        
        createDom: function() {
            /// <summary>Creates the element for the text input.</summary>
        }, 
        
        getDirection: function() {
            /// <summary>Returns the direction of the input element.</summary>
            /// <returns type="?string">Return &apos;rtl&apos; for right-to-left text,
            ///     &apos;ltr&apos; for left-to-right text, or null if the value itself is not
            ///     enough to determine directionality (e.g. an empty value), and the
            ///     direction is inherited from a parent element (typically the body
            ///     element).</returns>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the value of the underlying input field, and sets the direction
            /// according to the given value.</summary>
            /// <param name="value" type="string">The Value to set in the underlying input field.</param>
        }, 
        
        getValue: function() {
            /// <summary>Returns the value of the underlying input field.</summary>
            /// <returns type="string">Value of the underlying input field.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.BidiInput";
})(this);
