
/* vsdoc for goog.ui.Bubble */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Bubble = function(message, opt_config, opt_domHelper){
        /// <summary></summary>
        /// <param name="message" type="string|Element">HTML string or an element to display inside
        ///     the bubble.</param>
        /// <param name="opt_config" type="Object=">The configuration
        ///     for the bubble. If not specified, the default configuration will be
        ///     used. {@see goog.ui.Bubble.defaultConfig}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="defaultConfig" type="Object">A default configuration for the bubble.</field>
        /// <returns type="goog.ui.Bubble"/>
    };

    var $x = window.goog.ui.Bubble;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        attach: function(anchorElement) {
            /// <summary>Attaches the bubble to an anchor element. Computes the positioning and
            /// orientation of the bubble.</summary>
            /// <param name="anchorElement" type="Element">The element to which we are attaching.</param>
        }, 
        
        setPinnedCorner: function(corner) {
            /// <summary>Sets the corner of the bubble to used in the positioning algorithm.</summary>
            /// <param name="corner" type="goog.positioning.Corner">The bubble corner used for
            ///     positioning constants.</param>
        }, 
        
        setPosition: function(position) {
            /// <summary>Sets the position of the bubble. Pass null for corner in AnchoredPosition
            /// for corner to be computed automatically.</summary>
            /// <param name="position" type="goog.positioning.AbstractPosition">The position of the
            ///     bubble.</param>
        }, 
        
        setTimeout: function(timeout) {
            /// <summary>Sets the timeout after which bubble hides itself.</summary>
            /// <param name="timeout" type="number">Timeout of the bubble.</param>
        }, 
        
        setAutoHide: function(autoHide) {
            /// <summary>Sets whether the bubble should be automatically hidden whenever user clicks
            /// outside the bubble element.</summary>
            /// <param name="autoHide" type="boolean">Whether to hide if user clicks outside the bubble.</param>
        }, 
        
        setVisible: function(visible) {
            /// <summary>Sets whether the bubble should be visible.</summary>
            /// <param name="visible" type="boolean">Desired visibility state.</param>
        }, 
        
        isVisible: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the bubble is visible.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getComputedAnchoredPosition: function(anchorElement) {
            /// <summary>Returns an AnchoredPosition that will position the bubble optimally
            /// given the position of the anchor element and the size of the viewport.</summary>
            /// <param name="anchorElement" type="Element">The element to which the bubble is attached.</param>
            /// <returns type="goog.ui.Popup.AnchoredPosition">The AnchoredPosition to give to
            ///     {@link #setPosition}.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Bubble";
})(this);
