
/* vsdoc for goog.ui.ButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <field name="getValue" type="string|undefined">Takes a button&apos;s root element, and returns the value associated with it.
        /// No-op in the base class.</field>
        /// <field name="setValue" type="">Takes a button&apos;s root element and a value, and updates the element to reflect
        /// the new value.  No-op in the base class.</field>
        /// <returns type="goog.ui.ButtonRenderer"/>
    };

    var $x = window.goog.ui.ButtonRenderer;
    $x.prototype = {
                
        getAriaRole: function() {
            /// <summary>Returns the ARIA role to be applied to buttons.</summary>
            /// <returns type="goog.dom.a11y.Role|undefined">ARIA role.</returns>
        }, 
        
        updateAriaState: function(element, state, enable) {
            /// <summary>Updates the button&apos;s ARIA (accessibility) state if the button is being
            /// treated as a checkbox.</summary>
            /// <param name="element" type="Element">Element whose ARIA state is to be updated.</param>
            /// <param name="state" type="goog.ui.Component.State">Component state being enabled or
            ///     disabled.</param>
            /// <param name="enable" type="boolean">Whether the state is being enabled or disabled.</param>
        }, 
        
        createDom: function(button) {
            /// <summary></summary>
            /// <param name="button" type=""></param>
        }, 
        
        decorate: function(button, element) {
            /// <summary></summary>
            /// <param name="button" type=""></param>
            /// <param name="element" type=""></param>
        }, 
        
        getTooltip: function(element) {
            /// <summary>Takes a button&apos;s root element, and returns its tooltip text.</summary>
            /// <param name="element" type="Element">The button&apos;s root element.</param>
            /// <returns type="string|undefined">The tooltip text.</returns>
        }, 
        
        setTooltip: function(element, tooltip) {
            /// <summary>Takes a button&apos;s root element and a tooltip string, and updates the element
            /// with the new tooltip.</summary>
            /// <param name="element" type="Element">The button&apos;s root element.</param>
            /// <param name="tooltip" type="string">New tooltip text.</param>
        }, 
        
        setCollapsed: function(button, sides) {
            /// <summary>Collapses the border on one or both sides of the button, allowing it to be
            /// combined with the adjacent button(s), forming a single UI componenet with
            /// multiple targets.</summary>
            /// <param name="button" type="goog.ui.Button">Button to update.</param>
            /// <param name="sides" type="number">Bitmap of one or more {@link goog.ui.ButtonSide}s for
            ///     which borders should be collapsed.</param>
        }, 
        
        getCssClass: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ButtonRenderer";
})(this);
