
/* vsdoc for goog.ui.CharCounter */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.CharCounter = function(elInput, elCount, maxLength, opt_displayMode){
        /// <summary></summary>
        /// <param name="elInput" type="HTMLInputElement|HTMLTextAreaElement">Input or text area
        ///     element to count the number of characters in.  You can pass in null
        ///     for this if you don&apos;t want to expose the number of chars remaining.</param>
        /// <param name="elCount" type="Element">HTML element to display the remaining number of
        ///     characters in.</param>
        /// <param name="maxLength" type="number">The maximum length.</param>
        /// <param name="opt_displayMode" type="goog.ui.CharCounter.Display=">Display mode for this
        ///     char counter. Defaults to {@link goog.ui.CharCounter.Display.REMAINING}.</param>
        /// <field name="Display" type="">Display mode for the char counter.</field>
        /// <returns type="goog.ui.CharCounter"/>
    };

    var $x = window.goog.ui.CharCounter;
    $x.prototype = {
                
        setMaxLength: function(maxLength) {
            /// <summary>Sets the maximum length.</summary>
            /// <param name="maxLength" type="number">The maximum length.</param>
        }, 
        
        getMaxLength: function() {
            /// <summary>Returns the maximum length.</summary>
            /// <returns type="number">The maximum length.</returns>
        }, 
        
        setDisplayMode: function(displayMode) {
            /// <summary>Sets the display mode.</summary>
            /// <param name="displayMode" type="!goog.ui.CharCounter.Display">The display mode.</param>
        }, 
        
        getDisplayMode: function() {
            /// <summary>Returns the display mode.</summary>
            /// <returns type="!goog.ui.CharCounter.Display">The display mode.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.CharCounter";
})(this);
