
/* vsdoc for goog.ui.CharPicker */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.CharPicker = function(charPickerData, charNameFetcher, opt_recents, opt_initCategory, opt_initSubcategory, opt_rowCount, opt_columnCount, opt_domHelper){
        /// <summary></summary>
        /// <param name="charPickerData" type="goog.i18n.CharPickerData">Category names and charlist.</param>
        /// <param name="charNameFetcher" type="!goog.i18n.uChar.NameFetcher">Object which fetches
        ///     the names of the characters that are shown in the widget. These names
        ///     may be stored locally or come from an external source.</param>
        /// <param name="opt_recents" type="Array.string=">List of characters to be displayed in
        ///     resently selected characters area.</param>
        /// <param name="opt_initCategory" type="number=">Sequence number of initial category.</param>
        /// <param name="opt_initSubcategory" type="number=">Sequence number of initial subcategory.</param>
        /// <param name="opt_rowCount" type="number=">Number of rows in the grid.</param>
        /// <param name="opt_columnCount" type="number=">Number of columns in the grid.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <returns type="goog.ui.CharPicker"/>
    };

    var $x = window.goog.ui.CharPicker;
    $x.prototype = {
                
        getSelectedChar: function() {
            /// <summary>Gets the last selected character.</summary>
            /// <returns type="?string">The last selected character.</returns>
        }, 
        
        getRecentChars: function() {
            /// <summary>Gets the list of characters user selected recently.</summary>
            /// <returns type="Array.string">The recent character list.</returns>
        }, 
        
        createDom: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        getInputChar: function() {
            /// <summary>Gets the user inputed unicode character.</summary>
            /// <returns type="string">Unicode character inputed by user.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.CharPicker";
})(this);
