
/* vsdoc for goog.ui.Checkbox */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Checkbox = function(opt_checked, opt_domHelper, opt_renderer){
        /// <summary></summary>
        /// <param name="opt_checked" type="goog.ui.Checkbox.State=">Checked state to set.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <param name="opt_renderer" type="goog.ui.CheckboxRenderer=">Renderer used to render or
        ///     decorate the checkbox; defaults to {@link goog.ui.CheckboxRenderer}.</param>
        /// <field name="State" type="">Possible checkbox states.</field>
        /// <returns type="goog.ui.Checkbox"/>
    };

    var $x = window.goog.ui.Checkbox;
    $x.prototype = {
                
        getChecked: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.Checkbox.State">Checked state of the checkbox.</returns>
        }, 
        
        isChecked: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the checkbox is checked.</returns>
        }, 
        
        isUnchecked: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the checkbox is not checked.</returns>
        }, 
        
        isUndetermined: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the checkbox is in partially checked state.</returns>
        }, 
        
        setChecked: function(checked) {
            /// <summary>Sets the checked state of the checkbox.</summary>
            /// <param name="checked" type="?boolean">The checked state to set.</param>
        }, 
        
        setCheckedInternal: function(checked) {
            /// <summary>Sets the checked state for the checkbox.  Unlike {@link #setChecked},
            /// doesn&apos;t update the checkbox&apos;s DOM.  Considered protected; to be called
            /// only by renderer code during element decoration.</summary>
            /// <param name="checked" type="goog.ui.Checkbox.State">New checkbox state.</param>
        }, 
        
        setLabel: function(label) {
            /// <summary>Binds an HTML element to the checkbox which if clicked toggles the checkbox.
            /// Behaves the same way as the &apos;label&apos; HTML tag. The label element has to be the
            /// direct or non-direct ancestor of the checkbox element because it will get the
            /// focus when keyboard support is implemented.</summary>
            /// <param name="label" type="Element">The label control to set. If null, only the checkbox
            ///     reacts to clicks.</param>
        }, 
        
        toggle: function() {
            /// <summary>Toggles the checkbox. State transitions:
            /// &lt;ul&gt;
            ///   &lt;li&gt;unchecked -> checked
            ///   &lt;li&gt;undetermined -> checked
            ///   &lt;li&gt;checked -> unchecked
            /// &lt;/ul&gt;</summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        setEnabled: function(enabled) {
            /// <summary>Fix for tabindex not being updated so that disabled checkbox is not
            /// focusable. In particular this fails in Chrome.
            /// Note: in general tabIndex=-1 will prevent from keyboard focus but enables
            /// mouse focus, however in this case the control class prevents mouse focus.</summary>
            /// <param name="enabled" type=""></param>
        }, 
        
        handleKeyEventInternal: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Checkbox";
})(this);
