
/* vsdoc for goog.ui.ColorMenuButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ColorMenuButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.ColorMenuButtonRenderer"/>
    };

    var $x = window.goog.ui.ColorMenuButtonRenderer;
    $x.prototype = {
                
        createCaption: function(content, dom) {
            /// <summary>Overrides the superclass implementation by wrapping the caption text or DOM
            /// structure in a color indicator element.  Creates the following DOM structure:
            ///   &lt;div class=&quot;goog-inline-block goog-menu-button-caption&quot;&gt;
            ///     &lt;div class=&quot;goog-color-menu-button-indicator&quot;&gt;
            ///       Contents...
            ///     &lt;/div&gt;
            ///   &lt;/div&gt;
            /// The &apos;goog-color-menu-button-indicator&apos; style should be defined to have a
            /// bottom border of nonzero width and a default color that blends into its
            /// background.</summary>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure.</param>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Caption element.</returns>
        }, 
        
        wrapCaption: function(content, dom) {
            /// <summary>Wrap a caption in a div with the color-menu-button-indicator CSS class.</summary>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure.</param>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Caption element.</returns>
        }, 
        
        setValue: function(element, value) {
            /// <summary>Takes a color menu button control&apos;s root element and a value object
            /// (which is assumed to be a color), and updates the button&apos;s DOM to reflect
            /// the new color.  Overrides {@link goog.ui.ButtonRenderer#setValue}.</summary>
            /// <param name="element" type="Element">The button control&apos;s root element (if rendered).</param>
            /// <param name="value" type="*">New value; assumed to be a color spec string.</param>
        }, 
        
        setCaptionValue: function(caption, value) {
            /// <summary>Takes a control&apos;s content element and a value object (which is assumed
            /// to be a color), and updates its DOM to reflect the new color.</summary>
            /// <param name="caption" type="Element">A content element of a control.</param>
            /// <param name="value" type="*">New value; assumed to be a color spec string.</param>
        }, 
        
        initializeDom: function(button) {
            /// <summary>Initializes the button&apos;s DOM when it enters the document.  Overrides the
            /// superclass implementation by making sure the button&apos;s color indicator is
            /// initialized.</summary>
            /// <param name="button" type="goog.ui.Control">goog.ui.ColorMenuButton whose DOM is to be
            ///     initialized as it enters the document.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ColorMenuButtonRenderer";
})(this);
