
/* vsdoc for goog.ui.ColorPalette */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ColorPalette = function(opt_colors, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_colors" type="Array.string=">Array of colors in any valid CSS color
        ///     format.</param>
        /// <param name="opt_renderer" type="goog.ui.PaletteRenderer=">Renderer used to render or
        ///     decorate the palette; defaults to {@link goog.ui.PaletteRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <returns type="goog.ui.ColorPalette"/>
    };

    var $x = window.goog.ui.ColorPalette;
    $x.prototype = {
                
        getColors: function() {
            /// <summary>Returns the array of colors represented in the color palette.</summary>
            /// <returns type="Array.string">Array of colors.</returns>
        }, 
        
        setColors: function(colors) {
            /// <summary>Sets the colors that are contained in the palette.</summary>
            /// <param name="colors" type="Array.string">Array of colors in any valid CSS color format.</param>
        }, 
        
        getSelectedColor: function() {
            /// <summary></summary>
            /// <returns type="?string">The current selected color in hex, or null.</returns>
        }, 
        
        setSelectedColor: function(color) {
            /// <summary>Sets the selected color.  Clears the selection if the argument is null or
            /// can&apos;t be parsed as a color.</summary>
            /// <param name="color" type="?string">The color to set as selected; null clears the
            ///     selection.</param>
        }, 
        
        createColorNodes: function() {
            /// <summary></summary>
            /// <returns type="Array.Node">An array of DOM nodes for each color.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ColorPalette";
})(this);
