
/* vsdoc for goog.ui.ComboBox */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ComboBox = function(opt_domHelper, opt_menu){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <param name="opt_menu" type="goog.ui.Menu=">Optional menu.</param>
        /// <field name="BLUR_DISMISS_TIMER_MS" type="number">Number of milliseconds to wait before dismissing combobox after blur.</field>
        /// <returns type="goog.ui.ComboBox"/>
    };

    var $x = window.goog.ui.ComboBox;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Create the DOM objects needed for the combo box.  A span and text input.</summary>
        }, 
        
        setEnabled: function(enabled) {
            /// <summary>Enables/Disables the combo box.</summary>
            /// <param name="enabled" type="boolean">Whether to enable (true) or disable (false) the
            ///     combo box.</param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        canDecorate: function() {
            /// <summary>Combo box currently can&apos;t decorate elements.</summary>
            /// <returns type="boolean">The value false.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        dismiss: function() {
            /// <summary>Dismisses the menu and resets the value of the edit field.</summary>
        }, 
        
        addItem: function(item) {
            /// <summary>Adds a new menu item at the end of the menu.</summary>
            /// <param name="item" type="goog.ui.MenuItem">Menu item to add to the menu.</param>
        }, 
        
        addItemAt: function(item, n) {
            /// <summary>Adds a new menu item at a specific index in the menu.</summary>
            /// <param name="item" type="goog.ui.MenuItem">Menu item to add to the menu.</param>
            /// <param name="n" type="number">Index at which to insert the menu item.</param>
        }, 
        
        removeItem: function(item) {
            /// <summary>Removes an item from the menu and disposes it.</summary>
            /// <param name="item" type="goog.ui.MenuItem">The menu item to remove.</param>
        }, 
        
        removeAllItems: function() {
            /// <summary>Remove all of the items from the ComboBox menu</summary>
        }, 
        
        removeItemAt: function(n) {
            /// <summary>Removes a menu item at a given index in the menu.</summary>
            /// <param name="n" type="number">Index of item.</param>
        }, 
        
        getItemAt: function(n) {
            /// <summary>Returns a reference to the menu item at a given index.</summary>
            /// <param name="n" type="number">Index of menu item.</param>
            /// <returns type="goog.ui.MenuItem?">Reference to the menu item.</returns>
        }, 
        
        getItemCount: function() {
            /// <summary>Returns the number of items in the list, including non-visible items,
            /// such as separators.</summary>
            /// <returns type="number">Number of items in the menu for this combobox.</returns>
        }, 
        
        getMenu: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.Menu">The menu that pops up.</returns>
        }, 
        
        getInputElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The input element.</returns>
        }, 
        
        setMatchFunction: function(matchFunction) {
            /// <summary>Sets the match function to be used when filtering the combo box menu.</summary>
            /// <param name="matchFunction" type="Function">The match function to be used when filtering
            ///     the combo box menu.</param>
        }, 
        
        getMatchFunction: function() {
            /// <summary></summary>
            /// <returns type="Function">The match function for the combox box.</returns>
        }, 
        
        setDefaultText: function(text) {
            /// <summary>Sets the default text for the combo box.</summary>
            /// <param name="text" type="string">The default text for the combo box.</param>
        }, 
        
        getDefaultText: function() {
            /// <summary></summary>
            /// <returns type="string">text The default text for the combox box.</returns>
        }, 
        
        setFieldName: function(fieldName) {
            /// <summary>Sets the field name for the combo box.</summary>
            /// <param name="fieldName" type="string">The field name for the combo box.</param>
        }, 
        
        getFieldName: function() {
            /// <summary></summary>
            /// <returns type="string">The field name for the combo box.</returns>
        }, 
        
        setUseDropdownArrow: function(useDropdownArrow) {
            /// <summary>Set to true if a unicode inverted triangle should be displayed in the
            /// dropdown button.
            /// This option defaults to false for backwards compatibility.</summary>
            /// <param name="useDropdownArrow" type="boolean">True to use the dropdown arrow.</param>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the current value of the combo box.</summary>
            /// <param name="value" type="string">The new value.</param>
        }, 
        
        getValue: function() {
            /// <summary></summary>
            /// <returns type="string">The current value of the combo box.</returns>
        }, 
        
        getToken: function() {
            /// <summary></summary>
            /// <returns type="string">HTML escaped token.</returns>
        }, 
        
        positionMenu: function() {
            /// <summary>Positions the menu.</summary>
        }, 
        
        handleKeyEvent: function(e) {
            /// <summary>Handles keyboard events from the input box.  Returns true if the combo box
            /// was able to handle the event, false otherwise.</summary>
            /// <param name="e" type="goog.events.KeyEvent">Key event to handle.</param>
            /// <returns type="boolean">Whether the event was handled by the combo box.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ComboBox";
})(this);
