
/* vsdoc for goog.ui.ComboBoxItem */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ComboBoxItem = function(content, opt_data, opt_domHelper, opt_renderer){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to
        ///     display as the content of the item (use to add icons or styling to
        ///     menus).</param>
        /// <param name="opt_data" type="Object=">Identifying data for the menu item.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional dom helper used for dom
        ///     interactions.</param>
        /// <param name="opt_renderer" type="goog.ui.MenuItemRenderer=">Optional renderer.</param>
        /// <returns type="goog.ui.ComboBoxItem"/>
    };

    var $x = window.goog.ui.ComboBoxItem;
    $x.prototype = {
                
        setSticky: function(sticky) {
            /// <summary>Sets the menu item to be sticky or not sticky.</summary>
            /// <param name="sticky" type="boolean">Whether the menu item should be sticky.</param>
        }, 
        
        isSticky: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the menu item is sticky.</returns>
        }, 
        
        setFormatFromToken: function(token) {
            /// <summary>Sets the format for a menu item based on a token, bolding the token.</summary>
            /// <param name="token" type="string">The token.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ComboBoxItem";
})(this);
