
/* vsdoc for goog.ui.Css3ButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Css3ButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.Css3ButtonRenderer"/>
    };

    var $x = window.goog.ui.Css3ButtonRenderer;
    $x.prototype = {
                
        getContentElement: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        createDom: function(control) {
            /// <summary>Returns the button&apos;s contents wrapped in the following DOM structure:
            ///    &lt;div class=&quot;goog-inline-block goog-css3-button&quot;&gt;
            ///      Contents...
            ///    &lt;/div&gt;
            /// Overrides {@link goog.ui.ButtonRenderer#createDom}.</summary>
            /// <param name="control" type="goog.ui.Control">goog.ui.Button to render.</param>
            /// <returns type="Element">Root element for the button.</returns>
        }, 
        
        canDecorate: function(element) {
            /// <summary>Returns true if this renderer can decorate the element.  Overrides
            /// {@link goog.ui.ButtonRenderer#canDecorate} by returning true if the
            /// element is a DIV, false otherwise.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Whether the renderer can decorate the element.</returns>
        }, 
        
        decorate: function(button, element) {
            /// <summary></summary>
            /// <param name="button" type=""></param>
            /// <param name="element" type=""></param>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Css3ButtonRenderer";
})(this);
