
/* vsdoc for goog.ui.Css3MenuButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Css3MenuButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.Css3MenuButtonRenderer"/>
    };

    var $x = window.goog.ui.Css3MenuButtonRenderer;
    $x.prototype = {
                
        getContentElement: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        canDecorate: function(element) {
            /// <summary>Returns true if this renderer can decorate the element.  Overrides
            /// {@link goog.ui.MenuButtonRenderer#canDecorate} by returning true if the
            /// element is a DIV, false otherwise.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Whether the renderer can decorate the element.</returns>
        }, 
        
        createButton: function(content, dom) {
            /// <summary>Takes a text caption or existing DOM structure, and returns the content
            /// wrapped in a pseudo-rounded-corner box.  Creates the following DOM structure:
            ///  &lt;div class=&quot;goog-inline-block goog-css3-button goog-css3-menu-button&quot;&gt;
            ///    &lt;div class=&quot;goog-css3-button-caption&quot;&gt;Contents...&lt;/div&gt;
            ///    &lt;div class=&quot;goog-css3-button-dropdown&quot;&gt;&lt;/div&gt;
            ///  &lt;/div&gt;
            /// 
            /// Used by both {@link #createDom} and {@link #decorate}.  To be overridden
            /// by subclasses.</summary>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to wrap
            ///     in a box.</param>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Pseudo-rounded-corner box containing the content.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Css3MenuButtonRenderer";
})(this);
