
/* vsdoc for goog.ui.CustomColorPalette */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.CustomColorPalette = function(initColors, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="initColors" type="Array.string">Array of initial colors to populate the
        ///     palette with.</param>
        /// <param name="opt_renderer" type="goog.ui.PaletteRenderer=">Renderer used to render or
        ///     decorate the palette; defaults to {@link goog.ui.PaletteRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <returns type="goog.ui.CustomColorPalette"/>
    };

    var $x = window.goog.ui.CustomColorPalette;
    $x.prototype = {
                
        createColorNodes: function() {
            /// <summary>Returns an array of DOM nodes for each color, and an additional cell with a
            /// &apos;+&apos;.</summary>
            /// <returns type="Array.Node">Array of div elements.</returns>
        }, 
        
        performActionInternal: function(e) {
            /// <summary></summary>
            /// <param name="e" type="goog.events.Event">Mouse or key event that triggered the action.</param>
            /// <returns type="boolean">True if the action was allowed to proceed, false otherwise.</returns>
        }, 
        
        promptForCustomColor: function() {
            /// <summary>Prompts the user to enter a custom color.  Currently uses a window.prompt
            /// but could be updated to use a dialog box with a WheelColorPalette.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.CustomColorPalette";
})(this);
