
/* vsdoc for goog.ui.DimensionPicker */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.DimensionPicker = function(opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_renderer" type="goog.ui.DimensionPickerRenderer=">Renderer used to
        ///     render or decorate the palette; defaults to
        ///     {@link goog.ui.DimensionPickerRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <field name="minColumns" type="number">Minimum number of columns to show in the grid.</field>
        /// <field name="minRows" type="number">Minimum number of rows to show in the grid.</field>
        /// <field name="maxColumns" type="number">Maximum number of columns to show in the grid.</field>
        /// <field name="maxRows" type="number">Maximum number of rows to show in the grid.</field>
        /// <returns type="goog.ui.DimensionPicker"/>
    };

    var $x = window.goog.ui.DimensionPicker;
    $x.prototype = {
                
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        handleMouseMove: function(e) {
            /// <summary>Handles mousemove events.  Determines which palette size was moused over and
            /// highlights it.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">Mouse event to handle.</param>
        }, 
        
        handleWindowResize: function(e) {
            /// <summary>Handles window resize events.  Ensures no scrollbars are introduced by the
            /// renderer&apos;s mouse catcher.</summary>
            /// <param name="e" type="goog.events.Event">Resize event to handle.</param>
        }, 
        
        handleKeyEvent: function(e) {
            /// <summary>Handle key events if supported, so the user can use the keyboard to
            /// manipulate the highlighted rows and columns.</summary>
            /// <param name="e" type="goog.events.KeyEvent">The key event object.</param>
            /// <returns type="boolean">Whether the key event was handled.</returns>
        }, 
        
        getSize: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Size">Current table size shown (columns x rows).</returns>
        }, 
        
        getValue: function() {
            /// <summary></summary>
            /// <returns type="goog.math.Size">size The currently highlighted dimensions.</returns>
        }, 
        
        setValue: function(columns, opt_rows) {
            /// <summary>Sets the currently highlighted dimensions.</summary>
            /// <param name="columns" type="number">The number of columns to highlight, or a
            ///     goog.math.Size object containing both.</param>
            /// <param name="opt_rows" type="number=">The number of rows to highlight.  Can be
            ///     omitted when columns is a good.math.Size object.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.DimensionPicker";
})(this);
