
/* vsdoc for goog.ui.DimensionPickerRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.DimensionPickerRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.DimensionPickerRenderer"/>
    };

    var $x = window.goog.ui.DimensionPickerRenderer;
    $x.prototype = {
                
        canDecorate: function(element) {
            /// <summary>Overrides {@link goog.ui.ControlRenderer#canDecorate} to allow decorating
            /// empty DIVs only.</summary>
            /// <param name="element" type="Element">The element to check.</param>
            /// <returns type="boolean">Whether if the element is an empty div.</returns>
        }, 
        
        decorate: function(control, element) {
            /// <summary>Overrides {@link goog.ui.ControlRenderer#decorate} to decorate empty DIVs.</summary>
            /// <param name="control" type="goog.ui.Control">goog.ui.DimensionPicker to decorate.</param>
            /// <param name="element" type="Element">The element to decorate.</param>
            /// <returns type="Element">The decorated element.</returns>
        }, 
        
        updateSize: function(palette, element) {
            /// <summary>Scales various elements in order to update the palette&apos;s size.</summary>
            /// <param name="palette" type="goog.ui.DimensionPicker">The palette object.</param>
            /// <param name="element" type="Element">The element to set the style of.</param>
        }, 
        
        createDom: function(control) {
            /// <summary>Creates a div and adds the appropriate contents to it.</summary>
            /// <param name="control" type="goog.ui.Control">Picker to render</param>
            /// <returns type="Element">Root element for the palette.</returns>
        }, 
        
        initializeDom: function(control) {
            /// <summary>Initializes the control&apos;s DOM when the control enters the document.  Called
            /// from {@link goog.ui.Control#enterDocument}.</summary>
            /// <param name="control" type="goog.ui.Control">Palette whose DOM is to be
            ///     initialized as it enters the document.</param>
        }, 
        
        getMouseMoveElement: function(palette) {
            /// <summary>Get the element to listen for mouse move events on.</summary>
            /// <param name="palette" type="goog.ui.DimensionPicker">The palette to listen on.</param>
            /// <returns type="Element">The element to listen for mouse move events on.</returns>
        }, 
        
        getGridOffsetX: function(palette, x) {
            /// <summary>Returns the x offset in to the grid for the given mouse x position.</summary>
            /// <param name="palette" type="goog.ui.DimensionPicker">The table size palette.</param>
            /// <param name="x" type="number">The mouse event x position.</param>
            /// <returns type="number">The x offset in to the grid.</returns>
        }, 
        
        getGridOffsetY: function(palette, y) {
            /// <summary>Returns the y offset in to the grid for the given mouse y position.</summary>
            /// <param name="palette" type="goog.ui.DimensionPicker">The table size palette.</param>
            /// <param name="y" type="number">The mouse event y position.</param>
            /// <returns type="number">The y offset in to the grid.</returns>
        }, 
        
        setHighlightedSize: function(palette, columns, rows) {
            /// <summary>Sets the highlighted size.</summary>
            /// <param name="palette" type="goog.ui.DimensionPicker">The table size palette.</param>
            /// <param name="columns" type="number">The number of columns to highlight.</param>
            /// <param name="rows" type="number">The number of rows to highlight.</param>
        }, 
        
        positionMouseCatcher: function(palette) {
            /// <summary>Position the mouse catcher such that it receives mouse events past the
            /// selectedsize up to the maximum size.  Takes care to not introduce scrollbars.
            /// Should be called on enter document and when the window changes size.</summary>
            /// <param name="palette" type="goog.ui.DimensionPicker">The table size palette.</param>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.DimensionPickerRenderer";
})(this);
