
/* vsdoc for goog.ui.FilteredMenu */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.FilteredMenu = function(opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_renderer" type="goog.ui.MenuRenderer=">Renderer used to render filtered
        ///     menu; defaults to {@link goog.ui.MenuRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="EventType" type="">Events fired by component.</field>
        /// <returns type="goog.ui.FilteredMenu"/>
    };

    var $x = window.goog.ui.FilteredMenu;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        setVisible: function(show, opt_force, opt_e) {
            /// <summary></summary>
            /// <param name="show" type=""></param>
            /// <param name="opt_force" type=""></param>
            /// <param name="opt_e" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        setFilterLabel: function(label) {
            /// <summary>Sets the filter label (the label displayed in the filter input element if no
            /// text has been entered).</summary>
            /// <param name="label" type="?string">Label text.</param>
        }, 
        
        getFilterLabel: function() {
            /// <summary></summary>
            /// <returns type="string">The filter label.</returns>
        }, 
        
        setFilter: function(str) {
            /// <summary>Sets the filter string.</summary>
            /// <param name="str" type="?string">Filter string.</param>
        }, 
        
        getFilter: function() {
            /// <summary>Returns the filter string.</summary>
            /// <returns type="string">Current filter or an an empty string.</returns>
        }, 
        
        setFilterFromIndex: function(index) {
            /// <summary>Sets the index of first item that should be affected by the filter. Menu
            /// items with a lower index will not be affected by the filter.</summary>
            /// <param name="index" type="number">Index of first item that should be affected by filter.</param>
        }, 
        
        getFilterFromIndex: function() {
            /// <summary>Returns the index of first item that is affected by the filter.</summary>
            /// <returns type="number">Index of first item that is affected by filter.</returns>
        }, 
        
        getEnteredItems: function() {
            /// <summary>Gets a list of items entered in the search box.</summary>
            /// <returns type="Array.string">The entered items.</returns>
        }, 
        
        setAllowMultiple: function(b) {
            /// <summary>Sets whether multiple items can be entered comma separated.</summary>
            /// <param name="b" type="boolean">Whether multiple items can be entered.</param>
        }, 
        
        getAllowMultiple: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether multiple items can be entered comma separated.</returns>
        }, 
        
        setPersistentVisibility: function(child, persistent) {
            /// <summary>Sets whether the specified child should be affected (shown/hidden) by the
            /// filter criteria.</summary>
            /// <param name="child" type="goog.ui.Component">Child to change.</param>
            /// <param name="persistent" type="boolean">Whether the child should be persistent.</param>
        }, 
        
        hasPersistentVisibility: function(child) {
            /// <summary>Returns whether the specified child should be affected (shown/hidden) by the
            /// filter criteria.</summary>
            /// <param name="child" type="goog.ui.Component">Menu item to check.</param>
            /// <returns type="boolean">Whether the menu item is persistent.</returns>
        }, 
        
        handleFilterEvent: function(e) {
            /// <summary>Handles filter input events.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The event object.</param>
        }, 
        
        handleKeyEvent: function(e) {
            /// <summary>Handles the menu&apos;s behavior for a key event. The highlighted menu item will
            /// be given the opportunity to handle the key behavior.</summary>
            /// <param name="e" type="goog.events.KeyEvent">A browser event.</param>
            /// <returns type="boolean">Whether the event was handled.</returns>
        }, 
        
        setHighlightedIndex: function(index) {
            /// <summary>Sets the highlighted index, unless the HIGHLIGHT event is intercepted and
            /// cancelled.  -1 = no highlight. Also scrolls the menu item into view.</summary>
            /// <param name="index" type="number">Index of menu item to highlight.</param>
        }, 
        
        getContentElement: function() {
            /// <summary></summary>
        }, 
        
        getFilterInputElement: function() {
            /// <summary>Returns the filter input element.</summary>
            /// <returns type="Element">Input element.</returns>
        }, 
        
        decorateInternal: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.FilteredMenu";
})(this);
