
/* vsdoc for goog.ui.FlatMenuButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.FlatMenuButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.FlatMenuButtonRenderer"/>
    };

    var $x = window.goog.ui.FlatMenuButtonRenderer;
    $x.prototype = {
                
        createDom: function(control) {
            /// <summary>Returns the button&apos;s contents wrapped in the following DOM structure:
            ///    &lt;div class=&quot;goog-inline-block goog-flat-menu-button&quot;&gt;
            ///        &lt;div class=&quot;goog-inline-block goog-flat-menu-button-caption&quot;&gt;
            ///          Contents...
            ///        &lt;/div&gt;
            ///        &lt;div class=&quot;goog-inline-block goog-flat-menu-button-dropdown&quot;&gt;
            ///          &amp;nbsp;
            ///        &lt;/div&gt;
            ///    &lt;/div&gt;
            /// Overrides {@link goog.ui.FlatButtonRenderer#createDom}.</summary>
            /// <param name="control" type="goog.ui.Control">Button to render.</param>
            /// <returns type="Element">Root element for the button.</returns>
        }, 
        
        getContentElement: function(element) {
            /// <summary>Takes the button&apos;s root element and returns the parent element of the
            /// button&apos;s contents.</summary>
            /// <param name="element" type="Element">Root element of the button whose content
            /// element is to be returned.</param>
            /// <returns type="Element">The button&apos;s content element (if any).</returns>
        }, 
        
        decorate: function(button, element) {
            /// <summary>Takes an element, decorates it with the menu button control, and returns
            /// the element.  Overrides {@link goog.ui.CustomButtonRenderer#decorate} by
            /// looking for a child element that can be decorated by a menu, and if it
            /// finds one, decorates it and attaches it to the menu button.</summary>
            /// <param name="button" type="goog.ui.Control">Menu button to decorate the element.</param>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="Element">Decorated element.</returns>
        }, 
        
        createCaption: function(content, dom) {
            /// <summary>Takes a text caption or existing DOM structure, and returns it wrapped in
            /// an appropriately-styled DIV.  Creates the following DOM structure:
            ///    &lt;div class=&quot;goog-inline-block goog-flat-menu-button-caption&quot;&gt;
            ///      Contents...
            ///    &lt;/div&gt;</summary>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to wrap
            ///     in a box.</param>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Caption element.</returns>
        }, 
        
        createDropdown: function(dom) {
            /// <summary>Returns an appropriately-styled DIV containing a dropdown arrow element.
            /// Creates the following DOM structure:
            ///    &lt;div class=&quot;goog-inline-block goog-flat-menu-button-dropdown&quot;&gt;
            ///      &amp;nbsp;
            ///    &lt;/div&gt;</summary>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Dropdown element.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.FlatMenuButtonRenderer";
})(this);
