
/* vsdoc for goog.ui.GaugeTheme */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.GaugeTheme = function(){
        /// <summary></summary>
        /// <returns type="goog.ui.GaugeTheme"/>
    };

    var $x = window.goog.ui.GaugeTheme;
    $x.prototype = {
                
        getExternalBorderStroke: function() {
            /// <summary>Returns the stroke for the external border of the gauge.</summary>
            /// <returns type="goog.graphics.Stroke">The stroke to use.</returns>
        }, 
        
        getExternalBorderFill: function(cx, cy, r) {
            /// <summary>Returns the fill for the external border of the gauge.</summary>
            /// <param name="cx" type="number">X coordinate of the center of the gauge.</param>
            /// <param name="cy" type="number">Y coordinate of the center of the gauge.</param>
            /// <param name="r" type="number">Radius of the gauge.</param>
            /// <returns type="goog.graphics.Fill">The fill to use.</returns>
        }, 
        
        getInternalBorderStroke: function() {
            /// <summary>Returns the stroke for the internal border of the gauge.</summary>
            /// <returns type="goog.graphics.Stroke">The stroke to use.</returns>
        }, 
        
        getInternalBorderFill: function(cx, cy, r) {
            /// <summary>Returns the fill for the internal border of the gauge.</summary>
            /// <param name="cx" type="number">X coordinate of the center of the gauge.</param>
            /// <param name="cy" type="number">Y coordinate of the center of the gauge.</param>
            /// <param name="r" type="number">Radius of the gauge.</param>
            /// <returns type="goog.graphics.Fill">The fill to use.</returns>
        }, 
        
        getMajorTickStroke: function() {
            /// <summary>Returns the stroke for the major ticks of the gauge.</summary>
            /// <returns type="goog.graphics.Stroke">The stroke to use.</returns>
        }, 
        
        getMinorTickStroke: function() {
            /// <summary>Returns the stroke for the minor ticks of the gauge.</summary>
            /// <returns type="goog.graphics.Stroke">The stroke to use.</returns>
        }, 
        
        getHingeStroke: function() {
            /// <summary>Returns the stroke for the hinge at the center of the gauge.</summary>
            /// <returns type="goog.graphics.Stroke">The stroke to use.</returns>
        }, 
        
        getHingeFill: function(cx, cy, r) {
            /// <summary>Returns the fill for the hinge at the center of the gauge.</summary>
            /// <param name="cx" type="number">X coordinate of the center of the gauge.</param>
            /// <param name="cy" type="number">Y coordinate of the center of the gauge.</param>
            /// <param name="r" type="number">Radius of the hinge.</param>
            /// <returns type="goog.graphics.Fill">The fill to use.</returns>
        }, 
        
        getNeedleStroke: function() {
            /// <summary>Returns the stroke for the gauge needle.</summary>
            /// <returns type="goog.graphics.Stroke">The stroke to use.</returns>
        }, 
        
        getNeedleFill: function(cx, cy, r) {
            /// <summary>Returns the fill for the hinge at the center of the gauge.</summary>
            /// <param name="cx" type="number">X coordinate of the center of the gauge.</param>
            /// <param name="cy" type="number">Y coordinate of the center of the gauge.</param>
            /// <param name="r" type="number">Radius of the gauge.</param>
            /// <returns type="goog.graphics.Fill">The fill to use.</returns>
        }, 
        
        getTitleColor: function() {
            /// <summary>Returns the color for the gauge title.</summary>
            /// <returns type="string">The color to use.</returns>
        }, 
        
        getValueColor: function() {
            /// <summary>Returns the color for the gauge value.</summary>
            /// <returns type="string">The color to use.</returns>
        }, 
        
        getTickLabelColor: function() {
            /// <summary>Returns the color for the labels (formatted values) of tick marks.</summary>
            /// <returns type="string">The color to use.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.GaugeTheme";
})(this);
