
/* vsdoc for goog.ui.HsvPalette */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.HsvPalette = function(opt_domHelper, opt_color, opt_class){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <param name="opt_color" type="string=">Optional initial color (default is red).</param>
        /// <param name="opt_class" type="string=">Optional base for creating classnames (default is
        ///     goog.getCssName(&apos;goog-hsv-palette&apos;)).</param>
        /// <returns type="goog.ui.HsvPalette"/>
    };

    var $x = window.goog.ui.HsvPalette;
    $x.prototype = {
                
        getColor: function() {
            /// <summary>Gets the color that is currently selected in this color picker.</summary>
            /// <returns type="string">The string of the selected color.</returns>
        }, 
        
        getAlpha: function() {
            /// <summary>Alpha transparency of the currently selected color, in [0, 1].
            /// For the HSV palette this always returns 1. The HSVA palette overrides
            /// this method.</summary>
            /// <returns type="number">The current alpha value.</returns>
        }, 
        
        updateInput: function() {
            /// <summary>Updates the text entry field.</summary>
        }, 
        
        setColor: function(color) {
            /// <summary>Sets which color is selected and update the UI.</summary>
            /// <param name="color" type="string">The selected color.</param>
        }, 
        
        setHsv: function(opt_hue, opt_saturation, opt_value) {
            /// <summary>Alters the hue, saturation, and/or value of the currently selected color and
            /// updates the UI.</summary>
            /// <param name="opt_hue" type="?number=">(optional) hue in [0, 1].</param>
            /// <param name="opt_saturation" type="?number=">(optional) saturation in [0, 1].</param>
            /// <param name="opt_value" type="?number=">(optional) value in [0, 255].</param>
        }, 
        
        canDecorate: function(element) {
            /// <summary>HsvPalettes cannot be used to decorate pre-existing html, since the
            /// structure they build is fairly complicated.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Returns always false.</returns>
        }, 
        
        createDom: function() {
            /// <summary></summary>
        }, 
        
        enterDocument: function() {
            /// <summary>Renders the color picker inside the provided element. This will override the
            /// current content of the element.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        updateUi: function() {
            /// <summary>Updates the position, opacity, and styles for the UI representation of the
            /// palette.</summary>
        }, 
        
        handleMouseDown: function(e) {
            /// <summary>Handles mousedown events on palette UI elements.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">Event object.</param>
        }, 
        
        handleInput: function(e) {
            /// <summary>Handles input events on the hex value input field.</summary>
            /// <param name="e" type="goog.events.Event">Event object.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.HsvPalette";
})(this);
