
/* vsdoc for goog.ui.HsvaPalette */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.HsvaPalette = function(opt_domHelper, opt_color, opt_alpha, opt_class){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <param name="opt_color" type="string=">Optional initial color, without alpha (default is
        ///     red).</param>
        /// <param name="opt_alpha" type="number=">Optional initial alpha (default is 1).</param>
        /// <param name="opt_class" type="string=">Optional base for creating classnames (default is
        ///     &apos;goog-hsva-palette&apos;).</param>
        /// <returns type="goog.ui.HsvaPalette"/>
    };

    var $x = window.goog.ui.HsvaPalette;
    $x.prototype = {
                
        getAlpha: function() {
            /// <summary></summary>
        }, 
        
        setAlpha: function(alpha) {
            /// <summary>Sets which color is selected and update the UI. The passed color should be
            /// in #rrggbb format. The alpha value will be set to 1.</summary>
            /// <param name="alpha" type="number">The selected alpha value, in [0, 1].</param>
        }, 
        
        setColor: function(color) {
            /// <summary>Sets which color is selected and update the UI. The passed color should be
            /// in #rrggbb format. The alpha value will be set to 1.</summary>
            /// <param name="color" type="string">The selected color.</param>
        }, 
        
        getColorRgbaHex: function() {
            /// <summary>Gets the color that is currently selected in this color picker, in #rrggbbaa
            /// format.</summary>
            /// <returns type="string">The string of the selected color with alpha.</returns>
        }, 
        
        setColorRgbaHex: function(color) {
            /// <summary>Sets which color is selected and update the UI. The passed color should be
            /// in #rrggbbaa format. The alpha value will be set to 1.</summary>
            /// <param name="color" type="string">The selected color with alpha.</param>
        }, 
        
        createDom: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        updateUi: function() {
            /// <summary></summary>
        }, 
        
        updateInput: function() {
            /// <summary></summary>
        }, 
        
        handleMouseDown: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }, 
        
        handleInput: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.HsvaPalette";
})(this);
