
/* vsdoc for goog.ui.IdleTimer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.IdleTimer = function(idleThreshold, opt_activityMonitor){
        /// <summary></summary>
        /// <param name="idleThreshold" type="number">Amount of time in ms at which we consider the
        ///     user has gone idle.</param>
        /// <param name="opt_activityMonitor" type="goog.ui.ActivityMonitor=">The activity monitor
        ///     keeping track of user interaction. Defaults to a default-constructed
        ///     activity monitor. If a default activity monitor is used then this class
        ///     will dispose of it. If an activity monitor is passed in then the caller
        ///     remains responsible for disposing of it.</param>
        /// <field name="Event" type="">Event constants for the idle timer event target</field>
        /// <returns type="goog.ui.IdleTimer"/>
    };

    var $x = window.goog.ui.IdleTimer;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getIdleThreshold: function() {
            /// <summary></summary>
            /// <returns type="number">the amount of time at which we consider the user has gone
            ///     idle in ms.</returns>
        }, 
        
        getActivityMonitor: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.ActivityMonitor">the activity monitor keeping track of user
            ///     interaction.</returns>
        }, 
        
        isIdle: function() {
            /// <summary>Returns true if there has been no user action for at least the specified
            /// interval, and false otherwise</summary>
            /// <returns type="boolean">true if the user is idle, false otherwise.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.IdleTimer";
})(this);
