
/* vsdoc for goog.ui.IframeMask */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.IframeMask = function(opt_domHelper, opt_iframePool){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper for the relevant
        ///     document.</param>
        /// <param name="opt_iframePool" type="goog.structs.Pool=">An optional source of iframes.
        ///     Iframes will be grabbed from the pool when they&apos;re needed and returned
        ///     to the pool (but still attached to the DOM) when they&apos;re done.</param>
        /// <returns type="goog.ui.IframeMask"/>
    };

    var $x = window.goog.ui.IframeMask;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary>Removes the iframe from the DOM.</summary>
        }, 
        
        hideMask: function() {
            /// <summary>Removes the mask from the screen.</summary>
        }, 
        
        applyMask: function() {
            /// <summary>Applies the iframe mask to the screen.</summary>
        }, 
        
        setOpacity: function(opacity) {
            /// <summary>Sets the opacity of the mask. Will take effect the next time the mask
            /// is applied.</summary>
            /// <param name="opacity" type="number">A value between 0 and 1, with 1 being
            ///     totally opaque.</param>
        }, 
        
        setZIndex: function(zIndex) {
            /// <summary>Sets the z-index of the mask. Will take effect the next time the mask
            /// is applied.</summary>
            /// <param name="zIndex" type="number">A z-index value.</param>
        }, 
        
        setSnapElement: function(snapElement) {
            /// <summary>Sets the element to use as the bounds of the mask. Takes effect immediately.</summary>
            /// <param name="snapElement" type="Element">The snap element, which the iframe will be
            ///     &quot;snapped&quot; around.</param>
        }, 
        
        listenOnTarget: function(target, showEvent, hideEvent, opt_snapElement) {
            /// <summary>Listens on the specified target, hiding and showing the iframe mask
            /// when the given event types are dispatched.</summary>
            /// <param name="target" type="goog.events.EventTarget">The event target to listen on.</param>
            /// <param name="showEvent" type="string">When this event fires, the mask will be applied.</param>
            /// <param name="hideEvent" type="string">When this event fires, the mask will be hidden.</param>
            /// <param name="opt_snapElement" type="Element=">When the mask is applied, it will
            ///     automatically snap to this element. If no element is specified, it will
            ///     use the default snap element.</param>
        }, 
        
        removeHandlers: function() {
            /// <summary>Removes all handlers attached by listenOnTarget.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.IframeMask";
})(this);
