
/* vsdoc for goog.ui.ImagelessMenuButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ImagelessMenuButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.ImagelessMenuButtonRenderer"/>
    };

    var $x = window.goog.ui.ImagelessMenuButtonRenderer;
    $x.prototype = {
                
        getContentElement: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        canDecorate: function(element) {
            /// <summary>Returns true if this renderer can decorate the element.  Overrides
            /// {@link goog.ui.MenuButtonRenderer#canDecorate} by returning true if the
            /// element is a DIV, false otherwise.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Whether the renderer can decorate the element.</returns>
        }, 
        
        createButton: function(content, dom) {
            /// <summary>Takes a text caption or existing DOM structure, and returns the content
            /// wrapped in a pseudo-rounded-corner box.  Creates the following DOM structure:
            ///  &lt;div class=&quot;goog-inline-block goog-imageless-button&quot;&gt;
            ///    &lt;div class=&quot;goog-inline-block goog-imageless-button-outer-box&quot;&gt;
            ///      &lt;div class=&quot;goog-imageless-button-inner-box&quot;&gt;
            ///        &lt;div class=&quot;goog-imageless-button-pos-box&quot;&gt;
            ///          &lt;div class=&quot;goog-imageless-button-top-shadow&quot;&gt;&amp;nbsp;&lt;/div&gt;
            ///          &lt;div class=&quot;goog-imageless-button-content
            ///                      goog-imageless-menubutton-caption&quot;&gt;Contents...
            ///          &lt;/div&gt;
            ///          &lt;div class=&quot;goog-imageless-menubutton-dropdown&quot;&gt;&lt;/div&gt;
            ///        &lt;/div&gt;
            ///      &lt;/div&gt;
            ///    &lt;/div&gt;
            ///  &lt;/div&gt;
            /// Used by both {@link #createDom} and {@link #decorate}.  To be overridden
            /// by subclasses.</summary>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to wrap
            ///     in a box.</param>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Pseudo-rounded-corner box containing the content.</returns>
        }, 
        
        hasBoxStructure: function(button, element) {
            /// <summary>Check if the button&apos;s element has a box structure.</summary>
            /// <param name="button" type="goog.ui.Button">Button instance whose structure is being
            ///     checked.</param>
            /// <param name="element" type="Element">Element of the button.</param>
            /// <returns type="boolean">Whether the element has a box structure.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ImagelessMenuButtonRenderer";
})(this);
