
/* vsdoc for goog.ui.InputDatePicker */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.InputDatePicker = function(dateTimeFormatter, dateTimeParser, opt_datePicker, opt_domHelper){
        /// <summary></summary>
        /// <param name="dateTimeFormatter" type="goog.i18n.DateTimeFormat">A formatter instance
        ///     used to format the date picker&apos;s date for display in the input element.</param>
        /// <param name="dateTimeParser" type="goog.i18n.DateTimeParse">A parser instance used to
        ///     parse the input element&apos;s string as a date to set the picker.</param>
        /// <param name="opt_datePicker" type="goog.ui.DatePicker=">Optional DatePicker.  This
        ///     enables the use of a custom date-picker instance.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <returns type="goog.ui.InputDatePicker"/>
    };

    var $x = window.goog.ui.InputDatePicker;
    $x.prototype = {
                
        getDatePicker: function() {
            /// <summary>Returns the PopupDatePicker&apos;s internal DatePicker instance.  This can be
            /// used to customize the date picker&apos;s styling.</summary>
            /// <returns type="goog.ui.DatePicker">The internal DatePicker instance.</returns>
        }, 
        
        getDate: function() {
            /// <summary>Returns the selected date, if any.  Compares the dates from the date picker
            /// and the input field, causing them to be synced if different.</summary>
            /// <returns type="goog.date.Date?">The selected date, if any.</returns>
        }, 
        
        setDate: function(date) {
            /// <summary>Sets the selected date.  See goog.ui.PopupDatePicker.setDate().</summary>
            /// <param name="date" type="goog.date.Date?">The date to set.</param>
        }, 
        
        setInputValue: function(value) {
            /// <summary>Sets the value of the input element.  This can be overridden to support
            /// alternative types of input setting.</summary>
            /// <param name="value" type="string">The value to set.</param>
        }, 
        
        getInputValue: function() {
            /// <summary>Returns the value of the input element.  This can be overridden to support
            /// alternative types of input getting.</summary>
            /// <returns type="string">The input value.</returns>
        }, 
        
        createDom: function() {
            /// <summary>Creates an input element for use with the popup date picker.</summary>
        }, 
        
        setPopupParentElement: function(el) {
            /// <summary>Sets the element that the PopupDatePicker should be parented to. If not set,
            /// defaults to the body element of the page.</summary>
            /// <param name="el" type="Element">The element that the PopupDatePicker should be parented
            ///     to.</param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        showForElement: function(element) {
            /// <summary>See goog.ui.PopupDatePicker.showPopup().</summary>
            /// <param name="element" type="Element">Reference element for displaying the popup -- popup
            ///     will appear at the bottom-left corner of this element.</param>
        }, 
        
        hidePopup: function() {
            /// <summary>See goog.ui.PopupDatePicker.hidePopup().</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.InputDatePicker";
})(this);
