
/* vsdoc for goog.ui.LabelInput */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.LabelInput = function(opt_label, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_label" type="string=">The text to show as the label.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="LABEL_CLASS_NAME" type="">The CSS class name to add to the input when the user has not entered a
        /// value.</field>
        /// <returns type="goog.ui.LabelInput"/>
    };

    var $x = window.goog.ui.LabelInput;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Creates the DOM nodes needed for the label input.</summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary>Decorates an existing HTML input element as a label input. If the element
            /// has a &quot;label&quot; attribute then that will be used as the label property for the
            /// label input object.</summary>
            /// <param name="element" type="Element">The HTML input element to decorate.</param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        hasFocus: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the control is currently focused on.</returns>
        }, 
        
        hasChanged: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the value has changed been changed by the user.</returns>
        }, 
        
        clear: function() {
            /// <summary>Clears the value of the input element without resetting the default text.</summary>
        }, 
        
        reset: function() {
            /// <summary>Clears the value of the input element and resets the default text.</summary>
        }, 
        
        setValue: function(s) {
            /// <summary>Use this to set the value through script to ensure that the label state is
            /// up to date</summary>
            /// <param name="s" type="string">The new value for the input.</param>
        }, 
        
        getValue: function() {
            /// <summary>Returns the current value of the text box, returning an empty string if the
            /// search box is the default value</summary>
            /// <returns type="string">The value of the input box.</returns>
        }, 
        
        setLabel: function(label) {
            /// <summary>Sets the label text.</summary>
            /// <param name="label" type="string">The text to show as the label.</param>
        }, 
        
        getLabel: function() {
            /// <summary></summary>
            /// <returns type="string">The text to show as the label.</returns>
        }, 
        
        focusAndSelect: function() {
            /// <summary>This method focuses the input and if selects all the text. If the value
            /// hasn&apos;t changed it will set the value to the label so that the label text is
            /// selected.</summary>
        }, 
        
        setEnabled: function(enabled) {
            /// <summary>Enables/Disables the label input.</summary>
            /// <param name="enabled" type="boolean">Whether to enable (true) or disable (false) the
            ///     label input.</param>
        }, 
        
        isEnabled: function() {
            /// <summary></summary>
            /// <returns type="boolean">True if the label input is enabled, false otherwise.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.LabelInput";
})(this);
