
/* vsdoc for goog.ui.MenuBase */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.MenuBase = function(opt_element){
        /// <summary></summary>
        /// <param name="opt_element" type="Element=">A DOM element for the popup.</param>
        /// <field name="Events" type="">Events fired by the Menu</field>
        /// <returns type="goog.ui.MenuBase"/>
    };

    var $x = window.goog.ui.MenuBase;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        onShow_: function() {
            /// <summary>Called after the menu is shown. Derived classes can override to hook this
            /// event but should make sure to call the parent class method.</summary>
        }, 
        
        onHide_: function(opt_target) {
            /// <summary>Called after the menu is hidden. Derived classes can override to hook this
            /// event but should make sure to call the parent class method.</summary>
            /// <param name="opt_target" type="Object=">Target of the event causing the hide.</param>
        }, 
        
        getSelectedItem: function() {
            /// <summary>Returns the selected item</summary>
            /// <returns type="Object">The item selected or null if no item is selected.</returns>
        }, 
        
        setSelectedItem: function(item) {
            /// <summary>Sets the selected item</summary>
            /// <param name="item" type="Object">The item to select. The type of this item is specific
            ///     to the menu class.</param>
        }, 
        
        onMouseOver: function(e) {
            /// <summary>Mouse over handler for the menu. Derived classes should override.</summary>
            /// <param name="e" type="goog.events.Event">The event object.</param>
        }, 
        
        onMouseOut: function(e) {
            /// <summary>Mouse out handler for the menu. Derived classes should override.</summary>
            /// <param name="e" type="goog.events.Event">The event object.</param>
        }, 
        
        onMouseDown: function(e) {
            /// <summary>Mouse down handler for the menu. Derived classes should override.</summary>
            /// <param name="e" type="!goog.events.Event">The event object.</param>
        }, 
        
        onMouseUp: function(e) {
            /// <summary>Mouse up handler for the menu. Derived classes should override.</summary>
            /// <param name="e" type="goog.events.Event">The event object.</param>
        }, 
        
        onKeyDown: function(e) {
            /// <summary>Key down handler for the menu. Derived classes should override.</summary>
            /// <param name="e" type="goog.events.KeyEvent">The event object.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.MenuBase";
})(this);
