
/* vsdoc for goog.ui.MenuItem */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.MenuItem = function(content, opt_model, opt_domHelper, opt_renderer){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to
        ///     display as the content of the item (use to add icons or styling to
        ///     menus).</param>
        /// <param name="opt_model" type="*=">Data/model associated with the menu item.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper used for
        ///     document interactions.</param>
        /// <param name="opt_renderer" type="goog.ui.MenuItemRenderer=">Optional renderer.</param>
        /// <returns type="goog.ui.MenuItem"/>
    };

    var $x = window.goog.ui.MenuItem;
    $x.prototype = {
                
        getValue: function() {
            /// <summary>Returns the value associated with the menu item.  The default implementation
            /// returns the model object associated with the item (if any), or its caption.</summary>
            /// <returns type="*">Value associated with the menu item, if any, or its caption.</returns>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the value associated with the menu item.  The default implementation
            /// stores the value as the model of the menu item.</summary>
            /// <param name="value" type="*">Value to be associated with the menu item.</param>
        }, 
        
        setSelectable: function(selectable) {
            /// <summary>Sets the menu item to be selectable or not.  Set to true for menu items
            /// that represent selectable options.</summary>
            /// <param name="selectable" type="boolean">Whether the menu item is selectable.</param>
        }, 
        
        setCheckable: function(checkable) {
            /// <summary>Sets the menu item to be checkable or not.  Set to true for menu items
            /// that represent checkable options.</summary>
            /// <param name="checkable" type="boolean">Whether the menu item is checkable.</param>
        }, 
        
        getCaption: function() {
            /// <summary>Returns the text caption of the component while ignoring accelerators.</summary>
        }, 
        
        handleMouseUp: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }, 
        
        handleKeyEventInternal: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }, 
        
        setMnemonic: function(key) {
            /// <summary>Sets the mnemonic key code. The mnemonic is the key associated with this
            /// action.</summary>
            /// <param name="key" type="goog.events.KeyCodes">The key code.</param>
        }, 
        
        getMnemonic: function() {
            /// <summary>Gets the mnemonic key code. The mnemonic is the key associated with this
            /// action.</summary>
            /// <returns type="goog.events.KeyCodes">The key code of the mnemonic key.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.MenuItem";
})(this);
