
/* vsdoc for goog.ui.MenuRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.MenuRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of toolbars rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.MenuRenderer"/>
    };

    var $x = window.goog.ui.MenuRenderer;
    $x.prototype = {
                
        getAriaRole: function() {
            /// <summary>Returns the ARIA role to be applied to menus.</summary>
            /// <returns type="string">ARIA role.</returns>
        }, 
        
        canDecorate: function(element) {
            /// <summary>Returns whether the element is a UL or acceptable to our superclass.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Whether the renderer can decorate the element.</returns>
        }, 
        
        getDecoratorForChild: function(element) {
            /// <summary>Inspects the element, and creates an instance of {@link goog.ui.Control} or
            /// an appropriate subclass best suited to decorate it.  Overrides the superclass
            /// implementation by recognizing HR elements as separators.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="goog.ui.Control?">A new control suitable to decorate the element
            ///     (null if none).</returns>
        }, 
        
        containsElement: function(menu, element) {
            /// <summary>Returns whether the given element is contained in the menu&apos;s DOM.</summary>
            /// <param name="menu" type="goog.ui.Menu">The menu to test.</param>
            /// <param name="element" type="Element">The element to test.</param>
            /// <returns type="boolean">Whether the given element is contained in the menu.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of containers
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }, 
        
        initializeDom: function(container) {
            /// <summary></summary>
            /// <param name="container" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.MenuRenderer";
})(this);
