
/* vsdoc for goog.ui.MenuSeparatorRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.MenuSeparatorRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.MenuSeparatorRenderer"/>
    };

    var $x = window.goog.ui.MenuSeparatorRenderer;
    $x.prototype = {
                
        createDom: function(separator) {
            /// <summary>Returns an empty, styled menu separator DIV.  Overrides {@link
            /// goog.ui.ControlRenderer#createDom}.</summary>
            /// <param name="separator" type="goog.ui.Control">goog.ui.Separator to render.</param>
            /// <returns type="Element">Root element for the separator.</returns>
        }, 
        
        decorate: function(separator, element) {
            /// <summary>Takes an existing element, and decorates it with the separator.  Overrides
            /// {@link goog.ui.ControlRenderer#decorate}.</summary>
            /// <param name="separator" type="goog.ui.Control">goog.ui.MenuSeparator to decorate the
            ///     element.</param>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="Element">Decorated element.</returns>
        }, 
        
        setContent: function(separator, content) {
            /// <summary>Overrides {@link goog.ui.ControlRenderer#setContent} to do nothing, since
            /// separators are empty.</summary>
            /// <param name="separator" type="Element">The separator&apos;s root element.</param>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to be
            ///    set as the separators&apos;s content (ignored).</param>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.MenuSeparatorRenderer";
})(this);
