
/* vsdoc for goog.ui.ModalPopup */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ModalPopup = function(opt_useIframeMask, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_useIframeMask" type="boolean=">Work around windowed controls z-index
        ///     issue by using an iframe instead of a div for bg element.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper; see {@link
        ///     goog.ui.Component} for semantics.</param>
        /// <returns type="goog.ui.ModalPopup"/>
    };

    var $x = window.goog.ui.ModalPopup;
    $x.prototype = {
                
        getCssClass: function() {
            /// <summary></summary>
            /// <returns type="string">Base CSS class for this component.</returns>
        }, 
        
        getBackgroundIframe: function() {
            /// <summary>Returns the background iframe mask element, if any.</summary>
            /// <returns type="Element">The background iframe mask element, may return
            ///     null/undefined if the modal popup does not use iframe mask.</returns>
        }, 
        
        getBackgroundElement: function() {
            /// <summary>Returns the background mask element.</summary>
            /// <returns type="Element">The background mask element.</returns>
        }, 
        
        createDom: function() {
            /// <summary>Creates the initial DOM representation for the modal popup.</summary>
        }, 
        
        canDecorate: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        decorateInternal: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        setVisible: function(visible) {
            /// <summary>Sets the visibility of the modal popup box and focus to the popup.
            /// Lazily renders the component if needed.</summary>
            /// <param name="visible" type="boolean">Whether the modal popup should be visible.</param>
        }, 
        
        setTransition: function(popupShowTransition, popupHideTransition, bgShowTransition, bgHideTransition) {
            /// <summary>Sets the transitions to show and hide the popup and background.</summary>
            /// <param name="popupShowTransition" type="!goog.fx.Transition">Transition to show the
            ///     popup.</param>
            /// <param name="popupHideTransition" type="!goog.fx.Transition">Transition to hide the
            ///     popup.</param>
            /// <param name="bgShowTransition" type="!goog.fx.Transition">Transition to show
            ///     the background.</param>
            /// <param name="bgHideTransition" type="!goog.fx.Transition">Transition to hide
            ///     the background.</param>
        }, 
        
        onShow: function() {
            /// <summary>Called after the popup is shown. If there is a transition, this
            /// will be called after the transition completed or stopped.</summary>
        }, 
        
        onHide: function() {
            /// <summary>Called after the popup is hidden. If there is a transition, this
            /// will be called after the transition completed or stopped.</summary>
        }, 
        
        isVisible: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the modal popup is visible.</returns>
        }, 
        
        focus: function() {
            /// <summary>Focuses on the modal popup.</summary>
        }, 
        
        reposition: function() {
            /// <summary>Centers the modal popup in the viewport, taking scrolling into account.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ModalPopup";
})(this);
