
/* vsdoc for goog.ui.OfflineInstallDialog */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.OfflineInstallDialog = function(opt_class, opt_useIframeMask, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_class" type="string=">CSS class name for the dialog element, also used
        ///    as a class name prefix for related elements; defaults to modal-dialog.</param>
        /// <param name="opt_useIframeMask" type="boolean=">Work around windowed controls z-index
        ///     issue by using an iframe instead of a div for bg element.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="ButtonKeyType" type="">Buttons keys of the dialog.</field>
        /// <field name="ScreenType" type="">The various types of screens the dialog can display.</field>
        /// <returns type="goog.ui.OfflineInstallDialog"/>
    };

    var $x = window.goog.ui.OfflineInstallDialog;
    $x.prototype = {
                
        setAppUrl: function(url) {
            /// <summary>Sets the URL of the appliction to show in the dialog.</summary>
            /// <param name="url" type="string">The application URL.</param>
        }, 
        
        getAppUrl: function() {
            /// <summary></summary>
            /// <returns type="string">The application URL.</returns>
        }, 
        
        setGearsDownloadPageUrl: function(url) {
            /// <summary>Sets the Gears download page URL.</summary>
            /// <param name="url" type="string">The Gears download page URL.</param>
        }, 
        
        getGearsDownloadPageUrl: function() {
            /// <summary></summary>
            /// <returns type="string">The Gears download page URL.</returns>
        }, 
        
        getGearsDownloadPageFriendlyUrl: function() {
            /// <summary>This allows you to provide a shorter and more user friendly URL to the Gears
            /// download page since the Gears download URL can get quite ugly with all its
            /// params.</summary>
            /// <returns type="string">The Gears download page friendly URL.</returns>
        }, 
        
        setGearsDownloadPageFriendlyUrl: function(url) {
            /// <summary>Sets the Gears download page friendly URL.</summary>
            /// <param name="url" type="string">The Gears download page friendly URL.</param>
        }, 
        
        setCurrentScreenType: function(screenType) {
            /// <summary>Sets the screen type.</summary>
            /// <param name="screenType" type="string">The screen type.</param>
        }, 
        
        getCurrentScreenType: function() {
            /// <summary></summary>
            /// <returns type="string">The screen type.</returns>
        }, 
        
        getCurrentScreen: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.OfflineInstallDialogScreen?">The current screen object.</returns>
        }, 
        
        getScreen: function(type) {
            /// <summary>Returns the screen object for a given registered type or null if no such type
            /// exists. This will create a screen object for a registered type as needed.</summary>
            /// <param name="type" type="string">The type of screen to get.</param>
            /// <returns type="goog.ui.OfflineInstallDialogScreen?">The screen object.</returns>
        }, 
        
        registerScreenType: function(type, constr) {
            /// <summary>Registers a screen constructor to be usable with the dialog.</summary>
            /// <param name="type" type="string">The type of this screen.</param>
            /// <param name="constr" type="Function">A function that represents a constructor that
            ///     extends goog.ui.OfflineInstallDialogScreen.</param>
        }, 
        
        registerScreen: function(screen) {
            /// <summary>Registers an instance of a screen to be usable with the dialog.</summary>
            /// <param name="screen" type="goog.ui.OfflineInstallDialogScreen">The screen to register.</param>
        }, 
        
        setVisible: function(visible) {
            /// <summary></summary>
            /// <param name="visible" type=""></param>
        }, 
        
        createDom: function() {
            /// <summary></summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        update: function() {
            /// <summary>Updates the dialog. This will ensure the correct screen is shown.</summary>
        }, 
        
        goToGearsDownloadPage: function() {
            /// <summary>Opens a new browser window with the Gears download page and changes
            /// the screen to the installing gears page.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineInstallDialog";
})(this);
