
/* vsdoc for goog.ui.OfflineInstallDialog.InstallScreen */

(function (window) {
    window.goog.ui.OfflineInstallDialog = window.goog.ui.OfflineInstallDialog || {};

    window.goog.ui.OfflineInstallDialog.InstallScreen = function(dialog, opt_type){
        /// <summary></summary>
        /// <param name="dialog" type="goog.ui.OfflineInstallDialog">The dialog this is a screen
        ///     for.</param>
        /// <param name="opt_type" type="string=">An optional type, for specifying a more specific
        ///     type of dialog. Only for use by subclasses.</param>
        /// <field name="MSG_OFFLINE_DIALOG_INSTALL_GEARS" type="">The description of the the install step to perform in order to
        ///     enable offline access.</field>
        /// <field name="installMsg_" type="string"></field>
        /// <field name="MSG_INSTALL_GEARS" type="">Text of button that opens the download page for Gears.</field>
        /// <field name="enableMsg_" type="string"></field>
        /// <field name="MSG_OFFLINE_DIALOG_CANCEL_2" type="">Text of button that cancels setting up Offline.</field>
        /// <field name="TYPE" type="string">The type of this screen.</field>
        /// <field name="isInstallButtonDefault" type="boolean">Should install button action be performed immediately when the user presses
        /// the enter key anywhere on the dialog. This should be set to false if there
        /// are other action handlers on the dialog that may stop propagation.</field>
        /// <returns type="goog.ui.OfflineInstallDialog.InstallScreen"/>
    };

    var $x = window.goog.ui.OfflineInstallDialog.InstallScreen;
    $x.prototype = {
                
        getButtonSet: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.Dialog.ButtonSet">The button set for the install screen.</returns>
        }, 
        
        setInstallDescription: function(description) {
            /// <summary>Sets the install description. This is the text before the installation steps.</summary>
            /// <param name="description" type="string">The install description.</param>
        }, 
        
        getContent: function() {
            /// <summary></summary>
        }, 
        
        handleSelect: function(e) {
            /// <summary>Overrides to go to Gears page.</summary>
            /// <param name="e" type=""></param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineInstallDialog.InstallScreen";
})(this);
