
/* vsdoc for goog.ui.OfflineInstallDialog.UpgradeScreen */

(function (window) {
    window.goog.ui.OfflineInstallDialog = window.goog.ui.OfflineInstallDialog || {};

    window.goog.ui.OfflineInstallDialog.UpgradeScreen = function(dialog){
        /// <summary></summary>
        /// <param name="dialog" type="goog.ui.OfflineInstallDialog">The dialog this is a screen
        ///     for.</param>
        /// <field name="MSG_OFFLINE_DIALOG_INSTALL_NEW_GEARS" type="">The description of the the upgrade step to perform in order to enable
        ///     offline access.</field>
        /// <field name="installMsg_" type="string">Override to say upgrade instead of install.</field>
        /// <field name="MSG_OFFLINE_DIALOG_UPGRADE_GEARS" type="">Text of button that opens the download page for Gears for an
        ///     upgrade.</field>
        /// <field name="enableMsg_" type="string">Override the text on the button to show upgrade instead of install.</field>
        /// <field name="TYPE" type="string">The type of this screen.</field>
        /// <field name="isUpgradeButtonDefault" type="boolean">Should upgrade button action be performed immediately when the user presses
        /// the enter key anywhere on the dialog. This should be set to false if there
        /// are other action handlers on the dialog that may stop propagation.</field>
        /// <returns type="goog.ui.OfflineInstallDialog.UpgradeScreen"/>
    };

    var $x = window.goog.ui.OfflineInstallDialog.UpgradeScreen;
    $x.prototype = {
                
        getButtonSet: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.Dialog.ButtonSet">The button set for the upgrade screen.</returns>
        }, 
        
        setUpgradeDescription: function(description) {
            /// <summary>Sets the upgrade description. This is the text before the upgrade steps.</summary>
            /// <param name="description" type="string">The upgrade description.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineInstallDialog.UpgradeScreen";
})(this);
