
/* vsdoc for goog.ui.OfflineInstallDialogScreen */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.OfflineInstallDialogScreen = function(dialog, type){
        /// <summary></summary>
        /// <param name="dialog" type="goog.ui.OfflineInstallDialog">The dialog this screen should
        ///     work with.</param>
        /// <param name="type" type="string">The screen type name.</param>
        /// <field name="dialog_" type="goog.ui.OfflineInstallDialog"></field>
        /// <returns type="goog.ui.OfflineInstallDialogScreen"/>
    };

    var $x = window.goog.ui.OfflineInstallDialogScreen;
    $x.prototype = {
                
        getDialog: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.OfflineInstallDialog">The dialog the screen will be
            ///     displayed in.</returns>
        }, 
        
        getType: function() {
            /// <summary>Returns the type of the screen. This is used to identify the screen type this
            /// reflects.</summary>
            /// <returns type="string">The type of the screen.</returns>
        }, 
        
        getButtonSet: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.Dialog.ButtonSet">The button set to use with this screen.</returns>
        }, 
        
        setButtonSet: function(bs) {
            /// <summary>Sets the button set to use with this screen.</summary>
            /// <param name="bs" type="goog.ui.Dialog.ButtonSet">The button set to use.</param>
        }, 
        
        getContent: function() {
            /// <summary></summary>
            /// <returns type="string">The HTML content to used for this screen.</returns>
        }, 
        
        setContent: function(html) {
            /// <summary>Sets the HTML content to use for this screen.</summary>
            /// <param name="html" type="string">The HTML text to use as content for the screen.</param>
        }, 
        
        getTitle: function() {
            /// <summary></summary>
            /// <returns type="string">The text title to used for the dialog when this screen is
            ///     shown.</returns>
        }, 
        
        setTitle: function(title) {
            /// <summary>Sets the plain text title to use for this screen.</summary>
            /// <param name="title" type="string">The plain text to use as a title on the dialog.</param>
        }, 
        
        getCustomClassName: function() {
            /// <summary></summary>
            /// <returns type="string">A custom class name that should be added to the dialog when
            ///     this screen is active.</returns>
        }, 
        
        setCustomClassName: function(customClassName) {
            /// <summary>Sets the custom class name that should be added to the dialog when this
            /// screen is active.</summary>
            /// <param name="customClassName" type="string">The custom class name.</param>
        }, 
        
        activate: function() {
            /// <summary>Called when the screen is shown. At this point the dialog is in the document.</summary>
        }, 
        
        deactivate: function() {
            /// <summary>Called when the screen is hidden.  At this point the dialog is in the
            /// document.</summary>
        }, 
        
        handleSelect: function(e) {
            /// <summary>Called when the user clicks any of the buttons for this dialog screen.</summary>
            /// <param name="e" type="goog.ui.Dialog.Event">The dialog event.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineInstallDialogScreen";
})(this);
