
/* vsdoc for goog.ui.OfflineStatusCard */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.OfflineStatusCard = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="EventType" type="">Event types dispatched by the component.</field>
        /// <field name="dirty" type="boolean">Whether the component is dirty and requires an upate to its display.</field>
        /// <returns type="goog.ui.OfflineStatusCard"/>
    };

    var $x = window.goog.ui.OfflineStatusCard;
    $x.prototype = {
                
        getProgressBar: function() {
            /// <summary>Gets the progress bar.</summary>
            /// <returns type="goog.ui.ProgressBar">The progress bar.</returns>
        }, 
        
        getStatus: function() {
            /// <summary>Gets the status of the offline component of the app.</summary>
            /// <returns type="goog.gears.StatusType">The offline status.</returns>
        }, 
        
        setStatus: function(status) {
            /// <summary>Sets the status of the offline component of the app.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
        }, 
        
        createDom: function() {
            /// <summary>Creates the initial DOM representation for the component.</summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        createAdditionalDom: function() {
            /// <summary>Allows subclasses to initialize additional DOM structures during createDom.</summary>
        }, 
        
        update: function() {
            /// <summary>Updates the display of the component.</summary>
        }, 
        
        configureStatusElement: function(status) {
            /// <summary>Set the message to display in the status portion of the card.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
        }, 
        
        configureActionLinks: function(status) {
            /// <summary>Set the action element to show correct action(s) for a particular status.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
        }, 
        
        configureProgressElement: function(status) {
            /// <summary>Configure the progress bar element.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
        }, 
        
        shouldShowProgressBar: function(status) {
            /// <summary>Returns true if we want to display a progress bar.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
            /// <returns type="boolean">Whether we want to display a progress bar.</returns>
        }, 
        
        updateProgressStatus: function() {
            /// <summary>Updates the status of the progress bar.</summary>
        }, 
        
        getProgressStatusMessage: function() {
            /// <summary>Gets the status message for the progress bar.</summary>
            /// <returns type="string">The status message for the progress bar.</returns>
        }, 
        
        getStatusMessage: function(status) {
            /// <summary>Gets the status message for the given status.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
            /// <returns type="string">The status message.</returns>
        }, 
        
        getActions: function(status) {
            /// <summary>Gets the action to display for the given status.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
            /// <returns type="Array.Object?">An array of action objects to display.</returns>
        }, 
        
        createActionObject: function(actionMessage, actionEventType) {
            /// <summary>Creates an action object containing a message for the action and event
            /// type to dispatch if the action occurs.</summary>
            /// <param name="actionMessage" type="string">The action message.</param>
            /// <param name="actionEventType" type="string">The action event type.</param>
            /// <returns type="Object">An object containing message and eventType properties.</returns>
        }, 
        
        getAdditionalMessage: function(status) {
            /// <summary>Gets the additional message to display for the given status.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
            /// <returns type="string">The additional message.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineStatusCard";
})(this);
