
/* vsdoc for goog.ui.OfflineStatusComponent */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.OfflineStatusComponent = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="StatusClassNames" type="">The className&apos;s to use for the element of the component for each status type.</field>
        /// <returns type="goog.ui.OfflineStatusComponent"/>
    };

    var $x = window.goog.ui.OfflineStatusComponent;
    $x.prototype = {
                
        getStatus: function() {
            /// <summary>Gets the status of the offline component of the app.</summary>
            /// <returns type="goog.gears.StatusType">The offline status.</returns>
        }, 
        
        setStatus: function(status) {
            /// <summary>Sets the status of the offline component of the app.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline
            ///     status.</param>
        }, 
        
        isStatusDifferent: function(status) {
            /// <summary>Returns whether the given status is different from the currently
            /// recorded status.</summary>
            /// <param name="status" type="goog.gears.StatusType">The offline status.</param>
            /// <returns type="boolean">Whether the status is different.</returns>
        }, 
        
        setInstallDialog: function(dialog) {
            /// <summary>Sets the install dialog.</summary>
            /// <param name="dialog" type="goog.ui.OfflineInstallDialog">The dialog.</param>
        }, 
        
        getInstallDialog: function() {
            /// <summary>Gets the install dialog.</summary>
            /// <returns type="goog.ui.OfflineInstallDialog">dialog The dialog.</returns>
        }, 
        
        setStatusCard: function(card) {
            /// <summary>Sets the status card.</summary>
            /// <param name="card" type="goog.ui.OfflineStatusCard">The card.</param>
        }, 
        
        getStatusCard: function() {
            /// <summary>Gets the status card.</summary>
            /// <returns type="goog.ui.OfflineStatusCard">The card.</returns>
        }, 
        
        createDom: function() {
            /// <summary>Creates the initial DOM representation for the component.</summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        update: function() {
            /// <summary>Updates the display of the component.</summary>
        }, 
        
        getMessageInfo: function(status) {
            /// <summary>Gets the messaging info for the given status.</summary>
            /// <param name="status" type="goog.gears.StatusType">Status to get the message info for.</param>
            /// <returns type="Object">Object that has three properties - text (string),
            ///     textIsHtml (boolean), and title (string).</returns>
        }, 
        
        performAction: function() {
            /// <summary>Performs the action as if the component was clicked.</summary>
        }, 
        
        performEnableAction: function() {
            /// <summary>Performs the action to start the flow of enabling the offline feature of
            /// the application.</summary>
        }, 
        
        performStatusAction: function(opt_evt, opt_element) {
            /// <summary>Performs the action to show the offline status.</summary>
            /// <param name="opt_evt" type="goog.events.Event=">Event.</param>
            /// <param name="opt_element" type="Element=">Optional element to anchor the card against.</param>
        }, 
        
        insertCardElement: function(card) {
            /// <summary>Inserts the card into the document body.</summary>
            /// <param name="card" type="goog.ui.OfflineStatusCard">The offline status card.</param>
        }, 
        
        getPopupInternal: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.Popup">A popup object, if none exists a new one is created.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.OfflineStatusComponent";
})(this);
