
/* vsdoc for goog.ui.Option */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Option = function(content, opt_model, opt_domHelper){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to
        ///     display as the content of the item (use to add icons or styling to
        ///     menus).</param>
        /// <param name="opt_model" type="*=">Data/model associated with the menu item.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper used for
        ///     document interactions.</param>
        /// <returns type="goog.ui.Option"/>
    };

    var $x = window.goog.ui.Option;
    $x.prototype = {
                
        performActionInternal: function(e) {
            /// <summary>Performs the appropriate action when the option is activated by the user.
            /// Overrides the superclass implementation by not changing the selection state
            /// of the option and not dispatching any SELECTED events, for backwards
            /// compatibility with existing uses of this class.</summary>
            /// <param name="e" type="goog.events.Event">Mouse or key event that triggered the action.</param>
            /// <returns type="boolean">True if the action was allowed to proceed, false otherwise.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Option";
})(this);
