
/* vsdoc for goog.ui.PlainTextSpellChecker */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.PlainTextSpellChecker = function(handler, opt_domHelper){
        /// <summary></summary>
        /// <param name="handler" type="goog.spell.SpellCheck">Instance of the SpellCheckHandler
        ///     support object to use. A single instance can be shared by multiple
        ///     editor components.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="invalidWordClassName" type="string">Class name for invalid words.</field>
        /// <field name="correctedWordClassName" type="string">Class name for corrected words.</field>
        /// <field name="correctionPaneClassName" type="string">Class name for correction pane.</field>
        /// <returns type="goog.ui.PlainTextSpellChecker"/>
    };

    var $x = window.goog.ui.PlainTextSpellChecker;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Creates the initial DOM representation for the component.</summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        initSuggestionsMenu: function() {
            /// <summary>Initializes suggestions menu. Populates menu with separator and ignore option
            /// that are always valid. Suggestions are later added above the separator.</summary>
        }, 
        
        check: function() {
            /// <summary>Checks spelling for all text and displays correction UI.</summary>
        }, 
        
        processWord: function(node, word, status) {
            /// <summary>Processes word.</summary>
            /// <param name="node" type="Node">Node containing word.</param>
            /// <param name="word" type="string">Word to process.</param>
            /// <param name="status" type="goog.spell.SpellCheck.WordStatus">Status of word.</param>
        }, 
        
        processRange: function(node, text) {
            /// <summary>Processes range of text - recognized words and separators.</summary>
            /// <param name="node" type="Node">Node containing separator.</param>
            /// <param name="text" type="string">text to process.</param>
        }, 
        
        resume: function() {
            /// <summary>Hides correction UI.</summary>
        }, 
        
        getElementProperties: function(status) {
            /// <summary>Returns desired element properties for the specified status.</summary>
            /// <param name="status" type="goog.spell.SpellCheck.WordStatus">Status of word.</param>
            /// <returns type="Object">Properties to apply to word element.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        handleOverlayKeyEvent: function(e) {
            /// <summary>Handles key down for overlay.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The browser event.</param>
            /// <returns type="boolean|undefined">The handled value.</returns>
        }, 
        
        onCorrectionAction: function(event) {
            /// <summary>Handles correction menu actions.</summary>
            /// <param name="event" type="goog.events.Event">Action event.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.PlainTextSpellChecker";
})(this);
