
/* vsdoc for goog.ui.Popup */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Popup = function(opt_element, opt_position){
        /// <summary></summary>
        /// <param name="opt_element" type="Element=">A DOM element for the popup.</param>
        /// <param name="opt_position" type="goog.positioning.AbstractPosition=">A positioning helper
        ///     object.</param>
        /// <field name="position_" type="goog.positioning.AbstractPosition|undefined">Positioning helper object.</field>
        /// <field name="Corner" type="">Enum for representing an element corner for positioning the popup.</field>
        /// <field name="Overflow" type="">Enum for representing position handling in cases where the element would be
        /// positioned outside the viewport.</field>
        /// <returns type="goog.ui.Popup"/>
    };

    var $x = window.goog.ui.Popup;
    $x.prototype = {
                
        getPinnedCorner: function() {
            /// <summary>Returns the corner of the popup to used in the positioning algorithm.</summary>
            /// <returns type="goog.positioning.Corner">The popup corner used for positioning.</returns>
        }, 
        
        setPinnedCorner: function(corner) {
            /// <summary>Sets the corner of the popup to used in the positioning algorithm.</summary>
            /// <param name="corner" type="goog.positioning.Corner">The popup corner used for
            ///     positioning.</param>
        }, 
        
        getPosition: function() {
            /// <summary></summary>
            /// <returns type="goog.positioning.AbstractPosition">The position helper object
            ///     associated with the popup.</returns>
        }, 
        
        setPosition: function(position) {
            /// <summary>Sets the position helper object associated with the popup.</summary>
            /// <param name="position" type="goog.positioning.AbstractPosition">A position helper object.</param>
        }, 
        
        getMargin: function() {
            /// <summary>Returns the margin to place around the popup.</summary>
            /// <returns type="goog.math.Box?">The margin.</returns>
        }, 
        
        setMargin: function(arg1, opt_arg2, opt_arg3, opt_arg4) {
            /// <summary>Sets the margin to place around the popup.</summary>
            /// <param name="arg1" type="goog.math.Box|number|null">Top value or Box.</param>
            /// <param name="opt_arg2" type="number=">Right value.</param>
            /// <param name="opt_arg3" type="number=">Bottom value.</param>
            /// <param name="opt_arg4" type="number=">Left value.</param>
        }, 
        
        reposition: function() {
            /// <summary>Repositions the popup according to the current state.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Popup";
})(this);
