
/* vsdoc for goog.ui.PopupColorPicker */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.PopupColorPicker = function(opt_domHelper, opt_colorPicker){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <param name="opt_colorPicker" type="goog.ui.ColorPicker=">Optional color picker to use
        ///     for this popup.</param>
        /// <returns type="goog.ui.PopupColorPicker"/>
    };

    var $x = window.goog.ui.PopupColorPicker;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        canDecorate: function(element) {
            /// <summary>ColorPickers cannot be used to decorate pre-existing html, since the
            /// structure they build is fairly complicated.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Returns always false.</returns>
        }, 
        
        getColorPicker: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.ColorPicker">The color picker instance.</returns>
        }, 
        
        getAutoHide: function() {
            /// <summary>Returns whether the Popup dismisses itself when the user clicks outside of
            /// it.</summary>
            /// <returns type="boolean">Whether the Popup autohides on an external click.</returns>
        }, 
        
        setAutoHide: function(autoHide) {
            /// <summary>Sets whether the Popup dismisses itself when the user clicks outside of it -
            /// must be called after the Popup has been created (in createDom()),
            /// otherwise it does nothing.</summary>
            /// <param name="autoHide" type="boolean">Whether to autohide on an external click.</param>
        }, 
        
        getAutoHideRegion: function() {
            /// <summary>Returns the region inside which the Popup dismisses itself when the user
            /// clicks, or null if it was not set. Null indicates the entire document is
            /// the autohide region.</summary>
            /// <returns type="Element">The DOM element for autohide, or null if it hasn&apos;t been
            ///     set.</returns>
        }, 
        
        setAutoHideRegion: function(element) {
            /// <summary>Sets the region inside which the Popup dismisses itself when the user
            /// clicks - must be called after the Popup has been created (in createDom()),
            /// otherwise it does nothing.</summary>
            /// <param name="element" type="Element">The DOM element for autohide.</param>
        }, 
        
        getPopup: function() {
            /// <summary>Returns the {@link goog.ui.PopupBase} from this picker. Returns null if the
            /// popup has not yet been created.
            /// 
            /// NOTE: This should *ONLY* be called from tests. If called before createDom(),
            /// this should return null.</summary>
            /// <returns type="goog.ui.PopupBase?">The popup or null if it hasn&apos;t been created.</returns>
        }, 
        
        getLastTarget: function() {
            /// <summary></summary>
            /// <returns type="Element">The last element that triggered the popup.</returns>
        }, 
        
        attach: function(element) {
            /// <summary>Attaches the popup color picker to an element.</summary>
            /// <param name="element" type="Element">The element to attach to.</param>
        }, 
        
        detach: function(element) {
            /// <summary>Detatches the popup color picker from an element.</summary>
            /// <param name="element" type="Element">The element to detach from.</param>
        }, 
        
        getSelectedColor: function() {
            /// <summary>Gets the color that is currently selected in this color picker.</summary>
            /// <returns type="?string">The hex string of the color selected, or null if no
            ///     color is selected.</returns>
        }, 
        
        setFocusable: function(focusable) {
            /// <summary>Sets whether the color picker can accept focus.</summary>
            /// <param name="focusable" type="boolean">True iff the color picker can accept focus.</param>
        }, 
        
        setAllowAutoFocus: function(allow) {
            /// <summary>Sets whether the color picker can automatically move focus to its key event
            /// target when it is set to visible.</summary>
            /// <param name="allow" type="boolean">Whether to allow auto focus.</param>
        }, 
        
        getAllowAutoFocus: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the color picker can automatically move focus to
            ///     its key event target when it is set to visible.</returns>
        }, 
        
        setToggleMode: function(toggle) {
            /// <summary>Sets whether the color picker should toggle off if it is already open.</summary>
            /// <param name="toggle" type="boolean">The new toggle mode.</param>
        }, 
        
        getToggleMode: function() {
            /// <summary>Gets whether the colorpicker is in toggle mode</summary>
            /// <returns type="boolean">toggle.</returns>
        }, 
        
        setRememberSelection: function(remember) {
            /// <summary>Sets whether the picker remembers the last selected color between popups.</summary>
            /// <param name="remember" type="boolean">Whether to remember the selection.</param>
        }, 
        
        getRememberSelection: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the picker remembers the last selected color
            ///     between popups.</returns>
        }, 
        
        addColors: function(colors) {
            /// <summary>Add an array of colors to the colors displayed by the color picker.
            /// Does not add duplicated colors.</summary>
            /// <param name="colors" type="Array.string">The array of colors to be added.</param>
        }, 
        
        clearColors: function() {
            /// <summary>Clear the colors displayed by the color picker.</summary>
        }, 
        
        setPinnedCorner: function(corner) {
            /// <summary>Set the pinned corner of the popup.</summary>
            /// <param name="corner" type="goog.positioning.Corner">The corner of the popup which is
            ///     pinned to the attaching element.</param>
        }, 
        
        setPopupCorner: function(corner) {
            /// <summary>Sets which corner of the attaching element this popup shows up.</summary>
            /// <param name="corner" type="goog.positioning.Corner">The corner of the attaching element
            ///     where to show the popup.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.PopupColorPicker";
})(this);
