
/* vsdoc for goog.ui.PopupDatePicker */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.PopupDatePicker = function(opt_datePicker, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_datePicker" type="goog.ui.DatePicker=">Optional DatePicker.  This
        ///     enables the use of a custom date-picker instance.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <returns type="goog.ui.PopupDatePicker"/>
    };

    var $x = window.goog.ui.PopupDatePicker;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        canDecorate: function(element) {
            /// <summary>DatePicker cannot be used to decorate pre-existing html, since they&apos;re
            /// not based on Components.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Returns always false.</returns>
        }, 
        
        getDatePicker: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.DatePicker">The date picker instance.</returns>
        }, 
        
        getDate: function() {
            /// <summary></summary>
            /// <returns type="goog.date.Date?">The selected date, if any.  See
            ///     goog.ui.DatePicker.getDate().</returns>
        }, 
        
        setDate: function(date) {
            /// <summary>Sets the selected date.  See goog.ui.DatePicker.setDate().</summary>
            /// <param name="date" type="goog.date.Date?">The date to select.</param>
        }, 
        
        getLastTarget: function() {
            /// <summary></summary>
            /// <returns type="Element">The last element that triggered the popup.</returns>
        }, 
        
        attach: function(element) {
            /// <summary>Attaches the popup date picker to an element.</summary>
            /// <param name="element" type="Element">The element to attach to.</param>
        }, 
        
        detach: function(element) {
            /// <summary>Detatches the popup date picker from an element.</summary>
            /// <param name="element" type="Element">The element to detach from.</param>
        }, 
        
        setAllowAutoFocus: function(allow) {
            /// <summary>Sets whether the date picker can automatically move focus to its key event
            /// target when it is set to visible.</summary>
            /// <param name="allow" type="boolean">Whether to allow auto focus.</param>
        }, 
        
        getAllowAutoFocus: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the date picker can automatically move focus to
            /// its key event target when it is set to visible.</returns>
        }, 
        
        showPopup: function(element) {
            /// <summary>Show the popup at the bottom-left corner of the specified element.</summary>
            /// <param name="element" type="Element">Reference element for displaying the popup -- popup
            ///     will appear at the bottom-left corner of this element.</param>
        }, 
        
        hidePopup: function() {
            /// <summary>Hides this popup.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.PopupDatePicker";
})(this);
