
/* vsdoc for goog.ui.ProgressBar */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ProgressBar = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="Orientation" type="">Enum for representing the orientation of the progress bar.</field>
        /// <returns type="goog.ui.ProgressBar"/>
    };

    var $x = window.goog.ui.ProgressBar;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Creates the DOM nodes needed for the progress bar</summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary>Decorates an existing HTML DIV element as a progress bar input. If the
            /// element contains a child with a class name of &apos;progress-bar-thumb&apos; that will
            /// be used as the thumb.</summary>
            /// <param name="element" type="Element">The HTML element to decorate.</param>
        }, 
        
        getValue: function() {
            /// <summary></summary>
            /// <returns type="number">The value.</returns>
        }, 
        
        setValue: function(v) {
            /// <summary>Sets the value</summary>
            /// <param name="v" type="number">The value.</param>
        }, 
        
        getMinimum: function() {
            /// <summary></summary>
            /// <returns type="number">The minimum value.</returns>
        }, 
        
        setMinimum: function(v) {
            /// <summary>Sets the minimum number</summary>
            /// <param name="v" type="number">The minimum value.</param>
        }, 
        
        getMaximum: function() {
            /// <summary></summary>
            /// <returns type="number">The maximum value.</returns>
        }, 
        
        setMaximum: function(v) {
            /// <summary>Sets the maximum number</summary>
            /// <param name="v" type="number">The maximum value.</param>
        }, 
        
        setOrientation: function(orient) {
            /// <summary>Changes the orientation</summary>
            /// <param name="orient" type="goog.ui.ProgressBar.Orientation">The orientation.</param>
        }, 
        
        getOrientation: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.ProgressBar.Orientation">The orientation of the
            ///     progress bar.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getStep: function() {
            /// <summary></summary>
            /// <returns type="?number">The step value used to determine how to round the value.</returns>
        }, 
        
        setStep: function(step) {
            /// <summary>Sets the step value. The step value is used to determine how to round the
            /// value.</summary>
            /// <param name="step" type="?number">The step size.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ProgressBar";
})(this);
