
/* vsdoc for goog.ui.Prompt */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Prompt = function(promptTitle, promptText, callback, opt_defaultValue, opt_class, opt_useIframeForIE, opt_domHelper){
        /// <summary></summary>
        /// <param name="promptTitle" type="string">The title of the prompt.</param>
        /// <param name="promptText" type="string">The text of the prompt.</param>
        /// <param name="callback" type="Function">The function to call when the user selects Ok or
        ///     Cancel. The function should expect a single argument which represents
        ///     what the user entered into the prompt. If the user presses cancel, the
        ///     value of the argument will be null.</param>
        /// <param name="opt_defaultValue" type="string=">Optional default value that should be in
        ///     the text box when the prompt appears.</param>
        /// <param name="opt_class" type="string=">Optional prefix for the classes.</param>
        /// <param name="opt_useIframeForIE" type="boolean=">For IE, workaround windowed controls
        ///     z-index issue by using a an iframe instead of a div for bg element.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper; see {@link
        ///    goog.ui.Component} for semantics.</param>
        /// <field name="MSG_PROMPT_OK" type="">label for a dialog button.</field>
        /// <field name="MSG_PROMPT_CANCEL" type="">label for a dialog button.</field>
        /// <returns type="goog.ui.Prompt"/>
    };

    var $x = window.goog.ui.Prompt;
    $x.prototype = {
                
        setValidationFunction: function(fn) {
            /// <summary>Sets the validation function that takes a string and returns true if the
            /// string is accepted, false otherwise.</summary>
            /// <param name="fn" type="function(string): boolean">The validation function to use on user
            ///     input.</param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        getInputElement: function() {
            /// <summary></summary>
            /// <returns type="HTMLInputElement">The user input element. May be null if the Prompt
            ///     has not been rendered.</returns>
        }, 
        
        setInputDecoratorFn: function(inputDecoratorFn) {
            /// <summary>Sets an input decorator function.  This function will be called in
            /// #enterDocument and will be passed the input element.  This is useful for
            /// attaching handlers to the input element for specific change events,
            /// for example.</summary>
            /// <param name="inputDecoratorFn" type="function(Element)">A function to call on the input
            ///     element on #enterDocument.</param>
        }, 
        
        setRows: function(rows) {
            /// <summary>Set the number of rows in the user input element.
            /// A values of 1 means use an <input> element.  If the prompt is already
            /// rendered then you cannot change from <input> to &lt;textarea&gt; or vice versa.</summary>
            /// <param name="rows" type="number">Number of rows for user input element.</param>
        }, 
        
        getRows: function() {
            /// <summary></summary>
            /// <returns type="number">The number of rows in the user input element.</returns>
        }, 
        
        setCols: function(cols) {
            /// <summary>Set the number of cols in the user input element.</summary>
            /// <param name="cols" type="number">Number of cols for user input element.</param>
        }, 
        
        getCols: function() {
            /// <summary></summary>
            /// <returns type="number">The number of cols in the user input element.</returns>
        }, 
        
        createDom: function() {
            /// <summary>Create the initial DOM representation for the prompt.</summary>
        }, 
        
        setVisible: function(visible) {
            /// <summary>Causes the prompt to appear, centered on the screen, gives focus
            /// to the text box, and selects the text</summary>
            /// <param name="visible" type="boolean">Whether the dialog should be visible.</param>
        }, 
        
        focus: function() {
            /// <summary>Overrides setFocus to put focus on the input element.</summary>
        }, 
        
        setDefaultValue: function(defaultValue) {
            /// <summary>Sets the default value of the prompt when it is displayed.</summary>
            /// <param name="defaultValue" type="string">The default value to display.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Prompt";
})(this);
