
/* vsdoc for goog.ui.RangeModel */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.RangeModel = function(){
        /// <summary></summary>
        /// <returns type="goog.ui.RangeModel"/>
    };

    var $x = window.goog.ui.RangeModel;
    $x.prototype = {
                
        setMute: function(muteValue) {
            /// <summary>Sets the model to mute / unmute.</summary>
            /// <param name="muteValue" type="boolean">Whether or not to mute the range, i.e.,
            ///     suppress any CHANGE events.</param>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the value.</summary>
            /// <param name="value" type="number">The new value.</param>
        }, 
        
        getValue: function() {
            /// <summary></summary>
            /// <returns type="number">the current value.</returns>
        }, 
        
        setExtent: function(extent) {
            /// <summary>Sets the extent. The extent is the &apos;size&apos; of the value.</summary>
            /// <param name="extent" type="number">The new extent.</param>
        }, 
        
        getExtent: function() {
            /// <summary></summary>
            /// <returns type="number">The extent for the range model.</returns>
        }, 
        
        setMinimum: function(minimum) {
            /// <summary>Sets the minimum</summary>
            /// <param name="minimum" type="number">The new minimum.</param>
        }, 
        
        getMinimum: function() {
            /// <summary></summary>
            /// <returns type="number">The minimum value for the range model.</returns>
        }, 
        
        setMaximum: function(maximum) {
            /// <summary>Sets the maximum</summary>
            /// <param name="maximum" type="number">The new maximum.</param>
        }, 
        
        getMaximum: function() {
            /// <summary></summary>
            /// <returns type="number">The maximimum value for the range model.</returns>
        }, 
        
        getStep: function() {
            /// <summary>Returns the step value. The step value is used to determine how to round the
            /// value.</summary>
            /// <returns type="?number">The maximimum value for the range model.</returns>
        }, 
        
        setStep: function(step) {
            /// <summary>Sets the step. The step value is used to determine how to round the value.</summary>
            /// <param name="step" type="?number">The step size.</param>
        }, 
        
        roundToStepWithMin: function(value) {
            /// <summary>Rounds to the closest step using the minimum value as the base.</summary>
            /// <param name="value" type="number">The number to round.</param>
            /// <returns type="number">The number rounded to the closest step.</returns>
        }, 
        
        roundToStep: function(value) {
            /// <summary>Rounds to the closest step.</summary>
            /// <param name="value" type="number">The number to round.</param>
            /// <returns type="number">The number rounded to the closest step.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.RangeModel";
})(this);
