
/* vsdoc for goog.ui.RichTextSpellChecker */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.RichTextSpellChecker = function(handler, opt_domHelper){
        /// <summary></summary>
        /// <param name="handler" type="goog.spell.SpellCheck">Instance of the SpellCheckHandler
        ///     support object to use. A single instance can be shared by multiple editor
        ///     components.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="wordClassName" type="string">Class name for word spans.</field>
        /// <field name="invalidWordCssText" type="string">CSS Style text for invalid words. As it&apos;s set inside the rich edit iframe
        /// classes defined in the parent document are not availble, thus the style is
        /// set inline.</field>
        /// <returns type="goog.ui.RichTextSpellChecker"/>
    };

    var $x = window.goog.ui.RichTextSpellChecker;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Creates the initial DOM representation for the component.</summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary>Decorates the element for the UI component.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        check: function() {
            /// <summary>Checks spelling for all text and displays correction UI.</summary>
        }, 
        
        setExcludeMarker: function(marker) {
            /// <summary></summary>
            /// <param name="marker" type=""></param>
        }, 
        
        processWord: function(node, word, status) {
            /// <summary>Processes word.</summary>
            /// <param name="node" type="Node">Node containing word.</param>
            /// <param name="word" type="string">Word to process.</param>
            /// <param name="status" type="goog.spell.SpellCheck.WordStatus">Status of the word.</param>
        }, 
        
        processRange: function(node, text) {
            /// <summary>Processes recognized text and separators.</summary>
            /// <param name="node" type="Node">Node containing separator.</param>
            /// <param name="text" type="string">Text to process.</param>
        }, 
        
        createWordElement_: function(word, status) {
            /// <summary></summary>
            /// <param name="word" type=""></param>
            /// <param name="status" type=""></param>
        }, 
        
        updateElement: function(el, word, status) {
            /// <summary>Updates or replaces element based on word status.</summary>
            /// <param name="el" type="Element">Word element.</param>
            /// <param name="word" type="string">Word to update status for.</param>
            /// <param name="status" type="goog.spell.SpellCheck.WordStatus">Status of word.</param>
        }, 
        
        resume: function() {
            /// <summary>Hides correction UI.</summary>
        }, 
        
        getElementProperties: function(status) {
            /// <summary>Returns desired element properties for the specified status.</summary>
            /// <param name="status" type="goog.spell.SpellCheck.WordStatus">Status of the word.</param>
            /// <returns type="Object">Properties to apply to word element.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.RichTextSpellChecker";
})(this);
