
/* vsdoc for goog.ui.RoundedPanel */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.RoundedPanel = {
        /// <summary></summary>
        /// <field name="Corner" type="">Enum for specifying which corners to render.</field>
        /// <returns type="goog.ui.RoundedPanel"/>
                
        create: function(radius, borderWidth, borderColor, opt_backgroundColor, opt_corners, opt_domHelper) {
            /// <summary>Factory method that returns an instance of a BaseRoundedPanel.</summary>
            /// <param name="radius" type="number">The radius of the rounded corner(s), in pixels.</param>
            /// <param name="borderWidth" type="number">The thickness of the border, in pixels.</param>
            /// <param name="borderColor" type="string">The border color of the panel.</param>
            /// <param name="opt_backgroundColor" type="string=">The background color of the panel.</param>
            /// <param name="opt_corners" type="number=">The corners of the panel to be rounded. Any
            ///     corners not specified will be rendered as square corners. Will default
            ///     to all square corners if not specified.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">The DOM helper object for the
            ///     document we want to render in.</param>
            /// <returns type="goog.ui.BaseRoundedPanel">An instance of a
            ///     goog.ui.BaseRoundedPanel subclass.</returns>
        }
        
    };

    var $x = window.goog.ui.RoundedPanel;
    $x.__namespace = "true";
    $x.__typeName = "goog.ui.RoundedPanel";
})(this);
