
/* vsdoc for goog.ui.ScrollFloater */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ScrollFloater = function(opt_parentElement, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_parentElement" type="Element=">Where to attach the element when it&apos;s
        ///     floating.  Default is the document body.  If the floating element
        ///     contains form inputs, it will be necessary to attach it to the
        ///     corresponding form element, or to an element in the DOM subtree under
        ///     the form element.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="EventType" type="">Events dispatched by this component.</field>
        /// <returns type="goog.ui.ScrollFloater"/>
    };

    var $x = window.goog.ui.ScrollFloater;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Delegates dom creation to superclass, then constructs and
            /// decorates required DOM elements.</summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary>Decorates the floated element with the standard ScrollFloater CSS class.</summary>
            /// <param name="element" type="Element">The element to decorate.</param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        setScrollingEnabled: function(enable) {
            /// <summary>Sets whether the element should be floated if it scrolls out of view.</summary>
            /// <param name="enable" type="boolean">Whether floating is enabled for this element.</param>
        }, 
        
        isScrollingEnabled: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the component is enabled for scroll-floating.</returns>
        }, 
        
        isFloating: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the component is currently scroll-floating.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ScrollFloater";
})(this);
