
/* vsdoc for goog.ui.SelectionMenuButton */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.SelectionMenuButton = function(opt_renderer, opt_itemRenderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_renderer" type="goog.ui.ButtonRenderer=">Renderer used to render or
        ///     decorate the menu button; defaults to {@link goog.ui.MenuButtonRenderer}.</param>
        /// <param name="opt_itemRenderer" type="goog.ui.MenuItemRenderer=">Optional menu item
        ///     renderer.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM hepler, used for
        ///     document interaction.</param>
        /// <field name="SelectionState" type="">Constants for menu action types.</field>
        /// <field name="selectionState" type="goog.ui.SelectionMenuButton.SelectionState">Select button state</field>
        /// <returns type="goog.ui.SelectionMenuButton"/>
    };

    var $x = window.goog.ui.SelectionMenuButton;
    $x.prototype = {
                
        setEnabled: function(enable) {
            /// <summary>Enables button and embedded checkbox.</summary>
            /// <param name="enable" type="boolean">Whether to enable or disable the button.</param>
        }, 
        
        setCheckboxEnabled: function(enable) {
            /// <summary>Enables the embedded checkbox.</summary>
            /// <param name="enable" type="boolean">Whether to enable or disable the checkbox.</param>
        }, 
        
        handleMouseDown: function(e) {
            /// <summary></summary>
            /// <param name="e" type=""></param>
        }, 
        
        getCheckboxElement: function() {
            /// <summary>Gets the checkbox element. Needed because if decorating html, getContent()
            /// may include and comment/text elements in addition to the input element.</summary>
            /// <returns type="Element">Checkbox.</returns>
        }, 
        
        handleCheckboxClick: function(e) {
            /// <summary>Checkbox click handler.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">Checkbox click event.</param>
        }, 
        
        addCheckboxEvent: function() {
            /// <summary>Set up events related to the checkbox.</summary>
        }, 
        
        createDom: function() {
            /// <summary>Adds the checkbox to the button, and adds 2 items to the menu corresponding
            /// to &apos;select all&apos; and &apos;select none&apos;.</summary>
        }, 
        
        createCheckbox: function() {
            /// <summary>Creates and adds the checkbox to the button.</summary>
        }, 
        
        decorateInternal: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        setMenu: function(menu) {
            /// <summary></summary>
            /// <param name="menu" type=""></param>
        }, 
        
        setSelectionState: function(state) {
            /// <summary>Set selection state and update checkbox.</summary>
            /// <param name="state" type="goog.ui.SelectionMenuButton.SelectionState">Selection state.</param>
        }, 
        
        getSelectionState: function() {
            /// <summary>Get selection state.</summary>
            /// <returns type="goog.ui.SelectionMenuButton.SelectionState">Selection state.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.SelectionMenuButton";
})(this);
