
/* vsdoc for goog.ui.SplitBehavior */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.SplitBehavior = function(first, second, opt_behaviorHandler, opt_eventType, opt_domHelper){
        /// <summary></summary>
        /// <param name="first" type="goog.ui.Control">A ui control.</param>
        /// <param name="second" type="goog.ui.Control">A ui control.</param>
        /// <param name="opt_behaviorHandler" type="function(goog.ui.Control|Event)=">A handler
        ///     to apply for the behavior.</param>
        /// <param name="opt_eventType" type="string=">The event type triggering the
        ///     handler.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <field name="CSS_CLASS" type="string">Css class for elements rendered by this behavior.</field>
        /// <field name="DefaultHandlers" type="">An emum of split behavior handlers.</field>
        /// <returns type="goog.ui.SplitBehavior"/>
    };

    var $x = window.goog.ui.SplitBehavior;
    $x.prototype = {
                
        getElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The element containing the controls.</returns>
        }, 
        
        getBehaviorHandler: function() {
            /// <summary></summary>
            /// <returns type="function(goog.ui.Control|Event)">The behavior handler.</returns>
        }, 
        
        getEventType: function() {
            /// <summary></summary>
            /// <returns type="string">The behavior event type.</returns>
        }, 
        
        setDisposeControls: function(disposeFirst, disposeSecond) {
            /// <summary>Sets the disposeControls flags.</summary>
            /// <param name="disposeFirst" type="boolean">Whether to dispose the first control
            ///     when dispose is called.</param>
            /// <param name="disposeSecond" type="boolean">Whether to dispose the second control
            ///     when dispose is called.</param>
        }, 
        
        setHandler: function(behaviorHandler) {
            /// <summary>Sets the behavior handler.</summary>
            /// <param name="behaviorHandler" type="function(goog.ui.Control|Event)">The behavior
            ///     handler.</param>
        }, 
        
        setEventType: function(eventType) {
            /// <summary>Sets the behavior event type.</summary>
            /// <param name="eventType" type="string">The behavior event type.</param>
        }, 
        
        decorate: function(element, opt_activate) {
            /// <summary>Decorates an element and returns the behavior.</summary>
            /// <param name="element" type="Element">An element to decorate.</param>
            /// <param name="opt_activate" type="boolean=">Whether to activate the behavior
            ///     (default=true).</param>
            /// <returns type="goog.ui.SplitBehavior">A split behavior.</returns>
        }, 
        
        render: function(element, opt_activate) {
            /// <summary>Renders an element and returns the behavior.</summary>
            /// <param name="element" type="Element">An element to decorate.</param>
            /// <param name="opt_activate" type="boolean=">Whether to activate the behavior
            ///     (default=true).</param>
            /// <returns type="goog.ui.SplitBehavior">A split behavior.</returns>
        }, 
        
        setActive: function(activate) {
            /// <summary>Activate or deactivate the behavior.</summary>
            /// <param name="activate" type="boolean">Whether to activate or deactivate the behavior.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.SplitBehavior";
})(this);
