
/* vsdoc for goog.ui.SplitPane */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.SplitPane = function(firstComponent, secondComponent, orientation, opt_domHelper){
        /// <summary></summary>
        /// <param name="firstComponent" type="goog.ui.Component">Left or Top component.</param>
        /// <param name="secondComponent" type="goog.ui.Component">Right or Bottom component.</param>
        /// <param name="orientation" type="goog.ui.SplitPane.Orientation">SplitPane orientation.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="EventType" type="">Events.</field>
        /// <field name="Orientation" type="">Orientation values for the splitpane.</field>
        /// <returns type="goog.ui.SplitPane"/>
    };

    var $x = window.goog.ui.SplitPane;
    $x.prototype = {
                
        createDom: function() {
            /// <summary>Create the DOM node &amp; text node needed for the splitpane.</summary>
        }, 
        
        canDecorate: function(element) {
            /// <summary>Determines if a given element can be decorated by this type of component.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">True if the element can be decorated, false otherwise.</returns>
        }, 
        
        decorateInternal: function(element) {
            /// <summary>Decorates the given HTML element as a SplitPane.  Overrides {@link
            /// goog.ui.Component#decorateInternal}.  Considered protected.</summary>
            /// <param name="element" type="Element">Element (SplitPane div) to decorate.</param>
        }, 
        
        enterDocument: function() {
            /// <summary>Setup all events and do an initial resize.</summary>
        }, 
        
        setInitialSize: function(size) {
            /// <summary>Sets the initial size of the left or top component.</summary>
            /// <param name="size" type="number">The size in Pixels of the container.</param>
        }, 
        
        setHandleSize: function(size) {
            /// <summary>Sets the SplitPane handle size.
            /// TODO(user): Make sure this works after initialization.</summary>
            /// <param name="size" type="number">The size of the handle in pixels.</param>
        }, 
        
        setContinuousResize: function(continuous) {
            /// <summary>Sets whether we resize on handle drag.</summary>
            /// <param name="continuous" type="boolean">The continuous resize value.</param>
        }, 
        
        isVertical: function() {
            /// <summary>Returns whether the orientation for the split pane is vertical
            /// or not.</summary>
            /// <returns type="boolean">True if the orientation is vertical, false otherwise.</returns>
        }, 
        
        setOrientationClassForHandle: function() {
            /// <summary>Sets the orientation class for the split pane handle.</summary>
        }, 
        
        setOrientation: function(orientation) {
            /// <summary>Sets the orientation of the split pane.</summary>
            /// <param name="orientation" type="goog.ui.SplitPane.Orientation">SplitPane orientation.</param>
        }, 
        
        getOrientation: function() {
            /// <summary>Gets the orientation of the split pane.</summary>
            /// <returns type="goog.ui.SplitPane.Orientation">The orientation.</returns>
        }, 
        
        getFirstComponentSize: function() {
            /// <summary></summary>
            /// <returns type="?number">The size of the left/top component.</returns>
        }, 
        
        setFirstComponentSize: function(opt_size) {
            /// <summary>Set the size of the left/top component, and resize the other component based
            /// on that size and handle size.</summary>
            /// <param name="opt_size" type="?number=">The size of the top or left, in pixels.</param>
        }, 
        
        setSize: function(size) {
            /// <summary>Set the size of the splitpane.  This is usually called by the controlling
            /// application.  This will set the SplitPane BorderBoxSize.</summary>
            /// <param name="size" type="goog.math.Size">The size to set the splitpane.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.SplitPane";
})(this);
