
/* vsdoc for goog.ui.SubMenuRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.SubMenuRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.SubMenuRenderer"/>
    };

    var $x = window.goog.ui.SubMenuRenderer;
    $x.prototype = {
                
        createDom: function(control) {
            /// <summary>Overrides {@link goog.ui.MenuItemRenderer#createDom} by adding
            /// the additional class &apos;goog-submenu&apos; to the created element,
            /// and passes the element to {@link goog.ui.SubMenuItemRenderer#addArrow_}
            /// to add an child element that can be styled to show an arrow.</summary>
            /// <param name="control" type="goog.ui.Control">goog.ui.SubMenu to render.</param>
            /// <returns type="Element">Root element for the item.</returns>
        }, 
        
        decorate: function(control, element) {
            /// <summary>Overrides {@link goog.ui.MenuItemRenderer#decorate} by adding
            /// the additional class &apos;goog-submenu&apos; to the decorated element,
            /// and passing the element to {@link goog.ui.SubMenuItemRenderer#addArrow_}
            /// to add a child element that can be styled to show an arrow.
            /// Also searches the element for a child with the class goog-menu. If a
            /// matching child element is found, creates a goog.ui.Menu, uses it to
            /// decorate the child element, and passes that menu to subMenu.setMenu.</summary>
            /// <param name="control" type="goog.ui.Control">goog.ui.SubMenu to render.</param>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="Element">Root element for the item.</returns>
        }, 
        
        setContent: function(element, content) {
            /// <summary>Takes a menu item&apos;s root element, and sets its content to the given text
            /// caption or DOM structure.  Overrides the superclass immplementation by
            /// making sure that the submenu arrow structure is preserved.</summary>
            /// <param name="element" type="Element">The item&apos;s root element.</param>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to be
            ///     set as the item&apos;s content.</param>
        }, 
        
        initializeDom: function(control) {
            /// <summary>Overrides {@link goog.ui.MenuItemRenderer#initializeDom} to tweak
            /// the DOM structure for the span.goog-submenu-arrow element
            /// depending on the text direction (LTR or RTL). When the SubMenu is RTL
            /// the arrow will be given the additional class of goog-submenu-arrow-rtl,
            /// and the arrow will be moved up to be the first child in the SubMenu&apos;s
            /// element. Otherwise the arrow will have the class goog-submenu-arrow-ltr,
            /// and be kept as the last child of the SubMenu&apos;s element.</summary>
            /// <param name="control" type="goog.ui.Control">goog.ui.SubMenu whose DOM is to be
            ///     initialized as it enters the document.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.SubMenuRenderer";
})(this);
