
/* vsdoc for goog.ui.Tab */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Tab = function(content, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to
        ///     display as the tab&apos;s caption (if any).</param>
        /// <param name="opt_renderer" type="goog.ui.TabRenderer=">Optional renderer used to render
        ///     or decorate the tab.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM hepler, used for
        ///     document interaction.</param>
        /// <returns type="goog.ui.Tab"/>
    };

    var $x = window.goog.ui.Tab;
    $x.prototype = {
                
        getTooltip: function() {
            /// <summary></summary>
            /// <returns type="string|undefined">Tab tooltip text (if any).</returns>
        }, 
        
        setTooltip: function(tooltip) {
            /// <summary>Sets the tab tooltip text.  If the tab has already been rendered, updates
            /// its tooltip.</summary>
            /// <param name="tooltip" type="string">New tooltip text.</param>
        }, 
        
        setTooltipInternal: function(tooltip) {
            /// <summary>Sets the tab tooltip text.  Considered protected; to be called only by the
            /// renderer during element decoration.</summary>
            /// <param name="tooltip" type="string">New tooltip text.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Tab";
})(this);
