
/* vsdoc for goog.ui.TabBarRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.TabBarRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.TabBarRenderer"/>
    };

    var $x = window.goog.ui.TabBarRenderer;
    $x.prototype = {
                
        getCssClass: function() {
            /// <summary>Returns the CSS class name to be applied to the root element of all tab bars
            /// rendered or decorated using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class name.</returns>
        }, 
        
        getAriaRole: function() {
            /// <summary>Returns the ARIA role to be applied to the tab bar element.
            /// See http://wiki/Main/ARIA for more info.</summary>
            /// <returns type="goog.dom.a11y.Role">ARIA role.</returns>
        }, 
        
        setStateFromClassName: function(tabBar, className, baseClass) {
            /// <summary>Sets the tab bar&apos;s state based on the given CSS class name, encountered
            /// during decoration.  Overrides the superclass implementation by recognizing
            /// class names representing tab bar orientation and location.</summary>
            /// <param name="tabBar" type="goog.ui.Container">Tab bar to configure.</param>
            /// <param name="className" type="string">CSS class name.</param>
            /// <param name="baseClass" type="string">Base class name used as the root of state-specific
            ///     class names (typically the renderer&apos;s own class name).</param>
        }, 
        
        getClassNames: function(tabBar) {
            /// <summary>Returns all CSS class names applicable to the tab bar, based on its state.
            /// Overrides the superclass implementation by appending the location-specific
            /// class name to the list.</summary>
            /// <param name="tabBar" type="goog.ui.Container">Tab bar whose CSS classes are to be
            ///     returned.</param>
            /// <returns type="Array.string">Array of CSS class names applicable to the tab bar.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TabBarRenderer";
})(this);
