
/* vsdoc for goog.ui.TabPane */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.TabPane = function(el, opt_tabLocation, opt_domHelper, opt_useMouseDown){
        /// <summary></summary>
        /// <param name="el" type="Element">Container element to create the tab pane out of.</param>
        /// <param name="opt_tabLocation" type="goog.ui.TabPane.TabLocation=">Location of the tabs
        ///     in relation to the content container. Default is top.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <param name="opt_useMouseDown" type="boolean=">Whether to use MOUSEDOWN instead of CLICK
        ///     for tab changes.</param>
        /// <field name="dom_" type="goog.dom.DomHelper">DomHelper used to interact with the document, allowing components to be
        /// created in a different window.  This property is considered protected;
        /// subclasses of Component may refer to it directly.</field>
        /// <field name="Events" type="Object">Constants for event names</field>
        /// <field name="TabLocation" type="">Enum for representing the location of the tabs in relation to the content.</field>
        /// <returns type="goog.ui.TabPane"/>
    };

    var $x = window.goog.ui.TabPane;
    $x.prototype = {
                
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        addPage: function(page, opt_index) {
            /// <summary>Adds a page to the tab pane.</summary>
            /// <param name="page" type="goog.ui.TabPane.TabPage">Tab page to add.</param>
            /// <param name="opt_index" type="number=">Zero based index to insert tab at. Inserted at the
            ///                           end if not specified.</param>
        }, 
        
        removePage: function(page) {
            /// <summary>Removes the specified page from the tab pane.</summary>
            /// <param name="page" type="goog.ui.TabPane.TabPage|number">Reference to tab page or zero
            ///     based index.</param>
        }, 
        
        getPage: function(index) {
            /// <summary>Gets the tab page by zero based index.</summary>
            /// <param name="index" type="number">Index of page to return.</param>
            /// <returns type="goog.ui.TabPane.TabPage?">page The tab page.</returns>
        }, 
        
        setSelectedPage: function(page) {
            /// <summary>Sets the selected tab page by object reference.</summary>
            /// <param name="page" type="goog.ui.TabPane.TabPage">Tab page to select.</param>
        }, 
        
        setSelectedIndex: function(index) {
            /// <summary>Sets the selected tab page by zero based index.</summary>
            /// <param name="index" type="number">Index of page to select.</param>
        }, 
        
        getSelectedIndex: function() {
            /// <summary></summary>
            /// <returns type="number">The index for the selected tab page or -1 if no page is
            ///     selected.</returns>
        }, 
        
        getSelectedPage: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.TabPane.TabPage?">The selected tab page.</returns>
        }, 
        
        getContentElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The element that contains the tab pages.</returns>
        }, 
        
        getElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The main element for the tabpane.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TabPane";
})(this);
