
/* vsdoc for goog.ui.TabPane.TabPage */

(function (window) {
    window.goog.ui.TabPane = window.goog.ui.TabPane || {};

    window.goog.ui.TabPane.TabPage = function(opt_el, opt_title, opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_el" type="Element=">Container element to create the pane out of.</param>
        /// <param name="opt_title" type="(Element|string)=">Pane title or element to use as the
        ///     title. If not specified the first element in the container is used as
        ///     the title.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper
        /// The first parameter can be omitted.</param>
        /// <field name="dom_" type="goog.dom.DomHelper">DomHelper used to interact with the document, allowing components to be
        /// created in a different window.  This property is considered protected;
        /// subclasses of Component may refer to it directly.</field>
        /// <returns type="goog.ui.TabPane.TabPage"/>
    };

    var $x = window.goog.ui.TabPane.TabPage;
    $x.prototype = {
                
        getTitle: function() {
            /// <summary></summary>
            /// <returns type="string">The title for tab page.</returns>
        }, 
        
        setTitle: function(title) {
            /// <summary>Sets title for tab page.</summary>
            /// <param name="title" type="string">Title for tab page.</param>
        }, 
        
        getTitleElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The title element.</returns>
        }, 
        
        getContentElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The content element.</returns>
        }, 
        
        getIndex: function() {
            /// <summary></summary>
            /// <returns type="?number">The index of page in tab pane.</returns>
        }, 
        
        getParent: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.TabPane?">The parent tab pane for page.</returns>
        }, 
        
        select: function() {
            /// <summary>Selects page in the associated tab pane.</summary>
        }, 
        
        setEnabled: function(enabled) {
            /// <summary>Sets the enabled state.</summary>
            /// <param name="enabled" type="boolean">Enabled state.</param>
        }, 
        
        isEnabled: function() {
            /// <summary>Returns if the page is enabled.</summary>
            /// <returns type="boolean">Whether the page is enabled or not.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TabPane.TabPage";
})(this);
