
/* vsdoc for goog.ui.TableSorter */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.TableSorter = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <field name="EventType" type="">Table sorter events.</field>
        /// <field name="noSort" type="number">Disables sorting on the specified column</field>
        /// <field name="alphaSort" type="number">Alphabetic sort function.</field>
        /// <returns type="goog.ui.TableSorter"/>
    };

    var $x = window.goog.ui.TableSorter;
    $x.prototype = {
                
        setSortableHeaderRowIndex: function(index) {
            /// <summary>Sets the row index (in &lt;thead&gt;) to be used for sorting.
            /// By default, the first row (index 0) is used.
            /// Must be called before decorate() is called.</summary>
            /// <param name="index" type="number">The row index.</param>
        }, 
        
        canDecorate: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        getSortColumn: function() {
            /// <summary></summary>
            /// <returns type="number">The current sort column of the table, or -1 if none.</returns>
        }, 
        
        isSortReversed: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the last sort was in reverse.</returns>
        }, 
        
        getDefaultSortFunction: function() {
            /// <summary></summary>
            /// <returns type="function(*|*) : number">The default sort function to be used by
            ///     all columns.</returns>
        }, 
        
        setDefaultSortFunction: function(sortFunction) {
            /// <summary>Sets the default sort function to be used by all columns.  If not set
            /// explicitly, this defaults to numeric sorting.</summary>
            /// <param name="sortFunction" type="function(*|*) : number">The new default sort function.</param>
        }, 
        
        getSortFunction: function(column) {
            /// <summary>Gets the sort function to be used by the given column.  Returns the default
            /// sort function if no sort function is explicitly set for this column.</summary>
            /// <param name="column" type="number">The column index.</param>
            /// <returns type="function(*|*) : number">The sort function used by the column.</returns>
        }, 
        
        setSortFunction: function(column, sortFunction) {
            /// <summary>Set the sort function for the given column, overriding the default sort
            /// function.</summary>
            /// <param name="column" type="number">The column index.</param>
            /// <param name="sortFunction" type="function(*|*) : number">The new sort function.</param>
        }, 
        
        sort: function(column, opt_reverse) {
            /// <summary>Sort the table contents by the values in the given column.</summary>
            /// <param name="column" type="number">The column to sort by.</param>
            /// <param name="opt_reverse" type="boolean=">Whether to sort in reverse.</param>
            /// <returns type="boolean">Whether the sort was executed.</returns>
        }, 
        
        numericSort: function(a, b) {
            /// <summary>A numeric sort function.</summary>
            /// <param name="a" type="*">First sort value.</param>
            /// <param name="b" type="*">Second sort value.</param>
            /// <returns type="number">Negative if a &lt; b, 0 if a = b, and positive if a &gt; b.</returns>
        }, 
        
        createReverseSort: function(sortFunction) {
            /// <summary>Returns a function that is the given sort function in reverse.</summary>
            /// <param name="sortFunction" type="function(*|*) : number">The original sort function.</param>
            /// <returns type="function(*|*) : number">A new sort function that reverses the
            ///     given sort function.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TableSorter";
})(this);
