
/* vsdoc for goog.ui.Textarea */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Textarea = function(content, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="content" type="string">Text to set as the textarea&apos;s value.</param>
        /// <param name="opt_renderer" type="goog.ui.TextareaRenderer=">Renderer used to render or
        ///     decorate the textarea. Defaults to {@link goog.ui.TextareaRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <field name="EventType" type="">Constants for event names.</field>
        /// <returns type="goog.ui.Textarea"/>
    };

    var $x = window.goog.ui.Textarea;
    $x.prototype = {
                
        getMinHeight: function() {
            /// <summary></summary>
            /// <returns type="number">The minHeight value.</returns>
        }, 
        
        setMinHeight: function(height) {
            /// <summary>Sets a minimum height for the textarea, and calls resize if rendered.</summary>
            /// <param name="height" type="number">New minHeight value.</param>
        }, 
        
        getMaxHeight: function() {
            /// <summary></summary>
            /// <returns type="number">The maxHeight value.</returns>
        }, 
        
        setMaxHeight: function(height) {
            /// <summary>Sets a maximum height for the textarea, and calls resize if rendered.</summary>
            /// <param name="height" type="number">New maxHeight value.</param>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the textarea&apos;s value.</summary>
            /// <param name="value" type="*">The value property for the textarea, will be cast to a
            ///     string by the browser when setting textarea.value.</param>
        }, 
        
        getValue: function() {
            /// <summary>Gets the textarea&apos;s value.</summary>
            /// <returns type="string">value The value of the textarea.</returns>
        }, 
        
        setContent: function(content) {
            /// <summary></summary>
            /// <param name="content" type=""></param>
        }, 
        
        setEnabled: function(enable) {
            /// <summary></summary>
            /// <param name="enable" type=""></param>
        }, 
        
        resize: function() {
            /// <summary>Resizes the textarea vertically.</summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Textarea";
})(this);
