
/* vsdoc for goog.ui.TextareaRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.TextareaRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <field name="setRightToLeft" type="">Textareas natively support right-to-left rendering.</field>
        /// <field name="setFocusable" type="">Textareas natively support keyboard focus.</field>
        /// <field name="updateAriaState" type="">Textareas don&apos;t need ARIA states to support accessibility, so this is
        /// a no-op.</field>
        /// <returns type="goog.ui.TextareaRenderer"/>
    };

    var $x = window.goog.ui.TextareaRenderer;
    $x.prototype = {
                
        getAriaRole: function() {
            /// <summary></summary>
        }, 
        
        decorate: function(control, element) {
            /// <summary></summary>
            /// <param name="control" type=""></param>
            /// <param name="element" type=""></param>
        }, 
        
        createDom: function(textarea) {
            /// <summary>Returns the textarea&apos;s contents wrapped in an HTML textarea element.  Sets
            /// the textarea&apos;s disabled attribute as needed.</summary>
            /// <param name="textarea" type="goog.ui.Control">Textarea to render.</param>
            /// <returns type="Element">Root element for the Textarea control (an HTML textarea
            ///     element).</returns>
        }, 
        
        canDecorate: function(element) {
            /// <summary>Overrides {@link goog.ui.TextareaRenderer#canDecorate} by returning true only
            /// if the element is an HTML textarea.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="boolean">Whether the renderer can decorate the element.</returns>
        }, 
        
        isFocusable: function(textarea) {
            /// <summary>Textareas are always focusable as long as they are enabled.</summary>
            /// <param name="textarea" type=""></param>
        }, 
        
        setState: function(textarea, state, enable) {
            /// <summary>Textareas also expose the DISABLED state in the HTML textarea&apos;s
            /// {@code disabled} attribute.</summary>
            /// <param name="textarea" type=""></param>
            /// <param name="state" type=""></param>
            /// <param name="enable" type=""></param>
        }, 
        
        setContent: function(element, value) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
            /// <param name="value" type=""></param>
        }, 
        
        getCssClass: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TextareaRenderer";
})(this);
