
/* vsdoc for goog.ui.ToolbarColorMenuButtonRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ToolbarColorMenuButtonRenderer = function(){
        /// <summary></summary>
        /// <returns type="goog.ui.ToolbarColorMenuButtonRenderer"/>
    };

    var $x = window.goog.ui.ToolbarColorMenuButtonRenderer;
    $x.prototype = {
                
        createCaption: function(content, dom) {
            /// <summary>Overrides the superclass implementation by wrapping the caption text or DOM
            /// structure in a color indicator element.  Creates the following DOM structure:
            ///   &lt;div class=&quot;goog-inline-block goog-toolbar-menu-button-caption&quot;&gt;
            ///     &lt;div class=&quot;goog-color-menu-button-indicator&quot;&gt;
            ///       Contents...
            ///     &lt;/div&gt;
            ///   &lt;/div&gt;</summary>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure.</param>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Caption element.</returns>
        }, 
        
        setValue: function(element, value) {
            /// <summary>Takes a color menu button control&apos;s root element and a value object
            /// (which is assumed to be a color), and updates the button&apos;s DOM to reflect
            /// the new color.  Overrides {@link goog.ui.ButtonRenderer#setValue}.</summary>
            /// <param name="element" type="Element">The button control&apos;s root element (if rendered).</param>
            /// <param name="value" type="*">New value; assumed to be a color spec string.</param>
        }, 
        
        initializeDom: function(button) {
            /// <summary>Initializes the button&apos;s DOM when it enters the document.  Overrides the
            /// superclass implementation by making sure the button&apos;s color indicator is
            /// initialized.</summary>
            /// <param name="button" type="goog.ui.Control">goog.ui.ColorMenuButton whose DOM is to be
            ///     initialized as it enters the document.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ToolbarColorMenuButtonRenderer";
})(this);
