
/* vsdoc for goog.ui.ToolbarRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ToolbarRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of toolbars rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.ToolbarRenderer"/>
    };

    var $x = window.goog.ui.ToolbarRenderer;
    $x.prototype = {
                
        getAriaRole: function() {
            /// <summary>Returns the ARIA role to be applied to toolbar/menubar.</summary>
            /// <returns type="string">ARIA role.</returns>
        }, 
        
        getDecoratorForChild: function(element) {
            /// <summary>Inspects the element, and creates an instance of {@link goog.ui.Control} or
            /// an appropriate subclass best suited to decorate it.  Overrides the superclass
            /// implementation by recognizing HR elements as separators.</summary>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="goog.ui.Control?">A new control suitable to decorate the element
            ///     (null if none).</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of containers
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }, 
        
        getDefaultOrientation: function() {
            /// <summary>Returns the default orientation of containers rendered or decorated by this
            /// renderer.  This implementation returns {@code HORIZONTAL}.</summary>
            /// <returns type="goog.ui.Container.Orientation">Default orientation for containers
            ///     created or decorated by this renderer.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ToolbarRenderer";
})(this);
