
/* vsdoc for goog.ui.ToolbarSeparatorRenderer */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.ToolbarSeparatorRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.ToolbarSeparatorRenderer"/>
    };

    var $x = window.goog.ui.ToolbarSeparatorRenderer;
    $x.prototype = {
                
        createDom: function(separator) {
            /// <summary>Returns a styled toolbar separator implemented by the following DOM:
            /// &lt;div class=&quot;goog-toolbar-separator goog-inline-block&quot;&gt;&amp;nbsp;&lt;/div&gt;
            /// Overrides {@link goog.ui.MenuSeparatorRenderer#createDom}.</summary>
            /// <param name="separator" type="goog.ui.Control">goog.ui.Separator to render.</param>
            /// <returns type="Element">Root element for the separator.</returns>
        }, 
        
        decorate: function(separator, element) {
            /// <summary>Takes an existing element, and decorates it with the separator.  Overrides
            /// {@link goog.ui.MenuSeparatorRenderer#decorate}.</summary>
            /// <param name="separator" type="goog.ui.Control">goog.ui.Separator to decorate the element.</param>
            /// <param name="element" type="Element">Element to decorate.</param>
            /// <returns type="Element">Decorated element.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ToolbarSeparatorRenderer";
})(this);
