
/* vsdoc for goog.ui.TwoThumbSlider */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.TwoThumbSlider = function(opt_domHelper){
        /// <summary></summary>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="CSS_CLASS_PREFIX" type="string">The prefix we use for the CSS class names for the slider and its elements.</field>
        /// <field name="VALUE_THUMB_CSS_CLASS" type="string">CSS class name for the value thumb element.</field>
        /// <field name="EXTENT_THUMB_CSS_CLASS" type="string">CSS class name for the extent thumb element.</field>
        /// <field name="RANGE_HIGHLIGHT_CSS_CLASS" type="string">CSS class name for the range highlight element.</field>
        /// <returns type="goog.ui.TwoThumbSlider"/>
    };

    var $x = window.goog.ui.TwoThumbSlider;
    $x.prototype = {
                
        getCssClass: function(orient) {
            /// <summary></summary>
            /// <param name="orient" type="goog.ui.SliderBase.Orientation">orientation of the slider.</param>
            /// <returns type="string">The CSS class applied to the twothumbslider element.</returns>
        }, 
        
        createThumbs: function() {
            /// <summary>Creates the thumb members for a twothumbslider. If the
            /// element contains a child with a class name &apos;goog-twothumbslider-value-thumb&apos;
            /// (or &apos;goog-twothumbslider-extent-thumb&apos;, respectively), then that will be used
            /// as the valueThumb (or as the extentThumb, respectively). If the element
            /// contains a child with a class name &apos;goog-twothumbslider-rangehighlight&apos;,
            /// then that will be used as the range highlight.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.TwoThumbSlider";
})(this);
