
/* vsdoc for goog.ui.Zippy */

(function (window) {
    window.goog.ui = window.goog.ui || {};

    window.goog.ui.Zippy = function(header, opt_content, opt_expanded, opt_expandedHeader, opt_domHelper){
        /// <summary></summary>
        /// <param name="header" type="Element|string|null">Header element, either element
        ///     reference, string id or null if no header exists.</param>
        /// <param name="opt_content" type="Element|string|function():Element=">Content element
        ///     (if any), either element reference or string id.  If skipped, the caller
        ///     should handle the TOGGLE event in its own way. If a function is passed,
        ///     then if will be called to create the content element the first time the
        ///     zippy is expanded.</param>
        /// <param name="opt_expanded" type="boolean=">Initial expanded/visibility state. Defaults to
        ///     false.</param>
        /// <param name="opt_expandedHeader" type="Element|string=">Element to use as the header when
        ///     the zippy is expanded.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">An optional DOM helper.</param>
        /// <field name="Events" type="Object">Constants for event names</field>
        /// <returns type="goog.ui.Zippy"/>
    };

    var $x = window.goog.ui.Zippy;
    $x.prototype = {
                
        addHeaderEvents: function(el) {
            /// <summary></summary>
            /// <param name="el" type=""></param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getAriaRole: function() {
            /// <summary></summary>
            /// <returns type="goog.dom.a11y.Role">The ARIA role to be applied to Zippy element.</returns>
        }, 
        
        getContentElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The content element.</returns>
        }, 
        
        getVisibleHeaderElement: function() {
            /// <summary></summary>
            /// <returns type="Element">The visible header element.</returns>
        }, 
        
        expand: function() {
            /// <summary>Expands content pane.</summary>
        }, 
        
        collapse: function() {
            /// <summary>Collapses content pane.</summary>
        }, 
        
        toggle: function() {
            /// <summary>Toggles expanded state.</summary>
        }, 
        
        setExpanded: function(expanded) {
            /// <summary>Sets expanded state.</summary>
            /// <param name="expanded" type="boolean">Expanded/visibility state.</param>
        }, 
        
        setExpandedInternal: function(expanded) {
            /// <summary>Sets expanded internal state.</summary>
            /// <param name="expanded" type="boolean">Expanded/visibility state.</param>
        }, 
        
        isExpanded: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the zippy is expanded.</returns>
        }, 
        
        updateHeaderClassName: function(expanded) {
            /// <summary>Updates the header element&apos;s className and ARIA (accessibility) EXPANDED
            /// state.</summary>
            /// <param name="expanded" type="boolean">Expanded/visibility state.</param>
        }, 
        
        isHandleMouseEvents: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the Zippy handles its own key events.</returns>
        }, 
        
        isHandleKeyEvents: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the Zippy handles its own mouse events.</returns>
        }, 
        
        setHandleKeyboardEvents: function(enable) {
            /// <summary>Sets whether the Zippy handles it&apos;s own keyboard events.</summary>
            /// <param name="enable" type="boolean">Whether the Zippy handles keyboard events.</param>
        }, 
        
        setHandleMouseEvents: function(enable) {
            /// <summary>Sets whether the Zippy handles it&apos;s own mouse events.</summary>
            /// <param name="enable" type="boolean">Whether the Zippy handles mouse events.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.Zippy";
})(this);
