
/* vsdoc for goog.ui.ac.ArrayMatcher */

(function (window) {
    window.goog.ui.ac = window.goog.ui.ac || {};

    window.goog.ui.ac.ArrayMatcher = function(rows, opt_noSimilar){
        /// <summary></summary>
        /// <param name="rows" type="Array">Dictionary of items to match.  Can be objects if they
        ///     have a toString method that returns the value to match against.</param>
        /// <param name="opt_noSimilar" type="boolean=">if true, do not do similarity matches for the
        ///     input token against the dictionary.</param>
        /// <returns type="goog.ui.ac.ArrayMatcher"/>
    };

    var $x = window.goog.ui.ac.ArrayMatcher;
    $x.prototype = {
                
        setRows: function(rows) {
            /// <summary>Replaces the rows that this object searches over.</summary>
            /// <param name="rows" type="Array">Dictionary of items to match.</param>
        }, 
        
        requestMatchingRows: function(token, maxMatches, matchHandler, opt_fullString) {
            /// <summary>Function used to pass matches to the autocomplete</summary>
            /// <param name="token" type="string">Token to match.</param>
            /// <param name="maxMatches" type="number">Max number of matches to return.</param>
            /// <param name="matchHandler" type="Function">callback to execute after matching.</param>
            /// <param name="opt_fullString" type="string=">The full string from the input box.</param>
        }, 
        
        getPrefixMatches: function(token, maxMatches) {
            /// <summary>Matches the token against the start of words in the row.</summary>
            /// <param name="token" type="string">Token to match.</param>
            /// <param name="maxMatches" type="number">Max number of matches to return.</param>
            /// <returns type="Array">Rows that match.</returns>
        }, 
        
        getSimilarRows: function(token, maxMatches) {
            /// <summary>Matches the token against similar rows, by calculating &quot;distance&quot; between the
            /// terms.</summary>
            /// <param name="token" type="string">Token to match.</param>
            /// <param name="maxMatches" type="number">Max number of matches to return.</param>
            /// <returns type="Array">The best maxMatches rows.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ac.ArrayMatcher";
})(this);
