
/* vsdoc for goog.ui.ac.Remote */

(function (window) {
    window.goog.ui.ac = window.goog.ui.ac || {};

    window.goog.ui.ac.Remote = function(url, input, opt_multi, opt_useSimilar){
        /// <summary></summary>
        /// <param name="url" type="string">The Uri which generates the auto complete matches.</param>
        /// <param name="input" type="Element">Input element or text area.</param>
        /// <param name="opt_multi" type="boolean=">Whether to allow multiple entries; defaults
        ///     to false.</param>
        /// <param name="opt_useSimilar" type="boolean=">Whether to use similar matches; e.g.
        ///     &quot;gost&quot; => &quot;ghost&quot;.</param>
        /// <returns type="goog.ui.ac.Remote"/>
    };

    var $x = window.goog.ui.ac.Remote;
    $x.prototype = {
                
        setUseStandardHighlighting: function(useStandardHighlighting) {
            /// <summary>Set whether or not standard highlighting should be used when rendering rows.</summary>
            /// <param name="useStandardHighlighting" type="boolean">true if standard highlighting used.</param>
        }, 
        
        getInputHandler: function() {
            /// <summary>Gets the attached InputHandler object.</summary>
            /// <returns type="goog.ui.ac.InputHandler">The input handler.</returns>
        }, 
        
        setMethod: function(method) {
            /// <summary>Set the send method (&quot;GET&quot;, &quot;POST&quot;) for the matcher.</summary>
            /// <param name="method" type="string">The send method; default: GET.</param>
        }, 
        
        setContent: function(content) {
            /// <summary>Set the post data for the matcher.</summary>
            /// <param name="content" type="string">Post data.</param>
        }, 
        
        setHeaders: function(headers) {
            /// <summary>Set the HTTP headers for the matcher.</summary>
            /// <param name="headers" type="Object|goog.structs.Map">Map of headers to add to the
            ///     request.</param>
        }, 
        
        setTimeoutInterval: function(interval) {
            /// <summary>Set the timeout interval for the matcher.</summary>
            /// <param name="interval" type="number">Number of milliseconds after which an
            ///     incomplete request will be aborted; 0 means no timeout is set.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ac.Remote";
})(this);
