
/* vsdoc for goog.ui.ac.RichRemoteArrayMatcher */

(function (window) {
    window.goog.ui.ac = window.goog.ui.ac || {};

    window.goog.ui.ac.RichRemoteArrayMatcher = function(url, opt_noSimilar){
        /// <summary></summary>
        /// <param name="url" type="string">The Uri which generates the auto complete matches.  The
        ///     search term is passed to the server as the &apos;token&apos; query param.</param>
        /// <param name="opt_noSimilar" type="boolean=">If true, request that the server does not do
        ///     similarity matches for the input token against the dictionary.
        ///     The value is sent to the server as the &apos;use_similar&apos; query param which is
        ///     either &quot;1&quot; (opt_noSimilar==false) or &quot;0&quot; (opt_noSimilar==true).</param>
        /// <returns type="goog.ui.ac.RichRemoteArrayMatcher"/>
    };

    var $x = window.goog.ui.ac.RichRemoteArrayMatcher;
    $x.prototype = {
                
        setRowFilter: function(rowFilter) {
            /// <summary>Set the filter that is called before the array matches are returned.</summary>
            /// <param name="rowFilter" type="Function">A function(rows) that returns an array of rows as
            ///     a subset of the rows input array.</param>
        }, 
        
        requestMatchingRows: function(token, maxMatches, matchHandler) {
            /// <summary>Retrieve a set of matching rows from the server via ajax and convert them
            /// into rich rows.</summary>
            /// <param name="token" type="string">The text that should be matched; passed to the server
            ///     as the &apos;token&apos; query param.</param>
            /// <param name="maxMatches" type="number">The maximum number of matches requested from the
            ///     server; passed as the &apos;max_matches&apos; query param. The server is
            ///     responsible for limiting the number of matches that are returned.</param>
            /// <param name="matchHandler" type="Function">Callback to execute on the result after
            ///     matching.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.ac.RichRemoteArrayMatcher";
})(this);
