
/* vsdoc for goog.ui.editor.DefaultToolbar */

(function (window) {
    window.goog.ui.editor = window.goog.ui.editor || {};

    window.goog.ui.editor.DefaultToolbar = {
        /// <summary></summary>
        /// <field name="MSG_FONT_NORMAL" type="">Font menu item caption for the default sans-serif font.</field>
        /// <field name="MSG_FONT_NORMAL_SERIF" type="">Font menu item caption for the default serif font.</field>
        /// <field name="MSG_FONT_SIZE_SMALL" type="">Font size menu item caption for the &apos;Small&apos; size.</field>
        /// <field name="MSG_FONT_SIZE_NORMAL" type="">Font size menu item caption for the &apos;Normal&apos; size.</field>
        /// <field name="MSG_FONT_SIZE_LARGE" type="">Font size menu item caption for the &apos;Large&apos; size.</field>
        /// <field name="MSG_FONT_SIZE_HUGE" type="">Font size menu item caption for the &apos;Huge&apos; size.</field>
        /// <field name="MSG_FORMAT_HEADING" type="">Caption for &quot;Heading&quot; block format option.</field>
        /// <field name="MSG_FORMAT_SUBHEADING" type="">Caption for &quot;Subheading&quot; block format option.</field>
        /// <field name="MSG_FORMAT_MINOR_HEADING" type="">Caption for &quot;Minor heading&quot; block format option.</field>
        /// <field name="MSG_FORMAT_NORMAL" type="">Caption for &quot;Normal&quot; block format option.</field>
        /// <field name="DEFAULT_BUTTONS" type="!Array.<string>">A set of built-in buttons to display in the default editor toolbar.</field>
        /// <field name="DEFAULT_BUTTONS_RTL" type="!Array.<string>">A set of built-in buttons to display in the default editor toolbar when
        /// the editor chrome is right-to-left (BiDi mode only).</field>
        /// <field name="MSG_FORMAT_BLOCK_TITLE" type="">Format menu tooltip.</field>
        /// <field name="MSG_FORMAT_BLOCK_CAPTION" type="">Format menu caption.</field>
        /// <field name="MSG_UNDO_TITLE" type="">Undo button tooltip.</field>
        /// <field name="MSG_REDO_TITLE" type="">Redo button tooltip.</field>
        /// <field name="MSG_FONT_FACE_TITLE" type="">Font menu tooltip.</field>
        /// <field name="MSG_FONT_SIZE_TITLE" type="">Font size menu tooltip.</field>
        /// <field name="MSG_FONT_COLOR_TITLE" type="">Text foreground color menu tooltip.</field>
        /// <field name="MSG_BOLD_TITLE" type="">Bold button tooltip.</field>
        /// <field name="MSG_ITALIC_TITLE" type="">Italic button tooltip.</field>
        /// <field name="MSG_UNDERLINE_TITLE" type="">Underline button tooltip.</field>
        /// <field name="MSG_BACKGROUND_COLOR_TITLE" type="">Text background color menu tooltip.</field>
        /// <field name="MSG_LINK_TITLE" type="">Link button tooltip.</field>
        /// <field name="MSG_ORDERED_LIST_TITLE" type="">Numbered list button tooltip.</field>
        /// <field name="MSG_UNORDERED_LIST_TITLE" type="">Bullet list button tooltip.</field>
        /// <field name="MSG_OUTDENT_TITLE" type="">Outdent button tooltip.</field>
        /// <field name="MSG_INDENT_TITLE" type="">Indent button tooltip.</field>
        /// <field name="MSG_ALIGN_LEFT_TITLE" type="">Align left button tooltip.</field>
        /// <field name="MSG_ALIGN_CENTER_TITLE" type="">Align center button tooltip.</field>
        /// <field name="MSG_ALIGN_RIGHT_TITLE" type="">Align right button tooltip.</field>
        /// <field name="MSG_JUSTIFY_TITLE" type="">Justify button tooltip.</field>
        /// <field name="MSG_REMOVE_FORMAT_TITLE" type="">Remove formatting button tooltip.</field>
        /// <field name="MSG_IMAGE_TITLE" type="">Insert image button tooltip.</field>
        /// <field name="MSG_STRIKE_THROUGH_TITLE" type="">Strike through button tooltip.</field>
        /// <field name="MSG_DIR_LTR_TITLE" type="">Left-to-right button tooltip.</field>
        /// <field name="MSG_DIR_RTL_TITLE" type="">Right-to-left button tooltip.</field>
        /// <field name="MSG_BLOCKQUOTE_TITLE" type="">Blockquote button tooltip.</field>
        /// <field name="MSG_EDIT_HTML_TITLE" type="">Edit HTML button tooltip.</field>
        /// <field name="MSG_SUBSCRIPT" type="">Subscript button tooltip.</field>
        /// <field name="MSG_SUPERSCRIPT" type="">Superscript button tooltip.</field>
        /// <field name="MSG_EDIT_HTML_CAPTION" type="">Edit HTML button caption.</field>
        /// <returns type="goog.ui.editor.DefaultToolbar"/>
                
        setLocale: function(locale) {
            /// <summary>Sets the locale for the font names.  If not set, defaults to &apos;en-us&apos;.
            /// Used only for default creation of font names name.  Must be set
            /// before font name menu is created.</summary>
            /// <param name="locale" type="string">Locale to use for the toolbar font names.</param>
        }, 
        
        addDefaultFonts: function(button) {
            /// <summary>Initializes the given font menu button by adding default fonts to the menu.
            /// If goog.ui.editor.DefaultToolbar.setLocale was called to specify a locale
            /// for which locale-specific default fonts exist, those are added before
            /// common fonts.</summary>
            /// <param name="button" type="!goog.ui.Select">Font menu button.</param>
        }, 
        
        addDefaultFontSizes: function(button) {
            /// <summary>Initializes the given font size menu button by adding default font sizes to
            /// it.</summary>
            /// <param name="button" type="!goog.ui.Select">Font size menu button.</param>
        }, 
        
        addDefaultFormatOptions: function(button) {
            /// <summary>Initializes the given &quot;Format block&quot; menu button by adding default format
            /// options to the menu.</summary>
            /// <param name="button" type="!goog.ui.Select">&quot;Format block&quot; menu button.</param>
        }, 
        
        makeDefaultToolbar: function(elem, opt_isRightToLeft) {
            /// <summary>Creates a {@link goog.ui.Toolbar} containing a default set of editor
            /// toolbar buttons, and renders it into the given parent element.</summary>
            /// <param name="elem" type="!Element">Toolbar parent element.</param>
            /// <param name="opt_isRightToLeft" type="boolean=">Whether the editor chrome is
            ///     right-to-left; defaults to the directionality of the toolbar parent
            ///     element.</param>
            /// <returns type="!goog.ui.Toolbar">Default editor toolbar, rendered into the given
            ///     parent element.</returns>
        }, 
        
        makeToolbar: function(items, elem, opt_isRightToLeft) {
            /// <summary>Creates a {@link goog.ui.Toolbar} containing the specified set of
            /// toolbar buttons, and renders it into the given parent element.  Each
            /// item in the {@code items} array must either be a
            /// {@link goog.editor.Command} (to create a built-in button) or a subclass
            /// of {@link goog.ui.Control} (to create a custom control).</summary>
            /// <param name="items" type="!Array.string|goog.ui.Control">Toolbar items; each must
            ///     be a {@link goog.editor.Command} or a {@link goog.ui.Control}.</param>
            /// <param name="elem" type="!Element">Toolbar parent element.</param>
            /// <param name="opt_isRightToLeft" type="boolean=">Whether the editor chrome is
            ///     right-to-left; defaults to the directionality of the toolbar parent
            ///     element.</param>
            /// <returns type="!goog.ui.Toolbar">Editor toolbar, rendered into the given parent
            ///     element.</returns>
        }, 
        
        makeBuiltInToolbarButton: function(command, opt_domHelper) {
            /// <summary>Creates an instance of a subclass of {@link goog.ui.Button} for the given
            /// {@link goog.editor.Command}, or null if no built-in button exists for the
            /// command.  Note that this function is only intended to create built-in
            /// buttons; please don&apos;t try to hack it!</summary>
            /// <param name="command" type="string">Editor command ID.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">DOM helper, used for DOM
            ///     creation; defaults to the current document if unspecified.</param>
            /// <returns type="goog.ui.Button">Toolbar button (null if no built-in button exists
            ///     for the command).</returns>
        }
        
    };

    var $x = window.goog.ui.editor.DefaultToolbar;
    $x.__namespace = "true";
    $x.__typeName = "goog.ui.editor.DefaultToolbar";
})(this);
