
/* vsdoc for goog.ui.editor.LinkDialog */

(function (window) {
    window.goog.ui.editor = window.goog.ui.editor || {};

    window.goog.ui.editor.LinkDialog = function(domHelper, link){
        /// <summary></summary>
        /// <param name="domHelper" type="goog.dom.DomHelper">DomHelper to be used to create the
        ///     dialog&apos;s dom structure.</param>
        /// <param name="link" type="goog.editor.Link">The target link.</param>
        /// <field name="EventType" type="">Events specific to the link dialog.</field>
        /// <returns type="goog.ui.editor.LinkDialog"/>
    };

    var $x = window.goog.ui.editor.LinkDialog;
    $x.prototype = {
                
        setEmailWarning: function(emailWarning) {
            /// <summary>Sets the warning message to show to users about including email addresses on
            /// public web pages.</summary>
            /// <param name="emailWarning" type="string">Warning message to show users about including
            ///     email addresses on the web.</param>
        }, 
        
        showOpenLinkInNewWindow: function(startChecked) {
            /// <summary>Tells the dialog to show a checkbox where the user can choose to have the
            /// link open in a new window.</summary>
            /// <param name="startChecked" type="boolean">Whether to check the checkbox the first
            ///     time the dialog is shown. Subesquent times the checkbox will remember its
            ///     previous state.</param>
        }, 
        
        showRelNoFollow: function() {
            /// <summary>Tells the dialog to show a checkbox where the user can choose to add
            /// &apos;rel=nofollow&apos; attribute to the link.</summary>
        }, 
        
        show: function() {
            /// <summary></summary>
        }, 
        
        hide: function() {
            /// <summary></summary>
        }, 
        
        setTextToDisplayVisible: function(visible) {
            /// <summary>Tells the dialog whether to show the &apos;text to display&apos; div.
            /// When the target element of the dialog is an image, there is no link text
            /// to modify. This function can be used for this kind of situations.</summary>
            /// <param name="visible" type="boolean">Whether to make &apos;text to display&apos; div visible.</param>
        }, 
        
        setStopReferrerLeaks: function(stop) {
            /// <summary>Tells the plugin whether to stop leaking the page&apos;s url via the referrer
            /// header when the &quot;test this link&quot; link is clicked.</summary>
            /// <param name="stop" type="boolean">Whether to stop leaking the referrer.</param>
        }, 
        
        setAutogenFeatureEnabled: function(enable) {
            /// <summary>Tells the dialog whether the autogeneration of text to display is to be
            /// enabled.</summary>
            /// <param name="enable" type="boolean">Whether to enable the feature.</param>
        }, 
        
        hasNoFollow: function(str) {
            /// <summary>Checks if {@code str} contains {@code &quot;nofollow&quot;} as a separate word.</summary>
            /// <param name="str" type="string">String to be tested.  This is usually {@code rel}
            ///     attribute of an {@code HTMLAnchorElement} object.</param>
            /// <returns type="boolean">{@code true} if {@code str} contains {@code nofollow}.</returns>
        }, 
        
        removeNoFollow: function(rel) {
            /// <summary>Removes {@code &quot;nofollow&quot;} from {@code rel} if it&apos;s present as a separate
            /// word.</summary>
            /// <param name="rel" type="string">Input string.  This is usually {@code rel} attribute of
            ///     an {@code HTMLAnchorElement} object.</param>
            /// <returns type="string">{@code rel} with any {@code &quot;nofollow&quot;} removed.</returns>
        }, 
        
        createDialogControl: function() {
            /// <summary></summary>
        }, 
        
        createOkEvent: function() {
            /// <summary>Creates and returns the event object to be used when dispatching the OK
            /// event to listeners based on which tab is currently selected and the contents
            /// of the input fields of that tab.</summary>
            /// <returns type="goog.ui.editor.LinkDialog.OkEvent">The event object to be used when
            ///     dispatching the OK event to listeners.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.editor.LinkDialog";
})(this);
