
/* vsdoc for goog.ui.editor.TabPane */

(function (window) {
    window.goog.ui.editor = window.goog.ui.editor || {};

    window.goog.ui.editor.TabPane = function(dom, opt_caption){
        /// <summary></summary>
        /// <param name="dom" type="goog.dom.DomHelper">The dom helper for the window to create this
        ///     tab pane in.</param>
        /// <param name="opt_caption" type="string=">Optional caption of the tab pane.</param>
        /// <returns type="goog.ui.editor.TabPane"/>
    };

    var $x = window.goog.ui.editor.TabPane;
    $x.prototype = {
                
        getCurrentTabId: function() {
            /// <summary></summary>
            /// <returns type="string">The ID of the content element for the current tab.</returns>
        }, 
        
        setSelectedTabId: function(id) {
            /// <summary>Selects the tab with the given id.</summary>
            /// <param name="id" type="string">Id of the tab to select.</param>
        }, 
        
        addTab: function(id, caption, tooltip, content) {
            /// <summary>Adds a tab to the tab pane.</summary>
            /// <param name="id" type="string">The id of the tab to add.</param>
            /// <param name="caption" type="string">The caption of the tab.</param>
            /// <param name="tooltip" type="string">The tooltip for the tab.</param>
            /// <param name="content" type="Element">The content element to show when this tab is
            ///     selected.</param>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.editor.TabPane";
})(this);
