
/* vsdoc for goog.ui.emoji.EmojiPalette */

(function (window) {
    window.goog.ui.emoji = window.goog.ui.emoji || {};

    window.goog.ui.emoji.EmojiPalette = function(emoji, opt_urlPrefix, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="emoji" type="Array.Array">List of emoji for this page.</param>
        /// <param name="opt_urlPrefix" type="?string=">Prefix that should be prepended to all URL.</param>
        /// <param name="opt_renderer" type="goog.ui.PaletteRenderer=">Renderer used to render or
        ///     decorate the palette; defaults to {@link goog.ui.PaletteRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <returns type="goog.ui.emoji.EmojiPalette"/>
    };

    var $x = window.goog.ui.emoji.EmojiPalette;
    $x.prototype = {
                
        loadAnimatedEmoji: function() {
            /// <summary>Sends off requests for all the animated emoji and replaces their static
            /// sprites when the images are done downloading.</summary>
        }, 
        
        getImageLoader: function() {
            /// <summary>Returns the image loader that this palette uses. Used for testing.</summary>
            /// <returns type="goog.net.ImageLoader">the image loader.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        getSelectedEmoji: function() {
            /// <summary></summary>
            /// <returns type="goog.ui.emoji.Emoji">The currently selected emoji from this palette.</returns>
        }, 
        
        getNumberOfEmoji: function() {
            /// <summary></summary>
            /// <returns type="number">The number of emoji managed by this palette.</returns>
        }, 
        
        getEmojiIndex: function(id) {
            /// <summary>Returns the index of the specified emoji within this palette.</summary>
            /// <param name="id" type="string">Id of the emoji to look up.</param>
            /// <returns type="number">The index of the specified emoji within this palette.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.emoji.EmojiPalette";
})(this);
