
/* vsdoc for goog.ui.emoji.EmojiPaletteRenderer */

(function (window) {
    window.goog.ui.emoji = window.goog.ui.emoji || {};

    window.goog.ui.emoji.EmojiPaletteRenderer = function(defaultImgUrl){
        /// <summary></summary>
        /// <param name="defaultImgUrl" type="?string">Url of the img that should be used to fill up
        ///     the cells in the emoji table, to prevent jittering. Will be stretched
        ///     to the emoji cell size. A good image is a transparent dot.</param>
        /// <returns type="goog.ui.emoji.EmojiPaletteRenderer"/>
    };

    var $x = window.goog.ui.emoji.EmojiPaletteRenderer;
    $x.prototype = {
                
        getCssClass: function() {
            /// <summary></summary>
        }, 
        
        createPaletteItem: function(dom, id, spriteInfo, displayUrl) {
            /// <summary>Creates a palette item from the given emoji data.</summary>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper for constructing DOM elements.</param>
            /// <param name="id" type="string">Goomoji id for the emoji.</param>
            /// <param name="spriteInfo" type="goog.ui.emoji.SpriteInfo">Spriting info for the emoji.</param>
            /// <param name="displayUrl" type="string">URL of the image served for this cell, whether
            ///     an individual emoji image or a sprite.</param>
            /// <returns type="HTMLDivElement">The palette item for this emoji.</returns>
        }, 
        
        updateAnimatedPaletteItem: function(item, animatedImg) {
            /// <summary>Modifies a palette item containing an animated emoji, in response to the
            /// animated emoji being successfully downloaded.</summary>
            /// <param name="item" type="Element">The palette item to update.</param>
            /// <param name="animatedImg" type="Image">An Image object containing the animated emoji.</param>
        }, 
        
        buildElementFromSpriteMetadata: function(dom, spriteInfo, displayUrl) {
            /// <summary>Builds the inner contents of a palette item out of sprite metadata.</summary>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper for constructing DOM elements.</param>
            /// <param name="spriteInfo" type="goog.ui.emoji.SpriteInfo">The metadata to create the css
            ///     for the sprite.</param>
            /// <param name="displayUrl" type="string">The URL of the image for this cell.</param>
            /// <returns type="HTMLDivElement">The inner element for a palette item.</returns>
        }, 
        
        createCell: function(node, dom) {
            /// <summary></summary>
            /// <param name="node" type=""></param>
            /// <param name="dom" type=""></param>
        }, 
        
        getContainingItem: function(palette, node) {
            /// <summary>Returns the item corresponding to the given node, or null if the node is
            /// neither a palette cell nor part of a palette item.</summary>
            /// <param name="palette" type="goog.ui.Palette">Palette in which to look for the item.</param>
            /// <param name="node" type="Node">Node to look for.</param>
            /// <returns type="Node">The corresponding palette item (null if not found).</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.emoji.EmojiPaletteRenderer";
})(this);
