
/* vsdoc for goog.ui.emoji.SpriteInfo */

(function (window) {
    window.goog.ui.emoji = window.goog.ui.emoji || {};

    window.goog.ui.emoji.SpriteInfo = function(cssClass, opt_url, opt_width, opt_height, opt_xOffset, opt_yOffset, opt_animated){
        /// <summary></summary>
        /// <param name="cssClass" type="?string">CSS class to properly display the sprited image.</param>
        /// <param name="opt_url" type="string=">Url of the sprite image.</param>
        /// <param name="opt_width" type="number=">Width of the image being sprited.</param>
        /// <param name="opt_height" type="number=">Height of the image being sprited.</param>
        /// <param name="opt_xOffset" type="number=">Positive x offset of the image being sprited
        ///     within the sprite.</param>
        /// <param name="opt_yOffset" type="number=">Positive y offset of the image being sprited
        ///     within the sprite.</param>
        /// <param name="opt_animated" type="boolean=">Whether the sprite is animated.</param>
        /// <returns type="goog.ui.emoji.SpriteInfo"/>
    };

    var $x = window.goog.ui.emoji.SpriteInfo;
    $x.prototype = {
                
        getCssClass: function() {
            /// <summary>Returns the css class of the sprited image.</summary>
            /// <returns type="?string">Name of the CSS class to properly display the sprited
            ///     image.</returns>
        }, 
        
        getUrl: function() {
            /// <summary>Returns the url of the sprite image.</summary>
            /// <returns type="?string">Url of the sprite image.</returns>
        }, 
        
        isAnimated: function() {
            /// <summary>Returns whether the emoji specified by this sprite is animated.</summary>
            /// <returns type="boolean">Whether the emoji is animated.</returns>
        }, 
        
        getWidthCssValue: function() {
            /// <summary>Returns the width of the image being sprited, appropriate for a CSS value.</summary>
            /// <returns type="string">The width of the image being sprited.</returns>
        }, 
        
        getHeightCssValue: function() {
            /// <summary>Returns the height of the image being sprited, appropriate for a CSS value.</summary>
            /// <returns type="string">The height of the image being sprited.</returns>
        }, 
        
        getXOffsetCssValue: function() {
            /// <summary>Returns the x offset of the image being sprited within the sprite,
            /// appropriate for a CSS value.</summary>
            /// <returns type="string">The x offset of the image being sprited within the sprite.</returns>
        }, 
        
        getYOffsetCssValue: function() {
            /// <summary>Returns the positive y offset of the image being sprited within the sprite,
            /// appropriate for a CSS value.</summary>
            /// <returns type="string">The y offset of the image being sprited within the sprite.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.emoji.SpriteInfo";
})(this);
