
/* vsdoc for goog.ui.equation.EquationEditor */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.EquationEditor = function(context, opt_domHelper, opt_helpUrl){
        /// <summary></summary>
        /// <param name="context" type="Object">The context that this equation editor runs in.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">DomHelper to use.</param>
        /// <param name="opt_helpUrl" type="string=">Help document URL to use in the &quot;Learn more&quot;
        ///     link.</param>
        /// <field name="EventType" type="">Constants for event names.</field>
        /// <returns type="goog.ui.equation.EquationEditor"/>
    };

    var $x = window.goog.ui.equation.EquationEditor;
    $x.prototype = {
                
        createDom: function() {
            /// <summary></summary>
        }, 
        
        setVisible: function(visible) {
            /// <summary>Sets the visibility of the editor.</summary>
            /// <param name="visible" type="boolean">Whether the editor should be visible.</param>
        }, 
        
        decorateInternal: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        getEquation: function() {
            /// <summary>Returns the encoded equation.</summary>
            /// <returns type="string">The encoded equation.</returns>
        }, 
        
        getHtml: function() {
            /// <summary></summary>
            /// <returns type="string">The html code to embed in the document.</returns>
        }, 
        
        isValid: function() {
            /// <summary>Checks whether the current equation is valid and can be used in a document.</summary>
            /// <returns type="boolean">Whether the equation is valid.</returns>
        }, 
        
        setEquation: function(equation) {
            /// <summary>Parse an equation and draw it.
            /// Clears any previous displayed equation.</summary>
            /// <param name="equation" type="string">The equation text to parse.</param>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.EquationEditor";
})(this);
