
/* vsdoc for goog.ui.equation.Palette */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.Palette = function(paletteManager, type, spriteX, spriteY, itemWidth, itemHeight, opt_actions, opt_renderer){
        /// <summary></summary>
        /// <param name="paletteManager" type="goog.ui.equation.PaletteManager">The
        ///     manager of the palette.</param>
        /// <param name="type" type="goog.ui.equation.Palette.Type">The type of the
        ///     palette.</param>
        /// <param name="spriteX" type="number">Coordinate of first icon in sprite.</param>
        /// <param name="spriteY" type="number">Coordinate of top of all icons in sprite.</param>
        /// <param name="itemWidth" type="number">Pixel width of each palette icon.</param>
        /// <param name="itemHeight" type="number">Pixel height of each palette icon.</param>
        /// <param name="opt_actions" type="Array.string=">An optional action list for palette
        ///     elements. The number of actions determine the number of palette
        ///     elements.</param>
        /// <param name="opt_renderer" type="goog.ui.PaletteRenderer=">Optional customized renderer,
        ///     defaults to {@link goog.ui.PaletteRenderer}.</param>
        /// <field name="Type" type="">The type of possible palettes. They are made short to minimize JS size.</field>
        /// <field name="CSS_CLASS" type="string">The CSS class name for the palette.</field>
        /// <returns type="goog.ui.equation.Palette"/>
    };

    var $x = window.goog.ui.equation.Palette;
    $x.prototype = {
                
        getType: function() {
            /// <summary>Returns the type of the palette.</summary>
            /// <returns type="goog.ui.equation.Palette.Type">The type of the palette.</returns>
        }, 
        
        getPaletteManager: function() {
            /// <summary>Returns the palette manager.</summary>
            /// <returns type="goog.ui.equation.PaletteManager">The palette manager
            ///     that manages all the palette.</returns>
        }, 
        
        getActions: function() {
            /// <summary>Returns actions for this palette.</summary>
            /// <returns type="Array.string">The palette actions.</returns>
        }, 
        
        getAction: function(index) {
            /// <summary>Returns the action for a given index.</summary>
            /// <param name="index" type="number">The index of the action to be retrieved.</param>
            /// <returns type="string?">The action for given index, or {@code null} if action is
            ///     not found.</returns>
        }, 
        
        handleMouseUp: function(e) {
            /// <summary>Handles mouseup events. Overrides {@link goog.ui.Palette#handleMouseUp}
            /// by dispatching a {@link goog.ui.equation.PaletteEvent}.</summary>
            /// <param name="e" type="goog.events.Event">Mouse event to handle.</param>
        }, 
        
        handleMouseOut: function(e) {
            /// <summary>Handles mouse out events. Overrides {@link goog.ui.Palette#handleMouseOut}
            /// by deactivate the palette.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">Mouse event to handle.</param>
        }, 
        
        handleMouseOver: function(e) {
            /// <summary>Handles mouse over events. Overrides {@link goog.ui.Palette#handleMouseOver}
            /// by stop deactivating the palette. When mouse leaves the palettes, the
            /// palettes will be deactivated after a centain period of time. Reentering the
            /// palettes inside this time will stop the timer and cancel the deactivation.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">Mouse event to handle.</param>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.Palette";
})(this);
