
/* vsdoc for goog.ui.equation.PaletteManager */

(function (window) {
    window.goog.ui.equation = window.goog.ui.equation || {};

    window.goog.ui.equation.PaletteManager = function(){
        /// <summary></summary>
        /// <returns type="goog.ui.equation.PaletteManager"/>
    };

    var $x = window.goog.ui.equation.PaletteManager;
    $x.prototype = {
                
        stopDeactivation: function() {
            /// <summary>Clears the deactivation timer.  This is used to prevent palette manager
            /// deactivation when mouse pointer is moved outside palettes and moved back
            /// quickly inside a grace period.</summary>
        }, 
        
        getPalette: function(type) {
            /// <summary>Returns the palette instance of given type.</summary>
            /// <param name="type" type="goog.ui.equation.Palette.Type">The type of palette
            ///     to get.</param>
            /// <returns type="goog.ui.equation.Palette">The palette instance of given
            ///     type. A new instance will be created.  If the instance doesn&apos;t exist.</returns>
        }, 
        
        setActive: function(type) {
            /// <summary>Sets the palette instance of given type to be the active one.</summary>
            /// <param name="type" type="goog.ui.equation.Palette.Type">The type of the
            ///     palette to set active.</param>
            /// <returns type="goog.ui.equation.Palette">The palette instance of given
            ///     type. A new instance will be created, if the instance doesn&apos;t exist.</returns>
        }, 
        
        getActive: function() {
            /// <summary>Returns the active palette.</summary>
            /// <returns type="goog.ui.equation.Palette">The active palette.</returns>
        }, 
        
        deactivate: function() {
            /// <summary>Starts the deactivation of open palette.
            /// This method has a slight delay before doing the real deactivation.  This
            /// helps prevent sudden disappearing of palettes when user moves mouse outside
            /// them just briefly (and maybe accidentally).  If you really want to deactivate
            /// the active palette, use {@link #deactivateNow()} instead.</summary>
        }, 
        
        deactivateNow: function() {
            /// <summary>Deactivate the open palette immediately.</summary>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.equation.PaletteManager";
})(this);
