
/* vsdoc for goog.ui.media.FlashObject */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.FlashObject = function(flashUrl, opt_domHelper){
        /// <summary></summary>
        /// <param name="flashUrl" type="string">The flash SWF URL.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">An optional DomHelper.</param>
        /// <field name="Wmodes" type="">The different modes for displaying a SWF. Note that different wmodes
        /// can result in different bugs in different browsers and also that
        /// both OPAQUE and TRANSPARENT will result in a performance hit.</field>
        /// <field name="ScriptAccessLevel" type="">The different levels of allowScriptAccess.
        /// 
        /// Talked about at:
        /// http://kb2.adobe.com/cps/164/tn_16494.html</field>
        /// <field name="CSS_CLASS" type="string">The component CSS namespace.</field>
        /// <field name="FLASH_CSS_CLASS" type="string">The flash object CSS class.</field>
        /// <returns type="goog.ui.media.FlashObject"/>
    };

    var $x = window.goog.ui.media.FlashObject;
    $x.prototype = {
                
        setWmode: function(wmode) {
            /// <summary>Sets the flash movie Wmode.</summary>
            /// <param name="wmode" type="goog.ui.media.FlashObject.Wmodes">the flash movie Wmode.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        getWmode: function() {
            /// <summary></summary>
            /// <returns type="string">Returns the flash movie wmode.</returns>
        }, 
        
        addFlashVars: function(map) {
            /// <summary>Adds flash variables.</summary>
            /// <param name="map" type="goog.structs.Map|Object">A key-value map of variables.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        setFlashVar: function(key, value) {
            /// <summary>Sets a flash variable.</summary>
            /// <param name="key" type="string">The name of the flash variable.</param>
            /// <param name="value" type="string">The value of the flash variable.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        setFlashVars: function(flashVar, opt_value) {
            /// <summary>Sets flash variables. You can either pass a Map of key->value pairs or you
            /// can pass a key, value pair to set a specific variable.
            /// 
            /// TODO(user, martino): Get rid of this method.</summary>
            /// <param name="flashVar" type="goog.structs.Map|Object|string">A map of variables (given
            ///    as a goog.structs.Map or an Object literal) or a key to the optional
            ///    {@code opt_value}.</param>
            /// <param name="opt_value" type="string=">The optional value for the flashVar key.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        getFlashVars: function() {
            /// <summary></summary>
            /// <returns type="goog.structs.Map">The current flash variables.</returns>
        }, 
        
        setBackgroundColor: function(color) {
            /// <summary>Sets the background color of the movie.</summary>
            /// <param name="color" type="string">The new color to be set.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        getBackgroundColor: function() {
            /// <summary></summary>
            /// <returns type="string">The background color of the movie.</returns>
        }, 
        
        setAllowScriptAccess: function(value) {
            /// <summary>Sets the allowScriptAccess setting of the movie.</summary>
            /// <param name="value" type="string">The new value to be set.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        getAllowScriptAccess: function() {
            /// <summary></summary>
            /// <returns type="string">The allowScriptAccess setting color of the movie.</returns>
        }, 
        
        setSize: function(width, height) {
            /// <summary>Sets the width and height of the movie.</summary>
            /// <param name="width" type="number|string">The width of the movie.</param>
            /// <param name="height" type="number|string">The height of the movie.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        getRequiredVersion: function() {
            /// <summary></summary>
            /// <returns type="?string">The flash required version.</returns>
        }, 
        
        setRequiredVersion: function(version) {
            /// <summary>Sets the minimum flash required version.</summary>
            /// <param name="version" type="?string">The minimum required version for this movie to work,
            ///     or null if you want to unset it.</param>
            /// <returns type="goog.ui.media.FlashObject">The flash object instance for chaining.</returns>
        }, 
        
        hasRequiredVersion: function() {
            /// <summary>Returns whether this SWF has a minimum required flash version.</summary>
            /// <returns type="boolean">Whether a required version was set or not.</returns>
        }, 
        
        enterDocument: function() {
            /// <summary>Writes the Flash embedding {@code HTMLObjectElement} to this components root
            /// element and adds listeners for all events to handle them consistently.</summary>
        }, 
        
        createDom: function() {
            /// <summary>Creates the DOM structure.</summary>
        }, 
        
        getFlashElement: function() {
            /// <summary></summary>
            /// <returns type="HTMLObjectElement">The flash element or null if the element can&apos;t
            ///     be found.</returns>
        }, 
        
        disposeInternal: function() {
            /// <summary></summary>
        }, 
        
        isLoaded: function() {
            /// <summary></summary>
            /// <returns type="boolean">whether the SWF has finished loading or not.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.FlashObject";
})(this);
