
/* vsdoc for goog.ui.media.FlickrSetModel */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.FlickrSetModel = function(userId, setId, opt_caption, opt_description){
        /// <summary></summary>
        /// <param name="userId" type="string">The flickr userId associated with this set.</param>
        /// <param name="setId" type="string">The flickr setId associated with this set.</param>
        /// <param name="opt_caption" type="string=">An optional caption of the flickr set.</param>
        /// <param name="opt_description" type="string=">An optional description of the flickr set.</param>
        /// <returns type="goog.ui.media.FlickrSetModel"/>
    };

    var $x = window.goog.ui.media.FlickrSetModel;
    $x.prototype = {
                
        newInstance: function(flickrSetUrl, opt_caption, opt_description) {
            /// <summary>Takes a {@code flickrSetUrl} and extracts the flickr username and set id.</summary>
            /// <param name="flickrSetUrl" type="string">A Flickr set URL.</param>
            /// <param name="opt_caption" type="string=">An optional caption of the flickr set.</param>
            /// <param name="opt_description" type="string=">An optional description of the flickr set.</param>
            /// <returns type="goog.ui.media.FlickrSetModel">The data model that represents the
            ///     Flickr set.</returns>
        }, 
        
        buildUrl: function(userId, setId) {
            /// <summary>Takes a flickr username and set id and returns an URL.</summary>
            /// <param name="userId" type="string">The owner of the set.</param>
            /// <param name="setId" type="string">The set id.</param>
            /// <returns type="string">The URL of the set.</returns>
        }, 
        
        getUserId: function() {
            /// <summary>Gets the Flickr user id.</summary>
            /// <returns type="string">The Flickr user id.</returns>
        }, 
        
        getSetId: function() {
            /// <summary>Gets the Flickr set id.</summary>
            /// <returns type="string">The Flickr set id.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.FlickrSetModel";
})(this);
