
/* vsdoc for goog.ui.media.GoogleVideo */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.GoogleVideo = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.media.GoogleVideo"/>
    };

    var $x = window.goog.ui.media.GoogleVideo;
    $x.prototype = {
                
        newControl: function(dataModel, opt_domHelper) {
            /// <summary>A static convenient method to construct a goog.ui.media.Media control out of
            /// a GoogleVideo model. It sets it as the data model goog.ui.media.GoogleVideo
            /// renderer uses, sets the states supported by the renderer, and returns a
            /// Control that binds everything together. This is what you should be using for
            /// constructing GoogleVideo videos, except if you need finer control over the
            /// configuration.</summary>
            /// <param name="dataModel" type="goog.ui.media.GoogleVideoModel">The GoogleVideo data model.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
            ///     document interaction.</param>
            /// <returns type="goog.ui.media.Media">A Control binded to the GoogleVideo renderer.</returns>
        }, 
        
        createDom: function(c) {
            /// <summary>Creates the initial DOM structure of the GoogleVideo video, which is
            /// basically a the flash object pointing to a GoogleVideo video player.</summary>
            /// <param name="c" type="goog.ui.Control">The media control.</param>
            /// <returns type="Element">The DOM structure that represents this control.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.GoogleVideo";
})(this);
