
/* vsdoc for goog.ui.media.GoogleVideoModel */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.GoogleVideoModel = function(videoId, opt_caption, opt_description, opt_autoplay){
        /// <summary></summary>
        /// <param name="videoId" type="string">The GoogleVideo video id.</param>
        /// <param name="opt_caption" type="string=">An optional caption of the GoogleVideo video.</param>
        /// <param name="opt_description" type="string=">An optional description of the GoogleVideo
        ///     video.</param>
        /// <param name="opt_autoplay" type="boolean=">Whether to autoplay video.</param>
        /// <returns type="goog.ui.media.GoogleVideoModel"/>
    };

    var $x = window.goog.ui.media.GoogleVideoModel;
    $x.prototype = {
                
        newInstance: function(googleVideoUrl, opt_caption, opt_description, opt_autoplay) {
            /// <summary>A auxiliary static method that parses a GoogleVideo URL, extracting the ID of
            /// the video, and builds a GoogleVideoModel.</summary>
            /// <param name="googleVideoUrl" type="string">A GoogleVideo video URL.</param>
            /// <param name="opt_caption" type="string=">An optional caption of the GoogleVideo video.</param>
            /// <param name="opt_description" type="string=">An optional description of the GoogleVideo
            ///     video.</param>
            /// <param name="opt_autoplay" type="boolean=">Whether to autoplay video.</param>
            /// <returns type="goog.ui.media.GoogleVideoModel">The data model that represents the
            ///     GoogleVideo URL.</returns>
        }, 
        
        buildUrl: function(videoId) {
            /// <summary>The opposite of {@code goog.ui.media.GoogleVideo.newInstance}: it takes a
            /// videoId and returns a GoogleVideo URL.</summary>
            /// <param name="videoId" type="string">The GoogleVideo video ID.</param>
            /// <returns type="string">The GoogleVideo URL.</returns>
        }, 
        
        buildFlashUrl: function(videoId, opt_autoplay) {
            /// <summary>An auxiliary method that builds URL of the flash movie to be embedded,
            /// out of the GoogleVideo video id.</summary>
            /// <param name="videoId" type="string">The GoogleVideo video ID.</param>
            /// <param name="opt_autoplay" type="boolean=">Whether the flash movie should start playing
            ///     as soon as it is shown, or if it should show a &apos;play&apos; button.</param>
            /// <returns type="string">The flash URL to be embedded on the page.</returns>
        }, 
        
        getVideoId: function() {
            /// <summary>Gets the GoogleVideo video id.</summary>
            /// <returns type="string">The GoogleVideo video id.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.GoogleVideoModel";
})(this);
