
/* vsdoc for goog.ui.media.Media */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.Media = function(dataModel, opt_renderer, opt_domHelper){
        /// <summary></summary>
        /// <param name="dataModel" type="goog.ui.media.MediaModel">The data model to be used by the
        ///     renderer.</param>
        /// <param name="opt_renderer" type="goog.ui.ControlRenderer=">Renderer used to render or
        ///     decorate the component; defaults to {@link goog.ui.ControlRenderer}.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
        ///     document interaction.</param>
        /// <returns type="goog.ui.media.Media"/>
    };

    var $x = window.goog.ui.media.Media;
    $x.prototype = {
                
        setDataModel: function(dataModel) {
            /// <summary>Sets the media model to be used on the renderer.</summary>
            /// <param name="dataModel" type="goog.ui.media.MediaModel">The media model the renderer
            ///     should use.</param>
        }, 
        
        getDataModel: function() {
            /// <summary>Gets the media model renderer is using.</summary>
            /// <returns type="goog.ui.media.MediaModel">The media model being used.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.Media";
})(this);
