
/* vsdoc for goog.ui.media.MediaModel.Category */

(function (window) {
    window.goog.ui.media.MediaModel = window.goog.ui.media.MediaModel || {};

    window.goog.ui.media.MediaModel.Category = function(scheme, value, opt_label){
        /// <summary></summary>
        /// <param name="scheme" type="string">The URI that identifies the categorization scheme.</param>
        /// <param name="value" type="string">The value of the category.</param>
        /// <param name="opt_label" type="string=">The human readable label that can be displayed in
        ///     end user applications.</param>
        /// <returns type="goog.ui.media.MediaModel.Category"/>
    };

    var $x = window.goog.ui.media.MediaModel.Category;
    $x.prototype = {
                
        getScheme: function() {
            /// <summary>Gets the category scheme.</summary>
            /// <returns type="string">The category scheme URI.</returns>
        }, 
        
        setScheme: function(scheme) {
            /// <summary>Sets the category scheme.</summary>
            /// <param name="scheme" type="string">The category&apos;s scheme.</param>
            /// <returns type="goog.ui.media.MediaModel.Category">The object itself, used for
            ///     chaining.</returns>
        }, 
        
        getValue: function() {
            /// <summary>Gets the categor&apos;s value.</summary>
            /// <returns type="string">The category&apos;s value.</returns>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the category value.</summary>
            /// <param name="value" type="string">The category value to be set.</param>
            /// <returns type="goog.ui.media.MediaModel.Category">The object itself, used for
            ///     chaining.</returns>
        }, 
        
        getLabel: function() {
            /// <summary>Gets the label of the category.</summary>
            /// <returns type="string">The label of the category.</returns>
        }, 
        
        setLabel: function(label) {
            /// <summary>Sets the label of the category.</summary>
            /// <param name="label" type="string">The label of the category.</param>
            /// <returns type="goog.ui.media.MediaModel.Category">The object itself, used for
            ///     chaining.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.MediaModel.Category";
})(this);
