
/* vsdoc for goog.ui.media.MediaModel.Credit */

(function (window) {
    window.goog.ui.media.MediaModel = window.goog.ui.media.MediaModel || {};

    window.goog.ui.media.MediaModel.Credit = function(value, opt_role, opt_scheme){
        /// <summary></summary>
        /// <param name="value" type="string">The name of the entity being credited.</param>
        /// <param name="opt_role" type="goog.ui.media.MediaModel.Credit.Role=">The role the entity
        ///     played.</param>
        /// <param name="opt_scheme" type="goog.ui.media.MediaModel.Credit.Scheme=">The URI that
        ///     identifies the role scheme.</param>
        /// <field name="Role" type="">The types of known roles.</field>
        /// <field name="Scheme" type="">The types of known schemes.</field>
        /// <returns type="goog.ui.media.MediaModel.Credit"/>
    };

    var $x = window.goog.ui.media.MediaModel.Credit;
    $x.prototype = {
                
        getValue: function() {
            /// <summary>Gets the name of the entity being credited.</summary>
            /// <returns type="string">The name of the entity.</returns>
        }, 
        
        setValue: function(value) {
            /// <summary>Sets the value of the credit object.</summary>
            /// <param name="value" type="string">The value.</param>
            /// <returns type="goog.ui.media.MediaModel.Credit">The object itself.</returns>
        }, 
        
        getRole: function() {
            /// <summary>Gets the role of the entity being credited.</summary>
            /// <returns type="goog.ui.media.MediaModel.Credit.Role|undefined">The role of the
            ///     entity.</returns>
        }, 
        
        setRole: function(role) {
            /// <summary>Sets the role of the credit object.</summary>
            /// <param name="role" type="goog.ui.media.MediaModel.Credit.Role">The role.</param>
            /// <returns type="goog.ui.media.MediaModel.Credit">The object itself.</returns>
        }, 
        
        getScheme: function() {
            /// <summary>Gets the scheme of the credit object.</summary>
            /// <returns type="goog.ui.media.MediaModel.Credit.Scheme|undefined">The URI that
            ///     identifies the role scheme.</returns>
        }, 
        
        setScheme: function(scheme) {
            /// <summary>Sets the scheme of the credit object.</summary>
            /// <param name="scheme" type="goog.ui.media.MediaModel.Credit.Scheme">The scheme.</param>
            /// <returns type="goog.ui.media.MediaModel.Credit">The object itself.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.MediaModel.Credit";
})(this);
