
/* vsdoc for goog.ui.media.MediaModel.Player */

(function (window) {
    window.goog.ui.media.MediaModel = window.goog.ui.media.MediaModel || {};

    window.goog.ui.media.MediaModel.Player = function(url, opt_vars, opt_size){
        /// <summary></summary>
        /// <param name="url" type="string">The URL of the player.</param>
        /// <param name="opt_vars" type="Object=">Optional map of arguments to the player.</param>
        /// <param name="opt_size" type="goog.math.Size=">The size of the player if known.</param>
        /// <returns type="goog.ui.media.MediaModel.Player"/>
    };

    var $x = window.goog.ui.media.MediaModel.Player;
    $x.prototype = {
                
        getUrl: function() {
            /// <summary>Gets the player url.</summary>
            /// <returns type="string">The thumbnail&apos;s image URL.</returns>
        }, 
        
        setUrl: function(url) {
            /// <summary>Sets the player url.</summary>
            /// <param name="url" type="string">The thumbnail&apos;s image URL.</param>
            /// <returns type="goog.ui.media.MediaModel.Player">The object itself, used for
            ///     chaining.</returns>
        }, 
        
        getVars: function() {
            /// <summary>Gets the player arguments.</summary>
            /// <returns type="Object">The media player arguments.</returns>
        }, 
        
        setVars: function(vars) {
            /// <summary>Sets the player arguments.</summary>
            /// <param name="vars" type="Object">The media player arguments.</param>
            /// <returns type="goog.ui.media.MediaModel.Player">The object itself, used for
            ///     chaining.</returns>
        }, 
        
        getSize: function() {
            /// <summary>Gets the size of the player.</summary>
            /// <returns type="goog.math.Size">The size of the player if known.</returns>
        }, 
        
        setSize: function(size) {
            /// <summary>Sets the size of the player.</summary>
            /// <param name="size" type="goog.math.Size">The size of the player.</param>
            /// <returns type="goog.ui.media.MediaModel.Player">The object itself, used for
            ///     chaining.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.MediaModel.Player";
})(this);
