
/* vsdoc for goog.ui.media.MediaModel.SubTitle */

(function (window) {
    window.goog.ui.media.MediaModel = window.goog.ui.media.MediaModel || {};

    window.goog.ui.media.MediaModel.SubTitle = function(href, lang, type){
        /// <summary></summary>
        /// <param name="href" type="string">The subtitle&apos;s URI.
        ///     to fetch the subtitle file.</param>
        /// <param name="lang" type="string">An RFC 3066 language.</param>
        /// <param name="type" type="string">The MIME type of the URI.</param>
        /// <returns type="goog.ui.media.MediaModel.SubTitle"/>
    };

    var $x = window.goog.ui.media.MediaModel.SubTitle;
    $x.prototype = {
                
        setHref: function(href) {
            /// <summary>Sets the href for the subtitle object.</summary>
            /// <param name="href" type="string">The subtitle&apos;s URI.</param>
            /// <returns type="goog.ui.media.MediaModel.SubTitle">The object itself.</returns>
        }, 
        
        getHref: function() {
            /// <summary>Get the href for the subtitle object.</summary>
            /// <returns type="string">href The subtitle&apos;s URI.</returns>
        }, 
        
        setLang: function(lang) {
            /// <summary>Sets the language for the subtitle object.</summary>
            /// <param name="lang" type="string">The RFC 3066 language.</param>
            /// <returns type="goog.ui.media.MediaModel.SubTitle">The object itself.</returns>
        }, 
        
        getLang: function() {
            /// <summary>Get the lang for the subtitle object.</summary>
            /// <returns type="string">lang The RFC 3066 language.</returns>
        }, 
        
        setType: function(type) {
            /// <summary>Sets the type for the subtitle object.</summary>
            /// <param name="type" type="string">The MIME type.</param>
            /// <returns type="goog.ui.media.MediaModel.SubTitle">The object itself.</returns>
        }, 
        
        getType: function() {
            /// <summary>Get the type for the subtitle object.</summary>
            /// <returns type="string">type The MIME type.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.MediaModel.SubTitle";
})(this);
