
/* vsdoc for goog.ui.media.MediaModel.Thumbnail */

(function (window) {
    window.goog.ui.media.MediaModel = window.goog.ui.media.MediaModel || {};

    window.goog.ui.media.MediaModel.Thumbnail = function(url, opt_size){
        /// <summary></summary>
        /// <param name="url" type="string">The URL of the thumbnail&apos;s image.</param>
        /// <param name="opt_size" type="goog.math.Size=">The size of the thumbnail&apos;s image if known.</param>
        /// <returns type="goog.ui.media.MediaModel.Thumbnail"/>
    };

    var $x = window.goog.ui.media.MediaModel.Thumbnail;
    $x.prototype = {
                
        getUrl: function() {
            /// <summary>Gets the thumbnail URL.</summary>
            /// <returns type="string">The thumbnail&apos;s image URL.</returns>
        }, 
        
        setUrl: function(url) {
            /// <summary>Sets the thumbnail URL.</summary>
            /// <param name="url" type="string">The thumbnail&apos;s image URL.</param>
            /// <returns type="goog.ui.media.MediaModel.Thumbnail">The object itself, used for
            ///     chaining.</returns>
        }, 
        
        getSize: function() {
            /// <summary>Gets the thumbnail size.</summary>
            /// <returns type="goog.math.Size">The size of the thumbnail&apos;s image if known.</returns>
        }, 
        
        setSize: function(size) {
            /// <summary>Sets the thumbnail size.</summary>
            /// <param name="size" type="goog.math.Size">The size of the thumbnail&apos;s image.</param>
            /// <returns type="goog.ui.media.MediaModel.Thumbnail">The object itself, used for
            ///     chaining.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.MediaModel.Thumbnail";
})(this);
