
/* vsdoc for goog.ui.media.MediaRenderer */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.MediaRenderer = function(){
        /// <summary></summary>
        /// <returns type="goog.ui.media.MediaRenderer"/>
    };

    var $x = window.goog.ui.media.MediaRenderer;
    $x.prototype = {
                
        createDom: function(control) {
            /// <summary>Builds the common DOM structure of medias. Builds an outer div, and appends
            /// a child div with the {@code goog.ui.Control.getContent} content. Marks the
            /// caption with a {@code this.getClassClass()} + &apos;-caption&apos; css flag, so that
            /// specific renderers can hide/show the caption as desired.</summary>
            /// <param name="control" type="goog.ui.Control">The control instance.</param>
            /// <returns type="Element">The DOM structure that represents control.</returns>
        }, 
        
        getThumbnailCssName: function(index) {
            /// <summary>Returns a renamable CSS class name for a numbered thumbnail. The default
            /// implementation generates the class names goog-ui-media-thumbnail0,
            /// goog-ui-media-thumbnail1, and the generic goog-ui-media-thumbnailn.
            /// Subclasses can override this method when their media requires additional
            /// specific class names (Applications are supposed to know how many thumbnails
            /// media will have).</summary>
            /// <param name="index" type="number">The thumbnail index.</param>
            /// <returns type="string">CSS class name.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.MediaRenderer";
})(this);
