
/* vsdoc for goog.ui.media.Photo */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.Photo = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.media.Photo"/>
    };

    var $x = window.goog.ui.media.Photo;
    $x.prototype = {
                
        newControl: function(dataModel) {
            /// <summary>A static convenient method to construct a goog.ui.media.Media control out of
            /// a photo {@code goog.ui.media.MediaModel}. It sets it as the data model
            /// goog.ui.media.Photo renderer uses, sets the states supported by the renderer,
            /// and returns a Control that binds everything together. This is what you
            /// should be using for constructing Photos, except if you need finer control
            /// over the configuration.</summary>
            /// <param name="dataModel" type="goog.ui.media.MediaModel">The photo data model.</param>
            /// <returns type="goog.ui.media.Media">A goog.ui.Control subclass with the photo
            ///     renderer.</returns>
        }, 
        
        createDom: function(c) {
            /// <summary>Creates the initial DOM structure of a photo.</summary>
            /// <param name="c" type="goog.ui.Control">The media control.</param>
            /// <returns type="Element">A DOM structure that represents the control.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.Photo";
})(this);
