
/* vsdoc for goog.ui.media.PicasaAlbumModel */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.PicasaAlbumModel = function(userId, albumId, opt_authKey, opt_caption, opt_description, opt_autoplay){
        /// <summary></summary>
        /// <param name="userId" type="string">The picasa userId associated with this album.</param>
        /// <param name="albumId" type="string">The picasa albumId associated with this album.</param>
        /// <param name="opt_authKey" type="string=">An optional authentication key, used on private
        ///     albums.</param>
        /// <param name="opt_caption" type="string=">An optional caption of the picasa album.</param>
        /// <param name="opt_description" type="string=">An optional description of the picasa album.</param>
        /// <param name="opt_autoplay" type="boolean=">Whether to autoplay the slideshow.</param>
        /// <returns type="goog.ui.media.PicasaAlbumModel"/>
    };

    var $x = window.goog.ui.media.PicasaAlbumModel;
    $x.prototype = {
                
        newInstance: function(picasaUrl, opt_caption, opt_description, opt_autoplay) {
            /// <summary>Gets a {@code picasaUrl} and extracts the user and album id.</summary>
            /// <param name="picasaUrl" type="string">A picasa album URL.</param>
            /// <param name="opt_caption" type="string=">An optional caption of the picasa album.</param>
            /// <param name="opt_description" type="string=">An optional description of the picasa album.</param>
            /// <param name="opt_autoplay" type="boolean=">Whether to autoplay the slideshow.</param>
            /// <returns type="goog.ui.media.PicasaAlbumModel">The picasa album data model that
            ///     represents the picasa URL.</returns>
        }, 
        
        buildUrl: function(userId, albumId) {
            /// <summary>The opposite of {@code newInstance}: takes an {@code userId} and an
            /// {@code albumId} and builds a URL.</summary>
            /// <param name="userId" type="string">The user that owns the album.</param>
            /// <param name="albumId" type="string">The album id.</param>
            /// <returns type="string">The URL of the album.</returns>
        }, 
        
        getUserId: function() {
            /// <summary>Gets the Picasa user id.</summary>
            /// <returns type="string">The Picasa user id.</returns>
        }, 
        
        getAlbumId: function() {
            /// <summary>Gets the Picasa album id.</summary>
            /// <returns type="string">The Picasa album id.</returns>
        }, 
        
        getAuthKey: function() {
            /// <summary>Gets the Picasa album authentication key.</summary>
            /// <returns type="?string">The Picasa album authentication key.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.PicasaAlbumModel";
})(this);
