
/* vsdoc for goog.ui.media.Vimeo */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.Vimeo = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.media.Vimeo"/>
    };

    var $x = window.goog.ui.media.Vimeo;
    $x.prototype = {
                
        newControl: function(dataModel, opt_domHelper) {
            /// <summary>A static convenient method to construct a goog.ui.media.Media control out of
            /// a Vimeo URL. It extracts the videoId information on the URL, sets it
            /// as the data model goog.ui.media.Vimeo renderer uses, sets the states
            /// supported by the renderer, and returns a Control that binds everything
            /// together. This is what you should be using for constructing Vimeo videos,
            /// except if you need more fine control over the configuration.</summary>
            /// <param name="dataModel" type="goog.ui.media.VimeoModel">A vimeo video URL.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
            ///     document interaction.</param>
            /// <returns type="goog.ui.media.Media">A Control binded to the Vimeo renderer.</returns>
        }, 
        
        createDom: function(c) {
            /// <summary>Creates the initial DOM structure of the vimeo video, which is basically a
            /// the flash object pointing to a vimeo video player.</summary>
            /// <param name="c" type="goog.ui.Control">The media control.</param>
            /// <returns type="Element">The DOM structure that represents this control.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.Vimeo";
})(this);
