
/* vsdoc for goog.ui.media.VimeoModel */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.VimeoModel = function(videoId, opt_caption, opt_description, opt_autoplay){
        /// <summary></summary>
        /// <param name="videoId" type="string">The vimeo video id.</param>
        /// <param name="opt_caption" type="string=">An optional caption of the vimeo video.</param>
        /// <param name="opt_description" type="string=">An optional description of the vimeo video.</param>
        /// <param name="opt_autoplay" type="boolean=">Whether to autoplay video.</param>
        /// <returns type="goog.ui.media.VimeoModel"/>
    };

    var $x = window.goog.ui.media.VimeoModel;
    $x.prototype = {
                
        newInstance: function(vimeoUrl, opt_caption, opt_description, opt_autoplay) {
            /// <summary>Takes a {@code vimeoUrl} and extracts the video id.</summary>
            /// <param name="vimeoUrl" type="string">A vimeo video URL.</param>
            /// <param name="opt_caption" type="string=">An optional caption of the vimeo video.</param>
            /// <param name="opt_description" type="string=">An optional description of the vimeo video.</param>
            /// <param name="opt_autoplay" type="boolean=">Whether to autoplay video.</param>
            /// <returns type="goog.ui.media.VimeoModel">The vimeo data model that represents this
            ///     URL.</returns>
        }, 
        
        buildUrl: function(videoId) {
            /// <summary>The opposite of {@code goog.ui.media.Vimeo.parseUrl}: it takes a videoId
            /// and returns a vimeo URL.</summary>
            /// <param name="videoId" type="string">The vimeo video ID.</param>
            /// <returns type="string">The vimeo URL.</returns>
        }, 
        
        buildFlashUrl: function(videoId, opt_autoplay) {
            /// <summary>Builds a flash url from the vimeo {@code videoId}.</summary>
            /// <param name="videoId" type="string">The vimeo video ID.</param>
            /// <param name="opt_autoplay" type="boolean=">Whether the flash movie should start playing
            ///     as soon as it is shown, or if it should show a &apos;play&apos; button.</param>
            /// <returns type="string">The vimeo flash URL.</returns>
        }, 
        
        getVideoId: function() {
            /// <summary>Gets the Vimeo video id.</summary>
            /// <returns type="string">The Vimeo video id.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.VimeoModel";
})(this);
