
/* vsdoc for goog.ui.media.Youtube */

(function (window) {
    window.goog.ui.media = window.goog.ui.media || {};

    window.goog.ui.media.Youtube = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <returns type="goog.ui.media.Youtube"/>
    };

    var $x = window.goog.ui.media.Youtube;
    $x.prototype = {
                
        newControl: function(youtubeModel, opt_domHelper) {
            /// <summary>A static convenient method to construct a goog.ui.media.Media control out of
            /// a youtube model. It sets it as the data model goog.ui.media.Youtube renderer
            /// uses, sets the states supported by the renderer, and returns a Control that
            /// binds everything together. This is what you should be using for constructing
            /// Youtube videos, except if you need finer control over the configuration.</summary>
            /// <param name="youtubeModel" type="goog.ui.media.YoutubeModel">The youtube data model.</param>
            /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper, used for
            ///     document interaction.</param>
            /// <returns type="goog.ui.media.Media">A Control binded to the youtube renderer.</returns>
        }, 
        
        setState: function(c, state, enable) {
            /// <summary>Changes the state of a {@code control}. Currently only changes the DOM
            /// structure when the youtube movie is SELECTED (by default fired by a MOUSEUP
            /// on the thumbnail), which means we have to embed the youtube flash video and
            /// play it.</summary>
            /// <param name="c" type="goog.ui.Control">The media control.</param>
            /// <param name="state" type="goog.ui.Component.State">The state to be set or cleared.</param>
            /// <param name="enable" type="boolean">Whether the state is enabled or disabled.</param>
        }, 
        
        getCssClass: function() {
            /// <summary>Returns the CSS class to be applied to the root element of components
            /// rendered using this renderer.</summary>
            /// <returns type="string">Renderer-specific CSS class.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.media.Youtube";
})(this);
