
/* vsdoc for goog.ui.style.app.ButtonRenderer */

(function (window) {
    window.goog.ui.style.app = window.goog.ui.style.app || {};

    window.goog.ui.style.app.ButtonRenderer = function(){
        /// <summary></summary>
        /// <field name="CSS_CLASS" type="string">Default CSS class to be applied to the root element of components rendered
        /// by this renderer.</field>
        /// <field name="IE6_CLASS_COMBINATIONS" type="Array.<Array.<string>>">Array of arrays of CSS classes that we want composite classes added and
        /// removed for in IE6 and lower as a workaround for lack of multi-class CSS
        /// selector support.</field>
        /// <returns type="goog.ui.style.app.ButtonRenderer"/>
    };

    var $x = window.goog.ui.style.app.ButtonRenderer;
    $x.prototype = {
                
        getContentElement: function(element) {
            /// <summary></summary>
            /// <param name="element" type=""></param>
        }, 
        
        createButton: function(content, dom) {
            /// <summary>Takes a text caption or existing DOM structure, and returns the content
            /// wrapped in a pseudo-rounded-corner box.  Creates the following DOM structure:
            ///  &lt;div class=&quot;goog-inline-block goog-button-base-outer-box&quot;&gt;
            ///    &lt;div class=&quot;goog-inline-block goog-button-base-inner-box&quot;&gt;
            ///      &lt;div class=&quot;goog-button-base-pos&quot;&gt;
            ///        &lt;div class=&quot;goog-button-base-top-shadow&quot;&gt;&amp;nbsp;&lt;/div&gt;
            ///        &lt;div class=&quot;goog-button-base-content&quot;&gt;Contents...&lt;/div&gt;
            ///      &lt;/div&gt;
            ///    &lt;/div&gt;
            ///  &lt;/div&gt;
            /// Used by both {@link #createDom} and {@link #decorate}.  To be overridden
            /// by subclasses.</summary>
            /// <param name="content" type="goog.ui.ControlContent">Text caption or DOM structure to wrap
            ///     in a box.</param>
            /// <param name="dom" type="goog.dom.DomHelper">DOM helper, used for document interaction.</param>
            /// <returns type="Element">Pseudo-rounded-corner box containing the content.</returns>
        }, 
        
        hasBoxStructure: function(button, element) {
            /// <summary>Check if the button&apos;s element has a box structure.</summary>
            /// <param name="button" type="goog.ui.Button">Button instance whose structure is being
            ///     checked.</param>
            /// <param name="element" type="Element">Element of the button.</param>
            /// <returns type="boolean">Whether the element has a box structure.</returns>
        }, 
        
        getCssClass: function() {
            /// <summary></summary>
        }, 
        
        getStructuralCssClass: function() {
            /// <summary></summary>
        }, 
        
        getIe6ClassCombinations: function() {
            /// <summary></summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.style.app.ButtonRenderer";
})(this);
