
/* vsdoc for goog.ui.tree.TreeControl */

(function (window) {
    window.goog.ui.tree = window.goog.ui.tree || {};

    window.goog.ui.tree.TreeControl = function(html, opt_config, opt_domHelper){
        /// <summary></summary>
        /// <param name="html" type="string">The HTML content of the node label.</param>
        /// <param name="opt_config" type="Object=">The configuration for the tree. See
        ///    goog.ui.tree.TreeControl.DefaultConfig. If not specified, a default config
        ///    will be used.</param>
        /// <param name="opt_domHelper" type="goog.dom.DomHelper=">Optional DOM helper.</param>
        /// <field name="defaultConfig" type="">A default configuration for the tree.</field>
        /// <returns type="goog.ui.tree.TreeControl"/>
    };

    var $x = window.goog.ui.tree.TreeControl;
    $x.prototype = {
                
        getTree: function() {
            /// <summary></summary>
        }, 
        
        getDepth: function() {
            /// <summary></summary>
        }, 
        
        reveal: function() {
            /// <summary>Expands the parent chain of this node so that it is visible.</summary>
        }, 
        
        hasFocus: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether the tree has keyboard focus.</returns>
        }, 
        
        getExpanded: function() {
            /// <summary></summary>
        }, 
        
        setExpanded: function(expanded) {
            /// <summary></summary>
            /// <param name="expanded" type=""></param>
        }, 
        
        getExpandIconHtml: function() {
            /// <summary></summary>
        }, 
        
        getIconElement: function() {
            /// <summary></summary>
        }, 
        
        getExpandIconElement: function() {
            /// <summary></summary>
        }, 
        
        updateExpandIcon: function() {
            /// <summary></summary>
        }, 
        
        getRowClassName: function() {
            /// <summary></summary>
        }, 
        
        getCalculatedIconClass: function() {
            /// <summary>Returns the source for the icon.</summary>
            /// <returns type="string">Src for the icon.</returns>
        }, 
        
        setSelectedItem: function(node) {
            /// <summary>Sets the selected item.</summary>
            /// <param name="node" type="goog.ui.tree.BaseNode">The item to select.</param>
        }, 
        
        getSelectedItem: function() {
            /// <summary>Returns the selected item.</summary>
            /// <returns type="goog.ui.tree.BaseNode">The currently selected item.</returns>
        }, 
        
        setShowLines: function(b) {
            /// <summary>Sets whether to show lines.</summary>
            /// <param name="b" type="boolean">Whether to show lines.</param>
        }, 
        
        getShowLines: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether to show lines.</returns>
        }, 
        
        setShowRootLines: function(b) {
            /// <summary>Sets whether to show root lines.</summary>
            /// <param name="b" type="boolean">Whether to show root lines.</param>
        }, 
        
        getShowRootLines: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether to show root lines.</returns>
        }, 
        
        setShowExpandIcons: function(b) {
            /// <summary>Sets whether to show expand icons.</summary>
            /// <param name="b" type="boolean">Whether to show expand icons.</param>
        }, 
        
        getShowExpandIcons: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether to show expand icons.</returns>
        }, 
        
        setShowRootNode: function(b) {
            /// <summary>Sets whether to show the root node.</summary>
            /// <param name="b" type="boolean">Whether to show the root node.</param>
        }, 
        
        getShowRootNode: function() {
            /// <summary></summary>
            /// <returns type="boolean">Whether to show the root node.</returns>
        }, 
        
        initAccessibility: function() {
            /// <summary>Add roles and states.</summary>
        }, 
        
        enterDocument: function() {
            /// <summary></summary>
        }, 
        
        exitDocument: function() {
            /// <summary></summary>
        }, 
        
        handleKeyEvent: function(e) {
            /// <summary>Handles key down on the tree.</summary>
            /// <param name="e" type="!goog.events.BrowserEvent">The browser event.</param>
            /// <returns type="boolean">The handled value.</returns>
        }, 
        
        createNode: function(html) {
            /// <summary>Creates a new tree node using the same config as the root.</summary>
            /// <param name="html" type="string">The html content of the node label.</param>
            /// <returns type="goog.ui.tree.TreeNode">The new item.</returns>
        }, 
        
        setNode: function(node) {
            /// <summary>Allows the caller to notify that the given node has been added or just had
            /// been updated in the tree.</summary>
            /// <param name="node" type="goog.ui.tree.BaseNode">New node being added or existing node
            ///    that just had been updated.</param>
        }, 
        
        removeNode: function(node) {
            /// <summary>Allows the caller to notify that the given node is being removed from the
            /// tree.</summary>
            /// <param name="node" type="goog.ui.tree.BaseNode">Node being removed.</param>
        }, 
        
        clearTypeAhead: function() {
            /// <summary>Clear the typeahead buffer.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.tree.TreeControl";
})(this);
