
/* vsdoc for goog.ui.tree.TypeAhead */

(function (window) {
    window.goog.ui.tree = window.goog.ui.tree || {};

    window.goog.ui.tree.TypeAhead = function(){
        /// <summary></summary>
        /// <field name="Offset" type="">Enum for offset values that are used for ctrl-key navigation among the
        /// multiple matches of a given typeahead buffer.</field>
        /// <returns type="goog.ui.tree.TypeAhead"/>
    };

    var $x = window.goog.ui.tree.TypeAhead;
    $x.prototype = {
                
        handleNavigation: function(e) {
            /// <summary>Handles navigation keys.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The browser event.</param>
            /// <returns type="boolean">The handled value.</returns>
        }, 
        
        handleTypeAheadChar: function(e) {
            /// <summary>Handles the character presses.</summary>
            /// <param name="e" type="goog.events.BrowserEvent">The browser event.
            ///    Expected event type is goog.events.KeyHandler.EventType.KEY.</param>
            /// <returns type="boolean">The handled value.</returns>
        }, 
        
        setNodeInMap: function(node) {
            /// <summary>Adds or updates the given node in the nodemap. The label text is used as a
            /// key and the node id is used as a value. In the case that the key already
            /// exists, such as when more than one node exists with the same label, then this
            /// function creates an array to hold the multiple nodes.</summary>
            /// <param name="node" type="goog.ui.tree.BaseNode">Node to be added or updated.</param>
        }, 
        
        removeNodeFromMap: function(node) {
            /// <summary>Removes the given node from the nodemap.</summary>
            /// <param name="node" type="goog.ui.tree.BaseNode">Node to be removed.</param>
        }, 
        
        clear: function() {
            /// <summary>Clears the typeahead buffer.</summary>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.ui.tree.TypeAhead";
})(this);
