
/* vsdoc for goog.userAgent */

(function (window) {
    window.goog = window.goog || {};

    window.goog.userAgent = {
        /// <summary></summary>
        /// <field name="adobeReader" type=""></field>
        /// <field name="flash" type=""></field>
        /// <field name="iphoto" type=""></field>
        /// <field name="jscript" type=""></field>
        /// <field name="picasa" type=""></field>
        /// <field name="platform" type=""></field>
        /// <field name="product" type=""></field>
        /// <field name="ASSUME_IE" type=""></field>
        /// <field name="ASSUME_GECKO" type=""></field>
        /// <field name="ASSUME_WEBKIT" type=""></field>
        /// <field name="ASSUME_MOBILE_WEBKIT" type=""></field>
        /// <field name="ASSUME_OPERA" type=""></field>
        /// <field name="ASSUME_ANY_VERSION" type=""></field>
        /// <field name="OPERA" type="boolean">Whether the user agent is Opera.</field>
        /// <field name="IE" type="boolean">Whether the user agent is Internet Explorer. This includes other browsers
        /// using Trident as its rendering engine. For example AOL and Netscape 8</field>
        /// <field name="GECKO" type="boolean">Whether the user agent is Gecko. Gecko is the rendering engine used by
        /// Mozilla, Mozilla Firefox, Camino and many more.</field>
        /// <field name="WEBKIT" type="boolean">Whether the user agent is WebKit. WebKit is the rendering engine that
        /// Safari, Android and others use.</field>
        /// <field name="MOBILE" type="boolean">Whether the user agent is running on a mobile device.</field>
        /// <field name="SAFARI" type="boolean">Used while transitioning code to use WEBKIT instead.</field>
        /// <field name="PLATFORM" type="string">The platform (operating system) the user agent is running on. Default to
        /// empty string because navigator.platform may not be defined (on Rhino, for
        /// example).</field>
        /// <field name="ASSUME_MAC" type=""></field>
        /// <field name="ASSUME_WINDOWS" type=""></field>
        /// <field name="ASSUME_LINUX" type=""></field>
        /// <field name="ASSUME_X11" type=""></field>
        /// <field name="MAC" type="boolean">Whether the user agent is running on a Macintosh operating system.</field>
        /// <field name="WINDOWS" type="boolean">Whether the user agent is running on a Windows operating system.</field>
        /// <field name="LINUX" type="boolean">Whether the user agent is running on a Linux operating system.</field>
        /// <field name="X11" type="boolean">Whether the user agent is running on a X11 windowing system.</field>
        /// <field name="VERSION" type="string">The version of the user agent. This is a string because it might contain
        /// &apos;b&apos; (as in beta) as well as multiple dots.</field>
        /// <returns type="goog.userAgent"/>
                
        getUserAgentString: function() {
            /// <summary>Returns the userAgent string for the current browser.
            /// Some user agents (I&apos;m thinking of you, Gears WorkerPool) do not expose a
            /// navigator object off the global scope.  In that case we return null.</summary>
            /// <returns type="?string">The userAgent string or null if there is none.</returns>
        }, 
        
        getNavigator: function() {
            /// <summary></summary>
            /// <returns type="Object">The native navigator object.</returns>
        }, 
        
        compare: function(v1, v2) {
            /// <summary>Compares two version numbers.</summary>
            /// <param name="v1" type="string">Version of first item.</param>
            /// <param name="v2" type="string">Version of second item.</param>
            /// <returns type="number">1 if first argument is higher
            ///                   0 if arguments are equal
            ///                  -1 if second argument is higher.</returns>
        }, 
        
        isVersion: function(version) {
            /// <summary>Whether the user agent version is higher or the same as the given version.
            /// NOTE: When checking the version numbers for Firefox and Safari, be sure to
            /// use the engine&apos;s version, not the browser&apos;s version number.  For example,
            /// Firefox 3.0 corresponds to Gecko 1.9 and Safari 3.0 to Webkit 522.11.
            /// Opera and Internet Explorer versions match the product release number.<br></summary>
            /// <param name="version" type="string|number">The version to check.</param>
            /// <returns type="boolean">Whether the user agent version is higher or the same as
            ///     the given version.</returns>
        }, 
        
        isDocumentMode: function(documentMode) {
            /// <summary>Whether the IE effective document mode is higher or the same as the given
            /// document mode version.
            /// NOTE: Only for IE, return false for another browser.</summary>
            /// <param name="documentMode" type="number">The document mode version to check.</param>
            /// <returns type="boolean">Whether the IE effective document mode is higher or the
            ///     same as the given version.</returns>
        }
        
    };

    var $x = window.goog.userAgent;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent";
})(this);
