
/* vsdoc for goog.userAgent.picasa */

(function (window) {
    window.goog.userAgent = window.goog.userAgent || {};

    window.goog.userAgent.picasa = {
        /// <summary></summary>
        /// <field name="HAS_PICASA" type="boolean">Whether we detect the user has Picasa installed.</field>
        /// <field name="VERSION" type="string">The installed version of Picasa. If Picasa is detected, this means it is
        /// version 2 or later. The precise version number is not yet available to the
        /// browser, this is a placeholder for later versions of Picasa.</field>
        /// <returns type="goog.userAgent.picasa"/>
                
        isVersion: function(version) {
            /// <summary>Whether the installed Picasa version is as new or newer than a given version.
            /// This is not yet relevant, we can&apos;t detect the true Picasa version number yet,
            /// but this may be possible in future Picasa releases.</summary>
            /// <param name="version" type="string">The version to check.</param>
            /// <returns type="boolean">Whether the installed Picasa version is as new or newer
            ///     than a given version.</returns>
        }
        
    };

    var $x = window.goog.userAgent.picasa;
    $x.__namespace = "true";
    $x.__typeName = "goog.userAgent.picasa";
})(this);
