
/* vsdoc for goog.vec.Ray */

(function (window) {
    window.goog.vec = window.goog.vec || {};

    window.goog.vec.Ray = function(opt_origin, opt_dir){
        /// <summary></summary>
        /// <param name="opt_origin" type="goog.vec.Vec3.AnyType=">The optional origin.</param>
        /// <param name="opt_dir" type="goog.vec.Vec3.AnyType=">The optional direction.</param>
        /// <field name="origin" type="goog.vec.Vec3.Number"></field>
        /// <field name="dir" type="goog.vec.Vec3.Number"></field>
        /// <returns type="goog.vec.Ray"/>
    };

    var $x = window.goog.vec.Ray;
    $x.prototype = {
                
        set: function(origin, dir) {
            /// <summary>Sets the origin and direction of the ray.</summary>
            /// <param name="origin" type="goog.vec.AnyType">The new origin.</param>
            /// <param name="dir" type="goog.vec.AnyType">The new direction.</param>
        }, 
        
        setOrigin: function(origin) {
            /// <summary>Sets the origin of the ray.</summary>
            /// <param name="origin" type="goog.vec.AnyType">the new origin.</param>
        }, 
        
        setDir: function(dir) {
            /// <summary>Sets the direction of the ray.</summary>
            /// <param name="dir" type="goog.vec.AnyType">The new direction.</param>
        }, 
        
        equals: function(other) {
            /// <summary>Returns true if this ray is equal to the other ray.</summary>
            /// <param name="other" type="goog.vec.Ray">The other ray.</param>
            /// <returns type="boolean">True if this ray is equal to the other ray.</returns>
        }
        
    };

    $x.__class = "true";
    $x.__typeName = "goog.vec.Ray";
})(this);
